{/*SDOC*************************************************************

  Module: CMDID.pas

  Copyright (C) 2022 Gold Run Partners, Inc.  All rights reserved.

  Revision Date: 17 Jul 2022

*************************************************************EDOC*/}

unit CMDID;

interface

uses Windows;

Const

SettingBase = 1100;
TOKENSETTINGFIRST = 1100;
FIRSTVALIDTOKEN = 1100;
CMD_SymClr = 1101;
CMD_SymNm = 1102;
CMD_SymRot = 1103;
CMD_SymSc = 1104;
CMD_SymScX = 1105;
CMD_SymScY = 1106;
CMD_Echo = 1107;
CMD_SubstText = 1108;
CMD_TextChSp = 1109;
CMD_TextClr = 1110;
CMD_TextLay = 1111;
CMD_TextLnSp = 1112;
CMD_TextJust = 1113;
CMD_TextHt = 1114;
CMD_TextRot = 1115;
CMD_TextAsp = 1116;
CMD_TextBold = 1117;
CMD_TextItalic = 1118;
CMD_TextFont = 1119;
CMD_TextStr = 1120;
CMD_TextFracHt = 1121;
CMD_TextUnicode = 1122;
CMD_GridX = 1123;
CMD_GridY = 1124;
CMD_OrthoAngleVar = 1125;
CMD_FilletRVar = 1126;
CMD_SnapHatchPoints = 1128;
CMD_SymSnapOn = 1129;
CMD_DrawColor = 1130;
CMD_DrawWidth = 1131;
CMD_DrawLayer = 1132;
CMD_DrawLtype = 1133;
CMD_AutoFilletOn = 1134;
CMD_AutoFilletOff = 1135;
CMD_SolidOn = 1136;
CMD_SolidOff = 1137;
CMD_WallWidth1 = 1138;
CMD_WallWidth2 = 1139;
CMD_RPolySides = 1140;
CMD_RPolyInscribeOn = 1141;
CMD_RPolyInscribeOff = 1142;
CMD_OrthoOn = 1143;
CMD_OrthoOff = 1144;
CMD_CursorFreeOn = 1145;
CMD_CursorFreeOff = 1146;
CMD_IncSnapOn = 1147;
CMD_IncSnapOff = 1148;
CMD_TrapAng = 1149;
CMD_IncSnapSize = 1150;
CMD_MOMode = 1151;
CMD_MBMode = 1152;
CMD_MRMode = 1153;
CMD_FilletPreviewOn = 1154;
CMD_FilletPreviewOff = 1155;
CMD_OffsetFixed = 1156;
CMD_OffsetUnFixed = 1157;
CMD_ChamferDist1 = 1158;
CMD_ChamferDist2 = 1159;
CMD_OffsetDist = 1160;
CMD_PercentSnapVal = 1161;
CMD_MCNumCopies = 1162;
CMD_MCRadCopies = 1163;
CMD_MCNumRows = 1164;
CMD_MCScale = 1165;
CMD_MCAngle = 1166;
CMD_MCSpanAngle = 1167;
CMD_MCScaleXY = 1168;
CMD_MCScaleX = 1169;
CMD_MCScaleY = 1170;
CMD_SymSnapOff = 1171;
CMD_AllLayerEdOn = 1172;
CMD_AllLayerEdOff = 1173;
CMD_AllLayerSnapOn = 1174;
CMD_AllLayerSnapOff = 1175;
CMD_SetColor = 1176;
CMD_SetLtype = 1177;
CMD_SetLayer = 1178;
CMD_SetWidth = 1180;
CMD_UIOff = 1181;
CMD_UIOn = 1182;
CMD_HatchNm = 1183;
CMD_HatchScale = 1184;
CMD_HatchRot = 1185;
CMD_HatchColor = 1186;
CMD_DrawHBnd = 1187;
CMD_FillColor = 1188;
CMD_DrawFBnd = 1189;
CMD_ExeName = 1190;
CMD_ExplodeCLines = 1191;
CMD_LTScaleW = 1192;
CMD_LTScaleD = 1193;
CMD_DllRunName = 1194;
CMD_DllRunFunctionName = 1195;
CMD_DllRunCmdLine = 1196;
CMD_OleDllName = 1197;
CMD_OleClassName = 1198;
CMD_OleFunctionName = 1199;
CMD_FileName = 1200;
CMD_ScrollBar = 1201;
CMD_OleCmdLine = 1202;
CMD_IsoMode = 1203;
CMD_IsoPlane = 1204;
CMD_LengthVar = 1205;
CMD_AngleVar = 1206;
CMD_SetMultiLineStyle = 1207;
CMD_SetRealWidth = 1208;
CMD_LargeIcons = 1209;
CMD_SYSPath = 1210;
CMD_VCDPath = 1211;
CMD_VCSPath = 1212;
CMD_VCFPath = 1213;
CMD_DWGPath = 1214;
CMD_DXFPath = 1215;
CMD_MCSkewAngle = 1216;
CMD_HatchScaleX = 1217;
CMD_HatchScaleY = 1218;
CMD_DialogScale = 1219;
CMD_LayerUpdateAllViews = 1220;
CMD_HatchLayer = 1221;
CMD_HatchLType = 1222;
CMD_HatchWidth = 1223;
CMD_SnapParOffVal = 1224;
CMD_SnapAngleVal = 1225;
CMD_PrtWatermark = 1226;
CMD_PrtWatermarkPrint = 1227;
CMD_PrtWatermarkGray = 1228;
CMD_PrtStampCustom = 1229;
CMD_DatumOff = 1230;
CMD_DatumXY = 1231;
CMD_DatumX = 1232;
CMD_DatumY = 1233;
CMD_FillLayer = 1234;
CMD_FillLType = 1235;
CMD_FillWidth = 1236;
CMD_FontScale = 1237;
CMD_HatchGDIStyle = 1238;
CMD_FillGDIStyle = 1239;
CMD_ScriptClipboard = 1240;
CMD_SimulateInput = 1241;
CMD_PDFCurPreset = 1242;
CMD_UseByLayer = 1243;
CMD_UseSymbolColor = 1244;
CMD_DimTextFont = 1245;
CMD_DimTextHt = 1246;
CMD_DimTextAsp = 1247;
CMD_DimTextSlant = 1248;
CMD_DimTextChSp = 1249;
CMD_DimTextBold = 1250;
CMD_DimTextItal = 1251;
CMD_DimTextUnder = 1252;
CMD_DimTextMono = 1253;
CMD_DimTextFill = 1254;
CMD_DimTextVert = 1255;
CMD_DimTextInLn = 1256;
CMD_DimTextAbove = 1257;
CMD_DimTextCent = 1258;
CMD_DimTextAltRo = 1259;
CMD_DimTextOvStr = 1260;
CMD_DimTextOvwrt = 1261;
CMD_DimTextPreSt = 1262;
CMD_DimTextPrefx = 1263;
CMD_DimTextSufSt = 1264;
CMD_DimTextSuffx = 1265;
CMD_DimTextTol = 1266;
CMD_DimTextTolLo = 1267;
CMD_DimTextTolUp = 1268;
CMD_DimTextScale = 1269;
CMD_DimTextLnSp = 1270;
CMD_DimAngle = 1271;
CMD_DimArrowType = 1272;
CMD_DimArrowSize = 1273;
CMD_DimArrowAng = 1274;
CMD_DimArrowFlip = 1275;
CMD_DimFlipLeft = 1276;
CMD_DimFlipRight = 1277;
CMD_DimExtOffset = 1278;
CMD_DimExtAbove = 1279;
CMD_DimExtBelow = 1280;
CMD_DimStretch = 1281;
CMD_DimUseLayer = 1282;
CMD_DimLayer = 1283;
CMD_DimLineShow = 1284;
CMD_DimLtArShow = 1285;
CMD_DimRtArShow = 1286;
CMD_DimLtExShow = 1287;
CMD_DimRtExShow = 1288;
CMD_DimTextShow = 1289;
CMD_DimLineColor = 1290;
CMD_DimLtArColor = 1291;
CMD_DimRtArColor = 1292;
CMD_DimLtExColor = 1293;
CMD_DimRtExColor = 1294;
CMD_DimTextColor = 1295;
CMD_DimLineType = 1296;
CMD_DimLtArType = 1297;
CMD_DimRtArType = 1298;
CMD_DimLtExType = 1299;
CMD_DimRtExType = 1300;
CMD_DimTextType = 1301;
CMD_DimLineWidth = 1302;
CMD_DimLtArWidth = 1303;
CMD_DimRtArWidth = 1304;
CMD_DimLtExWidth = 1305;
CMD_DimRtExWidth = 1306;
CMD_DimTextWidth = 1307;
CMD_TextUseLayer = 1308;
CMD_TextSlant = 1309;
CMD_TextUnderln = 1310;
CMD_TextMono = 1311;
CMD_TextFill = 1312;
CMD_AtbFont = 1313;
CMD_AtbHt = 1314;
CMD_AtbColor = 1315;
CMD_AtbUseLocal = 1316;
CMD_AtbLocalDsp = 1317;
CMD_AtbLclLblDsp = 1318;
CMD_AtbGlobalDsp = 1319;
CMD_AtbGlbLblDsp = 1320;
CMD_SymAutoExp = 1321;
CMD_SymExplodeTo = 1322;
CMD_OrthoAdvType = 1323;
CMD_OrthoAdvInc = 1324;
CMD_OrthoAdvStep = 1325;
CMD_OrthoAdvOne = 1326;
CMD_BasepointPt = 1327;
CMD_PrtAddPreset = 1328;
CMD_PrtDelPreset = 1329;
CMD_PrtCurPreset = 1330;
CMD_PrtDevice = 1331;
CMD_PrtPgWidth = 1332;
CMD_PrtPgHeight = 1333;
CMD_PrtMargLeft = 1334;
CMD_PrtMargBot = 1335;
CMD_PrtMargRight = 1336;
CMD_PrtMargTop = 1337;
CMD_PrtScale = 1338;
CMD_PrtOrigin = 1339;
CMD_PrtViewType = 1340;
CMD_PrtLandscape = 1341;
CMD_PrtNumCopies = 1342;
CMD_PrtRotAngle = 1343;
CMD_PrtMetric = 1344;
CMD_PrtFastDraw = 1345;
CMD_PrtSelected = 1346;
CMD_PrtToFile = 1347;
CMD_PrtDateStamp = 1348;
CMD_PrtAllBlack = 1349;
CMD_PrtLW0HasWid = 1350;
CMD_PrtLineWidth = 1351;
CMD_PrtMovePage = 1352;
CMD_PrtPaperSize = 1353;
CMD_PrtPreview = 1354;
CMD_PrtPaperLen = 1355;
CMD_PrtPaperWid = 1356;
CMD_PrtCenter = 1357;
CMD_PrtStampForm = 1358;
CMD_PrtStampSize = 1359;
CMD_PrtStampLoc = 1360;
CMD_PrtStampFont = 1361;
CMD_DimDecimal = 1362;
CMD_DimFraction = 1363;
CMD_DimAngForm = 1364;
CMD_DimLeadZero = 1365;
CMD_DimUnits = 1366;
CMD_DimSUFrac = 1367;
CMD_DimSecond = 1368;
CMD_DimDistForm = 1369;
CMD_DimSecForm = 1370;
CMD_DispDecimal = 1371;
CMD_DispFraction = 1372;
CMD_DispAngForm = 1373;
CMD_DispLeadZero = 1374;
CMD_DispUnits = 1375;
CMD_GCDPath = 1376;
CMD_MNUPath = 1377;
CMD_STYPath = 1378;
CMD_HatchDrawBnd = 1379;
CMD_CursorSize = 1380;
CMD_DefTool = 1381;
CMD_ZoomFactor = 1382;
CMD_AskCenter = 1383;
CMD_ArrowWorld = 1384;
CMD_AroWrldStep = 1385;
CMD_AroScrnStep = 1386;
CMD_BackColor = 1387;
CMD_CursColor = 1388;
CMD_SelColor = 1389;
CMD_RubColor = 1390;
CMD_ShowDrag = 1391;
CMD_SearchTol = 1392;
CMD_ShowLnType = 1393;
CMD_ShowLnWidth = 1394;
CMD_ShowFill = 1395;
CMD_ShowHatch = 1396;
CMD_ShowPoint = 1397;
CMD_EnvSaveExit = 1398;
CMD_ShiftClick = 1399;
CMD_UseFileLock = 1400;
CMD_UseFastProp = 1401;
CMD_AutoBack = 1402;
CMD_AutoBackSec = 1403;
CMD_AutoSave = 1404;
CMD_AutoSaveSec = 1405;
CMD_FontSort = 1406;
CMD_LdrTextFont = 1407;
CMD_LdrTextHt = 1408;
CMD_LdrTextAsp = 1409;
CMD_LdrTextSlant = 1410;
CMD_LdrTextChSp = 1411;
CMD_LdrTextLnSp = 1412;
CMD_LdrTextBold = 1413;
CMD_LdrTextUnder = 1414;
CMD_LdrTextItal = 1415;
CMD_LdrTextMono = 1416;
CMD_LdrTextFill = 1417;
CMD_LdrArrowType = 1418;
CMD_LdrArrowSize = 1419;
CMD_LdrArrowAng = 1420;
CMD_LdrOffset = 1421;
CMD_LdrShoulder = 1422;
CMD_FltEntity = 1423;
CMD_FltLayer = 1424;
CMD_FltColor = 1425;
CMD_FltLnType = 1426;
CMD_FltLnWidth = 1427;
CMD_FltName = 1428;
CMD_FltActive = 1429;
CMD_HideLayers = 1430;
CMD_DispLayers = 1431;
CMD_LaySelect1 = 1432;
CMD_ZmViewName = 1433;
CMD_ChangeLayer = 1434;
CMD_ChangeColor = 1435;
CMD_ChangeLType = 1436;
CMD_ChangeLWidth = 1437;
CMD_ChangeRealW = 1438;
CMD_NumDivide = 1439;
CMD_DivBreak = 1440;
CMD_GroupProp = 1441;
CMD_ChangeApply = 1442;
CMD_LayerGroupApply = 1443;
CMD_SaveSettings = 1444;
CMD_RestoreSettings = 1445;
CMD_LdrVertAlign = 1446;
CMD_LdrJust = 1447;
CMD_LdrType = 1448;
CMD_LdrUseLayer = 1449;
CMD_LdrLayer = 1450;
CMD_OrdOffset = 1451;
CMD_DimSelected = 1452;
CMD_ExplodeMultiToSingle = 1453;
CMD_LdrTextStr = 1454;
CMD_MulSetLayer = 1455;
CMD_MulSetColor = 1456;
CMD_MulSetLType = 1457;
CMD_MulSetLWidth = 1458;
CMD_MulSetRealW = 1459;
CMD_MulSetOffset = 1460;
CMD_MulSetUse = 1461;
CMD_MulSetApply = 1462;
CMD_MulSetGet = 1463;
CMD_MulSetReset = 1464;
CMD_LockLayers = 1465;
CMD_UnlockLayers = 1466;
CMD_PrintLayers = 1467;
CMD_NoPrintLayers = 1468;
CMD_FontShowTT = 1469;
CMD_FontShowVCF = 1470;
CMD_FontShowFav = 1471;
CMD_FileProtect = 1472;
CMD_FileCompress = 1473;
CMD_TextLType = 1474;
CMD_TextLWidth = 1475;
CMD_TextRealW = 1476;
CMD_TextCharset = 1477;
CMD_TextTabStops = 1478;
CMD_DispDistForm = 1479;
CMD_DimAngDecimal = 1480;
CMD_DispAngDecimal = 1481;
CMD_SecondDecimal = 1482;
CMD_SecondFraction = 1483;
CMD_SecondUnits = 1484;
CMD_SecondLeadZero = 1485;
CMD_DispDash = 1486;
CMD_SecondDash = 1487;
CMD_SecondSUFrac = 1488;
CMD_DefaultButtons = 1489;
CMD_PrintOriginPt = 1490;
CMD_ShowPrintOrigin = 1491;
CMD_UsePrintOrigin = 1492;
CMD_MEMode = 1493;
CMD_CompressImages = 1494;
CMD_DimInLineText = 1495;
CMD_DispBaseAngle = 1496;
CMD_DispCustomAngle = 1497;
CMD_DispClockwise = 1498;
CMD_DimBaseAngle = 1499;
CMD_DimCustomAngle = 1500;
CMD_DimClockwise = 1501;
CMD_DimDistanceAngle = 1502;
CMD_DimReverseAngle = 1503;
CMD_ReadStyle = 1504;
CMD_ShowMask = 1505;
CMD_DimAngUnits = 1506;
CMD_DispAngUnits = 1507;
CMD_DimFracHt = 1508;
CMD_LdrFracHt = 1509;
CMD_ScriptStack = 1510;
CMD_LdrLineColor = 1511;
CMD_LdrLineShow = 1512;
CMD_LdrLineType = 1513;
CMD_LdrLineWidth = 1514;
CMD_LdrLineRWidth = 1515;
CMD_LdrArrowColor = 1516;
CMD_LdrArrowShow = 1517;
CMD_LdrArrowLType = 1518;
CMD_LdrArrowWidth = 1519;
CMD_LdrArrowRWidth = 1520;
CMD_LdrBrdrColor = 1521;
CMD_LdrBrdrShow = 1522;
CMD_LdrBrdrLType = 1523;
CMD_LdrBrdrWidth = 1524;
CMD_LdrBrdrRWidth = 1525;
CMD_LdrTextColor = 1526;
CMD_LdrTextShow = 1527;
CMD_LdrTextLType = 1528;
CMD_LdrTextWidth = 1529;
CMD_LdrTextRWidth = 1530;
CMD_LdrShldrAng = 1531;
CMD_LdrTextRot = 1532;
CMD_LdrBrdrStyle = 1533;
CMD_LdrTextUnicode = 1534;
CMD_LdrTextHorizAlign = 1535;
CMD_DimStacked = 1536;
CMD_DimNoBreak = 1537;
CMD_DimLineRWidth = 1538;
CMD_DimLtArRWidth = 1539;
CMD_DimRtArRWidth = 1540;
CMD_DimLtExRWidth = 1541;
CMD_DimRtExRWidth = 1542;
CMD_DimTextRWidth = 1543;
CMD_SetByLayer = 1544;
CMD_ApplyByLayer = 1545;
CMD_ImgShowBrdr = 1546;
CMD_ImgLckAsp = 1547;
CMD_ImgFlipX = 1548;
CMD_ImgFlipY = 1549;
CMD_ImgGray = 1550;
CMD_ImgRot = 1551;
CMD_ImgShow = 1552;
CMD_ImgAutoPos = 1553;
CMD_ImgOpacity = 1554;
CMD_ImgEmbed = 1555;
CMD_TextVertAlign = 1556;
CMD_LdrTextCharset = 1557;
CMD_DimTextCharset = 1558;
CMD_DimDecSep = 1559;
CMD_DimSecDecSep = 1560;
CMD_DimThsSep = 1561;
CMD_DimSecThsSep = 1562;
CMD_TextMasked = 1563;
CMD_TextMaskOffset = 1564;
CMD_DimTextMasked = 1565;
CMD_LdrTextMasked = 1566;
CMD_TextWordWrap = 1567;
CMD_UpdateOleOnOpen = 1568;
CMD_DivBreakLines = 1569;
CMD_OffsetAutoSeg = 1570;
CMD_OffsetNumSeg = 1571;
CMD_OffsetConvert = 1572;
CMD_OffsetReplace = 1573;
CMD_FltRWidth = 1574;
CMD_FltMulti = 1575;
CMD_SnapPreviewColor = 1576;
CMD_SimKey = 1577;
CMD_GridDotStyle = 1578;
CMD_SetViewName = 1579;
CMD_RemoveViewName = 1580;
CMD_BackupOnSave = 1581;
CMD_TextKern = 1582;
CMD_FontHideVertTT = 1583;
CMD_IncrementalUndo = 1584;
CMD_LdrTabStops = 1585;
CMD_DimFarSideArrow = 1586;
CMD_DimTextJust = 1587;
CMD_HatchOffsetX = 1588;
CMD_HatchOffsetY = 1589;
CMD_HatchAlignment = 1590;
CMD_SymUseBreakColor = 1591;
CMD_SymIgnoreColor = 1592;
CMD_RFAngle = 1593;
CMD_RFScaleX = 1594;
CMD_RFScaleY = 1595;
CMD_GridOriginPt = 1596;
CMD_DBSolidHatch = 1597;
CMD_PrtCopyPreset = 1598;
CMD_TextDrawAsVector = 1599;
CMD_DimKern = 1600;
CMD_DimDrawAsVector = 1601;
CMD_LdrKern = 1602;
CMD_LdrDrawAsVector = 1603;
CMD_TextFillOnly = 1604;
CMD_DimTextFillOnly = 1605;
CMD_LdrTextFillOnly = 1606;
CMD_DimSUFStack = 1607;
CMD_SecondSUFStack = 1608;
TOKENSETTINGLAST = 1700;
ToolBase = 2100;
TOKENTOOLFIRST = 2100;
CMD_DrawPoint = 2101;
CMD_DrawLineSingle = 2102;
CMD_DrawLineContinuous = 2103;
CMD_DrawRect2Pt = 2104;
CMD_DrawRect3Pt = 2105;
CMD_DrawCircle3Pt = 2106;
CMD_DrawCircle2Pt = 2107;
CMD_DrawArc3Pt = 2108;
CMD_DrawArc2Pt = 2109;
CMD_DrawEllipse = 2110;
CMD_DrawBezierSingle = 2111;
CMD_DrawBezierCont = 2112;
CMD_DrawRPolygonCenter = 2113;
CMD_DrawRPolygonSide = 2114;
CMD_DrawIPolygon = 2115;
CMD_DrawLineDouble = 2116;
CMD_DrawEllipticalArcStartSpan = 2117;
CMD_LastSymbol = 2119;
CMD_SymPlace = 2120;
CMD_DrawCurve = 2121;
CMD_DrawCircleDiameter = 2122;
CMD_DrawMultiLine = 2123;
CMD_SymbolExplode = 2124;
CMD_UndoLastVertex = 2125;
CMD_UndoLastDim = 2126;
CMD_TabPrintColorMap = 2127;
CMD_DrawGCADDLine = 2128;
CMD_MultiLineEdit = 2131;
CMD_DrawParabola = 2132;
CMD_DrawParabolaVertex = 2133;
CMD_NoOp = 2134;
CMD_End = 2135;
CMD_SnapPerpendicular = 2151;
CMD_SnapTangent = 2152;
CMD_SnapPercent = 2153;
CMD_SnapClosestPoint = 2154;
CMD_SnapMidPoint = 2155;
CMD_SnapObject = 2156;
CMD_SnapIntersection = 2157;
CMD_SnapNearPoint = 2158;
CMD_SnapQuad = 2159;
CMD_SnapArcCenter = 2160;
CMD_SnapLastPoint = 2161;
CMD_SnapParallel = 2162;
CMD_IncSnap = 2163;
CMD_SnapMid2Points = 2164;
CMD_SnapAngle = 2165;
CMD_SnapGridPoint = 2166;
CMD_SnapFocus = 2167;
CMD_LoadHatch = 2168;
CMD_HatchAlign = 2169;
CMD_DimChange = 2170;
CMD_LeaderChange = 2171;
CMD_TextChange = 2172;
CMD_HatchChange = 2173;
CMD_HatchParse = 2174;
CMD_FillChange = 2175;
CMD_FillToHatch = 2176;
CMD_HatchArrayParse = 2177;
CMD_DimDatumCurve = 2178;
CMD_LeaderCurve = 2179;
CMD_DimDatum = 2180;
CMD_DimLinear = 2181;
CMD_DimAngular = 2182;
CMD_DimDialog = 2183;
CMD_DimRadial = 2184;
CMD_DimDiameter = 2185;
CMD_Leader = 2186;
CMD_DimMoveText = 2187;
CMD_DimSlideText = 2188;
CMD_DimMoveLine = 2189;
CMD_DimMoveArc = 2190;
CMD_DimEdit = 2191;
CMD_LinDimHorz = 2192;
CMD_LinDimVert = 2193;
CMD_LinDimAligned = 2194;
CMD_LinDimAngle = 2195;
CMD_DimOrdinate = 2196;
CMD_DimPoint = 2197;
CMD_ChangeRefFrameFileName = 2198;
CMD_RefFrameEdit = 2198;
CMD_LeaderEdit = 2199;
CMD_DimPreview = 2200;
CMD_ZoomRegen = 2201;
CMD_ZoomRegenArea = 2202;
CMD_ZoomArea = 2203;
CMD_ZoomIn = 2204;
CMD_ZoomOut = 2205;
CMD_ZoomPan = 2206;
CMD_ZoomAll = 2207;
CMD_ZoomSelected = 2208;
CMD_ZoomPrevious = 2209;
CMD_ZoomLimits = 2210;
CMD_ZoomValue = 2211;
CMD_ZoomView = 2212;
CMD_NameView = 2213;
CMD_SetBasepoint = 2214;
CMD_BackRedraw = 2215;
CMD_QuickSearch = 2216;
CMD_ZoomAllViews = 2217;
CMD_ZoomRegenAllViews = 2218;
CMD_ZoomAutoPan = 2219;
CMD_ApplyRFZoomScale = 2227;
CMD_ApplyRFZoomView = 2228;
CMD_MultiCopy = 2230;
CMD_ModCopy = 2231;
CMD_ModErase = 2232;
CMD_ModMirror = 2233;
CMD_ModMove = 2234;
CMD_ModRotate = 2235;
CMD_ModMovePoint = 2236;
CMD_ModFillet = 2237;
CMD_ModDoubleTrim = 2238;
CMD_ModStretch = 2239;
CMD_ModTrim = 2240;
CMD_ModExtend = 2241;
CMD_ModBreak = 2242;
CMD_ModSelectionTrim = 2243;
CMD_ModChamfer = 2244;
CMD_ModCornerTrim = 2245;
CMD_ModAlign = 2246;
CMD_ModFitScale = 2247;
CMD_ModRadCopy = 2248;
CMD_ModArrayCopy = 2249;
CMD_ModExplode = 2250;
CMD_ModBezEdit = 2251;
CMD_ModOffset = 2252;
CMD_Reserve = 2253;
CMD_ModCloseContour = 2254;
CMD_ModChange = 2255;
CMD_ModScale = 2256;
CMD_EraseLast = 2257;
CMD_TUserVarP1 = 2258;
CMD_ModSelectionExtend = 2259;
CMD_ModAdjoiningToMEP = 2260;
CMD_ModOffsetMEP = 2261;
CMD_ModBooleanAdd = 2262;
CMD_ModBooleanSubtract = 2263;
CMD_ModBooleanIntersect = 2264;
CMD_WindowStretch = 2265;
CMD_SingleTargetSelectionTrim = 2266;
CMD_ModUsePlacementColorOn = 2267;
CMD_ModUsePlacementColorOff = 2268;
CMD_ModAttributeDisplayOn = 2269;
CMD_ModAttributeDisplayOff = 2270;
CMD_ModAttributeLabelOn = 2271;
CMD_ModAttributeLabelOff = 2272;
CMD_ModSplitPolygon = 2273;
CMD_ModMergePolygons = 2274;
CMD_ModJoin = 2275;
CMD_ModCopySingle = 2276;
CMD_ModMultiBreak = 2277;
CMD_Divide = 2278;
CMD_ModExplodeToGroup = 2279;
CMD_ModSkew = 2280;
CMD_DatabaseScale = 2281;
CMD_DatabaseMove = 2282;
CMD_ModBreakTo = 2283;
CMD_ModFenceTrim = 2284;
CMD_ModJoinCorner = 2285;
CMD_ModMixedJoin = 2286;
CMD_ExDataEditHdr = 2287;
CMD_ExDataEditEnt = 2288;
CMD_InspectorMatch = 2300;
CMD_MeasureDistance = 2301;
CMD_MeasureArea = 2302;
CMD_MeasureAngle2 = 2303;
CMD_MeasureAngle3 = 2304;
CMD_MatchEntity = 2305;
CMD_MatchTool = 2306;
CMD_MeasureDone = 2308;
CMD_PackData = 2309;
CMD_TabletMode = 2310;
CMD_TraceScale = 2311;
CMD_DigDrawingAlign = 2312;
CMD_ActiveArea = 2313;
CMD_WTConfig = 2314;
CMD_DigInfo = 2315;
CMD_SaveEnvironment = 2316;
CMD_FontConvert = 2317;
CMD_WinExec = 2318;
CMD_DimLeaderString = 2319;
CMD_SymbolCount = 2320;
CMD_BOM2CLIP = 2321;
CMD_CLIP2BOM = 2322;
CMD_DllRun = 2323;
CMD_DoDragDrop = 2324;
CMD_PurgeLnt = 2325;
CMD_LoadLnt = 2326;
CMD_OleCreateClass = 2327;
CMD_OleInvokeMethod = 2328;
CMD_OlePropertyDlg = 2329;
CMD_OleTransparent = 2330;
CMD_OleForceToBack = 2331;
CMD_MatchOrtho = 2332;
CMD_MatchChange = 2333;
CMD_ImplicitEntityEdit = 2335;
CMD_LayerGroupCombo = 2336;
CMD_FilterReset = 2337;
CMD_LayerGroupDlg = 2338;
CMD_LayerEdit = 2339;
CMD_SeedHatch = 2340;
CMD_SeedFill = 2341;
CMD_CleanData = 2342;
CMD_CleanDataWindow = 2343;
CMD_SymbolChange = 2350;
CMD_SymCreate = 2351;
CMD_HatchSelected = 2352;
CMD_FillSelected = 2353;
CMD_Text = 2354;
CMD_Like = 2355;
CMD_TextBox = 2356;
CMD_Help = 2358;
CMD_BoundaryHatch = 2359;
CMD_BoundaryFill = 2360;
CMD_About = 2361;
CMD_AboutDlg = 2363;
CMD_AttributeAttach = 2364;
CMD_AttributeCreate = 2365;
CMD_ScriptAssign = 2366;
CMD_AttributeEmbed = 2367;
CMD_SpecificAttributeAttach = 2368;
CMD_AttributeEdit = 2369;
CMD_AttributeMove = 2370;
CMD_AttributeMultiAttach = 2371;
CMD_HelpIndex = 2372;
CMD_HelpSupport = 2373;
CMD_HelpWebsite = 2374;
CMD_WindowCascade = 2375;
CMD_WindowTileVert = 2376;
CMD_WindowTileHorz = 2377;
CMD_WindowArrangeIcons = 2378;
CMD_WindowCloseAll = 2379;
CMD_WindowNew = 2380;
CMD_HelpCursor = 2381;
CMD_IsoLeft = 2382;
CMD_IsoRight = 2383;
CMD_IsoTop = 2384;
CMD_BoundaryMask = 2385;
CMD_SaveEnvGlobal = 2386;
CMD_SaveEnvDrawing = 2387;
CMD_EnvSaveExitGlobal = 2388;
CMD_EnvSaveExitDrawing = 2389;
CMD_ModBoundary = 2390;
CMD_ModGDIStyle = 2391;
CMD_FileNew = 2400;
CMD_FileOpen = 2401;
CMD_FileSave = 2402;
CMD_FileSaveAs = 2403;
CMD_FileExit = 2404;
CMD_FileClose = 2405;
CMD_FilePrint = 2406;
CMD_SymbolOpen = 2407;
CMD_SymbolSave = 2408;
CMD_ClearDrawing = 2409;
CMD_FileMerge = 2410;
CMD_PrintSetup = 2411;
CMD_FilePlot = 2412;
CMD_StyleOpen = 2413;
CMD_StyleSave = 2414;
CMD_AtbOpen = 2415;
CMD_AtbSave = 2416;
CMD_OleSaveCopyAs = 2417;
CMD_OleUpdate = 2418;
CMD_LoadMenu = 2419;
CMD_FileRun = 2420;
CMD_NestedRun = 2421;
CMD_NewView = 2422;
CMD_BirdsEye = 2423;
CMD_PlotOptions = 2424;
CMD_PlotSetup = 2425;
CMD_LoadAscii = 2426;
CMD_ResetCmdExt = 2427;
CMD_RefFrameCreate = 2428;
CMD_FileSend = 2429;
CMD_RefFramePlace = 2430;
CMD_Edit = 2431;
CMD_NestedRunDll = 2432;
CMD_FileSaveAll = 2433;
CMD_PreviewOpen = 2434;
CMD_PreviewSave = 2435;
CMD_PreviewSaveAs = 2436;
CMD_PrintNoDlg = 2437;
CMD_EmergencyExit = 2438;
CMD_RefFrameDetail = 2439;
CMD_EditUndo = 2440;
CMD_EditRedo = 2441;
CMD_EditCut = 2442;
CMD_EditCopy = 2443;
CMD_EditPaste = 2444;
CMD_EditClear = 2445;
CMD_SelectAll = 2446;
CMD_ClearSelection = 2447;
CMD_InverseSelection = 2448;
CMD_SelectionTool = 2449;
CMD_TrackingTool = 2450;
CMD_Penup = 2451;
CMD_Abort = 2452;
CMD_SelectionFilter = 2453;
CMD_SelectWindow = 2454;
CMD_TrackEnd = 2455;
CMD_SelectObject = 2456;
CMD_NewHandle = 2457;
CMD_SelectLayer = 2458;
CMD_SelectCrossing = 2460;
CMD_SelectAdjoining = 2461;
CMD_UserPoint = 2462;
CMD_SelectionRibalog = 2463;
CMD_Properties = 2464;
CMD_Color = 2465;
CMD_Layer = 2466;
CMD_Ltype = 2467;
CMD_Width = 2468;
CMD_SelectLast = 2470;
CMD_SelectModified = 2471;
CMD_UserMatch = 2472;
CMD_DeSelectAll = 2473;
CMD_UserPointPenup = 2474;
CMD_UserPointAbort = 2475;
CMD_Hilite = 2476;
CMD_FastProperties = 2477;
CMD_AllLayerEdit = 2478;
CMD_SnapLayer = 2479;
CMD_SymSnap = 2480;
CMD_LayerDisplay = 2481;
CMD_LayerHide = 2482;
CMD_LayerCurrent = 2483;
CMD_RealWorldLW = 2484;
CMD_SelectLastObject = 2485;
CMD_LayerProperties = 2486;
CMD_LayerPropertyReset = 2487;
CMD_Group = 2488;
CMD_Ungroup = 2489;
CMD_LeaveGroup = 2490;
CMD_JoinGroup = 2491;
CMD_ImportImage = 2492;
CMD_ExportImage = 2493;
CMD_ExportPDF = 2494;
CMD_ImageEdit = 2495;
CMD_ImageEditDlg = 2496;
CMD_LayerLock = 2497;
CMD_LayerUnlock = 2498;
CMD_SymSelect = 2499;
CMD_FillDlg = 2500;
CMD_HatchDlg = 2501;
CMD_DimTextVectDlg = 2502;
CMD_AttribDlg = 2503;
CMD_ObjectInfo = 2504;
CMD_SpeedSym = 2505;
CMD_SymDlg = 2506;
CMD_DimTextDlg = 2507;
CMD_DimArrowDlg = 2508;
CMD_DimExtDlg = 2509;
CMD_DimLineDlg = 2510;
CMD_DimTolDlg = 2511;
CMD_SymCreateDlg = 2512;
CMD_LayerManager = 2513;
CMD_AtbValueDlg = 2514;
CMD_DimDisplayDlg = 2515;
CMD_ToolBar = 2516;
CMD_OptionMgr = 2517;
CMD_PrintDlg = 2518;
CMD_DimLeaderTextDlg = 2519;
CMD_DimStringsDlg = 2520;
CMD_TextSett = 2521;
CMD_TextSettFromTextDlg = 2522;
CMD_StyleDlg = 2523;
CMD_DimEditDlg = 2524;
CMD_SymReplace = 2525;
CMD_MeasureDistanceDlg = 2526;
CMD_MeasureAreaDlg = 2527;
CMD_MeasureAngleDlg = 2528;
CMD_SymRemove = 2529;
CMD_ExportPDFNoDlg = 2530;
CMD_LineScale = 2531;
CMD_FilletRadius = 2532;
CMD_OrthoAngle = 2533;
CMD_DBLineSettings = 2534;
CMD_RPolygonNSides = 2535;
CMD_ChamferDist = 2536;
CMD_GridSize = 2537;
CMD_GridDisplay = 2538;
CMD_SnapGrid = 2539;
CMD_GridOrigin = 2540;
CMD_AutoFillet = 2541;
CMD_OrthoMode = 2542;
CMD_CursorFree = 2543;
CMD_DimModeSingle = 2544;
CMD_DimModeCumulative = 2545;
CMD_DimModePartitioned = 2546;
CMD_ObjectXML = 2547;
CMD_TabText = 2548;
CMD_TabHatch = 2549;
CMD_TabDim = 2550;
CMD_TabSystem = 2551;
CMD_TabGeneral = 2552;
CMD_TabConstraint = 2553;
CMD_TabPath = 2554;
CMD_TabDimText = 2555;
CMD_TabNumeric = 2556;
CMD_TabImportGCDFontMapping = 2557;
CMD_TabExportGCDFontMapping = 2558;
CMD_TabImportDWGFontMapping = 2559;
CMD_TabExportDWGFontMapping = 2560;
CMD_TabGCDFontNamePool = 2561;
CMD_TabDWGFontNamePool = 2562;
CMD_TabGCDSettings = 2563;
CMD_TabDWGSettings = 2564;
CMD_ConstPts = 2565;
CMD_HandlePts = 2566;
CMD_CurveTangentPoints = 2567;
CMD_DBaseDlg = 2568;
CMD_DBaseAssocList = 2569;
CMD_ToolbarDlg = 2570;
CMD_ConstraintViewDlg = 2571;
CMD_AcadPolylineWidth = 2572;
CMD_ACADImportExportMgr = 2573;
CMD_GCDImportExportMgr = 2574;
CMD_TabDWGColorImport = 2575;
CMD_TabDWGColorExport = 2576;
CMD_TabSystem1 = 2577;
CMD_TabSystem2 = 2578;
CMD_TabSys2_Adv = 2579;
CMD_OrthoAdv = 2580;
CMD_HidLayerMsg = 2581;
CMD_HatchDisplay = 2582;
CMD_LayerPrint = 2583;
CMD_LayerNoPrint = 2584;
CMD_TabTools = 2585;
CMD_PrintOrigin = 2586;
CMD_TabColor = 2587;
CMD_TabImageImport = 2588;
CMD_TabRefFrame = 2589;
CMD_DimProxFixed = 2590;
CMD_DimHorzText = 2591;
CMD_TextDisplay = 2592;
CMD_DimRefFlip = 2593;
CMD_TabUserInterface = 2594;
CMD_DimPrefixAbove = 2595;
CMD_DimSuffixBelow = 2596;
CMD_ExDataEditDlg = 2597;
CMD_DimLeaderDisplayDlg = 2598;
CMD_TabFill = 2599;
CMD_ArrowFlip = 2600;
CMD_TabLeader = 2601;
CMD_TabPlotterPenMapSettings = 2602;
CMD_TabPlotterSettings = 2603;
CMD_TabPlotterLanguageSettings = 2604;
CMD_DimTextAlignDlg = 2605;
CMD_LeaderEditDlg = 2606;
CMD_DimShowDash = 2607;
CMD_TextSettingsDlg = 2608;
CMD_DimSettingsDlg = 2609;
CMD_LeaderSettingsDlg = 2610;
CMD_RFZoomRegen = 2611;
CMD_RFZoomScale = 2612;
CMD_RFZoomArea = 2613;
CMD_RFZoomIn = 2614;
CMD_RFZoomOut = 2615;
CMD_RFZoomPan = 2616;
CMD_RFZoomAll = 2617;
CMD_RFZoomView = 2618;
CMD_RFZoomPrevious = 2619;
CMD_RFDrawBoundary = 2620;
CMD_RFBirdsEye = 2621;
CMD_RFResize = 2622;
CMD_RFLayerManager = 2623;
CMD_RFTransparent = 2624;
CMD_RFSize = 2625;
CMD_RFUpdateFileLink = 2626;
CMD_RFZoomAnchor = 2627;
CMD_RFTrim = 2628;
CMD_RFLayerChange = 2629;
CMD_SelectFence = 2630;
CMD_SelectFenceCrossing = 2631;
CMD_CommandList = 2632;
CMD_RemovePoint = 2633;
CMD_InsertPoint = 2634;
CMD_ModOffsetAdv = 2635;
CMD_DimOverwriteDlg = 2636;
CMD_FileRevert = 2637;
CMD_FileBackup = 2638;
CMD_ModFitVector = 2639;
CMD_ToFront = 2640;
CMD_ToBack = 2641;
CMD_TabFonts = 2642;
CMD_TabSymbols = 2643;
CMD_TabLeaderText = 2644;
CMD_RFElliptical = 2645;
CMD_RFDrawBoundaryCh = 2646;
CMD_RFTransparentCh = 2647;
CMD_RFEllipticalCh = 2648;
CMD_LeaderTextVectDlg = 2649;
CMD_Tab = 2650;
CMD_RefFrameNameDlg = 2651;
CMD_RefFrameDlg = 2651;
CMD_RefFrameMDIDlg = 2652;
CMD_DimScaleDlg = 2653;
CMD_MultiLineSettingsDlg = 2654;
CMD_DateStamp = 2655;
CMD_LGUNDO = 2660;
CMD_LGSAVE = 2661;
CMD_LGREDO = 2663;
CMD_LGPRINT = 2664;
CMD_LGPASTE = 2665;
CMD_LGOPEN = 2666;
CMD_LGHELP = 2667;
CMD_LGCUT = 2668;
CMD_LGCOPYC = 2669;
CMD_LGNEW = 2670;
CMD_LGHELPCUR = 2671;
CMD_LGPRINTSETUP = 2672;
CMD_TabCustomCommand = 2673;
CMD_TabCustomShortcut = 2674;
CMD_TabDimNumeric = 2675;
CMD_WizSummary = 2676;
CMD_CurveText = 2677;
CMD_FileOpenAsCopy = 2678;
CMD_FileOpenAsStyle = 2679;
CMD_FileSaveAsCopy = 2680;
CMD_FileSaveAsCopyAndOpen = 2681;
CMD_SymbolOpenAndPlace = 2682;
CMD_SymbolOpenAndPlaceSingle = 2683;
CMD_SymbolOpenAsDrawing = 2684;
CMD_ConfigDiff = 2685;
CMD_TextVectorSett = 2700;
CMD_DimDatumStringDlg = 2708;
CMD_DimLeaderStringDlg = 2709;
CMD_DimLeaderArrowDlg = 2710;
CMD_DimLeaderEditDlg = 2711;
CMD_DimLeaderDatumDlg = 2712;
CMD_DimLeaderSpacingDlg = 2713;
CMD_BearingDistance = 2714;
CMD_BearingSettingsDlg = 2715;
CMD_BearingLabel = 2716;
CMD_DocMgr = 2720;
CMD_SymBreak = 2721;
CMD_SymMend = 2722;
CMD_SymSetInsertColor = 2723;
CMD_Customize = 2724;
CMD_RubberSheeting = 2725;
CMD_MoveToLayer = 2726;
CMD_CopyToLayer = 2727;
CMD_UnitDisplayInch = 2731;
CMD_UnitDisplayFeet = 2732;
CMD_UnitDisplayFeetInch = 2733;
CMD_UnitDisplayMile = 2734;
CMD_UnitDisplayFracInch = 2735;
CMD_UnitDisplayFracFeet = 2736;
CMD_UnitDisplayFracFeetInch = 2737;
CMD_UnitDisplayMM = 2738;
CMD_UnitDisplayCM = 2739;
CMD_UnitDisplayMeter = 2740;
CMD_UnitDisplayKilo = 2741;
CMD_XYLock = 2742;
CMD_WinErase = 2743;
CMD_ObjErase = 2744;
CMD_WinMove = 2745;
CMD_WinCopy = 2746;
CMD_ObjCopy = 2747;
CMD_ObjMove = 2748;
CMD_WinRotate = 2749;
CMD_DwgRotate = 2750;
CMD_WinChange = 2751;
CMD_DwgChange = 2752;
CMD_WinScale = 2753;
CMD_DwgScale = 2754;
CMD_ObjChange = 2755;
CMD_WinHatch = 2756;
CMD_WinFill = 2757;
CMD_WizText = 2758;
CMD_WizDim = 2759;
CMD_WizDraw = 2760;
CMD_WizProp = 2761;
CMD_DwgMove = 2762;
CMD_OSnapMode = 2770;
CMD_OSnapType = 2771;
CMD_OSnapPreview = 2772;
CMD_ApertureMode = 2773;
CMD_RSEndPoint = 2774;
CMD_RSObject = 2775;
CMD_RSMidPoint = 2776;
CMD_RSIntersec = 2777;
CMD_RSPerpend = 2778;
CMD_RSTangent = 2779;
CMD_RSPercent = 2780;
CMD_RSQuadrant = 2781;
CMD_RSCenter = 2782;
CMD_RSAll = 2783;
CMD_Solid = 2784;
CMD_FilletPreview = 2785;
CMD_FixedOffset = 2786;
CMD_RSGrid = 2787;
CMD_RSApertureMode = 2788;
CMD_DrawLineMid = 2800;
CMD_UserAlert = 2801;
CMD_ToolScriptRun = 2802;
CMD_AutoProperties = 2803;
CMD_SendAlert = 2804;
CMD_UnitDimensionInch = 2831;
CMD_UnitDimensionFeet = 2832;
CMD_UnitDimensionFeetInch = 2833;
CMD_UnitDimensionMile = 2834;
CMD_UnitDimensionFracInch = 2835;
CMD_UnitDimensionFracFeet = 2836;
CMD_UnitDimensionFracFeetInch = 2837;
CMD_UnitDimensionMM = 2838;
CMD_UnitDimensionCM = 2839;
CMD_UnitDimensionMeter = 2840;
CMD_UnitDimensionKilo = 2841;
CMD_UnitSecondaryInch = 2931;
CMD_UnitSecondaryFeet = 2932;
CMD_UnitSecondaryFeetInch = 2933;
CMD_UnitSecondaryMile = 2934;
CMD_UnitSecondaryFracInch = 2935;
CMD_UnitSecondaryFracFeet = 2936;
CMD_UnitSecondaryFracFeetInch = 2937;
CMD_UnitSecondaryMM = 2938;
CMD_UnitSecondaryCM = 2939;
CMD_UnitSecondaryMeter = 2940;
CMD_UnitSecondaryKilo = 2941;
CMD_DrawFirst = 2950;
CMD_DrawLast = 2951;
CMD_DrawAfter = 2952;
CMD_DrawBefore = 2953;
CMD_SpellCheck = 2960;
CMD_SpellOptions = 2961;
CMD_ConfigEdit = 2965;
CMD_SetCfgEditor = 2966;
CMD_HatchChangeDlg = 2967;
CMD_EditPasteSpecial = 2968;
CMD_SpellCheckDlg = 2969;
CMD_NameViewCombo = 2970;
CMD_Persist = 2971;
CMD_DllRunNET = 2972;
CMD_FillChangeDlg = 2973;
CMD_SymbolChangeDlg = 2974;
CMD_BezEdit_MoveNodeOnly = 3001;
CMD_BezEdit_MoveNodeAndControls = 3002;
CMD_BezEdit_ApplyBCSmoothing = 3003;
CMD_BezEdit_ApplyCVSmoothing = 3004;
CMD_BezEdit_ApplyTangentSmoothing = 3005;
CMD_BezEdit_MoveControlOnly = 3006;
CMD_BezEdit_MoveControlAngleOnly = 3007;
CMD_BezEdit_MoveControlDistanceOnly = 3008;
CMD_BezEdit_MoveBothControls = 3009;
CMD_BezEdit_ApplyMatchTangent = 3010;
CMD_BezEdit_MoveTwoNodesOnly = 3011;
CMD_BezEdit_MoveTwoNodesAndControls = 3012;
TOKENTOOLLAST = 3100;
TOKENOTHERFIRST = 3101;
CMD_Base = 3101;
ID_Message = 3101;
ID_UpdateByExampleInspector = 3101;
ID_UpdateByExample = 3102;
ID_OpenToolbar = 3103;
ID_StatusBar = 3104;
ID_StatusBarToggles = 3105;
ID_OpenLeftToolbar = 3106;
ID_CreateToolDialog = 3107;
ID_DeleteToolDialog = 3108;
MSG_EditChange = 3109;
ID_UpdateControls = 3110;
ID_CurrDlgMessage = 3111;
MSG_DisplayDlgValues = 3112;
MSG_EditComplete = 3113;
ID_AbortCurrentDialog = 3114;
MSG_EditAbort = 3115;
MSG_DispatchNextPoint = 3116;
MSG_DispatchCommand = 3117;
ID_ProcessTool = 3118;
ID_CreateDialogModeless = 3119;
ID_OpenLastDrawing1 = 3120;
ID_OpenLastDrawing2 = 3121;
ID_OpenLastDrawing3 = 3122;
ID_OpenLastDrawing4 = 3123;
ID_OpenLastDrawing5 = 3124;
ID_OpenLastDrawing6 = 3125;
ID_OpenLastDrawing7 = 3126;
ID_OpenLastDrawing8 = 3127;
ID_OpenLastDrawing9 = 3128;
ID_OpenLastDrawing10 = 3129;
ID_OpenLastDrawing11 = 3130;
ID_OpenLastDrawing12 = 3131;
ID_OpenLastDrawing13 = 3132;
ID_OpenLastDrawing14 = 3133;
ID_OpenLastDrawing15 = 3134;
ID_OpenLastDrawing16 = 3135;
ID_CreateToolDialogWithId = 3136;
ID_GetDialogFromId = 3137;
ID_DisplayValues = 3138;
ID_CreateToolModal = 3140;
ID_CreateToolModalWithId = 3141;
ID_CreateDialogModal = 3142;
ID_UpdateManager = 3143;
ID_AllWorldsDestroyed = 3144;
MSG_METERSTART = 3145;
MSG_METERSTOP = 3146;
MSG_METERSTEP = 3147;
ID_DeleteDialog = 3148;
MSG_ReleaseMouseMenu = 3149;
MSG_RegenMerge = 3150;
MSG_DrawEntity = 3151;
MSG_UpdateBirdsEyeView = 3152;
MSG_DIGPOINT = 3154;
ID_UpdateProperties = 3155;
ID_UpdateByExampleMulti = 3156;
ID_HatchErrorDlg = 3157;
ID_CheckMessageBox = 3158;
ID_CreateFromDrag = 3160;
ID_AbortCreateFromDrag = 3161;
ID_GetHandlePoint = 3162;
ID_PersistentTools = 3170;
ID_MenuShortcuts = 3171;
CMD_BTProperty = 3172;
CMD_FilterFromSelectionRibalog = 3173;
CMD_SelectionRibalogWithId = 3174;
CMD_SelLayerFromSelectionRibalog = 3175;
CMD_VCF = 3176;
CMD_TrueType = 3177;
CMD_Maximize = 3178;
CMD_MaximizeDn = 3179;
ID_OpenMDITabs = 3180;
CMD_OleManager = 3181;
CMD_Misc = 3301;
CMD_FontName = 3308;
DBaseDlgReset = 3309;
ID_RestoreToolbar = 3310;
CMD_DlgOk = 3315;
CMD_DlgMatch = 3316;
CMD_DefaultTool = 3329;
CMD_ShowAngle2 = 3333;
CMD_ShowAngle3 = 3334;
CMD_ShowDist = 3335;
CMD_AutomationMacro = 3344;
CMD_AttributeEmbedDlg = 3368;
CMD_AttributeCreateDlg = 3369;
CMD_AttributeAttachDlg = 3370;
CMD_AttributeEditDlg = 3372;
CMD_UpdateControls = 3373;
CMD_OLEDrawingDirty = 3374;
ID_MESSAGE = 3376;
CMD_ShowHidLayerMsg = 3377;
CMD_GetUpdate = 3378;
CMD_UpdateSettings = 3379;
CMD_ExportXML = 3380;
CMD_ImportXML = 3381;
CMD_ExportCADD = 3382;
CMD_ImportCADD = 3383;
CMD_PromptVCDName = 3384;
CMD_StyleDlg2 = 3391;
CMD_EditCopyRef = 3392;
CMD_EditCutRef = 3393;
CMD_RFOpenReference = 3394;
CMD_WindowCloseExcept = 3401;
ID_VISUAL_MGR_WIN_2000 = 3411;
ID_VISUAL_MGR_OFF_XP = 3412;
ID_VISUAL_MGR_WIN_XP = 3413;
ID_VISUAL_MGR_OFF_2003 = 3414;
ID_VISUAL_MGR_VS_2005 = 3415;
ID_VISUAL_MGR_VS_2008 = 3416;
ID_VISUAL_MGR_OFF_2007_BLUE = 3417;
ID_VISUAL_MGR_OFF_2007_BLACK = 3418;
ID_VISUAL_MGR_OFF_2007_SILVER = 3419;
ID_VISUAL_MGR_OFF_2007_AQUA = 3420;
ID_VISUAL_MGR_WINDOWS_7 = 3421;
ID_VISUAL_MGR_VCADD_8 = 3422;
NonToolBase = 6101;
CMD_DrawingSettings = 6101;
CMD_RPolygonNSides3 = 6106;
CMD_RPolygonNSides4 = 6107;
CMD_RPolygonNSides5 = 6108;
CMD_RPolygonNSides6 = 6109;
CMD_RPolygonNSides7 = 6110;
CMD_RPolygonNSides8 = 6111;
CMD_RPolygonNSides9 = 6112;
CMD_RPolygonNSides10 = 6113;
CMD_RPolygonNSides11 = 6114;
CMD_RPolygonNSides12 = 6115;
CMD_LeftJustify = 6117;
CMD_LeftJustifyDn = 6118;
CMD_CenterJustify = 6119;
CMD_CenterJustifyDn = 6120;
CMD_RightJustify = 6121;
CMD_RightJustifyDn = 6122;
CMD_Bold = 6123;
CMD_BoldDn = 6124;
CMD_Italic = 6125;
CMD_ItalicDn = 6126;
CMD_MEAbsolute = 6127;
CMD_MERelative = 6128;
CMD_MEBasepoint = 6129;
CMD_RPolygonInscribed = 6130;
CMD_Underline = 6131;
CMD_UnderlineDn = 6132;
CMD_Strikeout = 6133;
CMD_Bool = 6501;
NonToolBaseEnd = 6601;
LASTVALIDTOKEN = 6601;
ScriptBase = 6602;
CMD_Script001 = 6603;
ScriptLast = 8652;
ID_OLE_INSERT_NEW = 57856;
ID_OLE_EDIT_LINKS = 57857;
ID_OLE_VERB_FIRST = 57872;
ID_EDIT_PASTE = 57637;
ID_FILE_MRU_FILE1 = 57616;
