{/*SDOC*************************************************************

  Module: VCDLG32.pas

  Copyright (C) 2022 Gold Run Partners, Inc.  All rights reserved.

  Revision Date: 6 Feb 2022

*************************************************************EDOC*/}

unit VCDLG32;

interface

uses Windows, VCType32;

function VCLoadVCDLG32: boolean;
procedure VCFreeVCDLG32;
procedure VCAddPlotter (var iError: SmallInt; szPlotterName: PAnsiChar); stdcall;
procedure VCAddPlotterLanguageName (var iError: SmallInt; szLanguageName: PAnsiChar); stdcall;
procedure VCAddPlotterPageSize (var iError: SmallInt; var pPageSize: Point2D); stdcall;
procedure VCAddPlotterPenMapName (var iError: SmallInt; szPenMapName: PAnsiChar); stdcall;
procedure VCApplyPlotterLanguageDefaults (var iError: SmallInt); stdcall;
procedure VCApplyPlotterPenMapDefaults (var iError: SmallInt); stdcall;
procedure VCBirdsEye (var iError: SmallInt; iDisplayMode: SmallInt); stdcall;
procedure VCChangeRefFrameNameDlg (var iError: SmallInt); stdcall;
procedure VCChangeRibalog; stdcall;
procedure VCCloseRibalog (var iError: SmallInt); stdcall;
procedure VCDBLineSettingsRibalog; stdcall;
procedure VCDeInitPrintMode (var iError: SmallInt); stdcall;
procedure VCDimArrowRibalog; stdcall;
procedure VCDimDisplayRibalog; stdcall;
procedure VCDimExtRibalog; stdcall;
procedure VCDimLeaderRibalog; stdcall;
procedure VCDimLineRibalog; stdcall;
procedure VCDimStringsRibalog; stdcall;
procedure VCDimTextRibalog; stdcall;
procedure VCDimToleranceRibalog; stdcall;
procedure VCFilletRadiusRibalog; stdcall;
procedure VCFilterRibalog; stdcall;
function VCGetCurrentPrinter (var iError: SmallInt; szPrinter: PAnsiChar): SmallInt; stdcall;
function VCGetDefaultPrinter (var iError: SmallInt; szDefaultPrinter: PAnsiChar): SmallInt; stdcall;
function VCGetDialogFromId (id: Word): THandle; stdcall;
procedure VCGetPlotSettings (var iError: SmallInt; var pSettings: PlotStruct); stdcall;
function VCGetPlotterCount (var iError: SmallInt): SmallInt; stdcall;
function VCGetPlotterCurrentLanguageName (var iError: SmallInt; szLanguageName: PAnsiChar): SmallInt; stdcall;
procedure VCGetPlotterCurrentPageSize (var iError: SmallInt; var iIndex: SmallInt; var pPaperSize: Point2D); stdcall;
function VCGetPlotterCurrentPenMapName (var iError: SmallInt; szPenMapName: PAnsiChar): SmallInt; stdcall;
function VCGetPlotterDeInitString (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
function VCGetPlotterDelimiter (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
function VCGetPlotterInitString (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
function VCGetPlotterLanguageCount (var iError: SmallInt): SmallInt; stdcall;
function VCGetPlotterLanguageName (var iError: SmallInt; iIndex: SmallInt; szLanguageName: PAnsiChar): SmallInt; stdcall;
procedure VCGetPlotterPageSize (var iError: SmallInt; iIndex: SmallInt; var pPaperSize: Point2D); stdcall;
function VCGetPlotterPageSizeCount (var iError: SmallInt): SmallInt; stdcall;
function VCGetPlotterPenChangeString (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
function VCGetPlotterPenDownString (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
function VCGetPlotterPenDrawString (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
function VCGetPlotterPenMapCount (var iError: SmallInt): SmallInt; stdcall;
function VCGetPlotterPenMapName (var iError: SmallInt; iIndex: SmallInt; szPenMapName: PAnsiChar): SmallInt; stdcall;
procedure VCGetPlotterPenMapping (var iError: SmallInt; iColor: SmallInt; var iPen: SmallInt; var dWidth: Double; var iSpeed: SmallInt); stdcall;
function VCGetPlotterPenMoveString (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
function VCGetPlotterPenSpeedString (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
function VCGetPlotterPenUpString (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
procedure VCGetPrintSettings (var iError: SmallInt; var pSettings: PrintStruct); stdcall;
function VCGetPrinterName (var iError: SmallInt; iIndex: SmallInt; szPrinter: PAnsiChar): SmallInt; stdcall;
function VCGetPrinterNameCount (var iError: SmallInt): SmallInt; stdcall;
procedure VCGetRibalogSize (var iError: SmallInt; var ipOrg: iPoint2D; var ipSize: iPoint2D); stdcall;
function VCGetSpecificPrinter (var iError: SmallInt; szSpecificPrinter: PAnsiChar): SmallInt; stdcall;
procedure VCGetStatusBarSize (var iError: SmallInt; var ipOrg: iPoint2D; var ipSize: iPoint2D); stdcall;
function VCGetToolbar (i: SmallInt): THandle; stdcall;
function VCGetTopTool: THandle; stdcall;
function VCGetUseHPGL2 (var iError: SmallInt): WordBool; stdcall;
procedure VCHatchSettingsRibalog; stdcall;
procedure VCInitDialogs; stdcall;
procedure VCInitPrintMode (var iError: SmallInt; iPrintMode: SmallInt); stdcall;
procedure VCLayerMgr (var iError: SmallInt); stdcall;
procedure VCLoadCmdExt (szFile: PAnsiChar; var iError: SmallInt); stdcall;
procedure VCLoadMainSpeedbar (szFile: PAnsiChar; var iError: SmallInt); stdcall;
procedure VCLoadPlotterDriver (var iError: SmallInt; szName: PAnsiChar); stdcall;
procedure VCLoadPlotterLanguage (var iError: SmallInt; szName: PAnsiChar); stdcall;
procedure VCLoadPlotterPenMap (var iError: SmallInt; szName: PAnsiChar); stdcall;
procedure VCLoadToolPalette (szFile: PAnsiChar; var iError: SmallInt); stdcall;
procedure VCMeasureAngleRibalog; stdcall;
procedure VCMeasureAreaRibalog; stdcall;
procedure VCMeasureDistRibalog; stdcall;
procedure VCModalDlg (var iError: SmallInt; cmd_id: LongInt); stdcall;
procedure VCNoDrawingSpeedbar (var iError: SmallInt); stdcall;
procedure VCObjectInfo (var iError: SmallInt); stdcall;
procedure VCOffsetRibalog; stdcall;
procedure VCOrthoAngleRibalog; stdcall;
procedure VCPlot (var iError: SmallInt); stdcall;
procedure VCPlotDlg (var iError: SmallInt); stdcall;
procedure VCPrint (var iError: SmallInt); stdcall;
procedure VCPrintDlg (var iError: SmallInt); stdcall;
procedure VCPropertiesRibalog; stdcall;
procedure VCRFBirdsEye (var iError: SmallInt); stdcall;
procedure VCRFLayerMgr (var iError: SmallInt); stdcall;
function VCRIsButtonDown (var iError: SmallInt; szNative: PAnsiChar; id: Word): WordBool; stdcall;
procedure VCRemovePlotterPageSize (var iError: SmallInt; iIndex: SmallInt); stdcall;
procedure VCResetCmdExt (var iError: SmallInt); stdcall;
procedure VCResetPrintMargins (var iError: SmallInt); stdcall;
procedure VCSavePlotterDriver (var iError: SmallInt; szName: PAnsiChar); stdcall;
procedure VCSavePlotterLanguage (var iError: SmallInt; szName: PAnsiChar); stdcall;
procedure VCSavePlotterPenMap (var iError: SmallInt; szName: PAnsiChar); stdcall;
procedure VCScriptAssignRibalog; stdcall;
procedure VCSetDefaultPrinter (var iError: SmallInt; szDefaultPrinter: PAnsiChar); stdcall;
procedure VCSetDialogFrameHwnd (hWndFrame: THandle); stdcall;
procedure VCSetEmbedded (tfEmbedded: WordBool); stdcall;
procedure VCSetPlotSettings (var iError: SmallInt; var pSettings: PlotStruct); stdcall;
procedure VCSetPlotterCurrentLanguageIndex (var iError: SmallInt; iIndex: SmallInt); stdcall;
procedure VCSetPlotterCurrentLanguageName (var iError: SmallInt; szLanguageName: PAnsiChar); stdcall;
procedure VCSetPlotterCurrentPageSize (var iError: SmallInt; iIndex: SmallInt); stdcall;
procedure VCSetPlotterCurrentPenMapIndex (var iError: SmallInt; iIndex: SmallInt); stdcall;
procedure VCSetPlotterCurrentPenMapName (var iError: SmallInt; szPenMapName: PAnsiChar); stdcall;
procedure VCSetPlotterDeInitString (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetPlotterDelimiter (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetPlotterInitString (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetPlotterPenChangeString (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetPlotterPenDownString (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetPlotterPenDrawString (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetPlotterPenMapping (var iError: SmallInt; iColor: SmallInt; iPen: SmallInt; dWidth: Double; iSpeed: SmallInt); stdcall;
procedure VCSetPlotterPenMoveString (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetPlotterPenSpeedString (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetPlotterPenUpString (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetPrintSettings (var iError: SmallInt; var pSettings: PrintStruct); stdcall;
procedure VCSetRefFrameNameDlg (var iError: SmallInt); stdcall;
procedure VCSetSpecificPrinter (var iError: SmallInt; szSpecificPrinter: PAnsiChar); stdcall;
procedure VCSetUseHPGL2 (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSymCreateRibalog; stdcall;
procedure VCSymPlaceRibalog; stdcall;
procedure VCSymbolMgr (var iError: SmallInt); stdcall;
procedure VCTerminateDialogs; stdcall;
procedure VCTextLineRibalog; stdcall;
procedure VCTextSettingsRibalog; stdcall;
procedure VCUpdateBirdseyeView (var iError: SmallInt; tfRefresh: WordBool); stdcall;
procedure VCUpdateDialog (var iError: SmallInt); stdcall;
procedure VCAddPrintPreset (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
procedure VCDeletePrintPreset (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
procedure VCSetCurrentPrintPreset (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
function VCGetCurrentPrintPreset (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetDevice (var iError: SmallInt; szPresetName: PAnsiChar; szDevice: PAnsiChar); stdcall;
function VCGetPrintPresetDevice (var iError: SmallInt; szPresetName: PAnsiChar; szDevice: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetPageWidth (var iError: SmallInt; szPresetName: PAnsiChar; dPageWidth: Double); stdcall;
function VCGetPrintPresetPageWidth (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
procedure VCSetPrintPresetPageHeight (var iError: SmallInt; szPresetName: PAnsiChar; dPageHeight: Double); stdcall;
function VCGetPrintPresetPageHeight (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
procedure VCSetPrintPresetMarginLeft (var iError: SmallInt; szPresetName: PAnsiChar; dMarginLeft: Double); stdcall;
function VCGetPrintPresetMarginLeft (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
procedure VCSetPrintPresetMarginBottom (var iError: SmallInt; szPresetName: PAnsiChar; dMarginBottom: Double); stdcall;
function VCGetPrintPresetMarginBottom (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
procedure VCSetPrintPresetMarginRight (var iError: SmallInt; szPresetName: PAnsiChar; dMarginRight: Double); stdcall;
function VCGetPrintPresetMarginRight (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
procedure VCSetPrintPresetMarginTop (var iError: SmallInt; szPresetName: PAnsiChar; dMarginTop: Double); stdcall;
function VCGetPrintPresetMarginTop (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
procedure VCSetPrintPresetPrintScale (var iError: SmallInt; szPresetName: PAnsiChar; dPrintScale: Double); stdcall;
function VCGetPrintPresetPrintScale (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
procedure VCSetPrintPresetOriginBP (var iError: SmallInt; szPresetName: PAnsiChar; var pOrigin: Point2D); stdcall;
procedure VCGetPrintPresetOriginBP (var iError: SmallInt; szPresetName: PAnsiChar; var pOrigin: Point2D); stdcall;
procedure VCSetPrintPresetOriginX (var iError: SmallInt; szPresetName: PAnsiChar; dOriginX: Double); stdcall;
function VCGetPrintPresetOriginX (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
procedure VCSetPrintPresetOriginY (var iError: SmallInt; szPresetName: PAnsiChar; dOriginY: Double); stdcall;
function VCGetPrintPresetOriginY (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
procedure VCSetPrintPresetPrintView (var iError: SmallInt; szPresetName: PAnsiChar; nPrintView: LongInt); stdcall;
function VCGetPrintPresetPrintView (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetLandscape (var iError: SmallInt; szPresetName: PAnsiChar; tfLandscape: WordBool); stdcall;
function VCGetPrintPresetLandscape (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
procedure VCSetPrintPresetCopies (var iError: SmallInt; szPresetName: PAnsiChar; nCopies: LongInt); stdcall;
function VCGetPrintPresetCopies (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetRotation (var iError: SmallInt; szPresetName: PAnsiChar; dRotation: Double); stdcall;
function VCGetPrintPresetRotation (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
procedure VCSetPrintPresetMetric (var iError: SmallInt; szPresetName: PAnsiChar; tfMetric: WordBool); stdcall;
function VCGetPrintPresetMetric (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
procedure VCSetPrintPresetFastRedraw (var iError: SmallInt; szPresetName: PAnsiChar; tfFastRedraw: WordBool); stdcall;
function VCGetPrintPresetFastRedraw (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
procedure VCSetPrintPresetPrintSelected (var iError: SmallInt; szPresetName: PAnsiChar; tfPrintSelected: WordBool); stdcall;
function VCGetPrintPresetPrintSelected (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
procedure VCSetPrintPresetPrintToFile (var iError: SmallInt; szPresetName: PAnsiChar; tfPrintToFile: WordBool); stdcall;
function VCGetPrintPresetPrintToFile (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
procedure VCSetPrintPresetDateStamp (var iError: SmallInt; szPresetName: PAnsiChar; tfDateStamp: WordBool); stdcall;
function VCGetPrintPresetDateStamp (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
procedure VCSetPrintPresetAllToBlack (var iError: SmallInt; szPresetName: PAnsiChar; iColorOption: SmallInt); stdcall;
function VCGetPrintPresetAllToBlack (var iError: SmallInt; szPresetName: PAnsiChar): SmallInt; stdcall;
procedure VCSetPrintPresetLW0HasWidth (var iError: SmallInt; szPresetName: PAnsiChar; tfLW0HasWidth: WordBool); stdcall;
function VCGetPrintPresetLW0HasWidth (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
procedure VCSetPrintPresetLineWidth (var iError: SmallInt; szPresetName: PAnsiChar; dLineWidth: Double); stdcall;
function VCGetPrintPresetLineWidth (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
procedure VCSetPrintPresetMovePage (var iError: SmallInt; szPresetName: PAnsiChar; tfMovePage: WordBool); stdcall;
function VCGetPrintPresetMovePage (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
procedure VCSetPrintPresetShowPreview (var iError: SmallInt; szPresetName: PAnsiChar; tfShowPreview: WordBool); stdcall;
function VCGetPrintPresetShowPreview (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
procedure VCSetPrintPresetPaperSize (var iError: SmallInt; szPresetName: PAnsiChar; nPaperSize: LongInt); stdcall;
function VCGetPrintPresetPaperSize (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetPaperLength (var iError: SmallInt; szPresetName: PAnsiChar; nPaperLength: LongInt); stdcall;
function VCGetPrintPresetPaperLength (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetPaperWidth (var iError: SmallInt; szPresetName: PAnsiChar; nPaperWidth: LongInt); stdcall;
function VCGetPrintPresetPaperWidth (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetAlwaysCenter (var iError: SmallInt; szPresetName: PAnsiChar; tfAlwaysCenter: WordBool); stdcall;
function VCGetPrintPresetAlwaysCenter (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
procedure VCSetPrintPresetStampFormat (var iError: SmallInt; szPresetName: PAnsiChar; nStampFormat: LongInt); stdcall;
function VCGetPrintPresetStampFormat (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetStampFontSize (var iError: SmallInt; szPresetName: PAnsiChar; nStampFontSize: LongInt); stdcall;
function VCGetPrintPresetStampFontSize (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetStampLocation (var iError: SmallInt; szPresetName: PAnsiChar; nStampLocation: LongInt); stdcall;
function VCGetPrintPresetStampLocation (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetStampFont (var iError: SmallInt; szPresetName: PAnsiChar; szStampFont: PAnsiChar); stdcall;
function VCGetPrintPresetStampFont (var iError: SmallInt; szPresetName: PAnsiChar; szStampFont: PAnsiChar): LongInt; stdcall;
procedure VCPrintNoDlg (var iError: SmallInt); stdcall;
procedure VCDrawCurrentEntityToHWND (var iError: SmallInt; hWnd_: THandle); stdcall;
function VCEnumPrintPresets (var iError: SmallInt; szList: PAnsiChar): LongInt; stdcall;
procedure VCLoadMenu (var iError: SmallInt; szMenu: PAnsiChar); stdcall;
function VCGetPrintPresetPrintWatermark (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
procedure VCSetPrintPresetPrintWatermark (var iError: SmallInt; szPresetName: PAnsiChar; tfPrintWatermark: WordBool); stdcall;
function VCGetPrintPresetWatermark (var iError: SmallInt; szPresetName: PAnsiChar; szWatermark: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetWatermark (var iError: SmallInt; szPresetName: PAnsiChar; szWatermark: PAnsiChar); stdcall;
function VCGetPrintPresetWatermarkGray (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetWatermarkGray (var iError: SmallInt; szPresetName: PAnsiChar; iWatermarkGray: LongInt); stdcall;
procedure VCLoadStatusBar (szFile: PAnsiChar; var iError: SmallInt); stdcall;
function VCGetPrintPresetStampCustom (var iError: SmallInt; szPresetName: PAnsiChar; szStamp: PAnsiChar): LongInt; stdcall;
procedure VCSetPrintPresetStampCustom (var iError: SmallInt; szPresetName: PAnsiChar; szStamp: PAnsiChar); stdcall;
function VCGetScaledDialogTemplate (var iError: SmallInt; hModule: THandle; ID: LongInt; var pTemplate: Byte; uScale: LongWord): LongWord; stdcall;
procedure VCSettingsDlg (var iError: SmallInt; hOwner: THandle; wID: Word); stdcall;
procedure VCCopyPrintPreset (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;

implementation

var hInst: THandle;

function VCLoadVCDLG32: boolean;
begin
  hInst := LoadLibrary('VCDLG32.DLL');
  result := hInst <> 0;
end;

procedure VCFreeVCDLG32;
begin
  if hInst <> 0 then
    FreeLibrary(hInst);
end;

procedure VCAddPlotter (var iError: SmallInt; szPlotterName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPlotterName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddPlotter');
    if @aproc <> nil then
      aproc(iError, szPlotterName);
  end;
end;

procedure VCAddPlotterLanguageName (var iError: SmallInt; szLanguageName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szLanguageName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddPlotterLanguageName');
    if @aproc <> nil then
      aproc(iError, szLanguageName);
  end;
end;

procedure VCAddPlotterPageSize (var iError: SmallInt; var pPageSize: Point2D);
type TVCProc = procedure (var iError: SmallInt; var pPageSize: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddPlotterPageSize');
    if @aproc <> nil then
      aproc(iError, pPageSize);
  end;
end;

procedure VCAddPlotterPenMapName (var iError: SmallInt; szPenMapName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPenMapName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddPlotterPenMapName');
    if @aproc <> nil then
      aproc(iError, szPenMapName);
  end;
end;

procedure VCApplyPlotterLanguageDefaults (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCApplyPlotterLanguageDefaults');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCApplyPlotterPenMapDefaults (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCApplyPlotterPenMapDefaults');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCBirdsEye (var iError: SmallInt; iDisplayMode: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iDisplayMode: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCBirdsEye');
    if @aproc <> nil then
      aproc(iError, iDisplayMode);
  end;
end;

procedure VCChangeRefFrameNameDlg (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCChangeRefFrameNameDlg');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCChangeRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCChangeRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCCloseRibalog (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCloseRibalog');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCDBLineSettingsRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDBLineSettingsRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCDeInitPrintMode (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDeInitPrintMode');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCDimArrowRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimArrowRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCDimDisplayRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimDisplayRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCDimExtRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimExtRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCDimLeaderRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimLeaderRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCDimLineRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimLineRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCDimStringsRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimStringsRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCDimTextRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimTextRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCDimToleranceRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimToleranceRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCFilletRadiusRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCFilletRadiusRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCFilterRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCFilterRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

function VCGetCurrentPrinter (var iError: SmallInt; szPrinter: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPrinter: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentPrinter');
    if @aproc <> nil then
      result := aproc(iError, szPrinter);
  end;
end;

function VCGetDefaultPrinter (var iError: SmallInt; szDefaultPrinter: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szDefaultPrinter: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDefaultPrinter');
    if @aproc <> nil then
      result := aproc(iError, szDefaultPrinter);
  end;
end;

function VCGetDialogFromId (id: Word): THandle;
type TVCProc = function (id: Word): THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDialogFromId');
    if @aproc <> nil then
      result := aproc(id);
  end;
end;

procedure VCGetPlotSettings (var iError: SmallInt; var pSettings: PlotStruct);
type TVCProc = procedure (var iError: SmallInt; var pSettings: PlotStruct); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotSettings');
    if @aproc <> nil then
      aproc(iError, pSettings);
  end;
end;

function VCGetPlotterCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetPlotterCurrentLanguageName (var iError: SmallInt; szLanguageName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szLanguageName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterCurrentLanguageName');
    if @aproc <> nil then
      result := aproc(iError, szLanguageName);
  end;
end;

procedure VCGetPlotterCurrentPageSize (var iError: SmallInt; var iIndex: SmallInt; var pPaperSize: Point2D);
type TVCProc = procedure (var iError: SmallInt; var iIndex: SmallInt; var pPaperSize: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterCurrentPageSize');
    if @aproc <> nil then
      aproc(iError, iIndex, pPaperSize);
  end;
end;

function VCGetPlotterCurrentPenMapName (var iError: SmallInt; szPenMapName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPenMapName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterCurrentPenMapName');
    if @aproc <> nil then
      result := aproc(iError, szPenMapName);
  end;
end;

function VCGetPlotterDeInitString (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterDeInitString');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

function VCGetPlotterDelimiter (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterDelimiter');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

function VCGetPlotterInitString (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterInitString');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

function VCGetPlotterLanguageCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterLanguageCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetPlotterLanguageName (var iError: SmallInt; iIndex: SmallInt; szLanguageName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt; szLanguageName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterLanguageName');
    if @aproc <> nil then
      result := aproc(iError, iIndex, szLanguageName);
  end;
end;

procedure VCGetPlotterPageSize (var iError: SmallInt; iIndex: SmallInt; var pPaperSize: Point2D);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; var pPaperSize: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterPageSize');
    if @aproc <> nil then
      aproc(iError, iIndex, pPaperSize);
  end;
end;

function VCGetPlotterPageSizeCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterPageSizeCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetPlotterPenChangeString (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterPenChangeString');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

function VCGetPlotterPenDownString (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterPenDownString');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

function VCGetPlotterPenDrawString (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterPenDrawString');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

function VCGetPlotterPenMapCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterPenMapCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetPlotterPenMapName (var iError: SmallInt; iIndex: SmallInt; szPenMapName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt; szPenMapName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterPenMapName');
    if @aproc <> nil then
      result := aproc(iError, iIndex, szPenMapName);
  end;
end;

procedure VCGetPlotterPenMapping (var iError: SmallInt; iColor: SmallInt; var iPen: SmallInt; var dWidth: Double; var iSpeed: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iColor: SmallInt; var iPen: SmallInt; var dWidth: Double; var iSpeed: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterPenMapping');
    if @aproc <> nil then
      aproc(iError, iColor, iPen, dWidth, iSpeed);
  end;
end;

function VCGetPlotterPenMoveString (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterPenMoveString');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

function VCGetPlotterPenSpeedString (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterPenSpeedString');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

function VCGetPlotterPenUpString (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPlotterPenUpString');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

procedure VCGetPrintSettings (var iError: SmallInt; var pSettings: PrintStruct);
type TVCProc = procedure (var iError: SmallInt; var pSettings: PrintStruct); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintSettings');
    if @aproc <> nil then
      aproc(iError, pSettings);
  end;
end;

function VCGetPrinterName (var iError: SmallInt; iIndex: SmallInt; szPrinter: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt; szPrinter: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrinterName');
    if @aproc <> nil then
      result := aproc(iError, iIndex, szPrinter);
  end;
end;

function VCGetPrinterNameCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrinterNameCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetRibalogSize (var iError: SmallInt; var ipOrg: iPoint2D; var ipSize: iPoint2D);
type TVCProc = procedure (var iError: SmallInt; var ipOrg: iPoint2D; var ipSize: iPoint2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRibalogSize');
    if @aproc <> nil then
      aproc(iError, ipOrg, ipSize);
  end;
end;

function VCGetSpecificPrinter (var iError: SmallInt; szSpecificPrinter: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szSpecificPrinter: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSpecificPrinter');
    if @aproc <> nil then
      result := aproc(iError, szSpecificPrinter);
  end;
end;

procedure VCGetStatusBarSize (var iError: SmallInt; var ipOrg: iPoint2D; var ipSize: iPoint2D);
type TVCProc = procedure (var iError: SmallInt; var ipOrg: iPoint2D; var ipSize: iPoint2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetStatusBarSize');
    if @aproc <> nil then
      aproc(iError, ipOrg, ipSize);
  end;
end;

function VCGetToolbar (i: SmallInt): THandle;
type TVCProc = function (i: SmallInt): THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetToolbar');
    if @aproc <> nil then
      result := aproc(i);
  end;
end;

function VCGetTopTool: THandle;
type TVCProc = function: THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTopTool');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetUseHPGL2 (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUseHPGL2');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCHatchSettingsRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCHatchSettingsRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCInitDialogs;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCInitDialogs');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCInitPrintMode (var iError: SmallInt; iPrintMode: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iPrintMode: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCInitPrintMode');
    if @aproc <> nil then
      aproc(iError, iPrintMode);
  end;
end;

procedure VCLayerMgr (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLayerMgr');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCLoadCmdExt (szFile: PAnsiChar; var iError: SmallInt);
type TVCProc = procedure (szFile: PAnsiChar; var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLoadCmdExt');
    if @aproc <> nil then
      aproc(szFile, iError);
  end;
end;

procedure VCLoadMainSpeedbar (szFile: PAnsiChar; var iError: SmallInt);
type TVCProc = procedure (szFile: PAnsiChar; var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLoadMainSpeedbar');
    if @aproc <> nil then
      aproc(szFile, iError);
  end;
end;

procedure VCLoadPlotterDriver (var iError: SmallInt; szName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLoadPlotterDriver');
    if @aproc <> nil then
      aproc(iError, szName);
  end;
end;

procedure VCLoadPlotterLanguage (var iError: SmallInt; szName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLoadPlotterLanguage');
    if @aproc <> nil then
      aproc(iError, szName);
  end;
end;

procedure VCLoadPlotterPenMap (var iError: SmallInt; szName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLoadPlotterPenMap');
    if @aproc <> nil then
      aproc(iError, szName);
  end;
end;

procedure VCLoadToolPalette (szFile: PAnsiChar; var iError: SmallInt);
type TVCProc = procedure (szFile: PAnsiChar; var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLoadToolPalette');
    if @aproc <> nil then
      aproc(szFile, iError);
  end;
end;

procedure VCMeasureAngleRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCMeasureAngleRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCMeasureAreaRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCMeasureAreaRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCMeasureDistRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCMeasureDistRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCModalDlg (var iError: SmallInt; cmd_id: LongInt);
type TVCProc = procedure (var iError: SmallInt; cmd_id: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCModalDlg');
    if @aproc <> nil then
      aproc(iError, cmd_id);
  end;
end;

procedure VCNoDrawingSpeedbar (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCNoDrawingSpeedbar');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCObjectInfo (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCObjectInfo');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCOffsetRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCOffsetRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCOrthoAngleRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCOrthoAngleRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCPlot (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPlot');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCPlotDlg (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPlotDlg');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCPrint (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPrint');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCPrintDlg (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPrintDlg');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCPropertiesRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPropertiesRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCRFBirdsEye (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFBirdsEye');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCRFLayerMgr (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFLayerMgr');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

function VCRIsButtonDown (var iError: SmallInt; szNative: PAnsiChar; id: Word): WordBool;
type TVCProc = function (var iError: SmallInt; szNative: PAnsiChar; id: Word): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRIsButtonDown');
    if @aproc <> nil then
      result := aproc(iError, szNative, id);
  end;
end;

procedure VCRemovePlotterPageSize (var iError: SmallInt; iIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRemovePlotterPageSize');
    if @aproc <> nil then
      aproc(iError, iIndex);
  end;
end;

procedure VCResetCmdExt (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCResetCmdExt');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCResetPrintMargins (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCResetPrintMargins');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSavePlotterDriver (var iError: SmallInt; szName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSavePlotterDriver');
    if @aproc <> nil then
      aproc(iError, szName);
  end;
end;

procedure VCSavePlotterLanguage (var iError: SmallInt; szName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSavePlotterLanguage');
    if @aproc <> nil then
      aproc(iError, szName);
  end;
end;

procedure VCSavePlotterPenMap (var iError: SmallInt; szName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSavePlotterPenMap');
    if @aproc <> nil then
      aproc(iError, szName);
  end;
end;

procedure VCScriptAssignRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCScriptAssignRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCSetDefaultPrinter (var iError: SmallInt; szDefaultPrinter: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szDefaultPrinter: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDefaultPrinter');
    if @aproc <> nil then
      aproc(iError, szDefaultPrinter);
  end;
end;

procedure VCSetDialogFrameHwnd (hWndFrame: THandle);
type TVCProc = procedure (hWndFrame: THandle); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDialogFrameHwnd');
    if @aproc <> nil then
      aproc(hWndFrame);
  end;
end;

procedure VCSetEmbedded (tfEmbedded: WordBool);
type TVCProc = procedure (tfEmbedded: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetEmbedded');
    if @aproc <> nil then
      aproc(tfEmbedded);
  end;
end;

procedure VCSetPlotSettings (var iError: SmallInt; var pSettings: PlotStruct);
type TVCProc = procedure (var iError: SmallInt; var pSettings: PlotStruct); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotSettings');
    if @aproc <> nil then
      aproc(iError, pSettings);
  end;
end;

procedure VCSetPlotterCurrentLanguageIndex (var iError: SmallInt; iIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterCurrentLanguageIndex');
    if @aproc <> nil then
      aproc(iError, iIndex);
  end;
end;

procedure VCSetPlotterCurrentLanguageName (var iError: SmallInt; szLanguageName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szLanguageName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterCurrentLanguageName');
    if @aproc <> nil then
      aproc(iError, szLanguageName);
  end;
end;

procedure VCSetPlotterCurrentPageSize (var iError: SmallInt; iIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterCurrentPageSize');
    if @aproc <> nil then
      aproc(iError, iIndex);
  end;
end;

procedure VCSetPlotterCurrentPenMapIndex (var iError: SmallInt; iIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterCurrentPenMapIndex');
    if @aproc <> nil then
      aproc(iError, iIndex);
  end;
end;

procedure VCSetPlotterCurrentPenMapName (var iError: SmallInt; szPenMapName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPenMapName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterCurrentPenMapName');
    if @aproc <> nil then
      aproc(iError, szPenMapName);
  end;
end;

procedure VCSetPlotterDeInitString (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterDeInitString');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetPlotterDelimiter (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterDelimiter');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetPlotterInitString (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterInitString');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetPlotterPenChangeString (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterPenChangeString');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetPlotterPenDownString (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterPenDownString');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetPlotterPenDrawString (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterPenDrawString');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetPlotterPenMapping (var iError: SmallInt; iColor: SmallInt; iPen: SmallInt; dWidth: Double; iSpeed: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iColor: SmallInt; iPen: SmallInt; dWidth: Double; iSpeed: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterPenMapping');
    if @aproc <> nil then
      aproc(iError, iColor, iPen, dWidth, iSpeed);
  end;
end;

procedure VCSetPlotterPenMoveString (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterPenMoveString');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetPlotterPenSpeedString (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterPenSpeedString');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetPlotterPenUpString (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPlotterPenUpString');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetPrintSettings (var iError: SmallInt; var pSettings: PrintStruct);
type TVCProc = procedure (var iError: SmallInt; var pSettings: PrintStruct); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintSettings');
    if @aproc <> nil then
      aproc(iError, pSettings);
  end;
end;

procedure VCSetRefFrameNameDlg (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrameNameDlg');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetSpecificPrinter (var iError: SmallInt; szSpecificPrinter: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szSpecificPrinter: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSpecificPrinter');
    if @aproc <> nil then
      aproc(iError, szSpecificPrinter);
  end;
end;

procedure VCSetUseHPGL2 (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetUseHPGL2');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSymCreateRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSymCreateRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCSymPlaceRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSymPlaceRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCSymbolMgr (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSymbolMgr');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCTerminateDialogs;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCTerminateDialogs');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCTextLineRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCTextLineRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCTextSettingsRibalog;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCTextSettingsRibalog');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCUpdateBirdseyeView (var iError: SmallInt; tfRefresh: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfRefresh: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCUpdateBirdseyeView');
    if @aproc <> nil then
      aproc(iError, tfRefresh);
  end;
end;

procedure VCUpdateDialog (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCUpdateDialog');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCAddPrintPreset (var iError: SmallInt; szPresetName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddPrintPreset');
    if @aproc <> nil then
      aproc(iError, szPresetName);
  end;
end;

procedure VCDeletePrintPreset (var iError: SmallInt; szPresetName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDeletePrintPreset');
    if @aproc <> nil then
      aproc(iError, szPresetName);
  end;
end;

procedure VCSetCurrentPrintPreset (var iError: SmallInt; szPresetName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentPrintPreset');
    if @aproc <> nil then
      aproc(iError, szPresetName);
  end;
end;

function VCGetCurrentPrintPreset (var iError: SmallInt; szPresetName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentPrintPreset');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetDevice (var iError: SmallInt; szPresetName: PAnsiChar; szDevice: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; szDevice: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetDevice');
    if @aproc <> nil then
      aproc(iError, szPresetName, szDevice);
  end;
end;

function VCGetPrintPresetDevice (var iError: SmallInt; szPresetName: PAnsiChar; szDevice: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar; szDevice: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetDevice');
    if @aproc <> nil then
      result := aproc(iError, szPresetName, szDevice);
  end;
end;

procedure VCSetPrintPresetPageWidth (var iError: SmallInt; szPresetName: PAnsiChar; dPageWidth: Double);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; dPageWidth: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetPageWidth');
    if @aproc <> nil then
      aproc(iError, szPresetName, dPageWidth);
  end;
end;

function VCGetPrintPresetPageWidth (var iError: SmallInt; szPresetName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetPageWidth');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetPageHeight (var iError: SmallInt; szPresetName: PAnsiChar; dPageHeight: Double);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; dPageHeight: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetPageHeight');
    if @aproc <> nil then
      aproc(iError, szPresetName, dPageHeight);
  end;
end;

function VCGetPrintPresetPageHeight (var iError: SmallInt; szPresetName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetPageHeight');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetMarginLeft (var iError: SmallInt; szPresetName: PAnsiChar; dMarginLeft: Double);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; dMarginLeft: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetMarginLeft');
    if @aproc <> nil then
      aproc(iError, szPresetName, dMarginLeft);
  end;
end;

function VCGetPrintPresetMarginLeft (var iError: SmallInt; szPresetName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetMarginLeft');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetMarginBottom (var iError: SmallInt; szPresetName: PAnsiChar; dMarginBottom: Double);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; dMarginBottom: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetMarginBottom');
    if @aproc <> nil then
      aproc(iError, szPresetName, dMarginBottom);
  end;
end;

function VCGetPrintPresetMarginBottom (var iError: SmallInt; szPresetName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetMarginBottom');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetMarginRight (var iError: SmallInt; szPresetName: PAnsiChar; dMarginRight: Double);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; dMarginRight: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetMarginRight');
    if @aproc <> nil then
      aproc(iError, szPresetName, dMarginRight);
  end;
end;

function VCGetPrintPresetMarginRight (var iError: SmallInt; szPresetName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetMarginRight');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetMarginTop (var iError: SmallInt; szPresetName: PAnsiChar; dMarginTop: Double);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; dMarginTop: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetMarginTop');
    if @aproc <> nil then
      aproc(iError, szPresetName, dMarginTop);
  end;
end;

function VCGetPrintPresetMarginTop (var iError: SmallInt; szPresetName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetMarginTop');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetPrintScale (var iError: SmallInt; szPresetName: PAnsiChar; dPrintScale: Double);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; dPrintScale: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetPrintScale');
    if @aproc <> nil then
      aproc(iError, szPresetName, dPrintScale);
  end;
end;

function VCGetPrintPresetPrintScale (var iError: SmallInt; szPresetName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetPrintScale');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetOriginBP (var iError: SmallInt; szPresetName: PAnsiChar; var pOrigin: Point2D);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; var pOrigin: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetOriginBP');
    if @aproc <> nil then
      aproc(iError, szPresetName, pOrigin);
  end;
end;

procedure VCGetPrintPresetOriginBP (var iError: SmallInt; szPresetName: PAnsiChar; var pOrigin: Point2D);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; var pOrigin: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetOriginBP');
    if @aproc <> nil then
      aproc(iError, szPresetName, pOrigin);
  end;
end;

procedure VCSetPrintPresetOriginX (var iError: SmallInt; szPresetName: PAnsiChar; dOriginX: Double);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; dOriginX: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetOriginX');
    if @aproc <> nil then
      aproc(iError, szPresetName, dOriginX);
  end;
end;

function VCGetPrintPresetOriginX (var iError: SmallInt; szPresetName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetOriginX');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetOriginY (var iError: SmallInt; szPresetName: PAnsiChar; dOriginY: Double);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; dOriginY: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetOriginY');
    if @aproc <> nil then
      aproc(iError, szPresetName, dOriginY);
  end;
end;

function VCGetPrintPresetOriginY (var iError: SmallInt; szPresetName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetOriginY');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetPrintView (var iError: SmallInt; szPresetName: PAnsiChar; nPrintView: LongInt);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; nPrintView: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetPrintView');
    if @aproc <> nil then
      aproc(iError, szPresetName, nPrintView);
  end;
end;

function VCGetPrintPresetPrintView (var iError: SmallInt; szPresetName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetPrintView');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetLandscape (var iError: SmallInt; szPresetName: PAnsiChar; tfLandscape: WordBool);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; tfLandscape: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetLandscape');
    if @aproc <> nil then
      aproc(iError, szPresetName, tfLandscape);
  end;
end;

function VCGetPrintPresetLandscape (var iError: SmallInt; szPresetName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetLandscape');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetCopies (var iError: SmallInt; szPresetName: PAnsiChar; nCopies: LongInt);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; nCopies: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetCopies');
    if @aproc <> nil then
      aproc(iError, szPresetName, nCopies);
  end;
end;

function VCGetPrintPresetCopies (var iError: SmallInt; szPresetName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetCopies');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetRotation (var iError: SmallInt; szPresetName: PAnsiChar; dRotation: Double);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; dRotation: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetRotation');
    if @aproc <> nil then
      aproc(iError, szPresetName, dRotation);
  end;
end;

function VCGetPrintPresetRotation (var iError: SmallInt; szPresetName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetRotation');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetMetric (var iError: SmallInt; szPresetName: PAnsiChar; tfMetric: WordBool);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; tfMetric: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetMetric');
    if @aproc <> nil then
      aproc(iError, szPresetName, tfMetric);
  end;
end;

function VCGetPrintPresetMetric (var iError: SmallInt; szPresetName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetMetric');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetFastRedraw (var iError: SmallInt; szPresetName: PAnsiChar; tfFastRedraw: WordBool);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; tfFastRedraw: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetFastRedraw');
    if @aproc <> nil then
      aproc(iError, szPresetName, tfFastRedraw);
  end;
end;

function VCGetPrintPresetFastRedraw (var iError: SmallInt; szPresetName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetFastRedraw');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetPrintSelected (var iError: SmallInt; szPresetName: PAnsiChar; tfPrintSelected: WordBool);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; tfPrintSelected: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetPrintSelected');
    if @aproc <> nil then
      aproc(iError, szPresetName, tfPrintSelected);
  end;
end;

function VCGetPrintPresetPrintSelected (var iError: SmallInt; szPresetName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetPrintSelected');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetPrintToFile (var iError: SmallInt; szPresetName: PAnsiChar; tfPrintToFile: WordBool);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; tfPrintToFile: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetPrintToFile');
    if @aproc <> nil then
      aproc(iError, szPresetName, tfPrintToFile);
  end;
end;

function VCGetPrintPresetPrintToFile (var iError: SmallInt; szPresetName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetPrintToFile');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetDateStamp (var iError: SmallInt; szPresetName: PAnsiChar; tfDateStamp: WordBool);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; tfDateStamp: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetDateStamp');
    if @aproc <> nil then
      aproc(iError, szPresetName, tfDateStamp);
  end;
end;

function VCGetPrintPresetDateStamp (var iError: SmallInt; szPresetName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetDateStamp');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetAllToBlack (var iError: SmallInt; szPresetName: PAnsiChar; iColorOption: SmallInt);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; iColorOption: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetAllToBlack');
    if @aproc <> nil then
      aproc(iError, szPresetName, iColorOption);
  end;
end;

function VCGetPrintPresetAllToBlack (var iError: SmallInt; szPresetName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetAllToBlack');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetLW0HasWidth (var iError: SmallInt; szPresetName: PAnsiChar; tfLW0HasWidth: WordBool);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; tfLW0HasWidth: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetLW0HasWidth');
    if @aproc <> nil then
      aproc(iError, szPresetName, tfLW0HasWidth);
  end;
end;

function VCGetPrintPresetLW0HasWidth (var iError: SmallInt; szPresetName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetLW0HasWidth');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetLineWidth (var iError: SmallInt; szPresetName: PAnsiChar; dLineWidth: Double);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; dLineWidth: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetLineWidth');
    if @aproc <> nil then
      aproc(iError, szPresetName, dLineWidth);
  end;
end;

function VCGetPrintPresetLineWidth (var iError: SmallInt; szPresetName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetLineWidth');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetMovePage (var iError: SmallInt; szPresetName: PAnsiChar; tfMovePage: WordBool);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; tfMovePage: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetMovePage');
    if @aproc <> nil then
      aproc(iError, szPresetName, tfMovePage);
  end;
end;

function VCGetPrintPresetMovePage (var iError: SmallInt; szPresetName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetMovePage');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetShowPreview (var iError: SmallInt; szPresetName: PAnsiChar; tfShowPreview: WordBool);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; tfShowPreview: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetShowPreview');
    if @aproc <> nil then
      aproc(iError, szPresetName, tfShowPreview);
  end;
end;

function VCGetPrintPresetShowPreview (var iError: SmallInt; szPresetName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetShowPreview');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetPaperSize (var iError: SmallInt; szPresetName: PAnsiChar; nPaperSize: LongInt);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; nPaperSize: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetPaperSize');
    if @aproc <> nil then
      aproc(iError, szPresetName, nPaperSize);
  end;
end;

function VCGetPrintPresetPaperSize (var iError: SmallInt; szPresetName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetPaperSize');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetPaperLength (var iError: SmallInt; szPresetName: PAnsiChar; nPaperLength: LongInt);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; nPaperLength: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetPaperLength');
    if @aproc <> nil then
      aproc(iError, szPresetName, nPaperLength);
  end;
end;

function VCGetPrintPresetPaperLength (var iError: SmallInt; szPresetName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetPaperLength');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetPaperWidth (var iError: SmallInt; szPresetName: PAnsiChar; nPaperWidth: LongInt);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; nPaperWidth: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetPaperWidth');
    if @aproc <> nil then
      aproc(iError, szPresetName, nPaperWidth);
  end;
end;

function VCGetPrintPresetPaperWidth (var iError: SmallInt; szPresetName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetPaperWidth');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetAlwaysCenter (var iError: SmallInt; szPresetName: PAnsiChar; tfAlwaysCenter: WordBool);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; tfAlwaysCenter: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetAlwaysCenter');
    if @aproc <> nil then
      aproc(iError, szPresetName, tfAlwaysCenter);
  end;
end;

function VCGetPrintPresetAlwaysCenter (var iError: SmallInt; szPresetName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetAlwaysCenter');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetStampFormat (var iError: SmallInt; szPresetName: PAnsiChar; nStampFormat: LongInt);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; nStampFormat: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetStampFormat');
    if @aproc <> nil then
      aproc(iError, szPresetName, nStampFormat);
  end;
end;

function VCGetPrintPresetStampFormat (var iError: SmallInt; szPresetName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetStampFormat');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetStampFontSize (var iError: SmallInt; szPresetName: PAnsiChar; nStampFontSize: LongInt);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; nStampFontSize: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetStampFontSize');
    if @aproc <> nil then
      aproc(iError, szPresetName, nStampFontSize);
  end;
end;

function VCGetPrintPresetStampFontSize (var iError: SmallInt; szPresetName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetStampFontSize');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetStampLocation (var iError: SmallInt; szPresetName: PAnsiChar; nStampLocation: LongInt);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; nStampLocation: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetStampLocation');
    if @aproc <> nil then
      aproc(iError, szPresetName, nStampLocation);
  end;
end;

function VCGetPrintPresetStampLocation (var iError: SmallInt; szPresetName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetStampLocation');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetStampFont (var iError: SmallInt; szPresetName: PAnsiChar; szStampFont: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; szStampFont: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetStampFont');
    if @aproc <> nil then
      aproc(iError, szPresetName, szStampFont);
  end;
end;

function VCGetPrintPresetStampFont (var iError: SmallInt; szPresetName: PAnsiChar; szStampFont: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar; szStampFont: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetStampFont');
    if @aproc <> nil then
      result := aproc(iError, szPresetName, szStampFont);
  end;
end;

procedure VCPrintNoDlg (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPrintNoDlg');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCDrawCurrentEntityToHWND (var iError: SmallInt; hWnd_: THandle);
type TVCProc = procedure (var iError: SmallInt; hWnd_: THandle); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawCurrentEntityToHWND');
    if @aproc <> nil then
      aproc(iError, hWnd_);
  end;
end;

function VCEnumPrintPresets (var iError: SmallInt; szList: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szList: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCEnumPrintPresets');
    if @aproc <> nil then
      result := aproc(iError, szList);
  end;
end;

procedure VCLoadMenu (var iError: SmallInt; szMenu: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szMenu: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLoadMenu');
    if @aproc <> nil then
      aproc(iError, szMenu);
  end;
end;

function VCGetPrintPresetPrintWatermark (var iError: SmallInt; szPresetName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetPrintWatermark');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetPrintWatermark (var iError: SmallInt; szPresetName: PAnsiChar; tfPrintWatermark: WordBool);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; tfPrintWatermark: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetPrintWatermark');
    if @aproc <> nil then
      aproc(iError, szPresetName, tfPrintWatermark);
  end;
end;

function VCGetPrintPresetWatermark (var iError: SmallInt; szPresetName: PAnsiChar; szWatermark: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar; szWatermark: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetWatermark');
    if @aproc <> nil then
      result := aproc(iError, szPresetName, szWatermark);
  end;
end;

procedure VCSetPrintPresetWatermark (var iError: SmallInt; szPresetName: PAnsiChar; szWatermark: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; szWatermark: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetWatermark');
    if @aproc <> nil then
      aproc(iError, szPresetName, szWatermark);
  end;
end;

function VCGetPrintPresetWatermarkGray (var iError: SmallInt; szPresetName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetWatermarkGray');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetPrintPresetWatermarkGray (var iError: SmallInt; szPresetName: PAnsiChar; iWatermarkGray: LongInt);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; iWatermarkGray: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetWatermarkGray');
    if @aproc <> nil then
      aproc(iError, szPresetName, iWatermarkGray);
  end;
end;

procedure VCLoadStatusBar (szFile: PAnsiChar; var iError: SmallInt);
type TVCProc = procedure (szFile: PAnsiChar; var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLoadStatusBar');
    if @aproc <> nil then
      aproc(szFile, iError);
  end;
end;

function VCGetPrintPresetStampCustom (var iError: SmallInt; szPresetName: PAnsiChar; szStamp: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar; szStamp: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintPresetStampCustom');
    if @aproc <> nil then
      result := aproc(iError, szPresetName, szStamp);
  end;
end;

procedure VCSetPrintPresetStampCustom (var iError: SmallInt; szPresetName: PAnsiChar; szStamp: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; szStamp: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintPresetStampCustom');
    if @aproc <> nil then
      aproc(iError, szPresetName, szStamp);
  end;
end;

function VCGetScaledDialogTemplate (var iError: SmallInt; hModule: THandle; ID: LongInt; var pTemplate: Byte; uScale: LongWord): LongWord;
type TVCProc = function (var iError: SmallInt; hModule: THandle; ID: LongInt; var pTemplate: Byte; uScale: LongWord): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetScaledDialogTemplate');
    if @aproc <> nil then
      result := aproc(iError, hModule, ID, pTemplate, uScale);
  end;
end;

procedure VCSettingsDlg (var iError: SmallInt; hOwner: THandle; wID: Word);
type TVCProc = procedure (var iError: SmallInt; hOwner: THandle; wID: Word); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSettingsDlg');
    if @aproc <> nil then
      aproc(iError, hOwner, wID);
  end;
end;

procedure VCCopyPrintPreset (var iError: SmallInt; szPresetName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCopyPrintPreset');
    if @aproc <> nil then
      aproc(iError, szPresetName);
  end;
end;

end.
