{/*SDOC*************************************************************

  Module: VCMAIN32.pas

  Copyright (C) 2022 Gold Run Partners, Inc.  All rights reserved.

  Revision Date: 17 Jul 2022

*************************************************************EDOC*/}

unit VCMAIN32;

interface

uses Windows, VCType32;

function VCLoadVCMAIN32: boolean;
procedure VCFreeVCMAIN32;
procedure VCAbort; stdcall;
procedure VCAbortOperation (var iError: SmallInt); stdcall;
procedure VCAddAngularDimensionEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D); stdcall;
procedure VCAddArcEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D); stdcall;
procedure VCAddAtbDef (var iError: SmallInt; szName: PAnsiChar; Label0: PAnsiChar; Value0: PAnsiChar); stdcall;
procedure VCAddBezierEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D); stdcall;
procedure VCAddCircleEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D); stdcall;
procedure VCAddContinuousBezierEntity (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
procedure VCAddContinuousLine3DEntity (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
procedure VCAddContinuousLineEntity (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
procedure VCAddCurrentEntityUserDataByte (var iError: SmallInt; b: Byte); stdcall;
procedure VCAddCurrentEntityUserDataChunk (var iError: SmallInt; p: Pointer; iSize: SmallInt); stdcall;
procedure VCAddCurrentEntityUserDataDouble (var iError: SmallInt; dRet: Double); stdcall;
procedure VCAddCurrentEntityUserDataFloat (var iError: SmallInt; f: Single); stdcall;
procedure VCAddCurrentEntityUserDataLong (var iError: SmallInt; l: LongInt); stdcall;
procedure VCAddCurrentEntityUserDataShort (var iError: SmallInt; s: SmallInt); stdcall;
procedure VCAddCurrentEntityUserDataString (var iError: SmallInt; str: PAnsiChar); stdcall;
procedure VCAddDiameterDimensionEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D); stdcall;
procedure VCAddEllipseEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D); stdcall;
procedure VCAddEllipticalArcEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D; var dpP4: Point2D; var dpP5: Point2D; var dpP6: Point2D); stdcall;
procedure VCAddEmbAtb (var iError: SmallInt; iWhichSymbolDef: SmallInt; szName: PAnsiChar; Label0: PAnsiChar; Value0: PAnsiChar); stdcall;
procedure VCAddFillEntity (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
procedure VCAddHatchEntity (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
function VCAddLayerGroup (var iError: SmallInt; szGroupName: PAnsiChar): SmallInt; stdcall;
procedure VCAddLeaderEntity (var iError: SmallInt; iSymbolIndex: SmallInt; var P: Point2D; iPointCount: SmallInt); stdcall;
procedure VCAddLine3D (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point3D; var dpP1: Point3D); stdcall;
procedure VCAddLineEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D); stdcall;
function VCAddLineType (var iError: SmallInt; pName: PAnsiChar; bCode: SmallInt; iDashCount: SmallInt; var pDashes: Double): SmallInt; stdcall;
procedure VCAddLinearDimensionEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D); stdcall;
function VCAddNamedLayer (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
procedure VCAddPoint3D (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP: Point3D); stdcall;
procedure VCAddPointEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D); stdcall;
procedure VCAddPolygon3D (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP: Point3D; iNumPnts: SmallInt); stdcall;
procedure VCAddRadialDimensionEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D); stdcall;
procedure VCAddRefFrameEntity (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D); stdcall;
procedure VCAddSplineEntity (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
procedure VCAddSymbol3DEntity (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point3D); stdcall;
procedure VCAddSymbolEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D); stdcall;
procedure VCAddTextEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D); stdcall;
function VCAngleToString (var iError: SmallInt; pS: PAnsiChar; var pA: Double): SmallInt; stdcall;
procedure VCAppExit (var iError: SmallInt); stdcall;
procedure VCApplyLayerGroupByIndex (var iError: SmallInt; iGroupIndex: SmallInt); stdcall;
procedure VCApplyLayerGroupByName (var iError: SmallInt; szGroupName: PAnsiChar); stdcall;
procedure VCApplySettingsToCurrentEntity (var iError: SmallInt); stdcall;
function VCAuditUIDS (var iError: SmallInt): LongInt; stdcall;
procedure VCBeginOperation (var iError: SmallInt); stdcall;
procedure VCButton (iButton: SmallInt; iState: SmallInt); stdcall;
procedure VCChangeView (var iError: SmallInt; hWnd_: LongInt); stdcall;
procedure VCChangeView3D (var iError: SmallInt; iCode: SmallInt; dFact: Double); stdcall;
procedure VCChar (c: SmallInt); stdcall;
procedure VCClearAlertApp (var iError: SmallInt; hWnd: LongInt); stdcall;
procedure VCClearAlertAppDll (var iError: SmallInt; DllName: PAnsiChar; NativeCmd: PAnsiChar); stdcall;
procedure VCClearLayerProperties (var iError: SmallInt; iLayer: SmallInt); stdcall;
procedure VCClearScreen; stdcall;
procedure VCClearSelection; stdcall;
procedure VCClose (hW: LongInt); stdcall;
procedure VCCloseContour; stdcall;
procedure VCComputeArcMid (var dpC: Point2D; var dpP0: Point2D; var dpP2: Point2D; var dpPreviousMid: Point2D; var dpRet: Point2D); stdcall;
procedure VCComputeIntersection (var iError: SmallInt; l0: LongInt; l1: LongInt; var dpPick: Point2D; var dpIntersect: Point2D); stdcall;
procedure VCCopy; stdcall;
function VCCreateGraphicHandle (var iError: SmallInt): LongInt; stdcall;
function VCCreateMDIWindow (var iError: SmallInt; iNewMDIWindow: SmallInt): WordBool; stdcall;
function VCCreateSymbolDef (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
procedure VCCreateSymbolFromSelectionBP  (var iError: SmallInt; szName: PAnsiChar; var dpP: Point2D); stdcall;
procedure VCCrossingSelect (var dpP0: Point2D; var dpP1: Point2D); stdcall;
procedure VCCurEntAtbAttach (var iError: SmallInt; szAtbName: PAnsiChar; var dpRef: Point2D); stdcall;
procedure VCCurEntAtbDelete (var iError: SmallInt; iWhichAtb: SmallInt); stdcall;
procedure VCCut; stdcall;
procedure VCDeSelectAll; stdcall;
procedure VCDeleteAtbDef (var iError: SmallInt; szName: PAnsiChar); stdcall;
procedure VCDeleteCurrentEntityUserData (var iError: SmallInt; iIndex: SmallInt); stdcall;
procedure VCDeleteEmbAtb (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt); stdcall;
procedure VCDeleteGraphicHandle (var iError: SmallInt; hG: LongInt); stdcall;
procedure VCDeleteLayerGroup (var iError: SmallInt; iGroupIndex: SmallInt); stdcall;
procedure VCDestroyWorld (hW: LongInt); stdcall;
procedure VCDigPointBP  (var lpt: lPoint2D; bButtonNum: SmallInt; bButtonState: SmallInt); stdcall;
procedure VCDimDirectionMode (iMode: SmallInt); stdcall;
function VCDimGetDimExtStretch (var iError: SmallInt): SmallInt; stdcall;
function VCDimGetDimMode (var iError: SmallInt): SmallInt; stdcall;
function VCDimGetDimProximity (var iError: SmallInt): SmallInt; stdcall;
procedure VCDimSetDimExtStretch (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCDimSetDimMode (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCDimSetDimProximity (var iError: SmallInt; b: SmallInt); stdcall;
function VCDistToString (var iError: SmallInt; pS: PAnsiChar; var pD: Double): SmallInt; stdcall;
procedure VCDrawCurrentEntity (var iError: SmallInt); stdcall;
procedure VCDrawCurrentEntityXOR (var iError: SmallInt); stdcall;
procedure VCDrawToDC (var iError: SmallInt; hDC_: SmallInt; left: LongInt; bottom: LongInt; right: LongInt; top: LongInt); stdcall;
procedure VCDrawToDC2 (var iError: SmallInt; hDC_: LongInt; left: LongInt; bottom: LongInt; right: LongInt; top: LongInt); stdcall;
procedure VCDuplicate (var iError: SmallInt; lH: LongInt); stdcall;
procedure VCDuplicateToWorld (var iError: SmallInt; hE: LongInt; TargetWorld: LongInt); stdcall;
procedure VCDuplicateWithTransform (var iError: SmallInt; lH: LongInt; var dpTrans: Point2D; var dpScale: Point2D; dAngle: Double); stdcall;
procedure VCEndOperation (var iError: SmallInt); stdcall;
procedure VCEntityBreak (var iError: SmallInt; lH: LongInt; var dpP0: Point2D; var dpP1: Point2D); stdcall;
procedure VCEntityExtents (var iError: SmallInt; lH: LongInt; var dpMin: Point2D; var dpMax: Point2D); stdcall;
procedure VCEraseCursor; stdcall;
procedure VCEraseRubber; stdcall;
procedure VCFilterReset (var iError: SmallInt); stdcall;
function VCFirstEntity (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
function VCFirstEntityExpand (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
function VCFirstGraphic (var iError: SmallInt; hG: LongInt): WordBool; stdcall;
function VCFirstOnScreen (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
function VCFirstSelected (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
function VCFirstSelectedRF (var iError: SmallInt; var hE: LongInt): WordBool; stdcall;
function VCFirstView (var iError: SmallInt): WordBool; stdcall;
function VCFirstWorld (var iError: SmallInt): WordBool; stdcall;
procedure VCForceWidthOnAllEntities (var iError: SmallInt; iNewWidth: SmallInt); stdcall;
procedure VCGeneratePointsFromCurrentEntity (var iError: SmallInt; var P: Point2D; var iCount: SmallInt; iMax: SmallInt; dStep: Double); stdcall;
function VCGetAcadImportUnit (var iError: SmallInt): Byte; stdcall;
function VCGetAllLayersEd (var iError: SmallInt): WordBool; stdcall;
function VCGetAllLayersSnap (var iError: SmallInt): WordBool; stdcall;
function VCGetAngle (var iError: SmallInt): Double; stdcall;
procedure VCGetAngleBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetAngleHandle: LongInt; stdcall;
function VCGetArrowScreenStep (var iError: SmallInt): SmallInt; stdcall;
function VCGetArrowWorld (var iError: SmallInt): WordBool; stdcall;
function VCGetArrowWorldStep (var iError: SmallInt): Double; stdcall;
procedure VCGetArrowWorldStepBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetAskZoomCenter (var iError: SmallInt): WordBool; stdcall;
function VCGetAssocContourCount (var iError: SmallInt; WhichAssoc: LongInt): LongInt; stdcall;
function VCGetAssocCount (var iError: SmallInt): LongInt; stdcall;
function VCGetAssocEntity (var iError: SmallInt; WhichAssoc: LongInt; WhichContour: LongInt; WhichEntity: LongInt): LongWord; stdcall;
function VCGetAssocEntityCount (var iError: SmallInt; WhichAssoc: LongInt; WhichContour: LongInt): LongInt; stdcall;
function VCGetAssocKind (var iError: SmallInt; WhichAssoc: LongInt): SmallInt; stdcall;
function VCGetAtbColorIndex (var iError: SmallInt): SmallInt; stdcall;
function VCGetAtbDefCount (var iError: SmallInt): SmallInt; stdcall;
function VCGetAtbDefLabel (var iError: SmallInt; szName: PAnsiChar; szLabel: PAnsiChar; iRec: SmallInt): SmallInt; stdcall;
function VCGetAtbDefName (var iError: SmallInt; iIndex: SmallInt; szName: PAnsiChar): SmallInt; stdcall;
function VCGetAtbDefRecordCount (var iError: SmallInt; szName: PAnsiChar): SmallInt; stdcall;
function VCGetAtbDefValue (var iError: SmallInt; szName: PAnsiChar; Value: PAnsiChar; iRec: SmallInt): SmallInt; stdcall;
function VCGetAtbDisplay (var iError: SmallInt): WordBool; stdcall;
function VCGetAtbFont (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
procedure VCGetAtbHeight (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetAtbInternalName (var iError: SmallInt; pFileName: PAnsiChar; pReturn: PAnsiChar): SmallInt; stdcall;
function VCGetAtbLabel (var iError: SmallInt): WordBool; stdcall;
function VCGetAutoFillet (var iError: SmallInt): WordBool; stdcall;
function VCGetAutoSave (var iError: SmallInt): WordBool; stdcall;
function VCGetAutoSaveSecs (var iError: SmallInt): SmallInt; stdcall;
function VCGetBackgroundColor (var iError: SmallInt): SmallInt; stdcall;
function VCGetBackwardsRedraw (var iError: SmallInt): WordBool; stdcall;
function VCGetCMDId (var iError: SmallInt; pNative: PAnsiChar): LongInt; stdcall;
function VCGetCMPPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetChamferDist1 (var iError: SmallInt): Double; stdcall;
procedure VCGetChamferDist1BP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetChamferDist2 (var iError: SmallInt): Double; stdcall;
procedure VCGetChamferDist2BP (var iError: SmallInt; var dRet: Double); stdcall;
procedure VCGetClosestSegment (var iError: SmallInt; var p2d: Point2D; lH: LongInt; var dpP0: Point2D; var dpP1: Point2D); stdcall;
function VCGetCmdName (var iError: SmallInt; iCmdId: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
function VCGetCmdStr (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
function VCGetColorIndex (var iError: SmallInt): SmallInt; stdcall;
function VCGetCommandAlias (i: SmallInt; szAlias: PAnsiChar): SmallInt; stdcall;
function VCGetCommandCount: SmallInt; stdcall;
function VCGetCommandDescription (i: SmallInt; szNative: PAnsiChar): SmallInt; stdcall;
function VCGetCommandNative (i: SmallInt; szNative: PAnsiChar): SmallInt; stdcall;
function VCGetCommandString (id: Word; iIndex: SmallInt; szIn: PAnsiChar): SmallInt; stdcall;
function VCGetConstPt (var iError: SmallInt): WordBool; stdcall;
function VCGetCurEntAtbCount (var iError: SmallInt): SmallInt; stdcall;
function VCGetCurEntAtbName (var iError: SmallInt; iWhichAtb: SmallInt; szName: PAnsiChar): SmallInt; stdcall;
function VCGetCurEntAtbRecCount (var iError: SmallInt; iWhichAtb: SmallInt): SmallInt; stdcall;
function VCGetCurEntAtbRecLabel (var iError: SmallInt; iWhichAtb: SmallInt; iWhichRec: SmallInt; pLabel: PAnsiChar): SmallInt; stdcall;
function VCGetCurEntAtbRecValue (var iError: SmallInt; iWhichAtb: SmallInt; iWhichRec: SmallInt; pValue: PAnsiChar): SmallInt; stdcall;
procedure VCGetCurEntAtbRefPoint (var iError: SmallInt; iWhichAtb: SmallInt; var dpRef: Point2D); stdcall;
function VCGetCurEntUserDataChunkSize (var iError: SmallInt; iIndex: SmallInt): SmallInt; stdcall;
function VCGetCurEntUserDataStringSize (var iError: SmallInt; iIndex: SmallInt): SmallInt; stdcall;
function VCGetCurentOleClassId (var iError: SmallInt): LongInt; stdcall;
function VCGetCurrEntRFAbsName (var iError: SmallInt; RetPath: PAnsiChar): SmallInt; stdcall;
function VCGetCurrEntRFAbsShortName (var iError: SmallInt; RetPath: PAnsiChar): SmallInt; stdcall;
function VCGetCurrEntUserDataName (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
function VCGetCurrWorld: LongInt; stdcall;
procedure VCGetCurrZoom (var iError: SmallInt; var dpMin: Point2D; var dpMax: Point2D); stdcall;
procedure VCGetCurrentEntUserDataDoubleBP (var iError: SmallInt; iIndex: SmallInt; var dRet: Double); stdcall;
function VCGetCurrentEntity3DFlag0 (var iError: SmallInt): SmallInt; stdcall;
procedure VCGetCurrentEntityArcData (var iError: SmallInt; var dpC: Point2D; var dRad: Double; var dStart: Double; var dSpan: Double; var dArcLength: Double); stdcall;
procedure VCGetCurrentEntityArea (var iError: SmallInt; dStep: Double; var dArea: Double); stdcall;
function VCGetCurrentEntityCloseContour (var iError: SmallInt): WordBool; stdcall;
function VCGetCurrentEntityColor (var iError: SmallInt): SmallInt; stdcall;
procedure VCGetCurrentEntityDist (var iError: SmallInt; dStep: Double; var dDist: Double); stdcall;
function VCGetCurrentEntityHandle (var iError: SmallInt): LongInt; stdcall;
function VCGetCurrentEntityKind (var iError: SmallInt): SmallInt; stdcall;
function VCGetCurrentEntityLayer (var iError: SmallInt): SmallInt; stdcall;
function VCGetCurrentEntityLayerName (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
procedure VCGetCurrentEntityLength (var iError: SmallInt; dStep: Double; var dLength: Double); stdcall;
function VCGetCurrentEntityLineType (var iError: SmallInt): SmallInt; stdcall;
function VCGetCurrentEntityLineTypeName (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
function VCGetCurrentEntityLineWidth (var iError: SmallInt): SmallInt; stdcall;
procedure VCGetCurrentEntityLineWidthValue (var iError: SmallInt; var dV: Single); stdcall;
procedure VCGetCurrentEntityNormal3D (var iError: SmallInt; var nV: Point3D); stdcall;
procedure VCGetCurrentEntityPoint3D (var iError: SmallInt; iIndex: SmallInt; var dpRet: Point3D); stdcall;
procedure VCGetCurrentEntityPointBP (var iError: SmallInt; iIndex: SmallInt; var dpRet: Point2D); stdcall;
function VCGetCurrentEntityPointCount (var iError: SmallInt): SmallInt; stdcall;
function VCGetCurrentEntityUID (var iError: SmallInt): LongWord; stdcall;
procedure VCGetCurrentEntityUseByLayerProperties (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool); stdcall;
function VCGetCurrentEntityUserDataByte (var iError: SmallInt; iIndex: SmallInt): Byte; stdcall;
procedure VCGetCurrentEntityUserDataChunk (var iError: SmallInt; iIndex: SmallInt; p: PAnsiChar); stdcall;
function VCGetCurrentEntityUserDataCount (var iError: SmallInt): SmallInt; stdcall;
function VCGetCurrentEntityUserDataDouble (var iError: SmallInt; iIndex: SmallInt): Double; stdcall;
function VCGetCurrentEntityUserDataFloat (var iError: SmallInt; iIndex: SmallInt): Single; stdcall;
function VCGetCurrentEntityUserDataKind (var iError: SmallInt; iIndex: SmallInt): SmallInt; stdcall;
function VCGetCurrentEntityUserDataLong (var iError: SmallInt; iIndex: SmallInt): LongInt; stdcall;
function VCGetCurrentEntityUserDataShort (var iError: SmallInt; iIndex: SmallInt): SmallInt; stdcall;
procedure VCGetCurrentEntityUserDataString (var iError: SmallInt; iIndex: SmallInt; str: PAnsiChar); stdcall;
function VCGetCurrentErasedEntity (var iError: SmallInt): LongInt; stdcall;
procedure VCGetCurrentPoint (var iError: SmallInt; var dpP: Point2D); stdcall;
function VCGetCurrentUID (var iError: SmallInt): LongWord; stdcall;
function VCGetCurrentUndoLevel (var iError: SmallInt): SmallInt; stdcall;
procedure VCGetCurrentView (var iError: SmallInt; var iView: SmallInt); stdcall;
function VCGetCursorColor (var iError: SmallInt): SmallInt; stdcall;
function VCGetCursorFree (var iError: SmallInt): WordBool; stdcall;
function VCGetCursorSize (var iError: SmallInt): SmallInt; stdcall;
function VCGetDC (var iError: SmallInt): LongInt; stdcall;
function VCGetDWGPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetDXFPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
procedure VCGetDatumBasePtBP  (var iError: SmallInt; var dpRet: Point2D); stdcall;
function VCGetDatumType (var iError: SmallInt): SmallInt; stdcall;
function VCGetDefaultTool (var iError: SmallInt): Word; stdcall;
function VCGetDimAngleFormat (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimArrowAngle (var iError: SmallInt): Double; stdcall;
procedure VCGetDimArrowAngleBP (var iError: SmallInt; var dRet: Double); stdcall;
procedure VCGetDimArrowFlipDists (var iError: SmallInt; var d0: Double; var d1: Double); stdcall;
function VCGetDimArrowLength (var iError: SmallInt): Double; stdcall;
procedure VCGetDimArrowLengthBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetDimArrowMode (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimArrowType (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimDecimalValue (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimDisplayItemCount (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimDisplayItemName (var iError: SmallInt; i: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
function VCGetDimDistFormat (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimExtAbove (var iError: SmallInt): Double; stdcall;
procedure VCGetDimExtAboveBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetDimExtBelow (var iError: SmallInt): Double; stdcall;
procedure VCGetDimExtBelowBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetDimExtOffset (var iError: SmallInt): Double; stdcall;
procedure VCGetDimExtOffsetBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetDimFont (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
function VCGetDimFractionalValue (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimItemColor (var iError: SmallInt; i: SmallInt): SmallInt; stdcall;
function VCGetDimItemLineType (var iError: SmallInt; i: SmallInt): SmallInt; stdcall;
function VCGetDimItemLineWidth (var iError: SmallInt; i: SmallInt): SmallInt; stdcall;
function VCGetDimItemShow (var iError: SmallInt; i: SmallInt): WordBool; stdcall;
function VCGetDimLayer (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimLineAngle (var iError: SmallInt): Double; stdcall;
procedure VCGetDimLineAngleBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetDimLineDirect (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimLineText (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimShowDash (var iError: SmallInt): WordBool; stdcall;
function VCGetDimShowLeadingZeros (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimShowUnits (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimTextAspect (var iError: SmallInt): Double; stdcall;
function VCGetDimTextBold (var iError: SmallInt): WordBool; stdcall;
function VCGetDimTextCentered (var iError: SmallInt): WordBool; stdcall;
function VCGetDimTextCharSpace (var iError: SmallInt): Double; stdcall;
function VCGetDimTextFillVText (var iError: SmallInt): WordBool; stdcall;
function VCGetDimTextHeight (var iError: SmallInt): Double; stdcall;
procedure VCGetDimTextHeightBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetDimTextHorizSpace (var iError: SmallInt): Double; stdcall;
procedure VCGetDimTextHorizSpaceBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetDimTextItalic (var iError: SmallInt): WordBool; stdcall;
function VCGetDimTextItalicAng (var iError: SmallInt): Double; stdcall;
function VCGetDimTextLineSpace (var iError: SmallInt): Double; stdcall;
function VCGetDimTextOverwrite (var iError: SmallInt): WordBool; stdcall;
function VCGetDimTextOverwriteString (var iError: SmallInt; pB: PAnsiChar): SmallInt; stdcall;
function VCGetDimTextPrefix (var iError: SmallInt): WordBool; stdcall;
function VCGetDimTextPrefixString (var iError: SmallInt; pB: PAnsiChar): SmallInt; stdcall;
function VCGetDimTextProSpacing (var iError: SmallInt): WordBool; stdcall;
function VCGetDimTextRotationType (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimTextScale (var iError: SmallInt): Double; stdcall;
procedure VCGetDimTextScaleBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetDimTextSuffix (var iError: SmallInt): WordBool; stdcall;
function VCGetDimTextSuffixString (var iError: SmallInt; pB: PAnsiChar): SmallInt; stdcall;
function VCGetDimTextTolDecimal (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimTextTolLowerVal (var iError: SmallInt): Double; stdcall;
procedure VCGetDimTextTolLowerValBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetDimTextTolType (var iError: SmallInt): SmallInt; stdcall;
function VCGetDimTextTolUpperVal (var iError: SmallInt): Double; stdcall;
procedure VCGetDimTextTolUpperValBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetDimTextUnderline (var iError: SmallInt): WordBool; stdcall;
function VCGetDimTextVertSpace (var iError: SmallInt): Double; stdcall;
procedure VCGetDimTextVertSpaceBP (var iError: SmallInt; var dRet: Double); stdcall;
procedure VCGetDimUnitConversionFactor (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetDimUseDimLayer (var iError: SmallInt): WordBool; stdcall;
function VCGetDisplayAngleFormat (var iError: SmallInt): SmallInt; stdcall;
function VCGetDisplayAngleString (var iError: SmallInt; szAngle: PAnsiChar): SmallInt; stdcall;
function VCGetDisplayDecimalValue (var iError: SmallInt): SmallInt; stdcall;
function VCGetDisplayDistFormat (var iError: SmallInt): SmallInt; stdcall;
function VCGetDisplayFontNotFoundMessage (var iError: SmallInt): WordBool; stdcall;
function VCGetDisplayFractionalValue (var iError: SmallInt): SmallInt; stdcall;
function VCGetDisplayHiddenLayersMessage (var iError: SmallInt): WordBool; stdcall;
function VCGetDisplayLengthString (var iError: SmallInt; szLength: PAnsiChar): SmallInt; stdcall;
function VCGetDisplayPointString (var iError: SmallInt; szPoint: PAnsiChar): SmallInt; stdcall;
function VCGetDisplayShowLeadingZeros (var iError: SmallInt): SmallInt; stdcall;
function VCGetDisplayShowUnits (var iError: SmallInt): SmallInt; stdcall;
function VCGetDistanceHandle: LongInt; stdcall;
function VCGetDllRunCmdLine (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetDllRunFunction (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetDllRunName (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetDrawFBoundary (var iError: SmallInt): WordBool; stdcall;
function VCGetDrawHBoundary (var iError: SmallInt): WordBool; stdcall;
function VCGetDrawingName (pName: PAnsiChar): SmallInt; stdcall;
function VCGetEmbAtbCount (var iError: SmallInt; iWhichSymbolDef: SmallInt): SmallInt; stdcall;
function VCGetEmbAtbLabel (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt; szLabel: PAnsiChar; iRec: SmallInt): SmallInt; stdcall;
function VCGetEmbAtbName (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt; szName: PAnsiChar): SmallInt; stdcall;
function VCGetEmbAtbRecordCount (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt): SmallInt; stdcall;
function VCGetEmbAtbValue (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt; Value: PAnsiChar; iRec: SmallInt): SmallInt; stdcall;
function VCGetEntityContourCount (var iError: SmallInt; lH: LongInt): SmallInt; stdcall;
function VCGetEntityRedoLevel (var iError: SmallInt; hE: LongInt): SmallInt; stdcall;
function VCGetEntitySubEntityCount (var iError: SmallInt; lH: LongInt; iContour: SmallInt): SmallInt; stdcall;
function VCGetEntityUndoLevel (var iError: SmallInt; hE: LongInt): SmallInt; stdcall;
function VCGetErasedEntityCount (var iError: SmallInt): LongInt; stdcall;
function VCGetExplodeContinuousLines (var iError: SmallInt): Byte; stdcall;
function VCGetFillColor (var iError: SmallInt): SmallInt; stdcall;
function VCGetFillDisplay (var iError: SmallInt): WordBool; stdcall;
function VCGetFillVText (var iError: SmallInt): WordBool; stdcall;
function VCGetFilletPreview (var iError: SmallInt): WordBool; stdcall;
function VCGetFilletRad (var iError: SmallInt): Double; stdcall;
procedure VCGetFilletRadBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetFilterColor (var iError: SmallInt): SmallInt; stdcall;
function VCGetFilterKind (var iError: SmallInt): Byte; stdcall;
function VCGetFilterKind2 (var iError: SmallInt): Byte; stdcall;
function VCGetFilterLayer (var iError: SmallInt): SmallInt; stdcall;
function VCGetFilterLineType (var iError: SmallInt): SmallInt; stdcall;
function VCGetFilterName (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
function VCGetFilterWidth (var iError: SmallInt): SmallInt; stdcall;
function VCGetFontList (var iError: SmallInt; list: PAnsiChar): LongInt; stdcall;
function VCGetFontName (var iError: SmallInt; iIndex: SmallInt; s: PAnsiChar): SmallInt; stdcall;
function VCGetFontNameCount (var iError: SmallInt): SmallInt; stdcall;
function VCGetFrameInitialized: WordBool; stdcall;
function VCGetFunkeyCmdString (szCmd: PAnsiChar; iShift: SmallInt; nVKey: SmallInt): SmallInt; stdcall;
function VCGetGCDDefaultHatchName (var iError: SmallInt; szName: PAnsiChar): SmallInt; stdcall;
function VCGetGCDPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetGridDisplay (var iError: SmallInt): WordBool; stdcall;
procedure VCGetGridOriginBP (var iError: SmallInt; var pRet: Point2D); stdcall;
procedure VCGetGridSizeBP (var iError: SmallInt; var pRet: Point2D); stdcall;
function VCGetGridSnap (var iError: SmallInt): WordBool; stdcall;
function VCGetHandlePt (var iError: SmallInt): WordBool; stdcall;
function VCGetHatchColor (var iError: SmallInt): SmallInt; stdcall;
function VCGetHatchDisplay (var iError: SmallInt): WordBool; stdcall;
function VCGetHatchName (var iError: SmallInt; s: PAnsiChar): SmallInt; stdcall;
function VCGetHatchRot (var iError: SmallInt): Double; stdcall;
procedure VCGetHatchRotBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetHatchScale (var iError: SmallInt): Double; stdcall;
procedure VCGetHatchScaleBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetHighlight (var iError: SmallInt): WordBool; stdcall;
function VCGetIncSnap (var iError: SmallInt): WordBool; stdcall;
function VCGetIncSnapSize (var iError: SmallInt): Double; stdcall;
procedure VCGetIncSnapSizeBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetInitCount: SmallInt; stdcall;
function VCGetIsoMode (var iError: SmallInt): WordBool; stdcall;
function VCGetIsoPlane (var iError: SmallInt): SmallInt; stdcall;
function VCGetKeepAcadFontName (var iError: SmallInt): LongBool; stdcall;
function VCGetKeepGCDFontName (var iError: SmallInt): LongBool; stdcall;
function VCGetKeepGCDHatch (var iError: SmallInt): LongBool; stdcall;
function VCGetLTScaleDevice (var iError: SmallInt): Double; stdcall;
procedure VCGetLTScaleDeviceBP (var iError: SmallInt; var pRet: Double); stdcall;
function VCGetLTScaleWorld (var iError: SmallInt): Double; stdcall;
procedure VCGetLTScaleWorldBP (var iError: SmallInt; var pRet: Double); stdcall;
procedure VCGetLastPoint (var iError: SmallInt; var dpP: Point2D); stdcall;
function VCGetLayerDisplay (var iError: SmallInt; iIndex: SmallInt): WordBool; stdcall;
function VCGetLayerGroupCount (var iError: SmallInt): SmallInt; stdcall;
function VCGetLayerGroupIndex (var iError: SmallInt; szGroupName: PAnsiChar): SmallInt; stdcall;
function VCGetLayerGroupLayer (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt): WordBool; stdcall;
function VCGetLayerGroupName (var iError: SmallInt; iGroupIndex: SmallInt; szGroupName: PAnsiChar): SmallInt; stdcall;
function VCGetLayerHasData (var iError: SmallInt; iIndex: SmallInt): WordBool; stdcall;
function VCGetLayerIndex (var iError: SmallInt): SmallInt; stdcall;
function VCGetLayerIndexFromName (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
function VCGetLayerNameFromIndex (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
function VCGetLayerPrintable (var iError: SmallInt; iLayer: SmallInt): WordBool; stdcall;
function VCGetLayerProperties (var iError: SmallInt; iLayer: SmallInt; var iColor: SmallInt; var iLtype: SmallInt; var iWidth: SmallInt; var fWidth: Single): WordBool; stdcall;
function VCGetLayerRedraw (var iError: SmallInt): WordBool; stdcall;
function VCGetLeaderArrowAngle (var iError: SmallInt): Double; stdcall;
function VCGetLeaderArrowLength (var iError: SmallInt): Double; stdcall;
function VCGetLeaderArrowMode (var iError: SmallInt): SmallInt; stdcall;
function VCGetLeaderArrowType (var iError: SmallInt): SmallInt; stdcall;
function VCGetLeaderFontName (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
function VCGetLeaderShoulderLength (var iError: SmallInt): Double; stdcall;
procedure VCGetLeaderShoulderLengthBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetLeaderString (var iError: SmallInt; s: PAnsiChar): SmallInt; stdcall;
function VCGetLeaderTextAspect (var iError: SmallInt): Double; stdcall;
function VCGetLeaderTextBold (var iError: SmallInt): WordBool; stdcall;
function VCGetLeaderTextCharSpace (var iError: SmallInt): Double; stdcall;
function VCGetLeaderTextFillVText (var iError: SmallInt): WordBool; stdcall;
function VCGetLeaderTextHeight (var iError: SmallInt): Double; stdcall;
function VCGetLeaderTextItalic (var iError: SmallInt): WordBool; stdcall;
function VCGetLeaderTextItalicAng (var iError: SmallInt): Double; stdcall;
function VCGetLeaderTextLineSpace (var iError: SmallInt): Double; stdcall;
function VCGetLeaderTextOffset (var iError: SmallInt): Double; stdcall;
procedure VCGetLeaderTextOffsetBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetLeaderTextProSpacing (var iError: SmallInt): WordBool; stdcall;
function VCGetLeaderTextUnderline (var iError: SmallInt): WordBool; stdcall;
function VCGetLineTypeDisplay (var iError: SmallInt): WordBool; stdcall;
procedure VCGetLineTypeFromIndex (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar; var bCode: SmallInt; var iDashCount: SmallInt; var pDashes: Double); stdcall;
function VCGetLineTypeIndex (var iError: SmallInt): SmallInt; stdcall;
function VCGetLineTypeIndexFromEntityValue (var iError: SmallInt; iEntityValue: SmallInt): SmallInt; stdcall;
function VCGetLineTypeIndexFromName (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
function VCGetLineTypeNameFromIndex (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
function VCGetLineWidthDisplay (var iError: SmallInt): WordBool; stdcall;
function VCGetLineWidthIndex (var iError: SmallInt): SmallInt; stdcall;
procedure VCGetLineWidthValue (var iError: SmallInt; var dV: Single); stdcall;
function VCGetMDICount (var iError: SmallInt): SmallInt; stdcall;
function VCGetMajorVersion: SmallInt; stdcall;
function VCGetManualEntryMode (var iError: SmallInt): SmallInt; stdcall;
function VCGetMapAcadPolylineWidths (var iError: SmallInt): WordBool; stdcall;
procedure VCGetMeasureValues (var iError: SmallInt; var dSegmentDist: Double; var dDist: Double; var dArea: Double; var dAngle: Double; var dAngle3Point: Double); stdcall;
function VCGetMenu (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
function VCGetMessageHandle: LongInt; stdcall;
function VCGetMinorDotVersion: SmallInt; stdcall;
function VCGetMinorInternalVersion: SmallInt; stdcall;
function VCGetMinorVersion: SmallInt; stdcall;
function VCGetNumCopies (var iError: SmallInt): Double; stdcall;
procedure VCGetNumCopiesBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetNumRows (var iError: SmallInt): SmallInt; stdcall;
function VCGetOffsetDist (var iError: SmallInt): Double; stdcall;
procedure VCGetOffsetDistBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetOffsetFixed (var iError: SmallInt): WordBool; stdcall;
function VCGetOleDllClassName (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetOleDllFunctionCmdLine (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetOleDllFunctionName (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetOleDllName (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetOrdinateTextOffset (var iError: SmallInt): Double; stdcall;
function VCGetOrthoAng (var iError: SmallInt): Double; stdcall;
procedure VCGetOrthoAngBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetOrthoMode (var iError: SmallInt): WordBool; stdcall;
function VCGetPointDisplay (var iError: SmallInt): WordBool; stdcall;
function VCGetPopupButton (var iError: SmallInt): SmallInt; stdcall;
function VCGetProgramPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetQuickSearch (var iError: SmallInt): WordBool; stdcall;
function VCGetRPolyInscribe (var iError: SmallInt): WordBool; stdcall;
function VCGetRPolySides (var iError: SmallInt): SmallInt; stdcall;
function VCGetRadCopies (var iError: SmallInt): SmallInt; stdcall;
function VCGetReadOnly (var iError: SmallInt; var iReadOnly: SmallInt): WordBool; stdcall;
procedure VCGetRefFrame (var iError: SmallInt; var dpLL: Point2D; var dpUR: Point2D); stdcall;
function VCGetRefFrameColor (var iError: SmallInt): SmallInt; stdcall;
function VCGetRefFrameDrawBoundary (var iError: SmallInt): WordBool; stdcall;
function VCGetRefFrameIsDataBound (var iError: SmallInt): WordBool; stdcall;
function VCGetRefFrameLineWidth (var iError: SmallInt): SmallInt; stdcall;
function VCGetRefFrameName (var iError: SmallInt; s: PAnsiChar): SmallInt; stdcall;
procedure VCGetRefFrameOffset (var iError: SmallInt; var dpOffset: Point2D); stdcall;
procedure VCGetRefFrameRot (var iError: SmallInt; var dR: Double); stdcall;
procedure VCGetRefFrameScale (var iError: SmallInt; var dpP: Point2D); stdcall;
procedure VCGetRefFrameViewWidthHeight (var iError: SmallInt; var dpWidthHeight: Point2D); stdcall;
function VCGetReplaceWithSymbol (var iError: SmallInt): WordBool; stdcall;
function VCGetRubberBandColor (var iError: SmallInt): SmallInt; stdcall;
function VCGetSCRPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetSYSPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetSaveEnvOnExit (var iError: SmallInt): WordBool; stdcall;
function VCGetSavePaths (var iError: SmallInt): WordBool; stdcall;
function VCGetScaleX (var iError: SmallInt): Double; stdcall;
procedure VCGetScaleXBP (var iError: SmallInt; var dRet: Double); stdcall;
procedure VCGetScaleXYBP (var iError: SmallInt; var pRet: Point2D); stdcall;
function VCGetScaleY (var iError: SmallInt): Double; stdcall;
procedure VCGetScaleYBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetSecondaryDistFormat (var iError: SmallInt): SmallInt; stdcall;
function VCGetSelectionColor (var iError: SmallInt): SmallInt; stdcall;
function VCGetSelectionContextEditIds (var pIds: LongInt; iMax: SmallInt): SmallInt; stdcall;
function VCGetSelectionCount (var iError: SmallInt): LongInt; stdcall;
function VCGetShiftClick (var iError: SmallInt): WordBool; stdcall;
function VCGetShortLayerList (var iError: SmallInt): WordBool; stdcall;
function VCGetShowAngleSeconds (var iError: SmallInt): WordBool; stdcall;
function VCGetShowDimAngleSeconds (var iError: SmallInt): WordBool; stdcall;
function VCGetShowDrag (var iError: SmallInt): WordBool; stdcall;
function VCGetShowSecondaryUnit (var iError: SmallInt): WordBool; stdcall;
function VCGetShowSingleUnitFrac (var iError: SmallInt): WordBool; stdcall;
function VCGetShowTangentPoints (var iError: SmallInt): WordBool; stdcall;
function VCGetSnapPercentVal (var iError: SmallInt): Double; stdcall;
procedure VCGetSnapPercentValBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetSolid (var iError: SmallInt): WordBool; stdcall;
function VCGetSpanAngle (var iError: SmallInt): Double; stdcall;
procedure VCGetSpanAngleBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetStyleIndex (var iError: SmallInt): Byte; stdcall;
function VCGetSym3DName (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
procedure VCGetSym3DNormal (var iError: SmallInt; var normal: Point3D); stdcall;
procedure VCGetSym3DRot (var iError: SmallInt; var dV: Double); stdcall;
procedure VCGetSym3DScale (var iError: SmallInt; var dpScale: Point3D); stdcall;
function VCGetSymAutoExplode (var iError: SmallInt): WordBool; stdcall;
function VCGetSymExplode (var iError: SmallInt): SmallInt; stdcall;
function VCGetSymName (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
function VCGetSymRot (var iError: SmallInt): Double; stdcall;
procedure VCGetSymRotBP (var iError: SmallInt; var dRet: Double); stdcall;
procedure VCGetSymScaleBP (var iError: SmallInt; var pRet: Point2D); stdcall;
function VCGetSymScaleX (var iError: SmallInt): Double; stdcall;
procedure VCGetSymScaleXBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetSymScaleY (var iError: SmallInt): Double; stdcall;
procedure VCGetSymScaleYBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetSymSnap (var iError: SmallInt): WordBool; stdcall;
function VCGetSymbolDefCount: SmallInt; stdcall;
function VCGetSymbolDefEntityCount (i: SmallInt): SmallInt; stdcall;
function VCGetSymbolIndex (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
function VCGetSymbolInternalName (var iError: SmallInt; pFileName: PAnsiChar; pReturn: PAnsiChar): SmallInt; stdcall;
function VCGetSymbolName (pName: PAnsiChar; i: SmallInt): SmallInt; stdcall;
function VCGetSymbolPlacementCount (i: SmallInt): SmallInt; stdcall;
function VCGetSystemHatchName (var iError: SmallInt; pName: PAnsiChar; i: SmallInt): SmallInt; stdcall;
function VCGetSystemHatchNameCount: SmallInt; stdcall;
function VCGetTextAspect (var iError: SmallInt): Double; stdcall;
procedure VCGetTextAspectBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetTextBold (var iError: SmallInt): WordBool; stdcall;
function VCGetTextCharSpace (var iError: SmallInt): Double; stdcall;
procedure VCGetTextCharSpaceBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetTextColor (var iError: SmallInt): SmallInt; stdcall;
function VCGetTextFontName (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
function VCGetTextHeight (var iError: SmallInt): Double; stdcall;
procedure VCGetTextHeightBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetTextItalic (var iError: SmallInt): WordBool; stdcall;
function VCGetTextItalicValue (var iError: SmallInt): Double; stdcall;
procedure VCGetTextItalicValueBP (var iError: SmallInt; var dI: Double); stdcall;
function VCGetTextJustify (var iError: SmallInt): SmallInt; stdcall;
function VCGetTextLayer (var iError: SmallInt): SmallInt; stdcall;
function VCGetTextLineSpace (var iError: SmallInt): Double; stdcall;
procedure VCGetTextLineSpaceBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetTextProSpacing (var iError: SmallInt): WordBool; stdcall;
function VCGetTextRot (var iError: SmallInt): Double; stdcall;
procedure VCGetTextRotBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetTextString (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
procedure VCGetTextStringBP (var iError: SmallInt; pS: PAnsiChar); stdcall;
function VCGetTextUnderline (var iError: SmallInt): WordBool; stdcall;
procedure VCGetTextUseByLayerProperties (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool); stdcall;
function VCGetTextUseTextLayer (var iError: SmallInt): WordBool; stdcall;
function VCGetToggleState (id: Word; tfReverseState: WordBool): WordBool; stdcall;
procedure VCGetUnitConversionFactor (var iError: SmallInt; var dRet: Double); stdcall;
procedure VCGetUseByLayerProperties (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool); stdcall;
function VCGetUseFileLocking (var iError: SmallInt): WordBool; stdcall;
function VCGetUsedSymbolCount (var iError: SmallInt): LongInt; stdcall;
function VCGetUsedSymbolIndex (var iError: SmallInt; IndexIn: LongInt): LongInt; stdcall;
function VCGetUserDataName (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
procedure VCGetUserToolLBDown (var iError: SmallInt; var dpP: Point2D); stdcall;
procedure VCGetUserToolLBUp (var iError: SmallInt; var dpP: Point2D); stdcall;
procedure VCGetUserToolMouseMove (var iError: SmallInt; var dpP: Point2D); stdcall;
function VCGetVCDPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetVCFPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetVCMainInstance: THandle; stdcall;
function VCGetVCSPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
function VCGetVideoTolerance (var iError: SmallInt): Double; stdcall;
procedure VCGetVideoToleranceBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetView (var iError: SmallInt; hWnd: LongInt; var iView: SmallInt): WordBool; stdcall;
function VCGetViewCount (var iError: SmallInt; hW: LongInt; var iVCnt: SmallInt): WordBool; stdcall;
function VCGetWallWidth1 (var iError: SmallInt): Double; stdcall;
procedure VCGetWallWidth1BP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetWallWidth2 (var iError: SmallInt): Double; stdcall;
procedure VCGetWallWidth2BP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGetWorldByHWND (var iError: SmallInt; hwnd: LongInt): LongInt; stdcall;
procedure VCGetWorldExtents (var iError: SmallInt; var dpMin: Point2D; var dpMax: Point2D); stdcall;
procedure VCGetWorldIndexByHWND (var iError: SmallInt; hWnd: LongInt; var hW: LongInt); stdcall;
procedure VCGetWorldSizeBP (var iError: SmallInt; dScreenSize: Double; var dWorldSize: Double); stdcall;
function VCGetXYHandle: LongInt; stdcall;
function VCGetZoomFactor (var iError: SmallInt): Double; stdcall;
procedure VCGetZoomFactorBP (var iError: SmallInt; var dRet: Double); stdcall;
function VCGethWnd (hW: LongInt): LongInt; stdcall;
function VCGethWndFrame: LongInt; stdcall;
procedure VCIncrementWidthOnAllEntities (var iError: SmallInt; iIncrement: SmallInt); stdcall;
procedure VCInit; stdcall;
procedure VCInitWithProgramRegKey (RegKey: PAnsiChar); stdcall;
procedure VCInvalidateRect; stdcall;
function VCIsAnythingSelected: WordBool; stdcall;
function VCIsCurrentErased (var iError: SmallInt): WordBool; stdcall;
function VCIsCurrentSelected (var iError: SmallInt): WordBool; stdcall;
function VCIsCurrentWorldValid: WordBool; stdcall;
function VCIsDrawingDirty: WordBool; stdcall;
function VCIsFileLocked (szFilename: PAnsiChar; szLockedByName: PAnsiChar; szTimeLocked: PAnsiChar): WordBool; stdcall;
function VCIsFileLockedByCurrentUser: WordBool; stdcall;
function VCIsFilterActive (var iError: SmallInt): WordBool; stdcall;
function VCIsFontNameVText (var iError: SmallInt; pS: PAnsiChar): WordBool; stdcall;
function VCIsGraphic (var iError: SmallInt): WordBool; stdcall;
function VCIsOleWorld: WordBool; stdcall;
function VCIsRedoable: WordBool; stdcall;
function VCIsScriptAssigned (iShift: SmallInt; iKey: SmallInt): WordBool; stdcall;
function VCIsSymbolLoaded (szSymbolName: PAnsiChar): WordBool; stdcall;
function VCIsTextFontVText (var iError: SmallInt): WordBool; stdcall;
function VCIsToggle (id: Word): WordBool; stdcall;
function VCIsUndoable: WordBool; stdcall;
function VCIsWorldEmpty (hW: LongInt): WordBool; stdcall;
function VCIsWorldValid (hW: LongInt): WordBool; stdcall;
procedure VCLButtonDblClk (lParam: LongInt; wParam: Word); stdcall;
procedure VCLButtonDown (lParam: LongInt; wParam: Word); stdcall;
procedure VCLButtonDown2 (cx: SmallInt; cy: SmallInt); stdcall;
procedure VCLButtonDownWorldPoint (var dpW: Point2D); stdcall;
procedure VCLButtonUp (lParam: LongInt; wParam: Word); stdcall;
procedure VCLButtonUpTimerReset (var iError: SmallInt); stdcall;
procedure VCLParamToPoint2DBP (lParam: LongInt; var pRet: Point2D); stdcall;
procedure VCLastEntity (var iError: SmallInt; var lH: LongInt); stdcall;
function VCLayerHasProperties (var iError: SmallInt; iLayer: SmallInt): WordBool; stdcall;
procedure VCLayerSelect (var iError: SmallInt; iLayer: SmallInt; tfSelect: WordBool); stdcall;
procedure VCLineAngle (var iError: SmallInt; var dAngle: Double; var dpP0: Point2D; var dpP1: Point2D); stdcall;
procedure VCLineLength (var iError: SmallInt; var dLength: Double; var dpP0: Point2D; var dpP1: Point2D); stdcall;
procedure VCLinePerpPoint (var iError: SmallInt; var dpC: Point2D; var dpP0: Point2D; var dpP1: Point2D; var dpOff: Point2D); stdcall;
procedure VCLinePointCompute (var iError: SmallInt; var dpC: Point2D; var dpP0: Point2D; var dpP1: Point2D; dDist: Double; dAngle: Double); stdcall;
procedure VCLoadVCDFromFile (var iError: SmallInt; pS_: PAnsiChar); stdcall;
function VCLockFile (szFileName: PAnsiChar; var tfFileReadOnly: WordBool; tfLoading: WordBool): WordBool; stdcall;
procedure VCLockMessage (var iError: SmallInt; szMess: PAnsiChar; tfLock: WordBool); stdcall;
procedure VCMacro (sz: PAnsiChar); stdcall;
function VCMakeValidDosFilenameForSave (pFilename: PAnsiChar): WordBool; stdcall;
procedure VCManualEntryMode (ID: SmallInt); stdcall;
procedure VCMatchCurrentEntity (var iError: SmallInt); stdcall;
procedure VCMouseMove (lParam: LongInt; wParam: Word); stdcall;
procedure VCMouseMove2 (cx: SmallInt; cy: SmallInt); stdcall;
procedure VCMouseMoveWorldPointBP  (var dpW: Point2D); stdcall;
procedure VCMoveCursor (nVKey: SmallInt); stdcall;
procedure VCNameView (szView: PAnsiChar); stdcall;
procedure VCNewView (var iError: SmallInt; hWnd_: LongInt); stdcall;
function VCNewWorld (hWnd_: LongInt): LongInt; stdcall;
function VCNextEntity (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
function VCNextEntityExpand (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
function VCNextGraphic (var iError: SmallInt; hG: LongInt): WordBool; stdcall;
function VCNextOnScreen (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
function VCNextSelected (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
function VCNextView (var iError: SmallInt): WordBool; stdcall;
function VCNextWorld (var iError: SmallInt): WordBool; stdcall;
procedure VCObjectSelect (var dpP0: Point2D); stdcall;
procedure VCOleUpdate; stdcall;
procedure VCOnActivateView (var iError: SmallInt; hActiveWnd: THandle; tfEatLButtonDown: WordBool); stdcall;
procedure VCOnScroll (var iError: SmallInt; uWhichScroll: LongWord; nSBCode: LongWord; nPos: LongWord); stdcall;
procedure VCOnTimerRunningSnap; stdcall;
procedure VCOpenCMP (szFile: PAnsiChar); stdcall;
procedure VCOpenGCD (szFile: PAnsiChar); stdcall;
procedure VCOpenStyle (fname: PAnsiChar); stdcall;
procedure VCOpenVCA (szFile: PAnsiChar); stdcall;
procedure VCOpenVCD (szFile: PAnsiChar); stdcall;
procedure VCOpenVCS (szFile: PAnsiChar); stdcall;
procedure VCPaint (hWnd: LongInt; rc: TRect); stdcall;
procedure VCPaintBP  (hWnd: LongInt; var rc: TRect); stdcall;
procedure VCPaintWorld; stdcall;
procedure VCPanCursor (nVKey: SmallInt); stdcall;
procedure VCPenUp; stdcall;
function VCPostMessage (iMessage: LongWord; wParam: LongWord; lParam: LongInt): WordBool; stdcall;
procedure VCPurgeErasedEntities (hW: LongInt); stdcall;
procedure VCRButtonUp (lParam: LongInt; wParam: Word); stdcall;
function VCRFGetDrawBoundary (var iError: SmallInt): WordBool; stdcall;
function VCRFGetTransparent (var iError: SmallInt): WordBool; stdcall;
procedure VCRFSetDrawBoundary (var iError: SmallInt; tfDrawBoundary: WordBool); stdcall;
procedure VCRFSetTransparent (var iError: SmallInt; tfDrawBoundary: WordBool); stdcall;
procedure VCRFUpdateFileLink (var iError: SmallInt); stdcall;
procedure VCRelativePath (var iError: SmallInt; ReturnPath: PAnsiChar; CurrPath: PAnsiChar; AbsPath: PAnsiChar); stdcall;
function VCRemoveAllViews (var iError: SmallInt; hW: LongInt): WordBool; stdcall;
procedure VCRemoveFileLock (szFile: PAnsiChar); stdcall;
procedure VCRemoveSymbols (var iError: SmallInt; pNames: PAnsiChar; iCnt: SmallInt); stdcall;
function VCRemoveView (var iError: SmallInt; hW: LongInt; hWnd: LongInt): WordBool; stdcall;
procedure VCResetAllLayerTables (var iError: SmallInt); stdcall;
procedure VCResetOnScreenList (var iError: SmallInt); stdcall;
procedure VCResizeChildWindow; stdcall;
procedure VCRestoreSettings; stdcall;
procedure VCRestoreSysSettings; stdcall;
procedure VCSaveCurrent3DViewTo2D (var iError: SmallInt; TargetWorld: LongInt); stdcall;
procedure VCSaveDrawingView (var iError: SmallInt; tfSaveView: WordBool); stdcall;
procedure VCSaveEnvironment (var iError: SmallInt); stdcall;
procedure VCSaveSettings; stdcall;
procedure VCSaveStyle (fname: PAnsiChar); stdcall;
procedure VCSaveSysSettings; stdcall;
procedure VCSaveVCA (szAttribName: PAnsiChar; szAttribFile: PAnsiChar); stdcall;
procedure VCSaveVCDToFile (var iError: SmallInt; pS_: PAnsiChar); stdcall;
procedure VCSaveVCS (szSymbolName: PAnsiChar; szSymbolFile: PAnsiChar); stdcall;
procedure VCScreenToWorld2DBP  (var iError: SmallInt; var ipScreen: iPoint2D; var dpWorld: Point2D); stdcall;
procedure VCScrollEnd (var iError: SmallInt); stdcall;
procedure VCScrollStart (var iError: SmallInt); stdcall;
procedure VCSelectAll; stdcall;
procedure VCSelectInvert; stdcall;
procedure VCSelectLast; stdcall;
function VCSendMessage (iMessage: LongWord; wParam: LongWord; lParam: LongInt): LongInt; stdcall;
procedure VCSet3DDisplay (var iError: SmallInt; iCode: SmallInt); stdcall;
procedure VCSet3DQShadeOptions (var iError: SmallInt; iCode: SmallInt); stdcall;
procedure VCSetAcadImportUnit (var iError: SmallInt; b: Byte); stdcall;
procedure VCSetAlertApp (var iError: SmallInt; hWnd: LongInt; iCode: SmallInt); stdcall;
procedure VCSetAlertAppDll (var iError: SmallInt; DllName: PAnsiChar; NativeCmd: PAnsiChar; iCode: LongInt); stdcall;
procedure VCSetAlertAppDllEx (var iError: SmallInt; DllName: PAnsiChar; NativeCmd: PAnsiChar; iCode0: LongInt; iCode1: LongInt); stdcall;
procedure VCSetAlertAppEx (var iError: SmallInt; hWnd: LongInt; iCode0: LongInt; iCode1: LongInt); stdcall;
procedure VCSetAllDimPartsColor (var iError: SmallInt; iColor: SmallInt); stdcall;
procedure VCSetAllDimPartsOn (var iError: SmallInt); stdcall;
procedure VCSetAllLayersEd (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetAllLayersSnap (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetAngle (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetAngleHandle (hWnd_: LongInt); stdcall;
procedure VCSetArrowScreenStep (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetArrowWorld (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetArrowWorldStep (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetAskZoomCenter (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetAtbColorIndex (var iError: SmallInt; iIndex: SmallInt); stdcall;
procedure VCSetAtbDefLabelValue (var iError: SmallInt; szName: PAnsiChar; szLabel: PAnsiChar; Value: PAnsiChar; iRec: SmallInt); stdcall;
procedure VCSetAtbDisplay (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetAtbFont (var iError: SmallInt; pS: PAnsiChar); stdcall;
procedure VCSetAtbHeight (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetAtbLabel (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetAutoFillet (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetAutoSave (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetAutoSaveSecs (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetBackgroundColor (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetBackwardsRedraw (var iError: SmallInt; tfBRD: WordBool); stdcall;
procedure VCSetCMPPath (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetChamferDist1 (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetChamferDist2 (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetCmdStr (var iError: SmallInt; pS: PAnsiChar); stdcall;
procedure VCSetColorIndex (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetConstPt (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetCurEntAtbRecValue (var iError: SmallInt; iWhichAtb: SmallInt; iWhichRec: SmallInt; pValue: PAnsiChar); stdcall;
procedure VCSetCurEntAtbRefPoint (var iError: SmallInt; iWhichAtb: SmallInt; var dpRef: Point2D); stdcall;
procedure VCSetCurrWorld (hW: LongInt); stdcall;
procedure VCSetCurrentDeSelected (var iError: SmallInt); stdcall;
procedure VCSetCurrentEntity (var iError: SmallInt; lH: LongInt); stdcall;
procedure VCSetCurrentEntity3DFlag0 (var iError: SmallInt; iFlag: SmallInt); stdcall;
procedure VCSetCurrentEntityCloseContour (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetCurrentEntityPoint (var iError: SmallInt; i: SmallInt; var dpP: Point2D); stdcall;
procedure VCSetCurrentEntityPoint3D (var iError: SmallInt; i: SmallInt; var dpP: Point3D); stdcall;
procedure VCSetCurrentEntityPoints (var iError: SmallInt; var p2dArray: Point2D; iPointCount: SmallInt); stdcall;
procedure VCSetCurrentEntitySubEntity (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt); stdcall;
procedure VCSetCurrentEntityUID (var iError: SmallInt; uid: LongWord); stdcall;
procedure VCSetCurrentEntityUserDataByte (var iError: SmallInt; iIndex: SmallInt; b: Byte); stdcall;
procedure VCSetCurrentEntityUserDataChunk (var iError: SmallInt; iIndex: SmallInt; p: Pointer; iSize: SmallInt); stdcall;
procedure VCSetCurrentEntityUserDataDouble (var iError: SmallInt; iIndex: SmallInt; dRet: Double); stdcall;
procedure VCSetCurrentEntityUserDataFloat (var iError: SmallInt; iIndex: SmallInt; f: Single); stdcall;
procedure VCSetCurrentEntityUserDataLong (var iError: SmallInt; iIndex: SmallInt; l: LongInt); stdcall;
procedure VCSetCurrentEntityUserDataShort (var iError: SmallInt; iIndex: SmallInt; s: SmallInt); stdcall;
procedure VCSetCurrentEntityUserDataString (var iError: SmallInt; iIndex: SmallInt; str: PAnsiChar); stdcall;
procedure VCSetCurrentErased (var iError: SmallInt); stdcall;
procedure VCSetCurrentSelected (var iError: SmallInt); stdcall;
procedure VCSetCurrentUnErased (var iError: SmallInt); stdcall;
procedure VCSetCurrentView (var iError: SmallInt; iView: SmallInt); stdcall;
function VCSetCurrWorldByHWND (var iError: SmallInt; hWnd: THandle): LongInt; stdcall;
procedure VCSetCursor (var iError: SmallInt; dzName: PAnsiChar); stdcall;
procedure VCSetCursorColor (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetCursorEx (var iError: SmallInt; hC: THandle); stdcall;
procedure VCSetCursorFree (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetCursorSize (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetDWGPath (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetDXFPath (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetDatumBasePtBP  (var iError: SmallInt; var p: Point2D); stdcall;
procedure VCSetDatumType (var iError: SmallInt; iDatumType: SmallInt); stdcall;
procedure VCSetDefaultTool (var iError: SmallInt; w: Word); stdcall;
procedure VCSetDimAngleFormat (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetDimArrowAngle (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimArrowFlipDists (var iError: SmallInt; d0: Double; d1: Double); stdcall;
procedure VCSetDimArrowLength (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimArrowMode (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCSetDimArrowType (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCSetDimDecimalValue (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetDimDistFormat (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetDimExtAbove (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimExtBelow (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimExtOffset (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimFont (var iError: SmallInt; pS: PAnsiChar); stdcall;
procedure VCSetDimFractionalValue (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetDimItemColor (var iError: SmallInt; i: SmallInt; j: SmallInt); stdcall;
procedure VCSetDimItemLineType (var iError: SmallInt; i: SmallInt; j: SmallInt); stdcall;
procedure VCSetDimItemLineWidth (var iError: SmallInt; i: SmallInt; j: SmallInt); stdcall;
procedure VCSetDimItemShow (var iError: SmallInt; i: SmallInt; tf: WordBool); stdcall;
procedure VCSetDimLayer (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetDimLineAngle (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimLineDirect (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCSetDimLineText (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCSetDimShowDash (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetDimShowLeadingZeros (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetDimShowUnits (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetDimTextAspect (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimTextBold (var iErrors: SmallInt; i: SmallInt); stdcall;
procedure VCSetDimTextCentered (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetDimTextCharSpace (var iError: SmallInt; dCharSpacing: Double); stdcall;
procedure VCSetDimTextFillVText (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetDimTextHeight (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimTextHorizSpace (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimTextItalic (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetDimTextItalicAng (var iError: SmallInt; dI: Double); stdcall;
procedure VCSetDimTextLineSpace (var iError: SmallInt; dLineSpacing: Double); stdcall;
procedure VCSetDimTextOverwrite (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCSetDimTextOverwriteString (var iError: SmallInt; pB: PAnsiChar); stdcall;
procedure VCSetDimTextPrefix (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCSetDimTextPrefixString (var iError: SmallInt; pB: PAnsiChar); stdcall;
procedure VCSetDimTextProSpacing (var iError: SmallInt; b: WordBool); stdcall;
procedure VCSetDimTextRotationType (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCSetDimTextScale (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimTextSuffix (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCSetDimTextSuffixString (var iError: SmallInt; pB: PAnsiChar); stdcall;
procedure VCSetDimTextTolDecimal (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCSetDimTextTolLowerVal (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimTextTolType (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCSetDimTextTolUpperVal (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimTextUnderline (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetDimTextVertSpace (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetDimUseDimLayer (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetDisplayAngleFormat (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetDisplayDecimalValue (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetDisplayDistFormat (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetDisplayFontNotFoundMessage (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetDisplayFractionalValue (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetDisplayHiddenLayersMessage (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetDisplayShowLeadingZeros (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetDisplayShowUnits (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetDistanceHandle (hWnd_: LongInt); stdcall;
procedure VCSetDllRunCmdLine (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetDllRunFunction (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetDllRunName (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetDrawFBoundary (var iError: SmallInt; tfB: WordBool); stdcall;
procedure VCSetDrawHBoundary (var iError: SmallInt; tfB: WordBool); stdcall;
procedure VCSetDrawingName (pName: PAnsiChar); stdcall;
function VCSetEatNextLButtonDown (var iError: SmallInt; tfSet: WordBool): WordBool; stdcall;
procedure VCSetEmbAtbLabelValue (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt; szLabel: PAnsiChar; Value: PAnsiChar; iRec: SmallInt); stdcall;
procedure VCSetEntitySection (var iError: SmallInt); stdcall;
procedure VCSetExeName (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetExplodeContinuousLines (var iError: SmallInt; tf: Byte); stdcall;
procedure VCSetFillColor (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetFillDisplay (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetFillVText (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetFilletPreview (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetFilletRad (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetFilterActive (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetFilterColor (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetFilterKind (var iError: SmallInt; b: Byte); stdcall;
procedure VCSetFilterKind2 (var iError: SmallInt; b: Byte); stdcall;
procedure VCSetFilterLayer (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetFilterLineType (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetFilterMatch (var iError: SmallInt; EH: LongInt); stdcall;
procedure VCSetFilterName (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetFilterWidth (var iError: SmallInt; i: SmallInt); stdcall;
function VCSetFunkeyCmdString (szCmd: PAnsiChar; iShift: SmallInt; nVKey: SmallInt): WordBool; stdcall;
procedure VCSetGCDDefaultHatchName (var iError: SmallInt; szName: PAnsiChar); stdcall;
procedure VCSetGCDPath (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetGraphicPenWidth (var iError: SmallInt; dPen: Double); stdcall;
procedure VCGetGraphicPenWidth (var iError: SmallInt; var dPen: Double); stdcall;
procedure VCSetGridDisplay (var iError: SmallInt; tfDisp: WordBool); stdcall;
procedure VCSetGridOriginBP (var iError: SmallInt; var dpOrg_: Point2D); stdcall;
procedure VCSetGridSizeBP (var iError: SmallInt; var dpSize_: Point2D); stdcall;
procedure VCSetGridSnap (var iError: SmallInt; tfSnap: WordBool); stdcall;
procedure VCSetHandlePt (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetHatchColor (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetHatchDisplay (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetHatchName (var iError: SmallInt; s: PAnsiChar); stdcall;
procedure VCSetHatchRot (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetHatchScale (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetHeaderUserData (var iError: SmallInt); stdcall;
procedure VCSetHighlight (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetIncSnap (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetIncSnapSize (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetIsoMode (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetIsoPlane (var iError: SmallInt; iPlane: SmallInt); stdcall;
procedure VCSetKeepAcadFontName (var iError: SmallInt; tf: LongBool); stdcall;
procedure VCSetKeepGCDFontName (var iError: SmallInt; tf: LongBool); stdcall;
procedure VCSetKeepGCDHatch (var iError: SmallInt; tf: LongBool); stdcall;
procedure VCSetLTScaleDevice (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetLTScaleWorld (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetLastCommandId (CmdId: Word); stdcall;
procedure VCSetLastPoint (var iError: SmallInt; var dpP: Point2D); stdcall;
procedure VCSetLayerDisplay (var iError: SmallInt; iIndex: SmallInt; tf: WordBool); stdcall;
procedure VCSetLayerGroupLayer (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt; bState: WordBool); stdcall;
procedure VCSetLayerIndex (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetLayerPrintable (var iError: SmallInt; iLayer: SmallInt; tfPrintableFlag: WordBool); stdcall;
function VCSetLayerProperties (var iError: SmallInt; iLayer: SmallInt; iColor: SmallInt; iLtype: SmallInt; iWidth: SmallInt; fWidth: Single): WordBool; stdcall;
procedure VCSetLayerRedraw (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetLeaderArrowAngle (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetLeaderArrowLength (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetLeaderArrowMode (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCSetLeaderArrowType (var iError: SmallInt; b: SmallInt); stdcall;
procedure VCSetLeaderFontName (var iError: SmallInt; pS: PAnsiChar); stdcall;
procedure VCSetLeaderShoulderLength (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetLeaderString (var iError: SmallInt; s: PAnsiChar); stdcall;
procedure VCSetLeaderTextAspect (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetLeaderTextBold (var iErrors: SmallInt; i: SmallInt); stdcall;
procedure VCSetLeaderTextCharSpace (var iError: SmallInt; dCharSpacing: Double); stdcall;
procedure VCSetLeaderTextFillVText (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetLeaderTextHeight (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetLeaderTextItalic (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetLeaderTextItalicAng (var iError: SmallInt; dI: Double); stdcall;
procedure VCSetLeaderTextLineSpace (var iError: SmallInt; dLineSpacing: Double); stdcall;
procedure VCSetLeaderTextOffset (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetLeaderTextProSpacing (var iError: SmallInt; b: WordBool); stdcall;
procedure VCSetLeaderTextUnderline (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetLineTypeDisplay (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetLineTypeIndex (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetLineWidthDisplay (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetLineWidthIndex (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetLineWidthValue (var iError: SmallInt; dV: Single); stdcall;
procedure VCSetMBMode (var iError: SmallInt); stdcall;
procedure VCSetMOMode (var iError: SmallInt); stdcall;
procedure VCSetMRMode (var iError: SmallInt); stdcall;
procedure VCSetMapAcadPolylineWidths (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetMaxUID (var iError: SmallInt; uidMax: LongWord); stdcall;
procedure VCSetMenu (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetMessageHandle (hWnd_: LongInt); stdcall;
procedure VCSetNamedLayer (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar); stdcall;
procedure VCSetNumCopies (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetNumRows (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetOffsetDist (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetOffsetFixed (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetOleDllClassName (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetOleDllFunctionCmdLine (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetOleDllFunctionName (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetOleDllName (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetOrdinateTextOffset (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetOrthoAng (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetOrthoMode (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetPointDisplay (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetPopupButton (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetProjection3D (var iError: SmallInt; iCode: SmallInt); stdcall;
procedure VCSetQuickSearch (var iError: SmallInt; tfQS: WordBool); stdcall;
procedure VCSetRPolyInscribe (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetRPolySides (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetRPolygonSides (id: LongInt); stdcall;
procedure VCSetRadCopies (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetReadOnly (var iError: SmallInt; iReadOnly: SmallInt); stdcall;
procedure VCSetRefFrame (var iError: SmallInt; var dpLL: Point2D; var dpUR: Point2D); stdcall;
procedure VCSetRefFrameColor (var iError: SmallInt; iC: SmallInt); stdcall;
procedure VCSetRefFrameDrawBoundary (var iError: SmallInt; vb: WordBool); stdcall;
procedure VCSetRefFrameIsDataBound (var iError: SmallInt; tf: LongBool); stdcall;
procedure VCSetRefFrameLineWidth (var iError: SmallInt; iC: SmallInt); stdcall;
procedure VCSetRefFrameName (var iError: SmallInt; s: PAnsiChar); stdcall;
procedure VCSetRefFrameOffset (var iError: SmallInt; var dpOffset: Point2D); stdcall;
procedure VCSetRefFrameRot (var iError: SmallInt; var dR: Double); stdcall;
procedure VCSetRefFrameScale (var iError: SmallInt; var dpP: Point2D); stdcall;
procedure VCSetRefFrameViewWidthHeight (var iError: SmallInt; var dpWidthHeight: Point2D); stdcall;
procedure VCSetReplaceWithSymbol (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetRubberBandColor (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetSCRPath (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetSYSPath (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetSaveEnvOnExit (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetSavePaths (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetScaleXYBP  (var iError: SmallInt; var p: Point2D); stdcall;
procedure VCSetScaleX (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetScaleY (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetSecondaryDistFormat (var iError: SmallInt; iF_: SmallInt); stdcall;
procedure VCSetSelectionColor (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetShiftClick (var iError: SmallInt; tfShift: WordBool); stdcall;
procedure VCSetShortLayerList (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetShowAngleSeconds (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetShowDimAngleSeconds (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetShowDrag (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetShowSecondaryUnit (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetShowSingleUnitFrac (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetShowTangentPoints (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetSnapPercentVal (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetSolid (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetSpanAngle (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetSym3DName (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetSym3DNormal (var iError: SmallInt; var normal: Point3D); stdcall;
procedure VCSetSym3DRot (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetSym3DScale (var iError: SmallInt; var dpScale: Point3D); stdcall;
procedure VCSetSymAutoExplode (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetSymExplode (var iError: SmallInt; iEx: SmallInt); stdcall;
procedure VCSetSymName (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetSymRot (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetSymScaleBP  (var iError: SmallInt; var p: Point2D); stdcall;
procedure VCSetSymScaleX (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetSymScaleY (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetSymSnap (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetSymbolSection (var iError: SmallInt; pName: PAnsiChar); stdcall;
procedure VCSetTextAspect (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetTextBold (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetTextCharSpace (var iError: SmallInt; dCharSpacing: Double); stdcall;
procedure VCSetTextColor (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCSetTextFontName (var iError: SmallInt; sz: PAnsiChar); stdcall;
procedure VCSetTextHeight (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetTextItalic (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetTextItalicValue (var iError: SmallInt; dI: Double); stdcall;
procedure VCSetTextJustify (var iError: SmallInt; j: SmallInt); stdcall;
procedure VCSetTextLayer (var iError: SmallInt; iTextLayer: SmallInt); stdcall;
procedure VCSetTextLineSpace (var iError: SmallInt; dLineSpacing: Double); stdcall;
procedure VCSetTextProSpacing (var iError: SmallInt; b: WordBool); stdcall;
procedure VCSetTextRot (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetTextString (var iError: SmallInt; pS: PAnsiChar); stdcall;
procedure VCSetTextUnderline (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetTextUseByLayerProperties (var iError: SmallInt; tfColor: WordBool; tfLineType: WordBool; tfLineWidth: WordBool); stdcall;
procedure VCSetTextUseTextLayer (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetUseByLayerProperties (var iError: SmallInt; tfColor: WordBool; tfLineType: WordBool; tfLineWidth: WordBool); stdcall;
procedure VCSetUseFileLocking (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSetUserDataName (var iError: SmallInt; pS: PAnsiChar); stdcall;
procedure VCSetVCDPath (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetVCFPath (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetVCSPath (var iError: SmallInt; szPath: PAnsiChar); stdcall;
procedure VCSetVidTolerance (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSetView3D (var iError: SmallInt; var dpEye: Point3D; var dpTarget: Point3D); stdcall;
procedure VCSetWallWidth1 (var iError: SmallInt; d1: Double); stdcall;
procedure VCSetWallWidth2 (var iError: SmallInt; d1: Double); stdcall;
procedure VCSetWorldZoomAll (var iError: SmallInt); stdcall;
procedure VCSetWorldZoomWindow (var iError: SmallInt; var p0: Point2D; var p1: Point2D); stdcall;
procedure VCSetXYHandle (hWnd_: LongInt); stdcall;
procedure VCSetZoomFactor (var iError: SmallInt; dRet: Double); stdcall;
procedure VCSethWndFrame (hWnd: LongInt); stdcall;
procedure VCSethWndMdiClient (hWnd: LongInt); stdcall;
procedure VCSortCurrentHatchFillEntity (var iError: SmallInt); stdcall;
procedure VCStringToAngle (var iError: SmallInt; var pD: Double; pS: PAnsiChar); stdcall;
procedure VCStringToDist (var iError: SmallInt; var pD: Double; pS: PAnsiChar); stdcall;
procedure VCTerminate; stdcall;
function VCThisNameIsCurrentUser (szName: PAnsiChar): WordBool; stdcall;
procedure VCTimer; stdcall;
procedure VCToggle (id: Word); stdcall;
procedure VCTruncFrom (var iError: SmallInt; StartHere: LongInt); stdcall;
procedure VCUIOff; stdcall;
procedure VCUIOn; stdcall;
procedure VCUnloadUnusedSymDefs (var iError: SmallInt); stdcall;
procedure VCUpdateStatusBar; stdcall;
procedure VCWindowSelect (var dpP0: Point2D; var dpP1: Point2D); stdcall;
procedure VCWorld2DToScreen (var iError: SmallInt; var dpWorld: Point2D; var dpScreen: Point2D); stdcall;
procedure VCWorld3DToView3D (var iError: SmallInt; var dpWorld3D: Point3D; var dpView3D: Point3D); stdcall;
procedure VCWorld3DToWorld2D (var iError: SmallInt; var dpWorld3D: Point3D; var dpWorld2D: Point2D); stdcall;
procedure VCZoomAll; stdcall;
function VCZoomAllViews (var iError: SmallInt): WordBool; stdcall;
procedure VCZoomPrevious; stdcall;
procedure VCZoomRegen; stdcall;
function VCZoomRegenAllViews (var iError: SmallInt): WordBool; stdcall;
procedure VCZoomSelected; stdcall;
procedure VCZoomView (szView: PAnsiChar); stdcall;
procedure VComputeSplineTangentPoints (var iError: SmallInt; var pInput: Point2D; iCount: SmallInt; var pOutput: Point2D; var iOutCount: SmallInt); stdcall;
function VCGetAlternateRotation (var iError: SmallInt): WordBool; stdcall;
procedure VCSetAlternateRotation (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetMultiLineStyle  (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetMultiLineStyle  (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetAtbUseLocalDisplay (var iError: SmallInt): WordBool; stdcall;
procedure VCSetAtbUseLocalDisplay (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetAtbLocalDisplay (var iError: SmallInt): WordBool; stdcall;
procedure VCSetAtbLocalDisplay (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetAtbLocalLabelDisplay (var iError: SmallInt): WordBool; stdcall;
procedure VCSetAtbLocalLabelDisplay (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetAtbGlobalDisplay (var iError: SmallInt): WordBool; stdcall;
procedure VCSetAtbGlobalDisplay (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetAtbGlobalLabelDisplay (var iError: SmallInt): WordBool; stdcall;
procedure VCSetAtbGlobalLabelDisplay (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetOrthoAdvancedType (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetOrthoAdvancedType (var iError: SmallInt; iType: SmallInt); stdcall;
function VCGetOrthoAdvDivisions (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetOrthoAdvDivisions (var iError: SmallInt; iInc: SmallInt); stdcall;
function VCGetOrthoAdvOneAngle (var iError: SmallInt): Double; stdcall;
procedure VCSetOrthoAdvOneAngle (var iError: SmallInt; d: Double); stdcall;
function VCGetOrthoAdvStepAngle (var iError: SmallInt): Double; stdcall;
procedure VCSetOrthoAdvStepAngle (var iError: SmallInt; d: Double); stdcall;
procedure VCGetBasepointPtBP (var iError: SmallInt; var p: Point2D); stdcall;
procedure VCSetBasepointPtBP (var iError: SmallInt; var p: Point2D); stdcall;
function VCGetVCResourceInstance: THandle; stdcall;
function VCGetIniName (var iError: SmallInt; szIniName: PAnsiChar): LongInt; stdcall;
function VCGetMNUPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
procedure VCSetMNUPath (var iError: SmallInt; szPath: PAnsiChar); stdcall;
function VCGetSTYPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
procedure VCSetSTYPath (var iError: SmallInt; szPath: PAnsiChar); stdcall;
function VCGetRunningSnapType (var iError: SmallInt): LongWord; stdcall;
procedure VCSetRunningSnapType (var iError: SmallInt; dwFlags: LongWord; wOperation: Word); stdcall;
function VCGetScrollBar (var iError: SmallInt): WordBool; stdcall;
procedure VCSetScrollBar (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetUseFastProperties (var iError: SmallInt): WordBool; stdcall;
procedure VCSetUseFastProperties (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetAutoForceSave (var iError: SmallInt): WordBool; stdcall;
procedure VCSetAutoForceSave (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetAutoForceSaveSecs (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetAutoForceSaveSecs (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetFontListSorting (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetFontListSorting (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetSortedFontList (var iError: SmallInt; list: PAnsiChar): LongInt; stdcall;
function VCGetNumDivisions (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetNumDivisions (var iError: SmallInt; iDivisions: SmallInt); stdcall;
function VCGetDivideBreak (var iError: SmallInt): WordBool; stdcall;
procedure VCSetDivideBreak (var iError: SmallInt; tfDivide: WordBool); stdcall;
function VCGetLayerGroupProperties (var iError: SmallInt; iGroupIndex: SmallInt; var ea: EAttr): WordBool; stdcall;
procedure VCSetLayerGroupProperties (var iError: SmallInt; iGroupIndex: SmallInt; var ea: EAttr); stdcall;
function VCGetLayerGroupUseProperties (var iError: SmallInt): WordBool; stdcall;
procedure VCSetLayerGroupUseProperties (var iError: SmallInt; tf: WordBool); stdcall;
function VCObjectFind (var iError: SmallInt; var dpP0: Point2D): LongInt; stdcall;
function VCGethWndMdiClient: THandle; stdcall;
function VCSetHandleMDIChildMenu (var iError: SmallInt; hMenu: THandle): THandle; stdcall;
function VCGetHandleMDIChildMenu: THandle; stdcall;
function VCSetHandleMDIFrameMenu (var iError: SmallInt; hMenu: THandle): THandle; stdcall;
function VCGetHandleMDIFrameMenu: THandle; stdcall;
procedure VCSetDrawingDirty (var iError: SmallInt; tfDirty: WordBool); stdcall;
procedure VCGetHatchOffset (var iError: SmallInt; var dpRet: Point2D); stdcall;
procedure VCSetHatchOffsetBP (var iError: SmallInt; var dpRet: Point2D); stdcall;
function VCInvalidateAllViews (var iError: SmallInt): WordBool; stdcall;
function VCInvalidateCurrWorldViews (var iError: SmallInt): WordBool; stdcall;
function VCGetAtbFontAndType (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt; stdcall;
procedure VCSetAtbFontAndType (var iError: SmallInt; pS: PAnsiChar; b: Byte); stdcall;
function VCGetDimFontAndType (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt; stdcall;
procedure VCSetDimFontAndType (var iError: SmallInt; pS: PAnsiChar; b: Byte); stdcall;
function VCGetLeaderFontNameAndType (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt; stdcall;
procedure VCSetLeaderFontNameAndType (var iError: SmallInt; pS: PAnsiChar; b: Byte); stdcall;
function VCGetTextFontNameAndType (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt; stdcall;
procedure VCSetTextFontNameAndType (var iError: SmallInt; pS: PAnsiChar; b: Byte); stdcall;
function VCGetSortedFontAndTypeList (var iError: SmallInt; list: PAnsiChar; var pB: Byte): LongInt; stdcall;
function VCIsFontNameTrueType (var iError: SmallInt; pS: PAnsiChar): WordBool; stdcall;
function VCGetColorRef (var iError: SmallInt; iIndex: SmallInt): LongWord; stdcall;
function VCSetColorRef (var iError: SmallInt; iIndex: SmallInt; crColor: LongWord): LongWord; stdcall;
function VCGetColorName (var iError: SmallInt; iIndex: SmallInt; szName: PAnsiChar): LongInt; stdcall;
procedure VCSetColorName (var iError: SmallInt; iIndex: SmallInt; szName: PAnsiChar); stdcall;
procedure VCLoadColorPalette (var iError: SmallInt; szFilePath: PAnsiChar); stdcall;
procedure VCSaveColorPalette (var iError: SmallInt; szFilePath: PAnsiChar); stdcall;
function VCGetCurrentHatchStatus (var iError: SmallInt): LongInt; stdcall;
function VCGetCurrentHatchSegmentCount (var iError: SmallInt): LongInt; stdcall;
procedure VCGetHatchPatternRepeat (var iError: SmallInt; szName: PAnsiChar; var ptRepeat: Point2D); stdcall;
function VCGetHatchAlignment (var iError: SmallInt): LongInt; stdcall;
procedure VCSetHatchAlignment (var iError: SmallInt; iAlign: LongInt); stdcall;
function VCBeginOperationEx (var iError: SmallInt): SmallInt; stdcall;
function VCEndOperationEx (var iError: SmallInt; iUserSessionID: SmallInt; bfFlags: LongWord): SmallInt; stdcall;
function VCAbortOperationEx (var iError: SmallInt; iUserSessionID: SmallInt; bfFlags: LongWord): SmallInt; stdcall;
function VCGetCurrentOperationExID (var iError: SmallInt): SmallInt; stdcall;
function VCSetCurrentErasedEx (var iError: SmallInt; iErase: SmallInt; iUserSessionID: SmallInt; bfFlags: LongWord): WordBool; stdcall;
function VCSetCurrentUnErasedEx (var iError: SmallInt; bfFlags: LongWord): WordBool; stdcall;
function VCIsCurrentErasedEx (var iError: SmallInt): WordBool; stdcall;
procedure VCDrawCurrentEntityEx (var iError: SmallInt); stdcall;
procedure VCGetWorldExtentsAll (var iError: SmallInt; var dpMin: Point2D; var dpMax: Point2D); stdcall;
function VCGetLeaderVerticalAlign (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetLeaderVerticalAlign (var iError: SmallInt; param: SmallInt); stdcall;
function VCGetLeaderJustify (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetLeaderJustify (var iError: SmallInt; param: SmallInt); stdcall;
function VCGetLeaderUseLeaderLayer (var iError: SmallInt): WordBool; stdcall;
procedure VCSetLeaderUseLeaderLayer (var iError: SmallInt; param: WordBool); stdcall;
function VCGetLeaderLayer (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetLeaderLayer (var iError: SmallInt; param: SmallInt); stdcall;
function VCGetLeaderType (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetLeaderType (var iError: SmallInt; param: SmallInt); stdcall;
function VCInitSounds (var iError: SmallInt; AppName: PAnsiChar; ExeName: PAnsiChar): WordBool; stdcall;
procedure VCSound (Sound: LongWord); stdcall;
function VCGetZoomValue (var iError: SmallInt): Double; stdcall;
function VCGetFullVersion: LongWord; stdcall;
procedure VCInitWithPath (szPath: PAnsiChar); stdcall;
procedure VCInitWithRegKeyAndPath (RegKey: PAnsiChar; szPath: PAnsiChar); stdcall;
procedure VCDuplicateInDrawOrder (var iError: SmallInt; lH: LongInt); stdcall;
procedure VCDuplicateWithTransformInDrawOrder (var iError: SmallInt; lH: LongInt; var dpTrans: Point2D; var dpScale: Point2D; dAngle: Double); stdcall;
procedure VCDrawCurrentEntityFirst (var iError: SmallInt); stdcall;
procedure VCDrawCurrentEntityLast (var iError: SmallInt); stdcall;
procedure VCDrawCurrentEntityBefore (var iError: SmallInt; eRef: LongInt); stdcall;
procedure VCDrawCurrentEntityAfter (var iError: SmallInt; eRef: LongInt); stdcall;
procedure VCDrawSelectedFirst (var iError: SmallInt); stdcall;
procedure VCDrawSelectedLast (var iError: SmallInt); stdcall;
procedure VCDrawSelectedBefore (var iError: SmallInt; eRef: LongInt); stdcall;
procedure VCDrawSelectedAfter (var iError: SmallInt; eRef: LongInt); stdcall;
function VCGetDrawOrdinal (var iError: SmallInt; eH: LongInt; ValidOnly: WordBool): LongInt; stdcall;
function VCGetDrawList (var iError: SmallInt; var Buffer: LongInt; var Size: LongInt; ValidOnly: WordBool): LongInt; stdcall;
procedure VCSetFilterFontType (var iError: SmallInt; b: Byte); stdcall;
function VCGetFilterFontType (var iError: SmallInt): Byte; stdcall;
function VCGetMainSpeedbar (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
procedure VCSetMainSpeedbar (var iError: SmallInt; sz: PAnsiChar); stdcall;
function VCGetToolPalette (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
procedure VCSetToolPalette (var iError: SmallInt; sz: PAnsiChar); stdcall;
function VCGetRealWorldLineWidthMode (var iError: SmallInt): WordBool; stdcall;
procedure VCSetRealWorldLineWidthMode (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCObjectSelectWithGroups (var dpP0: Point2D); stdcall;
procedure VCCrossingSelectWithGroups (var dpP0: Point2D; var dpP1: Point2D); stdcall;
function VCGetPDFExportSettings (var iError: SmallInt; var ps: Byte): WordBool; stdcall;
procedure VCGroupSelected; stdcall;
procedure VCUngroupSelected; stdcall;
procedure VCLeaveGroup; stdcall;
procedure VCJoinGroup; stdcall;
procedure VCJoinGroupSameAs (var iError: SmallInt; lE: LongInt); stdcall;
procedure VCAddOrdinateDimensionEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0_: Point2D; var dpP1_: Point2D; var dpP2_: Point2D; var dpP3_: Point2D); stdcall;
function VCGetShowPreview (var iError: SmallInt): WordBool; stdcall;
procedure VCSetShowPreview (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetSaveDrawingPath (var iError: SmallInt): WordBool; stdcall;
procedure VCSetSaveDrawingPath (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetOpenFileType (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetOpenFileType (var iError: SmallInt; iType: SmallInt); stdcall;
function VCRunFunkeyCmd (var iError: SmallInt; iShift: SmallInt; iKey: SmallInt): WordBool; stdcall;
function VCRunFunkeyCmdByName (var iError: SmallInt; szKeyName: PAnsiChar): WordBool; stdcall;
function VCIsScriptAssignedByName (szKeyName: PAnsiChar): WordBool; stdcall;
function VCGetFunkeyCmdStringByName (szCmd: PAnsiChar; szKeyName: PAnsiChar): SmallInt; stdcall;
function VCSetFunkeyCmdStringByName (szCmd: PAnsiChar; szKeyName: PAnsiChar): WordBool; stdcall;
procedure VCWritePDFImageBP (var iError: SmallInt; Width: SmallInt; Height: SmallInt; var dpLL: Point2D; var dpUR: Point2D; var Data: Byte); stdcall;
function VCSendSafeSzMessage (iMessage: LongWord; wParam: LongWord; lParam: PAnsiChar): LongInt; stdcall;
procedure VCAddRefFrameEntityEx (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; bZoomAll: WordBool); stdcall;
function VCEnumPDFExportPresets (var iError: SmallInt; pBuffer: PAnsiChar): LongInt; stdcall;
function VCGetPDFPresetStruct (var iError: SmallInt; szPresetName: PAnsiChar; pStruct: PAnsiChar): LongInt; stdcall;
function VCExportPDF (PS: PAnsiChar; szFilePath: PAnsiChar): WordBool; stdcall;
procedure VCComputeBezierTangentPoints (var iError: SmallInt; var pInput: Point2D; iCount: SmallInt; var pOutput: Point2D; var iOutCount: SmallInt); stdcall;
function VCGetSkewAngle (var iError: SmallInt): Double; stdcall;
procedure VCSetSkewAngle (var iError: SmallInt; dAngle: Double); stdcall;
procedure VCDuplicateWithRotate (var iError: SmallInt; lH: LongInt; var dpRef: Point2D; dAngle: Double; lHDrawAfter: LongInt); stdcall;
procedure VCDuplicateWithSkew (var iError: SmallInt; lH: LongInt; var dpRef: Point2D; dAngle: Double; lHDrawAfter: LongInt); stdcall;
procedure VCDuplicateWithScale (var iError: SmallInt; lH: LongInt; var dpRef: Point2D; var dpScale: Point2D; lHDrawAfter: LongInt); stdcall;
procedure VCDuplicateWithMove (var iError: SmallInt; lH: LongInt; var dpOffset: Point2D; lHDrawAfter: LongInt); stdcall;
procedure VCSetMacroPath (var iError: SmallInt; szPath: PAnsiChar); stdcall;
function VCGetMacroPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
procedure VCSelectModified; stdcall;
function VCLockFileEx (var iError: SmallInt; szFileName: PAnsiChar; var tfFileReadOnly: WordBool; dwFlags: LongWord): WordBool; stdcall;
function VCIsFileLockedEx (szFileName: PAnsiChar; var tfReadOnly: WordBool): WordBool; stdcall;
function VCLockWorld (hW: LongInt; szFilename: PAnsiChar; var tfReadOnly: WordBool): WordBool; stdcall;
procedure VCUnlockWorld (hW: LongInt); stdcall;
function VCRelockWorld (hW: LongInt; hF: THandle; szFileName: PAnsiChar): WordBool; stdcall;
function VCGetWriteFileHandle (hW: LongInt; szFileName: PAnsiChar; dwFlags: LongWord): THandle; stdcall;
procedure VCSetCurrentErasedNoRedo (var iError: SmallInt); stdcall;
procedure VCSetCurrentEntityPurged (var iError: SmallInt; tf: WordBool); stdcall;
function VCIsCurrentEntityPurged (var iError: SmallInt): WordBool; stdcall;
procedure VCSetCurrentEntityUndo (var iError: SmallInt); stdcall;
procedure VCClearCurrentEntityUndo (var iError: SmallInt); stdcall;
function VCGetCurrentEntityUndo (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetCurrentEntityRedo (var iError: SmallInt); stdcall;
procedure VCClearCurrentEntityRedo (var iError: SmallInt); stdcall;
function VCGetCurrentEntityRedo (var iError: SmallInt): SmallInt; stdcall;
procedure VCIncrementUndoLevel (var iError: SmallInt); stdcall;
procedure VCDecrementUndoLevel (var iError: SmallInt); stdcall;
procedure VCPurge (var iError: SmallInt); stdcall;
procedure VCPurgeRedo (var iError: SmallInt); stdcall;
function VCGetLeaderTextRotation (var iError: SmallInt): Double; stdcall;
procedure VCSetLeaderTextRotation (var iError: SmallInt; d: Double); stdcall;
function VCGetLeaderShoulderAngle (var iError: SmallInt): Double; stdcall;
procedure VCSetLeaderShoulderAngle (var iError: SmallInt; d: Double); stdcall;
function VCGetLeaderBorderType (var iError: SmallInt): LongWord; stdcall;
procedure VCSetLeaderBorderType (var iError: SmallInt; param: LongWord); stdcall;
function VCGetLeaderDisplayItemCount (var iError: SmallInt): SmallInt; stdcall;
function VCGetLeaderDisplayItemName (var iError: SmallInt; i: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
function VCGetLeaderItemShow (var iError: SmallInt; i: SmallInt): WordBool; stdcall;
procedure VCSetLeaderItemShow (var iError: SmallInt; i: SmallInt; tf: WordBool); stdcall;
function VCGetLeaderItemColor (var iError: SmallInt; i: SmallInt): SmallInt; stdcall;
procedure VCSetLeaderItemColor (var iError: SmallInt; i: SmallInt; j: SmallInt); stdcall;
function VCGetLeaderItemLineType (var iError: SmallInt; i: SmallInt): SmallInt; stdcall;
procedure VCSetLeaderItemLineType (var iError: SmallInt; i: SmallInt; j: SmallInt); stdcall;
function VCGetLeaderItemLineWidth (var iError: SmallInt; i: SmallInt): SmallInt; stdcall;
procedure VCSetLeaderItemLineWidth (var iError: SmallInt; i: SmallInt; j: SmallInt); stdcall;
function VCGetLeaderItemRealWidth (var iError: SmallInt; i: SmallInt): Single; stdcall;
procedure VCSetLeaderItemRealWidth (var iError: SmallInt; i: SmallInt; rw: Single); stdcall;
function VCGetLeaderItemByLayerFlags (var iError: SmallInt; i: SmallInt): Byte; stdcall;
procedure VCSetLeaderItemByLayerFlags (var iError: SmallInt; i: SmallInt; bl: Byte); stdcall;
procedure VCSetDimItemRealWidth (var iError: SmallInt; i: SmallInt; rw: Single); stdcall;
function VCGetDimItemRealWidth (var iError: SmallInt; i: SmallInt): Single; stdcall;
procedure VCSetDimItemByLayerFlags (var iError: SmallInt; i: SmallInt; bl: Byte); stdcall;
function VCGetDimItemByLayerFlags (var iError: SmallInt; i: SmallInt): Byte; stdcall;
function VCGetDimDistAngle (var iError: SmallInt): Byte; stdcall;
procedure VCSetDimDistAngle (var iError: SmallInt; bl: Byte); stdcall;
function VCGetDimReverseRef (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetDimReverseRef (var iError: SmallInt; tf: SmallInt); stdcall;
function VCGetDimArrowFarside (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetDimArrowFarside (var iError: SmallInt; tf: SmallInt); stdcall;
function VCGetDimTextJustify (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetDimTextJustify (var iError: SmallInt; c: ShortInt); stdcall;
procedure VCAddImageEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dp0: Point2D; var dp1: Point2D); stdcall;
function VCGetImageName (var iError: SmallInt; szName: PAnsiChar): LongInt; stdcall;
procedure VCSetImageName (var iError: SmallInt; szName: PAnsiChar); stdcall;
function VCGetImageShowBorder (var iError: SmallInt): WordBool; stdcall;
procedure VCSetImageShowBorder (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetImageEmbed (var iError: SmallInt): WordBool; stdcall;
procedure VCSetImageEmbed (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetImageFlipX (var iError: SmallInt): WordBool; stdcall;
procedure VCSetImageFlipX (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetImageFlipY (var iError: SmallInt): WordBool; stdcall;
procedure VCSetImageFlipY (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetImageGrayScale (var iError: SmallInt): WordBool; stdcall;
procedure VCSetImageGrayScale (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetImageRotation (var iError: SmallInt): Double; stdcall;
procedure VCSetImageRotation (var iError: SmallInt; d: Double); stdcall;
function VCGetImageShow (var iError: SmallInt): WordBool; stdcall;
procedure VCSetImageShow (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetImageZoom (var iError: SmallInt): Double; stdcall;
procedure VCSetImageZoom (var iError: SmallInt; d: Double); stdcall;
procedure VCGetImageZoomCenter (var iError: SmallInt; var dp: Point2D); stdcall;
procedure VCSetImageZoomCenter (var iError: SmallInt; var dp: Point2D); stdcall;
function VCGetCurrentEntityUserDataPublic (var iError: SmallInt; iIndex: SmallInt): WordBool; stdcall;
procedure VCSetCurrentEntityUserDataPublic (var iError: SmallInt; iIndex: SmallInt; tf: WordBool); stdcall;
function VCGetScriptID (var iError: SmallInt; iLevel: SmallInt): SmallInt; stdcall;
function VCGetScriptNestLevel (var iError: SmallInt): SmallInt; stdcall;
function VCGetCmdAlias (var iError: SmallInt; iCmdId: SmallInt; pAlias: PAnsiChar): SmallInt; stdcall;
function VCGetCmdMenuText (var iError: SmallInt; iCmdId: SmallInt; pDesc: PAnsiChar): SmallInt; stdcall;
function VCGetCmdStatusDesc (var iError: SmallInt; iCmdId: SmallInt; pDesc: PAnsiChar): SmallInt; stdcall;
function VCGetCmdBitmap (var iError: SmallInt; iCmdId: SmallInt; pBitmap: PAnsiChar): SmallInt; stdcall;
function VCGetCmdScript (var iError: SmallInt; iCmdId: SmallInt; pScript: PAnsiChar): SmallInt; stdcall;
function VCGetCmdSource (var iError: SmallInt; iCmdId: SmallInt; pSource: PAnsiChar): SmallInt; stdcall;
procedure VCSetSubEntityPoint (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt; iIndex: SmallInt; var dpP: Point2D); stdcall;
procedure VCGetSubEntityPoint (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt; iIndex: SmallInt; var dpP: Point2D); stdcall;
procedure VCSetSubEntityPoints (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt; iCount: SmallInt; var dpArray: Point2D); stdcall;
procedure VCSetSubEntityClosedContour (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt; tfClosed: WordBool); stdcall;
function VCGetSubEntityClosedContour (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt): WordBool; stdcall;
function VCGetMacroVariable (var iError: SmallInt; szName: PAnsiChar): Double; stdcall;
procedure VCGetMultiLineDef (var iError: SmallInt; iLine: SmallInt; var pLayer: SmallInt; var pColor: SmallInt; var pLType: SmallInt; var pWidth: SmallInt; var pRWidth: Double; var pByLayer: Byte; var pOffset: Double; var pUse: WordBool); stdcall;
procedure VCSetMultiLineDef (var iError: SmallInt; iLine: SmallInt; iLayer: SmallInt; iColor: SmallInt; iLType: SmallInt; iWidth: SmallInt; fWidth: Double; bByLayer: Byte; dOffset: Double; tfUse: WordBool); stdcall;
function VCGetMultiLineOffset (var iError: SmallInt; iLine: SmallInt): Double; stdcall;
procedure VCSetMultiLineOffset (var iError: SmallInt; iLine: SmallInt; dOffset: Double); stdcall;
function VCGetMultiLineUse (var iError: SmallInt; iLine: SmallInt): WordBool; stdcall;
procedure VCSetMultiLineUse (var iError: SmallInt; iLine: SmallInt; tfUse: WordBool); stdcall;
function VCGetMultiLineLayer (var iError: SmallInt; iLine: SmallInt): SmallInt; stdcall;
procedure VCSetMultiLineLayer (var iError: SmallInt; iLine: SmallInt; iLayer: SmallInt); stdcall;
function VCGetMultiLineColor (var iError: SmallInt; iLine: SmallInt): SmallInt; stdcall;
procedure VCSetMultiLineColor (var iError: SmallInt; iLine: SmallInt; iColor: SmallInt); stdcall;
function VCGetMultiLineType (var iError: SmallInt; iLine: SmallInt): SmallInt; stdcall;
procedure VCSetMultiLineType (var iError: SmallInt; iLine: SmallInt; iType: SmallInt); stdcall;
function VCGetMultiLineWidth (var iError: SmallInt; iLine: SmallInt): SmallInt; stdcall;
procedure VCSetMultiLineWidth (var iError: SmallInt; iLine: SmallInt; iWidth: SmallInt); stdcall;
function VCGetMultiLineRealWidth (var iError: SmallInt; iLine: SmallInt): Double; stdcall;
procedure VCSetMultiLineRealWidth (var iError: SmallInt; iLine: SmallInt; dWidth: Double); stdcall;
function VCGetMultiLineByLayer (var iError: SmallInt; iLine: SmallInt): Byte; stdcall;
procedure VCSetMultiLineByLayer (var iError: SmallInt; iLine: SmallInt; bByLayer: Byte); stdcall;
function VCGetMultiLineMode (var iError: SmallInt): Byte; stdcall;
procedure VCSetMultiLineMode (var iError: SmallInt; bMode: Byte); stdcall;
function VCGetDefaultFontToDWG (var iError: SmallInt; pS: PAnsiChar; var bFontType: Byte): SmallInt; stdcall;
procedure VCSetDefaultFontToDWG (var iError: SmallInt; sz: PAnsiChar; bFontType: Byte); stdcall;
function VCGetDefaultFontFromDWG (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt; stdcall;
procedure VCSetDefaultFontFromDWG (var iError: SmallInt; sz: PAnsiChar; b: Byte); stdcall;
function VCGetExportPreserveFontName (var iError: SmallInt): WordBool; stdcall;
procedure VCSetExportPreserveFontName (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetImportLayoutSpace (var iError: SmallInt): WordBool; stdcall;
procedure VCSetImportLayoutSpace (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetImportScaleSymbolDef (var iError: SmallInt): WordBool; stdcall;
procedure VCSetImportScaleSymbolDef (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetExportConversionUnits (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetExportConversionUnits (var iError: SmallInt; iUnits: SmallInt); stdcall;
function VCGetImportConvertXref (var iError: SmallInt): WordBool; stdcall;
procedure VCSetImportConvertXref (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetExportFileVersion (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetExportFileVersion (var iError: SmallInt; iVersion: SmallInt); stdcall;
procedure VCComputeWorldExtents (var iError: SmallInt); stdcall;
procedure VCComputeEntityExtents (var iError: SmallInt; lH: LongInt); stdcall;
procedure VCSetEntityUserData (var iError: SmallInt); stdcall;
procedure VCSelectGroupSiblings (var iError: SmallInt; lH: LongInt); stdcall;
function VCGetCMDIdFromAlias (var iError: SmallInt; pAlias: PAnsiChar): LongInt; stdcall;
function VCGetAddonCount: SmallInt; stdcall;
function VCGetAddonName (var iError: SmallInt; iIndex: SmallInt; szName: PAnsiChar): LongInt; stdcall;
function VCGetAddonPath (var iError: SmallInt; iIndex: SmallInt; szPath: PAnsiChar): LongInt; stdcall;
function VCGetAddonPathByName (var iError: SmallInt; szName: PAnsiChar; szPath: PAnsiChar): LongInt; stdcall;
function VCGetLayerLocked (var iError: SmallInt; iLayer: SmallInt): WordBool; stdcall;
procedure VCSetLayerLocked (var iError: SmallInt; iLayer: SmallInt; tfLock: WordBool); stdcall;
function VCGetLayerGroupLayerDisplay (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt): SmallInt; stdcall;
procedure VCSetLayerGroupLayerDisplay (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt; bState: WordBool); stdcall;
function VCGetLayerGroupLayerPrintable (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt): SmallInt; stdcall;
procedure VCSetLayerGroupLayerPrintable (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt; bState: WordBool); stdcall;
function VCGetLayerGroupLayerLocked (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt): SmallInt; stdcall;
procedure VCSetLayerGroupLayerLocked (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt; bState: WordBool); stdcall;
function VCGetHatchScaleX (var iError: SmallInt): Double; stdcall;
procedure VCSetHatchScaleX (var iError: SmallInt; dRet: Double); stdcall;
function VCGetHatchScaleY (var iError: SmallInt): Double; stdcall;
procedure VCSetHatchScaleY (var iError: SmallInt; dRet: Double); stdcall;
function VCGetHatchLayer (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetHatchLayer (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetHatchLineType (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetHatchLineType (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetHatchLineWidth (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetHatchLineWidth (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetFontShowTT (var iError: SmallInt): WordBool; stdcall;
procedure VCSetFontShowTT (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetFontShowVCF (var iError: SmallInt): WordBool; stdcall;
procedure VCSetFontShowVCF (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetFontShowFavorite (var iError: SmallInt): WordBool; stdcall;
procedure VCSetFontShowFavorite (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetFontListEx (var iError: SmallInt; list: PAnsiChar): LongInt; stdcall;
function VCGetFontStatus (var iError: SmallInt; szName: PAnsiChar; bType: Byte): Byte; stdcall;
function VCGetFontDrawAsVector (var iError: SmallInt; szName: PAnsiChar; bType: Byte): WordBool; stdcall;
procedure VCSetFontDrawAsVector (var iError: SmallInt; szName: PAnsiChar; bType: Byte; tf: WordBool); stdcall;
function VCGetFontFullHeight (var iError: SmallInt; szName: PAnsiChar; bType: Byte): WordBool; stdcall;
procedure VCSetFontFullHeight (var iError: SmallInt; szName: PAnsiChar; bType: Byte; tf: WordBool); stdcall;
function VCGetFontEmbed (var iError: SmallInt; szName: PAnsiChar; bType: Byte): WordBool; stdcall;
procedure VCSetFontEmbed (var iError: SmallInt; szName: PAnsiChar; bType: Byte; tf: WordBool); stdcall;
function VCGetFontSubstName (var iError: SmallInt; szName: PAnsiChar; bType: Byte; szSubName: PAnsiChar): SmallInt; stdcall;
function VCGetFontSubstType (var iError: SmallInt; szName: PAnsiChar; bType: Byte): Byte; stdcall;
procedure VCSetFontSubst (var iError: SmallInt; szName: PAnsiChar; bType: Byte; szSubName: PAnsiChar; bSubType: Byte); stdcall;
function VCGetImageHeight (var iError: SmallInt): LongInt; stdcall;
function VCGetImageWidth (var iError: SmallInt): LongInt; stdcall;
procedure VCGetImagePixelToWorld2D (var iError: SmallInt; column: LongWord; row: LongWord; var dpRet: Point2D); stdcall;
function VCGetImagePixelColor (var iError: SmallInt; column: LongWord; row: LongWord): LongWord; stdcall;
procedure VCAddMultiLineEntity (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
procedure VCDeleteNameView (szView: PAnsiChar); stdcall;
function VCGetNameViewCount: SmallInt; stdcall;
function VCGetNameView (i: SmallInt; szView: PAnsiChar): SmallInt; stdcall;
procedure VCGetNameViewExtents (szView: PAnsiChar; var ptLL: Point2D; var ptUR: Point2D); stdcall;
procedure VCSetNameViewExtents (szView: PAnsiChar; var ptLL: Point2D; var ptUR: Point2D); stdcall;
function VCGetHatchByLayerFlags (var iError: SmallInt): Byte; stdcall;
procedure VCSetHatchByLayerFlags (var iError: SmallInt; bFlags: Byte); stdcall;
procedure VCEntitySelect (var iError: SmallInt; lH: LongInt; tfDeselect: WordBool; tfGroup: WordBool); stdcall;
function VCGetImagePath (var iError: SmallInt; szName: PAnsiChar): LongInt; stdcall;
function VCGetFileProtect (var iError: SmallInt): WordBool; stdcall;
procedure VCSetFileProtect (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetFileCompress (var iError: SmallInt): WordBool; stdcall;
procedure VCSetFileCompress (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetTextLType (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetTextLType (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetTextLWidth (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetTextLWidth (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetTextRealWidth (var iError: SmallInt): Single; stdcall;
procedure VCSetTextRealWidth (var iError: SmallInt; rw: Single); stdcall;
function VCGetTextCharset (var iError: SmallInt): Byte; stdcall;
procedure VCSetTextCharset (var iError: SmallInt; val: Byte); stdcall;
function VCGetTextTabStops (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetTextTabStops (var iError: SmallInt; val: SmallInt); stdcall;
procedure VCComputeSplineTangentPoints (var iError: SmallInt; var pInput: Point2D; iCount: SmallInt; var pOutput: Point2D; var iOutCount: SmallInt); stdcall;
function VCGetPopupMenu (szPopupName: PAnsiChar): THandle; stdcall;
function VCGetLayerApplyAllViews (var iError: SmallInt): WordBool; stdcall;
procedure VCSetLayerApplyAllViews (var iError: SmallInt; tf: WordBool); stdcall;
function VCLoadResourceDll (szDllName: PAnsiChar): THandle; stdcall;
function VCEnumResourceDlls (szList: PAnsiChar): SmallInt; stdcall;
function VCGetPDFPresetDictionary (var iError: SmallInt; szPreset: PAnsiChar): LPDISPATCH; stdcall;
procedure VCGetLatitudeLongitude (var iError: SmallInt; iCRSCode: LongInt; var ptEN: Point2D; var ptLatLong: Point2D); stdcall;
procedure VCGetEastingNorthing (var iError: SmallInt; iCRSCode: LongInt; var ptLatLong: Point2D; var ptEN: Point2D); stdcall;
procedure VCDatabaseScale (var iError: SmallInt; dScale: Double); stdcall;
procedure VCDatabaseMove (var iError: SmallInt; var ptTrans: Point2D); stdcall;
function VCGetDatabaseScale (var iError: SmallInt): Double; stdcall;
procedure VCGetDatabaseOffset (var iError: SmallInt; var ptTrans: Point2D); stdcall;
function VCGetDimAngularDecimalValue (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetDimAngularDecimalValue (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetDisplayAngularDecimalValue (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetDisplayAngularDecimalValue (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetSecondaryDecimalValue (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetSecondaryDecimalValue (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetSecondaryFractionalValue (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetSecondaryFractionalValue (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetShowSecondaryUnits (var iError: SmallInt): WordBool; stdcall;
procedure VCSetShowSecondaryUnits (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetShowSecondaryLeadingZeros (var iError: SmallInt): WordBool; stdcall;
procedure VCSetShowSecondaryLeadingZeros (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetDisplayShowDash (var iError: SmallInt): WordBool; stdcall;
procedure VCSetDisplayShowDash (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetShowSecondaryDash (var iError: SmallInt): WordBool; stdcall;
procedure VCSetShowSecondaryDash (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetShowSecondarySingleUnitFrac (var iError: SmallInt): WordBool; stdcall;
procedure VCSetShowSecondarySingleUnitFrac (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetSnapAngleVal (var iError: SmallInt): Double; stdcall;
procedure VCSetSnapAngleVal (var iError: SmallInt; d: Double); stdcall;
function VCGetSnapParOffVal (var iError: SmallInt): Double; stdcall;
procedure VCSetSnapParOffVal (var iError: SmallInt; d: Double); stdcall;
procedure VCPasteSpecial; stdcall;
procedure VCSnapAngle; stdcall;
function VCGetAutoPanRefresh (var iError: SmallInt): WordBool; stdcall;
procedure VCSetAutoPanRefresh (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetTextUnicode (var iError: SmallInt): WordBool; stdcall;
procedure VCSetTextUnicode (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetDefaultButtons (var iError: SmallInt): WordBool; stdcall;
procedure VCSetDefaultButtons (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetCurrentEntityCloseContourFlag (var iError: SmallInt): WordBool; stdcall;
function VCGetTextStringW (var iError: SmallInt; pWide: PWideChar; BufSize: LongInt): LongInt; stdcall;
procedure VCSetTextStringW (var iError: SmallInt; pWide: PWideChar); stdcall;
function VCAddEntityFromClipboard (var iError: SmallInt; uFormat: LongWord; var dp0: Point2D; var dp1: Point2D): LongInt; stdcall;
function VCEnumImageExportPresets (var iError: SmallInt; pBuffer: PAnsiChar): LongInt; stdcall;
function VCGetImagePresetStruct (var iError: SmallInt; szPresetName: PAnsiChar; pStruct: PAnsiChar): LongInt; stdcall;
function VCExportImage (PS: PAnsiChar; szFilePath: PAnsiChar): WordBool; stdcall;
function VCGetImagePresetDictionary (var iError: SmallInt; szPreset: PAnsiChar): LPDISPATCH; stdcall;
procedure VCGetPrintOrigin (var iError: SmallInt; var dpOrg: Point2D); stdcall;
procedure VCSetPrintOrigin (var iError: SmallInt; var dpOrg: Point2D); stdcall;
function VCGetShowPrintOrigin (var iError: SmallInt): WordBool; stdcall;
procedure VCSetShowPrintOrigin (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetUsePrintOrigin (var iError: SmallInt): WordBool; stdcall;
procedure VCSetUsePrintOrigin (var iError: SmallInt; tf: WordBool); stdcall;
function VCTranslateConfigFile (szIn: PAnsiChar; szOut: PAnsiChar; szMenuPath: PAnsiChar; iType: LongInt): LongInt; stdcall;
function VCGetCmdToggleState (id: SmallInt): WordBool; stdcall;
procedure VCSetCmdToggleState (id: SmallInt; tfState: WordBool); stdcall;
function VCGetCurrentInterfaceLanguage: LongWord; stdcall;
function VCGetXMLStruct (pStruct: PAnsiChar): LongInt; stdcall;
function VCGetXMLDictionary: LPDISPATCH; stdcall;
procedure VCExportXML (var iError: SmallInt; pStruct: PAnsiChar; szFilePath: PAnsiChar; tfSelectedOnly: WordBool); stdcall;
procedure VCImportXML (var iError: SmallInt; pStruct: PAnsiChar; szFilePath: PAnsiChar); stdcall;
function VCSetXMLStruct (pStruct: PAnsiChar): LongInt; stdcall;
function VCGetFontCharSets (szFont: PAnsiChar; pBuffer: PAnsiChar): SmallInt; stdcall;
function VCGetCompressImages (var iError: SmallInt): WordBool; stdcall;
procedure VCSetCompressImages (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetTextStringLocale (var iError: SmallInt; pWide: PWideChar; BufSize: LongInt; CharSet: SmallInt): LongInt; stdcall;
procedure VCSetTextStringLocale (var iError: SmallInt; pWide: PWideChar; CharSet: SmallInt); stdcall;
function VCGetUseDrawOrder (var iError: SmallInt): WordBool; stdcall;
procedure VCSetUseDrawOrder (var iError: SmallInt; tf: WordBool); stdcall;
function VCFirstDrawEntity (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
function VCNextDrawEntity (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
function VCGetWheelZoom (var iError: SmallInt): WordBool; stdcall;
procedure VCSetWheelZoom (var iError: SmallInt; tfZoom: WordBool); stdcall;
function VCGetWheelReverseZoom (var iError: SmallInt): WordBool; stdcall;
procedure VCSetWheelReverseZoom (var iError: SmallInt; tfRev: WordBool); stdcall;
function VCGetWheelZoomPrevious (var iError: SmallInt): WordBool; stdcall;
procedure VCSetWheelZoomPrevious (var iError: SmallInt; tfZoom: WordBool); stdcall;
function VCGetWheelZoomFactor (var iError: SmallInt): Double; stdcall;
procedure VCSetWheelZoomFactor (var iError: SmallInt; factor: Double); stdcall;
function VCGetWheelPan (var iError: SmallInt): WordBool; stdcall;
procedure VCSetWheelPan (var iError: SmallInt; tfPan: WordBool); stdcall;
function VCGetWheelPanFactor (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetWheelPanFactor (var iError: SmallInt; factor: SmallInt); stdcall;
function VCGetDisplayBaseAngleType (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetDisplayBaseAngleType (var iError: SmallInt; iAngleType: SmallInt); stdcall;
function VCGetDisplayCustomBaseAngle (var iError: SmallInt): Double; stdcall;
procedure VCSetDisplayCustomBaseAngle (var iError: SmallInt; dAngle: Double); stdcall;
function VCGetDisplayAngleClockwise (var iError: SmallInt): WordBool; stdcall;
procedure VCSetDisplayAngleClockwise (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetDimBaseAngleType (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetDimBaseAngleType (var iError: SmallInt; iAngleType: SmallInt); stdcall;
function VCGetDimCustomBaseAngle (var iError: SmallInt): Double; stdcall;
procedure VCSetDimCustomBaseAngle (var iError: SmallInt; dAngle: Double); stdcall;
function VCGetDimAngleClockwise (var iError: SmallInt): WordBool; stdcall;
procedure VCSetDimAngleClockwise (var iError: SmallInt; tf: WordBool); stdcall;
function VCRFGetEllipticalBoundary (var iError: SmallInt): WordBool; stdcall;
procedure VCRFSetEllipticalBoundary (var iError: SmallInt; tf: WordBool); stdcall;
function VCStartNative (var iError: SmallInt; szNative: PAnsiChar; fBuiltInOnly: WordBool; tfAsync: WordBool; tfNoDefault: WordBool): WordBool; stdcall;
function VCStartCommand (var iError: SmallInt; wCmdId: Word; tfAsync: WordBool; tfNoDefault: WordBool): WordBool; stdcall;
function VCGetRefFramePathKind (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetRefFramePathKind (var iError: SmallInt; iPathKind: SmallInt); stdcall;
function VCGetExportFileType (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetExportFileType (var iError: SmallInt; iType: SmallInt); stdcall;
function VCGetMaskDisplay (var iError: SmallInt): WordBool; stdcall;
procedure VCSetMaskDisplay (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetTextVerticalAlign (var iError: SmallInt): Byte; stdcall;
procedure VCSetTextVerticalAlign (var iError: SmallInt; param: Byte); stdcall;
function VCGetLeaderHorizontalAlign (var iError: SmallInt): Byte; stdcall;
procedure VCSetLeaderHorizontalAlign (var iError: SmallInt; param: Byte); stdcall;
function VCGetDisplayShowAngleUnits (var iError: SmallInt): WordBool; stdcall;
procedure VCSetDisplayShowAngleUnits (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetDimShowAngleUnits (var iError: SmallInt): WordBool; stdcall;
procedure VCSetDimShowAngleUnits (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetFillLayer (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetFillLayer (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetFillLineType (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetFillLineType (var iError: SmallInt; i: SmallInt); stdcall;
function VCGetFillLineWidth (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetFillLineWidth (var iError: SmallInt; i: SmallInt); stdcall;
function VCSetToggleState (id: Word; tfForcedState: WordBool): WordBool; stdcall;
function VCGetSymSelect (var iError: SmallInt): WordBool; stdcall;
procedure VCSetSymSelect (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetTextFracHeight (var iError: SmallInt): Double; stdcall;
procedure VCSetTextFracHeight (var iError: SmallInt; d: Double); stdcall;
function VCGetLeaderTextFracHeight (var iError: SmallInt): Double; stdcall;
procedure VCSetLeaderTextFracHeight (var iError: SmallInt; d: Double); stdcall;
function VCGetDimTextFracHeight (var iError: SmallInt): Double; stdcall;
procedure VCSetDimTextFracHeight (var iError: SmallInt; d: Double); stdcall;
function VCGetDimPrependPrefixAbove (var iError: SmallInt): WordBool; stdcall;
procedure VCSetDimPrependPrefixAbove (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetDimAppendSuffixBelow (var iError: SmallInt): WordBool; stdcall;
procedure VCSetDimAppendSuffixBelow (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetStyleString (var iError: SmallInt; szStyle: PAnsiChar): LongInt; stdcall;
procedure VCLoadStyleString (var iError: SmallInt; szStyle: PAnsiChar); stdcall;
procedure VCAddPDFPreset (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
procedure VCDeletePDFPreset (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
procedure VCSetPDFPresetStruct (var iError: SmallInt; szPresetName: PAnsiChar; pStruct: PAnsiChar); stdcall;
function VCGetCurrentPDFPreset (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
procedure VCSetCurrentPDFPreset (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
function VCEnumPDFPaperTypes (var iError: SmallInt; pBuffer: PAnsiChar): LongInt; stdcall;
procedure VCAddPDFPaperType (var iError: SmallInt; szPaperName: PAnsiChar); stdcall;
procedure VCDeletePDFPaperType (var iError: SmallInt; szPaperName: PAnsiChar); stdcall;
procedure VCGetPDFPaperTypeDef (var iError: SmallInt; szPaperName: PAnsiChar; var dpPaperDef: Point2D); stdcall;
procedure VCSetPDFPaperTypeDef (var iError: SmallInt; szPaperName: PAnsiChar; dWidth: Double; dHeight: Double); stdcall;
function VCGetCurrentEntityXML (var iError: SmallInt; szXML: PAnsiChar; dwFlags: LongWord): LongInt; stdcall;
procedure VCAddEntityFromXML (var iError: SmallInt; szXML: PAnsiChar); stdcall;
function VCGetUserPaneHandle (var iError: SmallInt; szPane: PAnsiChar; szAddon: PAnsiChar): LongWord; stdcall;
procedure VCSetUserPaneWeb (var iError: SmallInt; uHandle: LongWord; szText: PAnsiChar; szTextClr: PAnsiChar; szBackClr: PAnsiChar; uMask: LongWord); stdcall;
procedure VCSetUserPane (var iError: SmallInt; uHandle: LongWord; szText: PAnsiChar; crText: LongWord; crBack: LongWord; uMask: LongWord); stdcall;
function VCGetSaveEnvOnExitGlobal (var iError: SmallInt): WordBool; stdcall;
procedure VCSetSaveEnvOnExitGlobal (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetSaveEnvOnExitDrawing (var iError: SmallInt): WordBool; stdcall;
procedure VCSetSaveEnvOnExitDrawing (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetHatchLineWidthValue (var iError: SmallInt): Single; stdcall;
procedure VCSetHatchLineWidthValue (var iError: SmallInt; f: Single); stdcall;
procedure VCGetHatchUseByLayerProperties (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool); stdcall;
procedure VCSetHatchUseByLayerProperties (var iError: SmallInt; tfColor: WordBool; tfLineType: WordBool; tfLineWidth: WordBool); stdcall;
function VCGetFillByLayerFlags (var iError: SmallInt): Byte; stdcall;
procedure VCSetFillByLayerFlags (var iError: SmallInt; bFlags: Byte); stdcall;
function VCGetFillLineWidthValue (var iError: SmallInt): Single; stdcall;
procedure VCSetFillLineWidthValue (var iError: SmallInt; f: Single); stdcall;
procedure VCGetFillUseByLayerProperties (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool); stdcall;
procedure VCSetFillUseByLayerProperties (var iError: SmallInt; tfColor: WordBool; tfLineType: WordBool; tfLineWidth: WordBool); stdcall;
function VCGetCurrentEntityUserDataTag (var iError: SmallInt; iIndex: SmallInt): Word; stdcall;
procedure VCSetCurrentEntityUserDataTag (var iError: SmallInt; iIndex: SmallInt; wTag: Word); stdcall;
function VCGetCurrentEntityUserDataTagIndex (var iError: SmallInt; wTag: Word; iStart: SmallInt): SmallInt; stdcall;
function VCGetLeaderTextUnicode (var iError: SmallInt): WordBool; stdcall;
procedure VCSetLeaderTextUnicode (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetDimTextStacked (var iError: SmallInt): WordBool; stdcall;
procedure VCSetDimTextStacked (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetDimNoBreak (var iError: SmallInt): WordBool; stdcall;
procedure VCSetDimNoBreak (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCGetCurrentEntityVertexAndFocus (var iError: SmallInt; var dpVertex: Point2D; var dpFocus: Point2D); stdcall;
procedure VCAddExtendedDataDouble (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; dData: Double); stdcall;
procedure VCAddExtendedDataText (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; szText: PAnsiChar); stdcall;
procedure VCSetExtendedDataDouble (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; dData: Double); stdcall;
procedure VCSetExtendedDataText (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; szText: PAnsiChar); stdcall;
function VCGetExtendedDataDouble (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar): Double; stdcall;
function VCGetExtendedDataText (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; szText: PAnsiChar): LongInt; stdcall;
function VCGetExtendedDataCount (var iError: SmallInt; tfDrawing: WordBool): SmallInt; stdcall;
function VCGetExtendedDataInfo (var iError: SmallInt; tfDrawing: WordBool; index: SmallInt; szName: PAnsiChar): Byte; stdcall;
procedure VCDeleteExtendedData (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar); stdcall;
function VCRFGetLayerDisplay (var Error: SmallInt; iLayer: SmallInt): WordBool; stdcall;
procedure VCRFSetLayerDisplay (var iError: SmallInt; iLayer: SmallInt; tfDisplay: WordBool); stdcall;
function VCRFGetLayerPrintable (var Error: SmallInt; iLayer: SmallInt): WordBool; stdcall;
procedure VCRFSetLayerPrintable (var iError: SmallInt; iLayer: SmallInt; tfDisplay: WordBool); stdcall;
function VCPopStackVariable (var iError: SmallInt): Double; stdcall;
procedure VCPushStackVariable (var iError: SmallInt; d: Double); stdcall;
function VCGetSnapHatchPoints (var iError: SmallInt): WordBool; stdcall;
procedure VCSetSnapHatchPoints (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetDialogScale (var iError: SmallInt): LongWord; stdcall;
procedure VCSetDialogScale (var iError: SmallInt; uScale: LongWord); stdcall;
procedure VCSetRefFrameScaleEx (var iError: SmallInt; var dpP: Point2D); stdcall;
procedure VCGetRefFrameScaleEx (var iError: SmallInt; var dpP: Point2D); stdcall;
function VCBooleanOperate (var iError: SmallInt; OpCode: LongInt; EntityA: LongInt; EntityB: LongInt): LongInt; stdcall;
procedure VCGetRefFrameCenter (var iError: SmallInt; var dpCenter: Point2D); stdcall;
procedure VCSetRefFrameCenter (var iError: SmallInt; var dpCenter: Point2D); stdcall;
function VCGetMacroVariableEx (var iError: SmallInt; szName: PAnsiChar; tfInches: WordBool; tfRadians: WordBool): Double; stdcall;
function VCGetMacroLengthVariable (var iError: SmallInt): Double; stdcall;
procedure VCSetMacroLengthVariable (var iError: SmallInt; d: Double); stdcall;
function VCGetMacroAngleVariable (var iError: SmallInt): Double; stdcall;
procedure VCSetMacroAngleVariable (var iError: SmallInt; d: Double); stdcall;
procedure VCGetAngleConversionFactor (var iError: SmallInt; var d: Double); stdcall;
procedure VCGetDimAngleConversionFactor (var iError: SmallInt; var d: Double); stdcall;
function VCGetImageLockAspect (var iError: SmallInt): WordBool; stdcall;
procedure VCSetImageLockAspect (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetImageAutoPosition (var iError: SmallInt): WordBool; stdcall;
procedure VCSetImageAutoPosition (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetImageOpacity (var iError: SmallInt): LongWord; stdcall;
procedure VCSetImageOpacity (var iError: SmallInt; uOpacity: LongWord); stdcall;
function VCGetFontScale (var iError: SmallInt): LongWord; stdcall;
procedure VCSetFontScale (var iError: SmallInt; uScale: LongWord); stdcall;
procedure VCSetHatchGDIStyle (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetHatchGDIStyle (var iError: SmallInt): WordBool; stdcall;
procedure VCSetFillGDIStyle (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetFillGDIStyle (var iError: SmallInt): WordBool; stdcall;
function VCGetImportLineWidthToPixels (var iError: SmallInt): WordBool; stdcall;
procedure VCSetImportLineWidthToPixels (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCRemoveSymbolsEx (var iError: SmallInt; pNames: PAnsiChar); stdcall;
function VCGetLeaderTextCharset (var iError: SmallInt): Byte; stdcall;
procedure VCSetLeaderTextCharset (var iError: SmallInt; val: Byte); stdcall;
function VCGetDimTextCharset (var iError: SmallInt): Byte; stdcall;
procedure VCSetDimTextCharset (var iError: SmallInt; val: Byte); stdcall;
function VCGetDrawingVersion (var iError: SmallInt): LongWord; stdcall;
function VCGetDimDecimalSeparator (var iError: SmallInt): Byte; stdcall;
function VCGetDimSecondaryDecimalSeparator (var iError: SmallInt): Byte; stdcall;
function VCGetDimDecimalSeparatorString (var iError: SmallInt; szSeparator: PAnsiChar): SmallInt; stdcall;
function VCGetDimSecondaryDecimalSeparatorString (var iError: SmallInt; szSeparator: PAnsiChar): SmallInt; stdcall;
function VCGetDimThousandsSeparator (var iError: SmallInt): Byte; stdcall;
function VCGetDimSecondaryThousandsSeparator (var iError: SmallInt): Byte; stdcall;
function VCGetDimThousandsSeparatorString (var iError: SmallInt; szSeparator: PAnsiChar): SmallInt; stdcall;
function VCGetDimSecondaryThousandsSeparatorString (var iError: SmallInt; szSeparator: PAnsiChar): SmallInt; stdcall;
procedure VCSetDimDecimalSeparator (var iError: SmallInt; b: Byte); stdcall;
procedure VCSetDimSecondaryDecimalSeparator (var iError: SmallInt; b: Byte); stdcall;
procedure VCSetDimThousandsSeparator (var iError: SmallInt; b: Byte); stdcall;
procedure VCSetDimSecondaryThousandsSeparator (var iError: SmallInt; b: Byte); stdcall;
function VCGetTextMaskOffset (var iError: SmallInt): Double; stdcall;
procedure VCSetTextMaskOffset (var iError: SmallInt; dI: Double); stdcall;
function VCGetNativeToggleState (var iError: SmallInt; szName: PAnsiChar; tfReverseState: WordBool): WordBool; stdcall;
function VCSetNativeToggleState (var iError: SmallInt; szName: PAnsiChar; tfForcedState: WordBool): WordBool; stdcall;
procedure VCSetUserToolIsSnap (var iError: SmallInt; tf: WordBool); stdcall;
function VCGetUserToolIsSnap (var iError: SmallInt): WordBool; stdcall;
procedure VCSetUserToolFlags (var iError: SmallInt; dw: LongWord); stdcall;
function VCGetUserToolFlags (var iError: SmallInt): LongWord; stdcall;
procedure VCSetUserToolSnapPoint (var iError: SmallInt; var dpP: Point2D); stdcall;
procedure VCGetUserToolSnapPoint (var iError: SmallInt; var dpP: Point2D); stdcall;
procedure VCGetPendingLButtonDown (var iError: SmallInt; lParam: LongInt; tfResetSnap: WordBool; var dpP: Point2D); stdcall;
function VCGetSubstitutedText (var iError: SmallInt; pTextIn: PAnsiChar; pSubstitutedText: PAnsiChar; BufSize: LongInt): LongInt; stdcall;
function VCGetSubstitutedTextW (var iError: SmallInt; pTextIn: PWideChar; pSubstitutedText: PWideChar; BufSize: LongInt): LongInt; stdcall;
procedure VCGetCurrentEntityPointAtParameterBP (var iError: SmallInt; t: Double; var dpP: Point2D); stdcall;
procedure VCGetCurrentEntitySlopeAtParameterBP (var iError: SmallInt; t: Double; var dpP: Point2D); stdcall;
function VCGetCurrentEntityClosestPointAndParameterBP (var iError: SmallInt; var dpPick: Point2D; var dpClosest: Point2D): Double; stdcall;
function VCGetTextCurveKind (var iError: SmallInt): Byte; stdcall;
procedure VCSetTextCurveKind (var iError: SmallInt; bKind: Byte); stdcall;
function VCGetTextCurveReverse (var iError: SmallInt): WordBool; stdcall;
procedure VCSetTextCurveReverse (var iError: SmallInt; tfReverse: WordBool); stdcall;
function VCGetTextWordWrap (var iError: SmallInt): Double; stdcall;
procedure VCSetTextWordWrap (var iError: SmallInt; dWrap: Double); stdcall;
function VCGetCurrentTextCurvePointCount (var iError: SmallInt): SmallInt; stdcall;
procedure VCGetCurrentTextCurvePoint (var iError: SmallInt; iIndex: SmallInt; var dpP: Point2D); stdcall;
procedure VCSetCurrentTextCurvePoint (var iError: SmallInt; iIndex: SmallInt; var dpP: Point2D); stdcall;
procedure VCSetCurrentTextCurvePoints (var iError: SmallInt; var p2dArray: Point2D; iPointCount: SmallInt); stdcall;
function VCGetTextCurveDisplay (var iError: SmallInt): WordBool; stdcall;
procedure VCSetTextCurveDisplay (var iError: SmallInt; tfDisplay: WordBool); stdcall;
function VCGetTextCurveClosed (var iError: SmallInt): WordBool; stdcall;
procedure VCSetTextCurveClosed (var iError: SmallInt; tfClosed: WordBool); stdcall;
function VCGetOffsetNumSegments (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetOffsetNumSegments (var iError: SmallInt; iNum: SmallInt); stdcall;
function VCGetFilterRealWidth (var iError: SmallInt): Single; stdcall;
procedure VCSetFilterRealWidth (var iError: SmallInt; f: Single); stdcall;
procedure VCGetFilterMultiKinds (var iError: SmallInt; var dw2D: LongWord; var dw3D: LongWord); stdcall;
procedure VCSetFilterMultiKinds (var iError: SmallInt; dw2D: LongWord; dw3D: LongWord); stdcall;
function VCGetFilterMultiKindsString (var iError: SmallInt; szFilter: PAnsiChar): SmallInt; stdcall;
procedure VCSetFilterMultiKindsString (var iError: SmallInt; szFilter: PAnsiChar); stdcall;
function VCGetSnapPreviewColor (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetSnapPreviewColor (var iError: SmallInt; i: SmallInt); stdcall;
procedure VCGetCurrentEntityCentroidAndArea (var iError: SmallInt; dStep: Double; var dpCentroid: Point2D; var pArea: Double); stdcall;
procedure VCAddAngularDimensionEntityEx (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D; var dpP4: Point2D); stdcall;
function VCGetNotImportXref (var iError: SmallInt): WordBool; stdcall;
procedure VCSetNotImportXref (var iError: SmallInt; tf: WordBool); stdcall;
procedure VCSelectFence (var iError: SmallInt; tfCrossing: WordBool; tfDeselect: WordBool; tfGroup: WordBool; var p2dArray: Point2D; iPointCount: SmallInt); stdcall;
function VCGetPDFExportFilename (var iError: SmallInt; szName: PAnsiChar): LongInt; stdcall;
function VCGetLeaderTabStops (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetLeaderTabStops (var iError: SmallInt; val: SmallInt); stdcall;
function VCGetSymbolBreakColor (var iError: SmallInt): SmallInt; stdcall;
procedure VCSetSymbolBreakColor (var iError: SmallInt; iColor: SmallInt); stdcall;
function VCGetButtonScale (var iError: SmallInt): LongWord; stdcall;
procedure VCSetButtonScale (var iError: SmallInt; uScale: LongWord); stdcall;
function VCGetStatusColorText (var iError: SmallInt; type: LongInt): LongWord; stdcall;
procedure VCSetStatusColorText (var iError: SmallInt; type: LongInt; crText: LongWord); stdcall;
function VCGetStatusColorBgnd (var iError: SmallInt; type: LongInt): LongWord; stdcall;
procedure VCSetStatusColorBgnd (var iError: SmallInt; type: LongInt; crBack: LongWord); stdcall;

implementation

var hInst: THandle;

function VCLoadVCMAIN32: boolean;
begin
  hInst := LoadLibrary('VCMAIN32.DLL');
  result := hInst <> 0;
end;

procedure VCFreeVCMAIN32;
begin
  if hInst <> 0 then
    FreeLibrary(hInst);
end;

procedure VCAbort;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAbort');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCAbortOperation (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAbortOperation');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCAddAngularDimensionEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddAngularDimensionEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, dpP1, dpP2, dpP3);
  end;
end;

procedure VCAddArcEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddArcEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, dpP1, dpP2);
  end;
end;

procedure VCAddAtbDef (var iError: SmallInt; szName: PAnsiChar; Label0: PAnsiChar; Value0: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar; Label0: PAnsiChar; Value0: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddAtbDef');
    if @aproc <> nil then
      aproc(iError, szName, Label0, Value0);
  end;
end;

procedure VCAddBezierEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddBezierEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, dpP1, dpP2, dpP3);
  end;
end;

procedure VCAddCircleEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddCircleEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, dpP1);
  end;
end;

procedure VCAddContinuousBezierEntity (var iError: SmallInt; iSymbolIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddContinuousBezierEntity');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex);
  end;
end;

procedure VCAddContinuousLine3DEntity (var iError: SmallInt; iSymbolIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddContinuousLine3DEntity');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex);
  end;
end;

procedure VCAddContinuousLineEntity (var iError: SmallInt; iSymbolIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddContinuousLineEntity');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex);
  end;
end;

procedure VCAddCurrentEntityUserDataByte (var iError: SmallInt; b: Byte);
type TVCProc = procedure (var iError: SmallInt; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddCurrentEntityUserDataByte');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCAddCurrentEntityUserDataChunk (var iError: SmallInt; p: Pointer; iSize: SmallInt);
type TVCProc = procedure (var iError: SmallInt; p: Pointer; iSize: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddCurrentEntityUserDataChunk');
    if @aproc <> nil then
      aproc(iError, p, iSize);
  end;
end;

procedure VCAddCurrentEntityUserDataDouble (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddCurrentEntityUserDataDouble');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCAddCurrentEntityUserDataFloat (var iError: SmallInt; f: Single);
type TVCProc = procedure (var iError: SmallInt; f: Single); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddCurrentEntityUserDataFloat');
    if @aproc <> nil then
      aproc(iError, f);
  end;
end;

procedure VCAddCurrentEntityUserDataLong (var iError: SmallInt; l: LongInt);
type TVCProc = procedure (var iError: SmallInt; l: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddCurrentEntityUserDataLong');
    if @aproc <> nil then
      aproc(iError, l);
  end;
end;

procedure VCAddCurrentEntityUserDataShort (var iError: SmallInt; s: SmallInt);
type TVCProc = procedure (var iError: SmallInt; s: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddCurrentEntityUserDataShort');
    if @aproc <> nil then
      aproc(iError, s);
  end;
end;

procedure VCAddCurrentEntityUserDataString (var iError: SmallInt; str: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; str: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddCurrentEntityUserDataString');
    if @aproc <> nil then
      aproc(iError, str);
  end;
end;

procedure VCAddDiameterDimensionEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddDiameterDimensionEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, dpP1, dpP2, dpP3);
  end;
end;

procedure VCAddEllipseEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddEllipseEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, dpP1, dpP2, dpP3);
  end;
end;

procedure VCAddEllipticalArcEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D; var dpP4: Point2D; var dpP5: Point2D; var dpP6: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D; var dpP4: Point2D; var dpP5: Point2D; var dpP6: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddEllipticalArcEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, dpP1, dpP2, dpP3, dpP4, dpP5, dpP6);
  end;
end;

procedure VCAddEmbAtb (var iError: SmallInt; iWhichSymbolDef: SmallInt; szName: PAnsiChar; Label0: PAnsiChar; Value0: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; iWhichSymbolDef: SmallInt; szName: PAnsiChar; Label0: PAnsiChar; Value0: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddEmbAtb');
    if @aproc <> nil then
      aproc(iError, iWhichSymbolDef, szName, Label0, Value0);
  end;
end;

procedure VCAddFillEntity (var iError: SmallInt; iSymbolIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddFillEntity');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex);
  end;
end;

procedure VCAddHatchEntity (var iError: SmallInt; iSymbolIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddHatchEntity');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex);
  end;
end;

function VCAddLayerGroup (var iError: SmallInt; szGroupName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szGroupName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddLayerGroup');
    if @aproc <> nil then
      result := aproc(iError, szGroupName);
  end;
end;

procedure VCAddLeaderEntity (var iError: SmallInt; iSymbolIndex: SmallInt; var P: Point2D; iPointCount: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var P: Point2D; iPointCount: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddLeaderEntity');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, P, iPointCount);
  end;
end;

procedure VCAddLine3D (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point3D; var dpP1: Point3D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point3D; var dpP1: Point3D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddLine3D');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, dpP1);
  end;
end;

procedure VCAddLineEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddLineEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, dpP1);
  end;
end;

function VCAddLineType (var iError: SmallInt; pName: PAnsiChar; bCode: SmallInt; iDashCount: SmallInt; var pDashes: Double): SmallInt;
type TVCProc = function (var iError: SmallInt; pName: PAnsiChar; bCode: SmallInt; iDashCount: SmallInt; var pDashes: Double): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddLineType');
    if @aproc <> nil then
      result := aproc(iError, pName, bCode, iDashCount, pDashes);
  end;
end;

procedure VCAddLinearDimensionEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddLinearDimensionEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, dpP1, dpP2, dpP3);
  end;
end;

function VCAddNamedLayer (var iError: SmallInt; pName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddNamedLayer');
    if @aproc <> nil then
      result := aproc(iError, pName);
  end;
end;

procedure VCAddPoint3D (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP: Point3D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP: Point3D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddPoint3D');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP);
  end;
end;

procedure VCAddPointEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddPointEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0);
  end;
end;

procedure VCAddPolygon3D (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP: Point3D; iNumPnts: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP: Point3D; iNumPnts: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddPolygon3D');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP, iNumPnts);
  end;
end;

procedure VCAddRadialDimensionEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddRadialDimensionEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, dpP1, dpP2, dpP3);
  end;
end;

procedure VCAddRefFrameEntity (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddRefFrameEntity');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0);
  end;
end;

procedure VCAddSplineEntity (var iError: SmallInt; iSymbolIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddSplineEntity');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex);
  end;
end;

procedure VCAddSymbol3DEntity (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point3D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point3D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddSymbol3DEntity');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0);
  end;
end;

procedure VCAddSymbolEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddSymbolEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0);
  end;
end;

procedure VCAddTextEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddTextEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0);
  end;
end;

function VCAngleToString (var iError: SmallInt; pS: PAnsiChar; var pA: Double): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar; var pA: Double): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAngleToString');
    if @aproc <> nil then
      result := aproc(iError, pS, pA);
  end;
end;

procedure VCAppExit (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAppExit');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCApplyLayerGroupByIndex (var iError: SmallInt; iGroupIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iGroupIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCApplyLayerGroupByIndex');
    if @aproc <> nil then
      aproc(iError, iGroupIndex);
  end;
end;

procedure VCApplyLayerGroupByName (var iError: SmallInt; szGroupName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szGroupName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCApplyLayerGroupByName');
    if @aproc <> nil then
      aproc(iError, szGroupName);
  end;
end;

procedure VCApplySettingsToCurrentEntity (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCApplySettingsToCurrentEntity');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

function VCAuditUIDS (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAuditUIDS');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCBeginOperation (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCBeginOperation');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCButton (iButton: SmallInt; iState: SmallInt);
type TVCProc = procedure (iButton: SmallInt; iState: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCButton');
    if @aproc <> nil then
      aproc(iButton, iState);
  end;
end;

procedure VCChangeView (var iError: SmallInt; hWnd_: LongInt);
type TVCProc = procedure (var iError: SmallInt; hWnd_: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCChangeView');
    if @aproc <> nil then
      aproc(iError, hWnd_);
  end;
end;

procedure VCChangeView3D (var iError: SmallInt; iCode: SmallInt; dFact: Double);
type TVCProc = procedure (var iError: SmallInt; iCode: SmallInt; dFact: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCChangeView3D');
    if @aproc <> nil then
      aproc(iError, iCode, dFact);
  end;
end;

procedure VCChar (c: SmallInt);
type TVCProc = procedure (c: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCChar');
    if @aproc <> nil then
      aproc(c);
  end;
end;

procedure VCClearAlertApp (var iError: SmallInt; hWnd: LongInt);
type TVCProc = procedure (var iError: SmallInt; hWnd: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCClearAlertApp');
    if @aproc <> nil then
      aproc(iError, hWnd);
  end;
end;

procedure VCClearAlertAppDll (var iError: SmallInt; DllName: PAnsiChar; NativeCmd: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; DllName: PAnsiChar; NativeCmd: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCClearAlertAppDll');
    if @aproc <> nil then
      aproc(iError, DllName, NativeCmd);
  end;
end;

procedure VCClearLayerProperties (var iError: SmallInt; iLayer: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iLayer: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCClearLayerProperties');
    if @aproc <> nil then
      aproc(iError, iLayer);
  end;
end;

procedure VCClearScreen;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCClearScreen');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCClearSelection;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCClearSelection');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCClose (hW: LongInt);
type TVCProc = procedure (hW: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCClose');
    if @aproc <> nil then
      aproc(hW);
  end;
end;

procedure VCCloseContour;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCloseContour');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCComputeArcMid (var dpC: Point2D; var dpP0: Point2D; var dpP2: Point2D; var dpPreviousMid: Point2D; var dpRet: Point2D);
type TVCProc = procedure (var dpC: Point2D; var dpP0: Point2D; var dpP2: Point2D; var dpPreviousMid: Point2D; var dpRet: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCComputeArcMid');
    if @aproc <> nil then
      aproc(dpC, dpP0, dpP2, dpPreviousMid, dpRet);
  end;
end;

procedure VCComputeIntersection (var iError: SmallInt; l0: LongInt; l1: LongInt; var dpPick: Point2D; var dpIntersect: Point2D);
type TVCProc = procedure (var iError: SmallInt; l0: LongInt; l1: LongInt; var dpPick: Point2D; var dpIntersect: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCComputeIntersection');
    if @aproc <> nil then
      aproc(iError, l0, l1, dpPick, dpIntersect);
  end;
end;

procedure VCCopy;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCopy');
    if @aproc <> nil then
      aproc;
  end;
end;

function VCCreateGraphicHandle (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCreateGraphicHandle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCCreateMDIWindow (var iError: SmallInt; iNewMDIWindow: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; iNewMDIWindow: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCreateMDIWindow');
    if @aproc <> nil then
      result := aproc(iError, iNewMDIWindow);
  end;
end;

function VCCreateSymbolDef (var iError: SmallInt; pName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCreateSymbolDef');
    if @aproc <> nil then
      result := aproc(iError, pName);
  end;
end;

procedure VCCreateSymbolFromSelectionBP  (var iError: SmallInt; szName: PAnsiChar; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCreateSymbolFromSelectionBP ');
    if @aproc <> nil then
      aproc(iError, szName, dpP);
  end;
end;

procedure VCCrossingSelect (var dpP0: Point2D; var dpP1: Point2D);
type TVCProc = procedure (var dpP0: Point2D; var dpP1: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCrossingSelect');
    if @aproc <> nil then
      aproc(dpP0, dpP1);
  end;
end;

procedure VCCurEntAtbAttach (var iError: SmallInt; szAtbName: PAnsiChar; var dpRef: Point2D);
type TVCProc = procedure (var iError: SmallInt; szAtbName: PAnsiChar; var dpRef: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCurEntAtbAttach');
    if @aproc <> nil then
      aproc(iError, szAtbName, dpRef);
  end;
end;

procedure VCCurEntAtbDelete (var iError: SmallInt; iWhichAtb: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iWhichAtb: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCurEntAtbDelete');
    if @aproc <> nil then
      aproc(iError, iWhichAtb);
  end;
end;

procedure VCCut;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCut');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCDeSelectAll;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDeSelectAll');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCDeleteAtbDef (var iError: SmallInt; szName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDeleteAtbDef');
    if @aproc <> nil then
      aproc(iError, szName);
  end;
end;

procedure VCDeleteCurrentEntityUserData (var iError: SmallInt; iIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDeleteCurrentEntityUserData');
    if @aproc <> nil then
      aproc(iError, iIndex);
  end;
end;

procedure VCDeleteEmbAtb (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDeleteEmbAtb');
    if @aproc <> nil then
      aproc(iError, iWhichSymbolDef, iWhichAtb);
  end;
end;

procedure VCDeleteGraphicHandle (var iError: SmallInt; hG: LongInt);
type TVCProc = procedure (var iError: SmallInt; hG: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDeleteGraphicHandle');
    if @aproc <> nil then
      aproc(iError, hG);
  end;
end;

procedure VCDeleteLayerGroup (var iError: SmallInt; iGroupIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iGroupIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDeleteLayerGroup');
    if @aproc <> nil then
      aproc(iError, iGroupIndex);
  end;
end;

procedure VCDestroyWorld (hW: LongInt);
type TVCProc = procedure (hW: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDestroyWorld');
    if @aproc <> nil then
      aproc(hW);
  end;
end;

procedure VCDigPointBP  (var lpt: lPoint2D; bButtonNum: SmallInt; bButtonState: SmallInt);
type TVCProc = procedure (var lpt: lPoint2D; bButtonNum: SmallInt; bButtonState: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDigPointBP ');
    if @aproc <> nil then
      aproc(lpt, bButtonNum, bButtonState);
  end;
end;

procedure VCDimDirectionMode (iMode: SmallInt);
type TVCProc = procedure (iMode: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimDirectionMode');
    if @aproc <> nil then
      aproc(iMode);
  end;
end;

function VCDimGetDimExtStretch (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimGetDimExtStretch');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCDimGetDimMode (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimGetDimMode');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCDimGetDimProximity (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimGetDimProximity');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCDimSetDimExtStretch (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimSetDimExtStretch');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCDimSetDimMode (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimSetDimMode');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCDimSetDimProximity (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDimSetDimProximity');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

function VCDistToString (var iError: SmallInt; pS: PAnsiChar; var pD: Double): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar; var pD: Double): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDistToString');
    if @aproc <> nil then
      result := aproc(iError, pS, pD);
  end;
end;

procedure VCDrawCurrentEntity (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawCurrentEntity');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCDrawCurrentEntityXOR (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawCurrentEntityXOR');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCDrawToDC (var iError: SmallInt; hDC_: SmallInt; left: LongInt; bottom: LongInt; right: LongInt; top: LongInt);
type TVCProc = procedure (var iError: SmallInt; hDC_: SmallInt; left: LongInt; bottom: LongInt; right: LongInt; top: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawToDC');
    if @aproc <> nil then
      aproc(iError, hDC_, left, bottom, right, top);
  end;
end;

procedure VCDrawToDC2 (var iError: SmallInt; hDC_: LongInt; left: LongInt; bottom: LongInt; right: LongInt; top: LongInt);
type TVCProc = procedure (var iError: SmallInt; hDC_: LongInt; left: LongInt; bottom: LongInt; right: LongInt; top: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawToDC2');
    if @aproc <> nil then
      aproc(iError, hDC_, left, bottom, right, top);
  end;
end;

procedure VCDuplicate (var iError: SmallInt; lH: LongInt);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDuplicate');
    if @aproc <> nil then
      aproc(iError, lH);
  end;
end;

procedure VCDuplicateToWorld (var iError: SmallInt; hE: LongInt; TargetWorld: LongInt);
type TVCProc = procedure (var iError: SmallInt; hE: LongInt; TargetWorld: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDuplicateToWorld');
    if @aproc <> nil then
      aproc(iError, hE, TargetWorld);
  end;
end;

procedure VCDuplicateWithTransform (var iError: SmallInt; lH: LongInt; var dpTrans: Point2D; var dpScale: Point2D; dAngle: Double);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; var dpTrans: Point2D; var dpScale: Point2D; dAngle: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDuplicateWithTransform');
    if @aproc <> nil then
      aproc(iError, lH, dpTrans, dpScale, dAngle);
  end;
end;

procedure VCEndOperation (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCEndOperation');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCEntityBreak (var iError: SmallInt; lH: LongInt; var dpP0: Point2D; var dpP1: Point2D);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; var dpP0: Point2D; var dpP1: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCEntityBreak');
    if @aproc <> nil then
      aproc(iError, lH, dpP0, dpP1);
  end;
end;

procedure VCEntityExtents (var iError: SmallInt; lH: LongInt; var dpMin: Point2D; var dpMax: Point2D);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; var dpMin: Point2D; var dpMax: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCEntityExtents');
    if @aproc <> nil then
      aproc(iError, lH, dpMin, dpMax);
  end;
end;

procedure VCEraseCursor;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCEraseCursor');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCEraseRubber;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCEraseRubber');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCFilterReset (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCFilterReset');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

function VCFirstEntity (var iError: SmallInt; var bKind: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCFirstEntity');
    if @aproc <> nil then
      result := aproc(iError, bKind);
  end;
end;

function VCFirstEntityExpand (var iError: SmallInt; var bKind: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCFirstEntityExpand');
    if @aproc <> nil then
      result := aproc(iError, bKind);
  end;
end;

function VCFirstGraphic (var iError: SmallInt; hG: LongInt): WordBool;
type TVCProc = function (var iError: SmallInt; hG: LongInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCFirstGraphic');
    if @aproc <> nil then
      result := aproc(iError, hG);
  end;
end;

function VCFirstOnScreen (var iError: SmallInt; var bKind: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCFirstOnScreen');
    if @aproc <> nil then
      result := aproc(iError, bKind);
  end;
end;

function VCFirstSelected (var iError: SmallInt; var bKind: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCFirstSelected');
    if @aproc <> nil then
      result := aproc(iError, bKind);
  end;
end;

function VCFirstSelectedRF (var iError: SmallInt; var hE: LongInt): WordBool;
type TVCProc = function (var iError: SmallInt; var hE: LongInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCFirstSelectedRF');
    if @aproc <> nil then
      result := aproc(iError, hE);
  end;
end;

function VCFirstView (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCFirstView');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCFirstWorld (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCFirstWorld');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCForceWidthOnAllEntities (var iError: SmallInt; iNewWidth: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iNewWidth: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCForceWidthOnAllEntities');
    if @aproc <> nil then
      aproc(iError, iNewWidth);
  end;
end;

procedure VCGeneratePointsFromCurrentEntity (var iError: SmallInt; var P: Point2D; var iCount: SmallInt; iMax: SmallInt; dStep: Double);
type TVCProc = procedure (var iError: SmallInt; var P: Point2D; var iCount: SmallInt; iMax: SmallInt; dStep: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGeneratePointsFromCurrentEntity');
    if @aproc <> nil then
      aproc(iError, P, iCount, iMax, dStep);
  end;
end;

function VCGetAcadImportUnit (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAcadImportUnit');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetAllLayersEd (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAllLayersEd');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetAllLayersSnap (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAllLayersSnap');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetAngle (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAngle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetAngleBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAngleBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetAngleHandle: LongInt;
type TVCProc = function: LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAngleHandle');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetArrowScreenStep (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetArrowScreenStep');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetArrowWorld (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetArrowWorld');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetArrowWorldStep (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetArrowWorldStep');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetArrowWorldStepBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetArrowWorldStepBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetAskZoomCenter (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAskZoomCenter');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetAssocContourCount (var iError: SmallInt; WhichAssoc: LongInt): LongInt;
type TVCProc = function (var iError: SmallInt; WhichAssoc: LongInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAssocContourCount');
    if @aproc <> nil then
      result := aproc(iError, WhichAssoc);
  end;
end;

function VCGetAssocCount (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAssocCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetAssocEntity (var iError: SmallInt; WhichAssoc: LongInt; WhichContour: LongInt; WhichEntity: LongInt): LongWord;
type TVCProc = function (var iError: SmallInt; WhichAssoc: LongInt; WhichContour: LongInt; WhichEntity: LongInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAssocEntity');
    if @aproc <> nil then
      result := aproc(iError, WhichAssoc, WhichContour, WhichEntity);
  end;
end;

function VCGetAssocEntityCount (var iError: SmallInt; WhichAssoc: LongInt; WhichContour: LongInt): LongInt;
type TVCProc = function (var iError: SmallInt; WhichAssoc: LongInt; WhichContour: LongInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAssocEntityCount');
    if @aproc <> nil then
      result := aproc(iError, WhichAssoc, WhichContour);
  end;
end;

function VCGetAssocKind (var iError: SmallInt; WhichAssoc: LongInt): SmallInt;
type TVCProc = function (var iError: SmallInt; WhichAssoc: LongInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAssocKind');
    if @aproc <> nil then
      result := aproc(iError, WhichAssoc);
  end;
end;

function VCGetAtbColorIndex (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbColorIndex');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetAtbDefCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbDefCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetAtbDefLabel (var iError: SmallInt; szName: PAnsiChar; szLabel: PAnsiChar; iRec: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar; szLabel: PAnsiChar; iRec: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbDefLabel');
    if @aproc <> nil then
      result := aproc(iError, szName, szLabel, iRec);
  end;
end;

function VCGetAtbDefName (var iError: SmallInt; iIndex: SmallInt; szName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt; szName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbDefName');
    if @aproc <> nil then
      result := aproc(iError, iIndex, szName);
  end;
end;

function VCGetAtbDefRecordCount (var iError: SmallInt; szName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbDefRecordCount');
    if @aproc <> nil then
      result := aproc(iError, szName);
  end;
end;

function VCGetAtbDefValue (var iError: SmallInt; szName: PAnsiChar; Value: PAnsiChar; iRec: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar; Value: PAnsiChar; iRec: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbDefValue');
    if @aproc <> nil then
      result := aproc(iError, szName, Value, iRec);
  end;
end;

function VCGetAtbDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetAtbFont (var iError: SmallInt; pS: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbFont');
    if @aproc <> nil then
      result := aproc(iError, pS);
  end;
end;

procedure VCGetAtbHeight (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbHeight');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetAtbInternalName (var iError: SmallInt; pFileName: PAnsiChar; pReturn: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pFileName: PAnsiChar; pReturn: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbInternalName');
    if @aproc <> nil then
      result := aproc(iError, pFileName, pReturn);
  end;
end;

function VCGetAtbLabel (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbLabel');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetAutoFillet (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAutoFillet');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetAutoSave (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAutoSave');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetAutoSaveSecs (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAutoSaveSecs');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetBackgroundColor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetBackgroundColor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetBackwardsRedraw (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetBackwardsRedraw');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCMDId (var iError: SmallInt; pNative: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; pNative: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCMDId');
    if @aproc <> nil then
      result := aproc(iError, pNative);
  end;
end;

function VCGetCMPPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCMPPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetChamferDist1 (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetChamferDist1');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetChamferDist1BP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetChamferDist1BP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetChamferDist2 (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetChamferDist2');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetChamferDist2BP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetChamferDist2BP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCGetClosestSegment (var iError: SmallInt; var p2d: Point2D; lH: LongInt; var dpP0: Point2D; var dpP1: Point2D);
type TVCProc = procedure (var iError: SmallInt; var p2d: Point2D; lH: LongInt; var dpP0: Point2D; var dpP1: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetClosestSegment');
    if @aproc <> nil then
      aproc(iError, p2d, lH, dpP0, dpP1);
  end;
end;

function VCGetCmdName (var iError: SmallInt; iCmdId: SmallInt; pName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iCmdId: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCmdName');
    if @aproc <> nil then
      result := aproc(iError, iCmdId, pName);
  end;
end;

function VCGetCmdStr (var iError: SmallInt; pS: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCmdStr');
    if @aproc <> nil then
      result := aproc(iError, pS);
  end;
end;

function VCGetColorIndex (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetColorIndex');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCommandAlias (i: SmallInt; szAlias: PAnsiChar): SmallInt;
type TVCProc = function (i: SmallInt; szAlias: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCommandAlias');
    if @aproc <> nil then
      result := aproc(i, szAlias);
  end;
end;

function VCGetCommandCount: SmallInt;
type TVCProc = function: SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCommandCount');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetCommandDescription (i: SmallInt; szNative: PAnsiChar): SmallInt;
type TVCProc = function (i: SmallInt; szNative: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCommandDescription');
    if @aproc <> nil then
      result := aproc(i, szNative);
  end;
end;

function VCGetCommandNative (i: SmallInt; szNative: PAnsiChar): SmallInt;
type TVCProc = function (i: SmallInt; szNative: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCommandNative');
    if @aproc <> nil then
      result := aproc(i, szNative);
  end;
end;

function VCGetCommandString (id: Word; iIndex: SmallInt; szIn: PAnsiChar): SmallInt;
type TVCProc = function (id: Word; iIndex: SmallInt; szIn: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCommandString');
    if @aproc <> nil then
      result := aproc(id, iIndex, szIn);
  end;
end;

function VCGetConstPt (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetConstPt');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCurEntAtbCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurEntAtbCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCurEntAtbName (var iError: SmallInt; iWhichAtb: SmallInt; szName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iWhichAtb: SmallInt; szName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurEntAtbName');
    if @aproc <> nil then
      result := aproc(iError, iWhichAtb, szName);
  end;
end;

function VCGetCurEntAtbRecCount (var iError: SmallInt; iWhichAtb: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iWhichAtb: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurEntAtbRecCount');
    if @aproc <> nil then
      result := aproc(iError, iWhichAtb);
  end;
end;

function VCGetCurEntAtbRecLabel (var iError: SmallInt; iWhichAtb: SmallInt; iWhichRec: SmallInt; pLabel: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iWhichAtb: SmallInt; iWhichRec: SmallInt; pLabel: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurEntAtbRecLabel');
    if @aproc <> nil then
      result := aproc(iError, iWhichAtb, iWhichRec, pLabel);
  end;
end;

function VCGetCurEntAtbRecValue (var iError: SmallInt; iWhichAtb: SmallInt; iWhichRec: SmallInt; pValue: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iWhichAtb: SmallInt; iWhichRec: SmallInt; pValue: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurEntAtbRecValue');
    if @aproc <> nil then
      result := aproc(iError, iWhichAtb, iWhichRec, pValue);
  end;
end;

procedure VCGetCurEntAtbRefPoint (var iError: SmallInt; iWhichAtb: SmallInt; var dpRef: Point2D);
type TVCProc = procedure (var iError: SmallInt; iWhichAtb: SmallInt; var dpRef: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurEntAtbRefPoint');
    if @aproc <> nil then
      aproc(iError, iWhichAtb, dpRef);
  end;
end;

function VCGetCurEntUserDataChunkSize (var iError: SmallInt; iIndex: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurEntUserDataChunkSize');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

function VCGetCurEntUserDataStringSize (var iError: SmallInt; iIndex: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurEntUserDataStringSize');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

function VCGetCurentOleClassId (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurentOleClassId');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCurrEntRFAbsName (var iError: SmallInt; RetPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; RetPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrEntRFAbsName');
    if @aproc <> nil then
      result := aproc(iError, RetPath);
  end;
end;

function VCGetCurrEntRFAbsShortName (var iError: SmallInt; RetPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; RetPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrEntRFAbsShortName');
    if @aproc <> nil then
      result := aproc(iError, RetPath);
  end;
end;

function VCGetCurrEntUserDataName (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrEntUserDataName');
    if @aproc <> nil then
      result := aproc(iError, iIndex, pName);
  end;
end;

function VCGetCurrWorld: LongInt;
type TVCProc = function: LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrWorld');
    if @aproc <> nil then
      result := aproc;
  end;
end;

procedure VCGetCurrZoom (var iError: SmallInt; var dpMin: Point2D; var dpMax: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpMin: Point2D; var dpMax: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrZoom');
    if @aproc <> nil then
      aproc(iError, dpMin, dpMax);
  end;
end;

procedure VCGetCurrentEntUserDataDoubleBP (var iError: SmallInt; iIndex: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntUserDataDoubleBP');
    if @aproc <> nil then
      aproc(iError, iIndex, dRet);
  end;
end;

function VCGetCurrentEntity3DFlag0 (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntity3DFlag0');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetCurrentEntityArcData (var iError: SmallInt; var dpC: Point2D; var dRad: Double; var dStart: Double; var dSpan: Double; var dArcLength: Double);
type TVCProc = procedure (var iError: SmallInt; var dpC: Point2D; var dRad: Double; var dStart: Double; var dSpan: Double; var dArcLength: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityArcData');
    if @aproc <> nil then
      aproc(iError, dpC, dRad, dStart, dSpan, dArcLength);
  end;
end;

procedure VCGetCurrentEntityArea (var iError: SmallInt; dStep: Double; var dArea: Double);
type TVCProc = procedure (var iError: SmallInt; dStep: Double; var dArea: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityArea');
    if @aproc <> nil then
      aproc(iError, dStep, dArea);
  end;
end;

function VCGetCurrentEntityCloseContour (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityCloseContour');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCurrentEntityColor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityColor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetCurrentEntityDist (var iError: SmallInt; dStep: Double; var dDist: Double);
type TVCProc = procedure (var iError: SmallInt; dStep: Double; var dDist: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityDist');
    if @aproc <> nil then
      aproc(iError, dStep, dDist);
  end;
end;

function VCGetCurrentEntityHandle (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityHandle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCurrentEntityKind (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityKind');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCurrentEntityLayer (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityLayer');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCurrentEntityLayerName (var iError: SmallInt; pName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityLayerName');
    if @aproc <> nil then
      result := aproc(iError, pName);
  end;
end;

procedure VCGetCurrentEntityLength (var iError: SmallInt; dStep: Double; var dLength: Double);
type TVCProc = procedure (var iError: SmallInt; dStep: Double; var dLength: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityLength');
    if @aproc <> nil then
      aproc(iError, dStep, dLength);
  end;
end;

function VCGetCurrentEntityLineType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityLineType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCurrentEntityLineTypeName (var iError: SmallInt; pName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityLineTypeName');
    if @aproc <> nil then
      result := aproc(iError, pName);
  end;
end;

function VCGetCurrentEntityLineWidth (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityLineWidth');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetCurrentEntityLineWidthValue (var iError: SmallInt; var dV: Single);
type TVCProc = procedure (var iError: SmallInt; var dV: Single); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityLineWidthValue');
    if @aproc <> nil then
      aproc(iError, dV);
  end;
end;

procedure VCGetCurrentEntityNormal3D (var iError: SmallInt; var nV: Point3D);
type TVCProc = procedure (var iError: SmallInt; var nV: Point3D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityNormal3D');
    if @aproc <> nil then
      aproc(iError, nV);
  end;
end;

procedure VCGetCurrentEntityPoint3D (var iError: SmallInt; iIndex: SmallInt; var dpRet: Point3D);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; var dpRet: Point3D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityPoint3D');
    if @aproc <> nil then
      aproc(iError, iIndex, dpRet);
  end;
end;

procedure VCGetCurrentEntityPointBP (var iError: SmallInt; iIndex: SmallInt; var dpRet: Point2D);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; var dpRet: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityPointBP');
    if @aproc <> nil then
      aproc(iError, iIndex, dpRet);
  end;
end;

function VCGetCurrentEntityPointCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityPointCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCurrentEntityUID (var iError: SmallInt): LongWord;
type TVCProc = function (var iError: SmallInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUID');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetCurrentEntityUseByLayerProperties (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool);
type TVCProc = procedure (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUseByLayerProperties');
    if @aproc <> nil then
      aproc(iError, tfColor, tfLineType, tfLineWidth);
  end;
end;

function VCGetCurrentEntityUserDataByte (var iError: SmallInt; iIndex: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUserDataByte');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

procedure VCGetCurrentEntityUserDataChunk (var iError: SmallInt; iIndex: SmallInt; p: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; p: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUserDataChunk');
    if @aproc <> nil then
      aproc(iError, iIndex, p);
  end;
end;

function VCGetCurrentEntityUserDataCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUserDataCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCurrentEntityUserDataDouble (var iError: SmallInt; iIndex: SmallInt): Double;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUserDataDouble');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

function VCGetCurrentEntityUserDataFloat (var iError: SmallInt; iIndex: SmallInt): Single;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): Single; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUserDataFloat');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

function VCGetCurrentEntityUserDataKind (var iError: SmallInt; iIndex: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUserDataKind');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

function VCGetCurrentEntityUserDataLong (var iError: SmallInt; iIndex: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUserDataLong');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

function VCGetCurrentEntityUserDataShort (var iError: SmallInt; iIndex: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUserDataShort');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

procedure VCGetCurrentEntityUserDataString (var iError: SmallInt; iIndex: SmallInt; str: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; str: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUserDataString');
    if @aproc <> nil then
      aproc(iError, iIndex, str);
  end;
end;

function VCGetCurrentErasedEntity (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentErasedEntity');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetCurrentPoint (var iError: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentPoint');
    if @aproc <> nil then
      aproc(iError, dpP);
  end;
end;

function VCGetCurrentUID (var iError: SmallInt): LongWord;
type TVCProc = function (var iError: SmallInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentUID');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCurrentUndoLevel (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentUndoLevel');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetCurrentView (var iError: SmallInt; var iView: SmallInt);
type TVCProc = procedure (var iError: SmallInt; var iView: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentView');
    if @aproc <> nil then
      aproc(iError, iView);
  end;
end;

function VCGetCursorColor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCursorColor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCursorFree (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCursorFree');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCursorSize (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCursorSize');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDC (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDC');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDWGPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDWGPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetDXFPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDXFPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

procedure VCGetDatumBasePtBP  (var iError: SmallInt; var dpRet: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpRet: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDatumBasePtBP ');
    if @aproc <> nil then
      aproc(iError, dpRet);
  end;
end;

function VCGetDatumType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDatumType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDefaultTool (var iError: SmallInt): Word;
type TVCProc = function (var iError: SmallInt): Word; stdcall;
var aproc: TVCProc;
begin
  result := Word(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDefaultTool');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimAngleFormat (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimAngleFormat');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimArrowAngle (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimArrowAngle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDimArrowAngleBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimArrowAngleBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCGetDimArrowFlipDists (var iError: SmallInt; var d0: Double; var d1: Double);
type TVCProc = procedure (var iError: SmallInt; var d0: Double; var d1: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimArrowFlipDists');
    if @aproc <> nil then
      aproc(iError, d0, d1);
  end;
end;

function VCGetDimArrowLength (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimArrowLength');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDimArrowLengthBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimArrowLengthBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetDimArrowMode (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimArrowMode');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimArrowType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimArrowType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimDecimalValue (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimDecimalValue');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimDisplayItemCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimDisplayItemCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimDisplayItemName (var iError: SmallInt; i: SmallInt; pS: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; i: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimDisplayItemName');
    if @aproc <> nil then
      result := aproc(iError, i, pS);
  end;
end;

function VCGetDimDistFormat (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimDistFormat');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimExtAbove (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimExtAbove');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDimExtAboveBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimExtAboveBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetDimExtBelow (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimExtBelow');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDimExtBelowBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimExtBelowBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetDimExtOffset (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimExtOffset');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDimExtOffsetBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimExtOffsetBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetDimFont (var iError: SmallInt; pS: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimFont');
    if @aproc <> nil then
      result := aproc(iError, pS);
  end;
end;

function VCGetDimFractionalValue (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimFractionalValue');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimItemColor (var iError: SmallInt; i: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; i: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimItemColor');
    if @aproc <> nil then
      result := aproc(iError, i);
  end;
end;

function VCGetDimItemLineType (var iError: SmallInt; i: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; i: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimItemLineType');
    if @aproc <> nil then
      result := aproc(iError, i);
  end;
end;

function VCGetDimItemLineWidth (var iError: SmallInt; i: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; i: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimItemLineWidth');
    if @aproc <> nil then
      result := aproc(iError, i);
  end;
end;

function VCGetDimItemShow (var iError: SmallInt; i: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; i: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimItemShow');
    if @aproc <> nil then
      result := aproc(iError, i);
  end;
end;

function VCGetDimLayer (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimLayer');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimLineAngle (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimLineAngle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDimLineAngleBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimLineAngleBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetDimLineDirect (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimLineDirect');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimLineText (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimLineText');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimShowDash (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimShowDash');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimShowLeadingZeros (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimShowLeadingZeros');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimShowUnits (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimShowUnits');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextAspect (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextAspect');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextBold (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextBold');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextCentered (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextCentered');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextCharSpace (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextCharSpace');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextFillVText (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextFillVText');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextHeight (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextHeight');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDimTextHeightBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextHeightBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetDimTextHorizSpace (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextHorizSpace');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDimTextHorizSpaceBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextHorizSpaceBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetDimTextItalic (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextItalic');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextItalicAng (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextItalicAng');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextLineSpace (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextLineSpace');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextOverwrite (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextOverwrite');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextOverwriteString (var iError: SmallInt; pB: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pB: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextOverwriteString');
    if @aproc <> nil then
      result := aproc(iError, pB);
  end;
end;

function VCGetDimTextPrefix (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextPrefix');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextPrefixString (var iError: SmallInt; pB: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pB: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextPrefixString');
    if @aproc <> nil then
      result := aproc(iError, pB);
  end;
end;

function VCGetDimTextProSpacing (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextProSpacing');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextRotationType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextRotationType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextScale (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextScale');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDimTextScaleBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextScaleBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetDimTextSuffix (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextSuffix');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextSuffixString (var iError: SmallInt; pB: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pB: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextSuffixString');
    if @aproc <> nil then
      result := aproc(iError, pB);
  end;
end;

function VCGetDimTextTolDecimal (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextTolDecimal');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextTolLowerVal (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextTolLowerVal');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDimTextTolLowerValBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextTolLowerValBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetDimTextTolType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextTolType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextTolUpperVal (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextTolUpperVal');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDimTextTolUpperValBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextTolUpperValBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetDimTextUnderline (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextUnderline');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimTextVertSpace (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextVertSpace');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDimTextVertSpaceBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextVertSpaceBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCGetDimUnitConversionFactor (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimUnitConversionFactor');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetDimUseDimLayer (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimUseDimLayer');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDisplayAngleFormat (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayAngleFormat');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDisplayAngleString (var iError: SmallInt; szAngle: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szAngle: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayAngleString');
    if @aproc <> nil then
      result := aproc(iError, szAngle);
  end;
end;

function VCGetDisplayDecimalValue (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayDecimalValue');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDisplayDistFormat (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayDistFormat');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDisplayFontNotFoundMessage (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayFontNotFoundMessage');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDisplayFractionalValue (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayFractionalValue');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDisplayHiddenLayersMessage (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayHiddenLayersMessage');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDisplayLengthString (var iError: SmallInt; szLength: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szLength: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayLengthString');
    if @aproc <> nil then
      result := aproc(iError, szLength);
  end;
end;

function VCGetDisplayPointString (var iError: SmallInt; szPoint: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPoint: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayPointString');
    if @aproc <> nil then
      result := aproc(iError, szPoint);
  end;
end;

function VCGetDisplayShowLeadingZeros (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayShowLeadingZeros');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDisplayShowUnits (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayShowUnits');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDistanceHandle: LongInt;
type TVCProc = function: LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDistanceHandle');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetDllRunCmdLine (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDllRunCmdLine');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetDllRunFunction (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDllRunFunction');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetDllRunName (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDllRunName');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetDrawFBoundary (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDrawFBoundary');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDrawHBoundary (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDrawHBoundary');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDrawingName (pName: PAnsiChar): SmallInt;
type TVCProc = function (pName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDrawingName');
    if @aproc <> nil then
      result := aproc(pName);
  end;
end;

function VCGetEmbAtbCount (var iError: SmallInt; iWhichSymbolDef: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iWhichSymbolDef: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetEmbAtbCount');
    if @aproc <> nil then
      result := aproc(iError, iWhichSymbolDef);
  end;
end;

function VCGetEmbAtbLabel (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt; szLabel: PAnsiChar; iRec: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt; szLabel: PAnsiChar; iRec: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetEmbAtbLabel');
    if @aproc <> nil then
      result := aproc(iError, iWhichSymbolDef, iWhichAtb, szLabel, iRec);
  end;
end;

function VCGetEmbAtbName (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt; szName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt; szName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetEmbAtbName');
    if @aproc <> nil then
      result := aproc(iError, iWhichSymbolDef, iWhichAtb, szName);
  end;
end;

function VCGetEmbAtbRecordCount (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetEmbAtbRecordCount');
    if @aproc <> nil then
      result := aproc(iError, iWhichSymbolDef, iWhichAtb);
  end;
end;

function VCGetEmbAtbValue (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt; Value: PAnsiChar; iRec: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt; Value: PAnsiChar; iRec: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetEmbAtbValue');
    if @aproc <> nil then
      result := aproc(iError, iWhichSymbolDef, iWhichAtb, Value, iRec);
  end;
end;

function VCGetEntityContourCount (var iError: SmallInt; lH: LongInt): SmallInt;
type TVCProc = function (var iError: SmallInt; lH: LongInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetEntityContourCount');
    if @aproc <> nil then
      result := aproc(iError, lH);
  end;
end;

function VCGetEntityRedoLevel (var iError: SmallInt; hE: LongInt): SmallInt;
type TVCProc = function (var iError: SmallInt; hE: LongInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetEntityRedoLevel');
    if @aproc <> nil then
      result := aproc(iError, hE);
  end;
end;

function VCGetEntitySubEntityCount (var iError: SmallInt; lH: LongInt; iContour: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; lH: LongInt; iContour: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetEntitySubEntityCount');
    if @aproc <> nil then
      result := aproc(iError, lH, iContour);
  end;
end;

function VCGetEntityUndoLevel (var iError: SmallInt; hE: LongInt): SmallInt;
type TVCProc = function (var iError: SmallInt; hE: LongInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetEntityUndoLevel');
    if @aproc <> nil then
      result := aproc(iError, hE);
  end;
end;

function VCGetErasedEntityCount (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetErasedEntityCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetExplodeContinuousLines (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetExplodeContinuousLines');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFillColor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFillColor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFillDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFillDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFillVText (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFillVText');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFilletPreview (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilletPreview');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFilletRad (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilletRad');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetFilletRadBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilletRadBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetFilterColor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilterColor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFilterKind (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilterKind');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFilterKind2 (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilterKind2');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFilterLayer (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilterLayer');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFilterLineType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilterLineType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFilterName (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilterName');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

function VCGetFilterWidth (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilterWidth');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFontList (var iError: SmallInt; list: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; list: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontList');
    if @aproc <> nil then
      result := aproc(iError, list);
  end;
end;

function VCGetFontName (var iError: SmallInt; iIndex: SmallInt; s: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt; s: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontName');
    if @aproc <> nil then
      result := aproc(iError, iIndex, s);
  end;
end;

function VCGetFontNameCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontNameCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFrameInitialized: WordBool;
type TVCProc = function: WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFrameInitialized');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetFunkeyCmdString (szCmd: PAnsiChar; iShift: SmallInt; nVKey: SmallInt): SmallInt;
type TVCProc = function (szCmd: PAnsiChar; iShift: SmallInt; nVKey: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFunkeyCmdString');
    if @aproc <> nil then
      result := aproc(szCmd, iShift, nVKey);
  end;
end;

function VCGetGCDDefaultHatchName (var iError: SmallInt; szName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetGCDDefaultHatchName');
    if @aproc <> nil then
      result := aproc(iError, szName);
  end;
end;

function VCGetGCDPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetGCDPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetGridDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetGridDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetGridOriginBP (var iError: SmallInt; var pRet: Point2D);
type TVCProc = procedure (var iError: SmallInt; var pRet: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetGridOriginBP');
    if @aproc <> nil then
      aproc(iError, pRet);
  end;
end;

procedure VCGetGridSizeBP (var iError: SmallInt; var pRet: Point2D);
type TVCProc = procedure (var iError: SmallInt; var pRet: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetGridSizeBP');
    if @aproc <> nil then
      aproc(iError, pRet);
  end;
end;

function VCGetGridSnap (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetGridSnap');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetHandlePt (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHandlePt');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetHatchColor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchColor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetHatchDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetHatchName (var iError: SmallInt; s: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; s: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchName');
    if @aproc <> nil then
      result := aproc(iError, s);
  end;
end;

function VCGetHatchRot (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchRot');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetHatchRotBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchRotBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetHatchScale (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchScale');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetHatchScaleBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchScaleBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetHighlight (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHighlight');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetIncSnap (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetIncSnap');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetIncSnapSize (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetIncSnapSize');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetIncSnapSizeBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetIncSnapSizeBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetInitCount: SmallInt;
type TVCProc = function: SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetInitCount');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetIsoMode (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetIsoMode');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetIsoPlane (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetIsoPlane');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetKeepAcadFontName (var iError: SmallInt): LongBool;
type TVCProc = function (var iError: SmallInt): LongBool; stdcall;
var aproc: TVCProc;
begin
  result := LongBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetKeepAcadFontName');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetKeepGCDFontName (var iError: SmallInt): LongBool;
type TVCProc = function (var iError: SmallInt): LongBool; stdcall;
var aproc: TVCProc;
begin
  result := LongBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetKeepGCDFontName');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetKeepGCDHatch (var iError: SmallInt): LongBool;
type TVCProc = function (var iError: SmallInt): LongBool; stdcall;
var aproc: TVCProc;
begin
  result := LongBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetKeepGCDHatch');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLTScaleDevice (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLTScaleDevice');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetLTScaleDeviceBP (var iError: SmallInt; var pRet: Double);
type TVCProc = procedure (var iError: SmallInt; var pRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLTScaleDeviceBP');
    if @aproc <> nil then
      aproc(iError, pRet);
  end;
end;

function VCGetLTScaleWorld (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLTScaleWorld');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetLTScaleWorldBP (var iError: SmallInt; var pRet: Double);
type TVCProc = procedure (var iError: SmallInt; var pRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLTScaleWorldBP');
    if @aproc <> nil then
      aproc(iError, pRet);
  end;
end;

procedure VCGetLastPoint (var iError: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLastPoint');
    if @aproc <> nil then
      aproc(iError, dpP);
  end;
end;

function VCGetLayerDisplay (var iError: SmallInt; iIndex: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerDisplay');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

function VCGetLayerGroupCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerGroupCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLayerGroupIndex (var iError: SmallInt; szGroupName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szGroupName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerGroupIndex');
    if @aproc <> nil then
      result := aproc(iError, szGroupName);
  end;
end;

function VCGetLayerGroupLayer (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerGroupLayer');
    if @aproc <> nil then
      result := aproc(iError, iGroupIndex, iLayer);
  end;
end;

function VCGetLayerGroupName (var iError: SmallInt; iGroupIndex: SmallInt; szGroupName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iGroupIndex: SmallInt; szGroupName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerGroupName');
    if @aproc <> nil then
      result := aproc(iError, iGroupIndex, szGroupName);
  end;
end;

function VCGetLayerHasData (var iError: SmallInt; iIndex: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerHasData');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

function VCGetLayerIndex (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerIndex');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLayerIndexFromName (var iError: SmallInt; pName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerIndexFromName');
    if @aproc <> nil then
      result := aproc(iError, pName);
  end;
end;

function VCGetLayerNameFromIndex (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerNameFromIndex');
    if @aproc <> nil then
      result := aproc(iError, iIndex, pName);
  end;
end;

function VCGetLayerPrintable (var iError: SmallInt; iLayer: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; iLayer: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerPrintable');
    if @aproc <> nil then
      result := aproc(iError, iLayer);
  end;
end;

function VCGetLayerProperties (var iError: SmallInt; iLayer: SmallInt; var iColor: SmallInt; var iLtype: SmallInt; var iWidth: SmallInt; var fWidth: Single): WordBool;
type TVCProc = function (var iError: SmallInt; iLayer: SmallInt; var iColor: SmallInt; var iLtype: SmallInt; var iWidth: SmallInt; var fWidth: Single): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerProperties');
    if @aproc <> nil then
      result := aproc(iError, iLayer, iColor, iLtype, iWidth, fWidth);
  end;
end;

function VCGetLayerRedraw (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerRedraw');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderArrowAngle (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderArrowAngle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderArrowLength (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderArrowLength');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderArrowMode (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderArrowMode');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderArrowType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderArrowType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderFontName (var iError: SmallInt; pS: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderFontName');
    if @aproc <> nil then
      result := aproc(iError, pS);
  end;
end;

function VCGetLeaderShoulderLength (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderShoulderLength');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetLeaderShoulderLengthBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderShoulderLengthBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetLeaderString (var iError: SmallInt; s: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; s: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderString');
    if @aproc <> nil then
      result := aproc(iError, s);
  end;
end;

function VCGetLeaderTextAspect (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextAspect');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderTextBold (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextBold');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderTextCharSpace (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextCharSpace');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderTextFillVText (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextFillVText');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderTextHeight (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextHeight');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderTextItalic (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextItalic');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderTextItalicAng (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextItalicAng');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderTextLineSpace (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextLineSpace');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderTextOffset (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextOffset');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetLeaderTextOffsetBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextOffsetBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetLeaderTextProSpacing (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextProSpacing');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderTextUnderline (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextUnderline');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLineTypeDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLineTypeDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetLineTypeFromIndex (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar; var bCode: SmallInt; var iDashCount: SmallInt; var pDashes: Double);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar; var bCode: SmallInt; var iDashCount: SmallInt; var pDashes: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLineTypeFromIndex');
    if @aproc <> nil then
      aproc(iError, iIndex, pName, bCode, iDashCount, pDashes);
  end;
end;

function VCGetLineTypeIndex (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLineTypeIndex');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLineTypeIndexFromEntityValue (var iError: SmallInt; iEntityValue: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iEntityValue: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLineTypeIndexFromEntityValue');
    if @aproc <> nil then
      result := aproc(iError, iEntityValue);
  end;
end;

function VCGetLineTypeIndexFromName (var iError: SmallInt; pName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLineTypeIndexFromName');
    if @aproc <> nil then
      result := aproc(iError, pName);
  end;
end;

function VCGetLineTypeNameFromIndex (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLineTypeNameFromIndex');
    if @aproc <> nil then
      result := aproc(iError, iIndex, pName);
  end;
end;

function VCGetLineWidthDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLineWidthDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLineWidthIndex (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLineWidthIndex');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetLineWidthValue (var iError: SmallInt; var dV: Single);
type TVCProc = procedure (var iError: SmallInt; var dV: Single); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLineWidthValue');
    if @aproc <> nil then
      aproc(iError, dV);
  end;
end;

function VCGetMDICount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMDICount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetMajorVersion: SmallInt;
type TVCProc = function: SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMajorVersion');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetManualEntryMode (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetManualEntryMode');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetMapAcadPolylineWidths (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMapAcadPolylineWidths');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetMeasureValues (var iError: SmallInt; var dSegmentDist: Double; var dDist: Double; var dArea: Double; var dAngle: Double; var dAngle3Point: Double);
type TVCProc = procedure (var iError: SmallInt; var dSegmentDist: Double; var dDist: Double; var dArea: Double; var dAngle: Double; var dAngle3Point: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMeasureValues');
    if @aproc <> nil then
      aproc(iError, dSegmentDist, dDist, dArea, dAngle, dAngle3Point);
  end;
end;

function VCGetMenu (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMenu');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

function VCGetMessageHandle: LongInt;
type TVCProc = function: LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMessageHandle');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetMinorDotVersion: SmallInt;
type TVCProc = function: SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMinorDotVersion');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetMinorInternalVersion: SmallInt;
type TVCProc = function: SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMinorInternalVersion');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetMinorVersion: SmallInt;
type TVCProc = function: SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMinorVersion');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetNumCopies (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetNumCopies');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetNumCopiesBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetNumCopiesBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetNumRows (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetNumRows');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetOffsetDist (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOffsetDist');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetOffsetDistBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOffsetDistBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetOffsetFixed (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOffsetFixed');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetOleDllClassName (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOleDllClassName');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetOleDllFunctionCmdLine (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOleDllFunctionCmdLine');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetOleDllFunctionName (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOleDllFunctionName');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetOleDllName (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOleDllName');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetOrdinateTextOffset (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOrdinateTextOffset');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetOrthoAng (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOrthoAng');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetOrthoAngBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOrthoAngBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetOrthoMode (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOrthoMode');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetPointDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPointDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetPopupButton (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPopupButton');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetProgramPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetProgramPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetQuickSearch (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetQuickSearch');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetRPolyInscribe (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRPolyInscribe');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetRPolySides (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRPolySides');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetRadCopies (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRadCopies');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetReadOnly (var iError: SmallInt; var iReadOnly: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; var iReadOnly: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetReadOnly');
    if @aproc <> nil then
      result := aproc(iError, iReadOnly);
  end;
end;

procedure VCGetRefFrame (var iError: SmallInt; var dpLL: Point2D; var dpUR: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpLL: Point2D; var dpUR: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFrame');
    if @aproc <> nil then
      aproc(iError, dpLL, dpUR);
  end;
end;

function VCGetRefFrameColor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFrameColor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetRefFrameDrawBoundary (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFrameDrawBoundary');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetRefFrameIsDataBound (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFrameIsDataBound');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetRefFrameLineWidth (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFrameLineWidth');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetRefFrameName (var iError: SmallInt; s: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; s: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFrameName');
    if @aproc <> nil then
      result := aproc(iError, s);
  end;
end;

procedure VCGetRefFrameOffset (var iError: SmallInt; var dpOffset: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpOffset: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFrameOffset');
    if @aproc <> nil then
      aproc(iError, dpOffset);
  end;
end;

procedure VCGetRefFrameRot (var iError: SmallInt; var dR: Double);
type TVCProc = procedure (var iError: SmallInt; var dR: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFrameRot');
    if @aproc <> nil then
      aproc(iError, dR);
  end;
end;

procedure VCGetRefFrameScale (var iError: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFrameScale');
    if @aproc <> nil then
      aproc(iError, dpP);
  end;
end;

procedure VCGetRefFrameViewWidthHeight (var iError: SmallInt; var dpWidthHeight: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpWidthHeight: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFrameViewWidthHeight');
    if @aproc <> nil then
      aproc(iError, dpWidthHeight);
  end;
end;

function VCGetReplaceWithSymbol (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetReplaceWithSymbol');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetRubberBandColor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRubberBandColor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetSCRPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSCRPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetSYSPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSYSPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetSaveEnvOnExit (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSaveEnvOnExit');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetSavePaths (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSavePaths');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetScaleX (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetScaleX');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetScaleXBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetScaleXBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCGetScaleXYBP (var iError: SmallInt; var pRet: Point2D);
type TVCProc = procedure (var iError: SmallInt; var pRet: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetScaleXYBP');
    if @aproc <> nil then
      aproc(iError, pRet);
  end;
end;

function VCGetScaleY (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetScaleY');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetScaleYBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetScaleYBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetSecondaryDistFormat (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSecondaryDistFormat');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetSelectionColor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSelectionColor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetSelectionContextEditIds (var pIds: LongInt; iMax: SmallInt): SmallInt;
type TVCProc = function (var pIds: LongInt; iMax: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSelectionContextEditIds');
    if @aproc <> nil then
      result := aproc(pIds, iMax);
  end;
end;

function VCGetSelectionCount (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSelectionCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetShiftClick (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShiftClick');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetShortLayerList (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShortLayerList');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetShowAngleSeconds (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShowAngleSeconds');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetShowDimAngleSeconds (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShowDimAngleSeconds');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetShowDrag (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShowDrag');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetShowSecondaryUnit (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShowSecondaryUnit');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetShowSingleUnitFrac (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShowSingleUnitFrac');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetShowTangentPoints (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShowTangentPoints');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetSnapPercentVal (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSnapPercentVal');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetSnapPercentValBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSnapPercentValBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetSolid (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSolid');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetSpanAngle (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSpanAngle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetSpanAngleBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSpanAngleBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetStyleIndex (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetStyleIndex');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetSym3DName (var iError: SmallInt; pS: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSym3DName');
    if @aproc <> nil then
      result := aproc(iError, pS);
  end;
end;

procedure VCGetSym3DNormal (var iError: SmallInt; var normal: Point3D);
type TVCProc = procedure (var iError: SmallInt; var normal: Point3D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSym3DNormal');
    if @aproc <> nil then
      aproc(iError, normal);
  end;
end;

procedure VCGetSym3DRot (var iError: SmallInt; var dV: Double);
type TVCProc = procedure (var iError: SmallInt; var dV: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSym3DRot');
    if @aproc <> nil then
      aproc(iError, dV);
  end;
end;

procedure VCGetSym3DScale (var iError: SmallInt; var dpScale: Point3D);
type TVCProc = procedure (var iError: SmallInt; var dpScale: Point3D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSym3DScale');
    if @aproc <> nil then
      aproc(iError, dpScale);
  end;
end;

function VCGetSymAutoExplode (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymAutoExplode');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetSymExplode (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymExplode');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetSymName (var iError: SmallInt; pS: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymName');
    if @aproc <> nil then
      result := aproc(iError, pS);
  end;
end;

function VCGetSymRot (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymRot');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetSymRotBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymRotBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCGetSymScaleBP (var iError: SmallInt; var pRet: Point2D);
type TVCProc = procedure (var iError: SmallInt; var pRet: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymScaleBP');
    if @aproc <> nil then
      aproc(iError, pRet);
  end;
end;

function VCGetSymScaleX (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymScaleX');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetSymScaleXBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymScaleXBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetSymScaleY (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymScaleY');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetSymScaleYBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymScaleYBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetSymSnap (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymSnap');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetSymbolDefCount: SmallInt;
type TVCProc = function: SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymbolDefCount');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetSymbolDefEntityCount (i: SmallInt): SmallInt;
type TVCProc = function (i: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymbolDefEntityCount');
    if @aproc <> nil then
      result := aproc(i);
  end;
end;

function VCGetSymbolIndex (var iError: SmallInt; pName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymbolIndex');
    if @aproc <> nil then
      result := aproc(iError, pName);
  end;
end;

function VCGetSymbolInternalName (var iError: SmallInt; pFileName: PAnsiChar; pReturn: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pFileName: PAnsiChar; pReturn: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymbolInternalName');
    if @aproc <> nil then
      result := aproc(iError, pFileName, pReturn);
  end;
end;

function VCGetSymbolName (pName: PAnsiChar; i: SmallInt): SmallInt;
type TVCProc = function (pName: PAnsiChar; i: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymbolName');
    if @aproc <> nil then
      result := aproc(pName, i);
  end;
end;

function VCGetSymbolPlacementCount (i: SmallInt): SmallInt;
type TVCProc = function (i: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymbolPlacementCount');
    if @aproc <> nil then
      result := aproc(i);
  end;
end;

function VCGetSystemHatchName (var iError: SmallInt; pName: PAnsiChar; i: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; pName: PAnsiChar; i: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSystemHatchName');
    if @aproc <> nil then
      result := aproc(iError, pName, i);
  end;
end;

function VCGetSystemHatchNameCount: SmallInt;
type TVCProc = function: SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSystemHatchNameCount');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetTextAspect (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextAspect');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetTextAspectBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextAspectBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetTextBold (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextBold');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetTextCharSpace (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextCharSpace');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetTextCharSpaceBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextCharSpaceBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetTextColor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextColor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetTextFontName (var iError: SmallInt; pS: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextFontName');
    if @aproc <> nil then
      result := aproc(iError, pS);
  end;
end;

function VCGetTextHeight (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextHeight');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetTextHeightBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextHeightBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetTextItalic (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextItalic');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetTextItalicValue (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextItalicValue');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetTextItalicValueBP (var iError: SmallInt; var dI: Double);
type TVCProc = procedure (var iError: SmallInt; var dI: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextItalicValueBP');
    if @aproc <> nil then
      aproc(iError, dI);
  end;
end;

function VCGetTextJustify (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextJustify');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetTextLayer (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextLayer');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetTextLineSpace (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextLineSpace');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetTextLineSpaceBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextLineSpaceBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetTextProSpacing (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextProSpacing');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetTextRot (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextRot');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetTextRotBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextRotBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetTextString (var iError: SmallInt; pS: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextString');
    if @aproc <> nil then
      result := aproc(iError, pS);
  end;
end;

procedure VCGetTextStringBP (var iError: SmallInt; pS: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pS: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextStringBP');
    if @aproc <> nil then
      aproc(iError, pS);
  end;
end;

function VCGetTextUnderline (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextUnderline');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetTextUseByLayerProperties (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool);
type TVCProc = procedure (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextUseByLayerProperties');
    if @aproc <> nil then
      aproc(iError, tfColor, tfLineType, tfLineWidth);
  end;
end;

function VCGetTextUseTextLayer (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextUseTextLayer');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetToggleState (id: Word; tfReverseState: WordBool): WordBool;
type TVCProc = function (id: Word; tfReverseState: WordBool): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetToggleState');
    if @aproc <> nil then
      result := aproc(id, tfReverseState);
  end;
end;

procedure VCGetUnitConversionFactor (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUnitConversionFactor');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCGetUseByLayerProperties (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool);
type TVCProc = procedure (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUseByLayerProperties');
    if @aproc <> nil then
      aproc(iError, tfColor, tfLineType, tfLineWidth);
  end;
end;

function VCGetUseFileLocking (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUseFileLocking');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetUsedSymbolCount (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUsedSymbolCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetUsedSymbolIndex (var iError: SmallInt; IndexIn: LongInt): LongInt;
type TVCProc = function (var iError: SmallInt; IndexIn: LongInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUsedSymbolIndex');
    if @aproc <> nil then
      result := aproc(iError, IndexIn);
  end;
end;

function VCGetUserDataName (var iError: SmallInt; pS: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUserDataName');
    if @aproc <> nil then
      result := aproc(iError, pS);
  end;
end;

procedure VCGetUserToolLBDown (var iError: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUserToolLBDown');
    if @aproc <> nil then
      aproc(iError, dpP);
  end;
end;

procedure VCGetUserToolLBUp (var iError: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUserToolLBUp');
    if @aproc <> nil then
      aproc(iError, dpP);
  end;
end;

procedure VCGetUserToolMouseMove (var iError: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUserToolMouseMove');
    if @aproc <> nil then
      aproc(iError, dpP);
  end;
end;

function VCGetVCDPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetVCDPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetVCFPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetVCFPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetVCMainInstance: THandle;
type TVCProc = function: THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetVCMainInstance');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetVCSPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetVCSPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

function VCGetVideoTolerance (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetVideoTolerance');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetVideoToleranceBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetVideoToleranceBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetView (var iError: SmallInt; hWnd: LongInt; var iView: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; hWnd: LongInt; var iView: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetView');
    if @aproc <> nil then
      result := aproc(iError, hWnd, iView);
  end;
end;

function VCGetViewCount (var iError: SmallInt; hW: LongInt; var iVCnt: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; hW: LongInt; var iVCnt: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetViewCount');
    if @aproc <> nil then
      result := aproc(iError, hW, iVCnt);
  end;
end;

function VCGetWallWidth1 (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWallWidth1');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetWallWidth1BP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWallWidth1BP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetWallWidth2 (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWallWidth2');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetWallWidth2BP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWallWidth2BP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetWorldByHWND (var iError: SmallInt; hwnd: LongInt): LongInt;
type TVCProc = function (var iError: SmallInt; hwnd: LongInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWorldByHWND');
    if @aproc <> nil then
      result := aproc(iError, hwnd);
  end;
end;

procedure VCGetWorldExtents (var iError: SmallInt; var dpMin: Point2D; var dpMax: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpMin: Point2D; var dpMax: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWorldExtents');
    if @aproc <> nil then
      aproc(iError, dpMin, dpMax);
  end;
end;

procedure VCGetWorldIndexByHWND (var iError: SmallInt; hWnd: LongInt; var hW: LongInt);
type TVCProc = procedure (var iError: SmallInt; hWnd: LongInt; var hW: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWorldIndexByHWND');
    if @aproc <> nil then
      aproc(iError, hWnd, hW);
  end;
end;

procedure VCGetWorldSizeBP (var iError: SmallInt; dScreenSize: Double; var dWorldSize: Double);
type TVCProc = procedure (var iError: SmallInt; dScreenSize: Double; var dWorldSize: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWorldSizeBP');
    if @aproc <> nil then
      aproc(iError, dScreenSize, dWorldSize);
  end;
end;

function VCGetXYHandle: LongInt;
type TVCProc = function: LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetXYHandle');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetZoomFactor (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetZoomFactor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetZoomFactorBP (var iError: SmallInt; var dRet: Double);
type TVCProc = procedure (var iError: SmallInt; var dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetZoomFactorBP');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGethWnd (hW: LongInt): LongInt;
type TVCProc = function (hW: LongInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGethWnd');
    if @aproc <> nil then
      result := aproc(hW);
  end;
end;

function VCGethWndFrame: LongInt;
type TVCProc = function: LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGethWndFrame');
    if @aproc <> nil then
      result := aproc;
  end;
end;

procedure VCIncrementWidthOnAllEntities (var iError: SmallInt; iIncrement: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iIncrement: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIncrementWidthOnAllEntities');
    if @aproc <> nil then
      aproc(iError, iIncrement);
  end;
end;

procedure VCInit;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCInit');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCInitWithProgramRegKey (RegKey: PAnsiChar);
type TVCProc = procedure (RegKey: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCInitWithProgramRegKey');
    if @aproc <> nil then
      aproc(RegKey);
  end;
end;

procedure VCInvalidateRect;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCInvalidateRect');
    if @aproc <> nil then
      aproc;
  end;
end;

function VCIsAnythingSelected: WordBool;
type TVCProc = function: WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsAnythingSelected');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCIsCurrentErased (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsCurrentErased');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCIsCurrentSelected (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsCurrentSelected');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCIsCurrentWorldValid: WordBool;
type TVCProc = function: WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsCurrentWorldValid');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCIsDrawingDirty: WordBool;
type TVCProc = function: WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsDrawingDirty');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCIsFileLocked (szFilename: PAnsiChar; szLockedByName: PAnsiChar; szTimeLocked: PAnsiChar): WordBool;
type TVCProc = function (szFilename: PAnsiChar; szLockedByName: PAnsiChar; szTimeLocked: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsFileLocked');
    if @aproc <> nil then
      result := aproc(szFilename, szLockedByName, szTimeLocked);
  end;
end;

function VCIsFileLockedByCurrentUser: WordBool;
type TVCProc = function: WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsFileLockedByCurrentUser');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCIsFilterActive (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsFilterActive');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCIsFontNameVText (var iError: SmallInt; pS: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsFontNameVText');
    if @aproc <> nil then
      result := aproc(iError, pS);
  end;
end;

function VCIsGraphic (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsGraphic');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCIsOleWorld: WordBool;
type TVCProc = function: WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsOleWorld');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCIsRedoable: WordBool;
type TVCProc = function: WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsRedoable');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCIsScriptAssigned (iShift: SmallInt; iKey: SmallInt): WordBool;
type TVCProc = function (iShift: SmallInt; iKey: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsScriptAssigned');
    if @aproc <> nil then
      result := aproc(iShift, iKey);
  end;
end;

function VCIsSymbolLoaded (szSymbolName: PAnsiChar): WordBool;
type TVCProc = function (szSymbolName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsSymbolLoaded');
    if @aproc <> nil then
      result := aproc(szSymbolName);
  end;
end;

function VCIsTextFontVText (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsTextFontVText');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCIsToggle (id: Word): WordBool;
type TVCProc = function (id: Word): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsToggle');
    if @aproc <> nil then
      result := aproc(id);
  end;
end;

function VCIsUndoable: WordBool;
type TVCProc = function: WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsUndoable');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCIsWorldEmpty (hW: LongInt): WordBool;
type TVCProc = function (hW: LongInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsWorldEmpty');
    if @aproc <> nil then
      result := aproc(hW);
  end;
end;

function VCIsWorldValid (hW: LongInt): WordBool;
type TVCProc = function (hW: LongInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsWorldValid');
    if @aproc <> nil then
      result := aproc(hW);
  end;
end;

procedure VCLButtonDblClk (lParam: LongInt; wParam: Word);
type TVCProc = procedure (lParam: LongInt; wParam: Word); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLButtonDblClk');
    if @aproc <> nil then
      aproc(lParam, wParam);
  end;
end;

procedure VCLButtonDown (lParam: LongInt; wParam: Word);
type TVCProc = procedure (lParam: LongInt; wParam: Word); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLButtonDown');
    if @aproc <> nil then
      aproc(lParam, wParam);
  end;
end;

procedure VCLButtonDown2 (cx: SmallInt; cy: SmallInt);
type TVCProc = procedure (cx: SmallInt; cy: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLButtonDown2');
    if @aproc <> nil then
      aproc(cx, cy);
  end;
end;

procedure VCLButtonDownWorldPoint (var dpW: Point2D);
type TVCProc = procedure (var dpW: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLButtonDownWorldPoint');
    if @aproc <> nil then
      aproc(dpW);
  end;
end;

procedure VCLButtonUp (lParam: LongInt; wParam: Word);
type TVCProc = procedure (lParam: LongInt; wParam: Word); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLButtonUp');
    if @aproc <> nil then
      aproc(lParam, wParam);
  end;
end;

procedure VCLButtonUpTimerReset (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLButtonUpTimerReset');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCLParamToPoint2DBP (lParam: LongInt; var pRet: Point2D);
type TVCProc = procedure (lParam: LongInt; var pRet: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLParamToPoint2DBP');
    if @aproc <> nil then
      aproc(lParam, pRet);
  end;
end;

procedure VCLastEntity (var iError: SmallInt; var lH: LongInt);
type TVCProc = procedure (var iError: SmallInt; var lH: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLastEntity');
    if @aproc <> nil then
      aproc(iError, lH);
  end;
end;

function VCLayerHasProperties (var iError: SmallInt; iLayer: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; iLayer: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLayerHasProperties');
    if @aproc <> nil then
      result := aproc(iError, iLayer);
  end;
end;

procedure VCLayerSelect (var iError: SmallInt; iLayer: SmallInt; tfSelect: WordBool);
type TVCProc = procedure (var iError: SmallInt; iLayer: SmallInt; tfSelect: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLayerSelect');
    if @aproc <> nil then
      aproc(iError, iLayer, tfSelect);
  end;
end;

procedure VCLineAngle (var iError: SmallInt; var dAngle: Double; var dpP0: Point2D; var dpP1: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dAngle: Double; var dpP0: Point2D; var dpP1: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLineAngle');
    if @aproc <> nil then
      aproc(iError, dAngle, dpP0, dpP1);
  end;
end;

procedure VCLineLength (var iError: SmallInt; var dLength: Double; var dpP0: Point2D; var dpP1: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dLength: Double; var dpP0: Point2D; var dpP1: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLineLength');
    if @aproc <> nil then
      aproc(iError, dLength, dpP0, dpP1);
  end;
end;

procedure VCLinePerpPoint (var iError: SmallInt; var dpC: Point2D; var dpP0: Point2D; var dpP1: Point2D; var dpOff: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpC: Point2D; var dpP0: Point2D; var dpP1: Point2D; var dpOff: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLinePerpPoint');
    if @aproc <> nil then
      aproc(iError, dpC, dpP0, dpP1, dpOff);
  end;
end;

procedure VCLinePointCompute (var iError: SmallInt; var dpC: Point2D; var dpP0: Point2D; var dpP1: Point2D; dDist: Double; dAngle: Double);
type TVCProc = procedure (var iError: SmallInt; var dpC: Point2D; var dpP0: Point2D; var dpP1: Point2D; dDist: Double; dAngle: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLinePointCompute');
    if @aproc <> nil then
      aproc(iError, dpC, dpP0, dpP1, dDist, dAngle);
  end;
end;

procedure VCLoadVCDFromFile (var iError: SmallInt; pS_: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pS_: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLoadVCDFromFile');
    if @aproc <> nil then
      aproc(iError, pS_);
  end;
end;

function VCLockFile (szFileName: PAnsiChar; var tfFileReadOnly: WordBool; tfLoading: WordBool): WordBool;
type TVCProc = function (szFileName: PAnsiChar; var tfFileReadOnly: WordBool; tfLoading: WordBool): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLockFile');
    if @aproc <> nil then
      result := aproc(szFileName, tfFileReadOnly, tfLoading);
  end;
end;

procedure VCLockMessage (var iError: SmallInt; szMess: PAnsiChar; tfLock: WordBool);
type TVCProc = procedure (var iError: SmallInt; szMess: PAnsiChar; tfLock: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLockMessage');
    if @aproc <> nil then
      aproc(iError, szMess, tfLock);
  end;
end;

procedure VCMacro (sz: PAnsiChar);
type TVCProc = procedure (sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCMacro');
    if @aproc <> nil then
      aproc(sz);
  end;
end;

function VCMakeValidDosFilenameForSave (pFilename: PAnsiChar): WordBool;
type TVCProc = function (pFilename: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCMakeValidDosFilenameForSave');
    if @aproc <> nil then
      result := aproc(pFilename);
  end;
end;

procedure VCManualEntryMode (ID: SmallInt);
type TVCProc = procedure (ID: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCManualEntryMode');
    if @aproc <> nil then
      aproc(ID);
  end;
end;

procedure VCMatchCurrentEntity (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCMatchCurrentEntity');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCMouseMove (lParam: LongInt; wParam: Word);
type TVCProc = procedure (lParam: LongInt; wParam: Word); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCMouseMove');
    if @aproc <> nil then
      aproc(lParam, wParam);
  end;
end;

procedure VCMouseMove2 (cx: SmallInt; cy: SmallInt);
type TVCProc = procedure (cx: SmallInt; cy: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCMouseMove2');
    if @aproc <> nil then
      aproc(cx, cy);
  end;
end;

procedure VCMouseMoveWorldPointBP  (var dpW: Point2D);
type TVCProc = procedure (var dpW: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCMouseMoveWorldPointBP ');
    if @aproc <> nil then
      aproc(dpW);
  end;
end;

procedure VCMoveCursor (nVKey: SmallInt);
type TVCProc = procedure (nVKey: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCMoveCursor');
    if @aproc <> nil then
      aproc(nVKey);
  end;
end;

procedure VCNameView (szView: PAnsiChar);
type TVCProc = procedure (szView: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCNameView');
    if @aproc <> nil then
      aproc(szView);
  end;
end;

procedure VCNewView (var iError: SmallInt; hWnd_: LongInt);
type TVCProc = procedure (var iError: SmallInt; hWnd_: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCNewView');
    if @aproc <> nil then
      aproc(iError, hWnd_);
  end;
end;

function VCNewWorld (hWnd_: LongInt): LongInt;
type TVCProc = function (hWnd_: LongInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCNewWorld');
    if @aproc <> nil then
      result := aproc(hWnd_);
  end;
end;

function VCNextEntity (var iError: SmallInt; var bKind: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCNextEntity');
    if @aproc <> nil then
      result := aproc(iError, bKind);
  end;
end;

function VCNextEntityExpand (var iError: SmallInt; var bKind: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCNextEntityExpand');
    if @aproc <> nil then
      result := aproc(iError, bKind);
  end;
end;

function VCNextGraphic (var iError: SmallInt; hG: LongInt): WordBool;
type TVCProc = function (var iError: SmallInt; hG: LongInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCNextGraphic');
    if @aproc <> nil then
      result := aproc(iError, hG);
  end;
end;

function VCNextOnScreen (var iError: SmallInt; var bKind: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCNextOnScreen');
    if @aproc <> nil then
      result := aproc(iError, bKind);
  end;
end;

function VCNextSelected (var iError: SmallInt; var bKind: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCNextSelected');
    if @aproc <> nil then
      result := aproc(iError, bKind);
  end;
end;

function VCNextView (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCNextView');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCNextWorld (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCNextWorld');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCObjectSelect (var dpP0: Point2D);
type TVCProc = procedure (var dpP0: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCObjectSelect');
    if @aproc <> nil then
      aproc(dpP0);
  end;
end;

procedure VCOleUpdate;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCOleUpdate');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCOnActivateView (var iError: SmallInt; hActiveWnd: THandle; tfEatLButtonDown: WordBool);
type TVCProc = procedure (var iError: SmallInt; hActiveWnd: THandle; tfEatLButtonDown: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCOnActivateView');
    if @aproc <> nil then
      aproc(iError, hActiveWnd, tfEatLButtonDown);
  end;
end;

procedure VCOnScroll (var iError: SmallInt; uWhichScroll: LongWord; nSBCode: LongWord; nPos: LongWord);
type TVCProc = procedure (var iError: SmallInt; uWhichScroll: LongWord; nSBCode: LongWord; nPos: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCOnScroll');
    if @aproc <> nil then
      aproc(iError, uWhichScroll, nSBCode, nPos);
  end;
end;

procedure VCOnTimerRunningSnap;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCOnTimerRunningSnap');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCOpenCMP (szFile: PAnsiChar);
type TVCProc = procedure (szFile: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCOpenCMP');
    if @aproc <> nil then
      aproc(szFile);
  end;
end;

procedure VCOpenGCD (szFile: PAnsiChar);
type TVCProc = procedure (szFile: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCOpenGCD');
    if @aproc <> nil then
      aproc(szFile);
  end;
end;

procedure VCOpenStyle (fname: PAnsiChar);
type TVCProc = procedure (fname: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCOpenStyle');
    if @aproc <> nil then
      aproc(fname);
  end;
end;

procedure VCOpenVCA (szFile: PAnsiChar);
type TVCProc = procedure (szFile: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCOpenVCA');
    if @aproc <> nil then
      aproc(szFile);
  end;
end;

procedure VCOpenVCD (szFile: PAnsiChar);
type TVCProc = procedure (szFile: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCOpenVCD');
    if @aproc <> nil then
      aproc(szFile);
  end;
end;

procedure VCOpenVCS (szFile: PAnsiChar);
type TVCProc = procedure (szFile: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCOpenVCS');
    if @aproc <> nil then
      aproc(szFile);
  end;
end;

procedure VCPaint (hWnd: LongInt; rc: TRect);
type TVCProc = procedure (hWnd: LongInt; rc: TRect); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPaint');
    if @aproc <> nil then
      aproc(hWnd, rc);
  end;
end;

procedure VCPaintBP  (hWnd: LongInt; var rc: TRect);
type TVCProc = procedure (hWnd: LongInt; var rc: TRect); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPaintBP ');
    if @aproc <> nil then
      aproc(hWnd, rc);
  end;
end;

procedure VCPaintWorld;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPaintWorld');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCPanCursor (nVKey: SmallInt);
type TVCProc = procedure (nVKey: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPanCursor');
    if @aproc <> nil then
      aproc(nVKey);
  end;
end;

procedure VCPenUp;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPenUp');
    if @aproc <> nil then
      aproc;
  end;
end;

function VCPostMessage (iMessage: LongWord; wParam: LongWord; lParam: LongInt): WordBool;
type TVCProc = function (iMessage: LongWord; wParam: LongWord; lParam: LongInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPostMessage');
    if @aproc <> nil then
      result := aproc(iMessage, wParam, lParam);
  end;
end;

procedure VCPurgeErasedEntities (hW: LongInt);
type TVCProc = procedure (hW: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPurgeErasedEntities');
    if @aproc <> nil then
      aproc(hW);
  end;
end;

procedure VCRButtonUp (lParam: LongInt; wParam: Word);
type TVCProc = procedure (lParam: LongInt; wParam: Word); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRButtonUp');
    if @aproc <> nil then
      aproc(lParam, wParam);
  end;
end;

function VCRFGetDrawBoundary (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFGetDrawBoundary');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCRFGetTransparent (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFGetTransparent');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCRFSetDrawBoundary (var iError: SmallInt; tfDrawBoundary: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfDrawBoundary: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFSetDrawBoundary');
    if @aproc <> nil then
      aproc(iError, tfDrawBoundary);
  end;
end;

procedure VCRFSetTransparent (var iError: SmallInt; tfDrawBoundary: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfDrawBoundary: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFSetTransparent');
    if @aproc <> nil then
      aproc(iError, tfDrawBoundary);
  end;
end;

procedure VCRFUpdateFileLink (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFUpdateFileLink');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCRelativePath (var iError: SmallInt; ReturnPath: PAnsiChar; CurrPath: PAnsiChar; AbsPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; ReturnPath: PAnsiChar; CurrPath: PAnsiChar; AbsPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRelativePath');
    if @aproc <> nil then
      aproc(iError, ReturnPath, CurrPath, AbsPath);
  end;
end;

function VCRemoveAllViews (var iError: SmallInt; hW: LongInt): WordBool;
type TVCProc = function (var iError: SmallInt; hW: LongInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRemoveAllViews');
    if @aproc <> nil then
      result := aproc(iError, hW);
  end;
end;

procedure VCRemoveFileLock (szFile: PAnsiChar);
type TVCProc = procedure (szFile: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRemoveFileLock');
    if @aproc <> nil then
      aproc(szFile);
  end;
end;

procedure VCRemoveSymbols (var iError: SmallInt; pNames: PAnsiChar; iCnt: SmallInt);
type TVCProc = procedure (var iError: SmallInt; pNames: PAnsiChar; iCnt: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRemoveSymbols');
    if @aproc <> nil then
      aproc(iError, pNames, iCnt);
  end;
end;

function VCRemoveView (var iError: SmallInt; hW: LongInt; hWnd: LongInt): WordBool;
type TVCProc = function (var iError: SmallInt; hW: LongInt; hWnd: LongInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRemoveView');
    if @aproc <> nil then
      result := aproc(iError, hW, hWnd);
  end;
end;

procedure VCResetAllLayerTables (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCResetAllLayerTables');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCResetOnScreenList (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCResetOnScreenList');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCResizeChildWindow;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCResizeChildWindow');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCRestoreSettings;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRestoreSettings');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCRestoreSysSettings;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRestoreSysSettings');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCSaveCurrent3DViewTo2D (var iError: SmallInt; TargetWorld: LongInt);
type TVCProc = procedure (var iError: SmallInt; TargetWorld: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSaveCurrent3DViewTo2D');
    if @aproc <> nil then
      aproc(iError, TargetWorld);
  end;
end;

procedure VCSaveDrawingView (var iError: SmallInt; tfSaveView: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfSaveView: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSaveDrawingView');
    if @aproc <> nil then
      aproc(iError, tfSaveView);
  end;
end;

procedure VCSaveEnvironment (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSaveEnvironment');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSaveSettings;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSaveSettings');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCSaveStyle (fname: PAnsiChar);
type TVCProc = procedure (fname: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSaveStyle');
    if @aproc <> nil then
      aproc(fname);
  end;
end;

procedure VCSaveSysSettings;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSaveSysSettings');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCSaveVCA (szAttribName: PAnsiChar; szAttribFile: PAnsiChar);
type TVCProc = procedure (szAttribName: PAnsiChar; szAttribFile: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSaveVCA');
    if @aproc <> nil then
      aproc(szAttribName, szAttribFile);
  end;
end;

procedure VCSaveVCDToFile (var iError: SmallInt; pS_: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pS_: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSaveVCDToFile');
    if @aproc <> nil then
      aproc(iError, pS_);
  end;
end;

procedure VCSaveVCS (szSymbolName: PAnsiChar; szSymbolFile: PAnsiChar);
type TVCProc = procedure (szSymbolName: PAnsiChar; szSymbolFile: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSaveVCS');
    if @aproc <> nil then
      aproc(szSymbolName, szSymbolFile);
  end;
end;

procedure VCScreenToWorld2DBP  (var iError: SmallInt; var ipScreen: iPoint2D; var dpWorld: Point2D);
type TVCProc = procedure (var iError: SmallInt; var ipScreen: iPoint2D; var dpWorld: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCScreenToWorld2DBP ');
    if @aproc <> nil then
      aproc(iError, ipScreen, dpWorld);
  end;
end;

procedure VCScrollEnd (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCScrollEnd');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCScrollStart (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCScrollStart');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSelectAll;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSelectAll');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCSelectInvert;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSelectInvert');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCSelectLast;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSelectLast');
    if @aproc <> nil then
      aproc;
  end;
end;

function VCSendMessage (iMessage: LongWord; wParam: LongWord; lParam: LongInt): LongInt;
type TVCProc = function (iMessage: LongWord; wParam: LongWord; lParam: LongInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSendMessage');
    if @aproc <> nil then
      result := aproc(iMessage, wParam, lParam);
  end;
end;

procedure VCSet3DDisplay (var iError: SmallInt; iCode: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iCode: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSet3DDisplay');
    if @aproc <> nil then
      aproc(iError, iCode);
  end;
end;

procedure VCSet3DQShadeOptions (var iError: SmallInt; iCode: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iCode: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSet3DQShadeOptions');
    if @aproc <> nil then
      aproc(iError, iCode);
  end;
end;

procedure VCSetAcadImportUnit (var iError: SmallInt; b: Byte);
type TVCProc = procedure (var iError: SmallInt; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAcadImportUnit');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetAlertApp (var iError: SmallInt; hWnd: LongInt; iCode: SmallInt);
type TVCProc = procedure (var iError: SmallInt; hWnd: LongInt; iCode: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAlertApp');
    if @aproc <> nil then
      aproc(iError, hWnd, iCode);
  end;
end;

procedure VCSetAlertAppDll (var iError: SmallInt; DllName: PAnsiChar; NativeCmd: PAnsiChar; iCode: LongInt);
type TVCProc = procedure (var iError: SmallInt; DllName: PAnsiChar; NativeCmd: PAnsiChar; iCode: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAlertAppDll');
    if @aproc <> nil then
      aproc(iError, DllName, NativeCmd, iCode);
  end;
end;

procedure VCSetAlertAppDllEx (var iError: SmallInt; DllName: PAnsiChar; NativeCmd: PAnsiChar; iCode0: LongInt; iCode1: LongInt);
type TVCProc = procedure (var iError: SmallInt; DllName: PAnsiChar; NativeCmd: PAnsiChar; iCode0: LongInt; iCode1: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAlertAppDllEx');
    if @aproc <> nil then
      aproc(iError, DllName, NativeCmd, iCode0, iCode1);
  end;
end;

procedure VCSetAlertAppEx (var iError: SmallInt; hWnd: LongInt; iCode0: LongInt; iCode1: LongInt);
type TVCProc = procedure (var iError: SmallInt; hWnd: LongInt; iCode0: LongInt; iCode1: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAlertAppEx');
    if @aproc <> nil then
      aproc(iError, hWnd, iCode0, iCode1);
  end;
end;

procedure VCSetAllDimPartsColor (var iError: SmallInt; iColor: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iColor: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAllDimPartsColor');
    if @aproc <> nil then
      aproc(iError, iColor);
  end;
end;

procedure VCSetAllDimPartsOn (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAllDimPartsOn');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetAllLayersEd (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAllLayersEd');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetAllLayersSnap (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAllLayersSnap');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetAngle (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAngle');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetAngleHandle (hWnd_: LongInt);
type TVCProc = procedure (hWnd_: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAngleHandle');
    if @aproc <> nil then
      aproc(hWnd_);
  end;
end;

procedure VCSetArrowScreenStep (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetArrowScreenStep');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetArrowWorld (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetArrowWorld');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetArrowWorldStep (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetArrowWorldStep');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetAskZoomCenter (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAskZoomCenter');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetAtbColorIndex (var iError: SmallInt; iIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAtbColorIndex');
    if @aproc <> nil then
      aproc(iError, iIndex);
  end;
end;

procedure VCSetAtbDefLabelValue (var iError: SmallInt; szName: PAnsiChar; szLabel: PAnsiChar; Value: PAnsiChar; iRec: SmallInt);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar; szLabel: PAnsiChar; Value: PAnsiChar; iRec: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAtbDefLabelValue');
    if @aproc <> nil then
      aproc(iError, szName, szLabel, Value, iRec);
  end;
end;

procedure VCSetAtbDisplay (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAtbDisplay');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetAtbFont (var iError: SmallInt; pS: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pS: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAtbFont');
    if @aproc <> nil then
      aproc(iError, pS);
  end;
end;

procedure VCSetAtbHeight (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAtbHeight');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetAtbLabel (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAtbLabel');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetAutoFillet (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAutoFillet');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetAutoSave (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAutoSave');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetAutoSaveSecs (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAutoSaveSecs');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetBackgroundColor (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetBackgroundColor');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetBackwardsRedraw (var iError: SmallInt; tfBRD: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfBRD: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetBackwardsRedraw');
    if @aproc <> nil then
      aproc(iError, tfBRD);
  end;
end;

procedure VCSetCMPPath (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCMPPath');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetChamferDist1 (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetChamferDist1');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetChamferDist2 (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetChamferDist2');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetCmdStr (var iError: SmallInt; pS: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pS: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCmdStr');
    if @aproc <> nil then
      aproc(iError, pS);
  end;
end;

procedure VCSetColorIndex (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetColorIndex');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetConstPt (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetConstPt');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetCurEntAtbRecValue (var iError: SmallInt; iWhichAtb: SmallInt; iWhichRec: SmallInt; pValue: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; iWhichAtb: SmallInt; iWhichRec: SmallInt; pValue: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurEntAtbRecValue');
    if @aproc <> nil then
      aproc(iError, iWhichAtb, iWhichRec, pValue);
  end;
end;

procedure VCSetCurEntAtbRefPoint (var iError: SmallInt; iWhichAtb: SmallInt; var dpRef: Point2D);
type TVCProc = procedure (var iError: SmallInt; iWhichAtb: SmallInt; var dpRef: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurEntAtbRefPoint');
    if @aproc <> nil then
      aproc(iError, iWhichAtb, dpRef);
  end;
end;

procedure VCSetCurrWorld (hW: LongInt);
type TVCProc = procedure (hW: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrWorld');
    if @aproc <> nil then
      aproc(hW);
  end;
end;

procedure VCSetCurrentDeSelected (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentDeSelected');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetCurrentEntity (var iError: SmallInt; lH: LongInt);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntity');
    if @aproc <> nil then
      aproc(iError, lH);
  end;
end;

procedure VCSetCurrentEntity3DFlag0 (var iError: SmallInt; iFlag: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iFlag: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntity3DFlag0');
    if @aproc <> nil then
      aproc(iError, iFlag);
  end;
end;

procedure VCSetCurrentEntityCloseContour (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityCloseContour');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetCurrentEntityPoint (var iError: SmallInt; i: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityPoint');
    if @aproc <> nil then
      aproc(iError, i, dpP);
  end;
end;

procedure VCSetCurrentEntityPoint3D (var iError: SmallInt; i: SmallInt; var dpP: Point3D);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; var dpP: Point3D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityPoint3D');
    if @aproc <> nil then
      aproc(iError, i, dpP);
  end;
end;

procedure VCSetCurrentEntityPoints (var iError: SmallInt; var p2dArray: Point2D; iPointCount: SmallInt);
type TVCProc = procedure (var iError: SmallInt; var p2dArray: Point2D; iPointCount: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityPoints');
    if @aproc <> nil then
      aproc(iError, p2dArray, iPointCount);
  end;
end;

procedure VCSetCurrentEntitySubEntity (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntitySubEntity');
    if @aproc <> nil then
      aproc(iError, lH, iContour, iEntity);
  end;
end;

procedure VCSetCurrentEntityUID (var iError: SmallInt; uid: LongWord);
type TVCProc = procedure (var iError: SmallInt; uid: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityUID');
    if @aproc <> nil then
      aproc(iError, uid);
  end;
end;

procedure VCSetCurrentEntityUserDataByte (var iError: SmallInt; iIndex: SmallInt; b: Byte);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityUserDataByte');
    if @aproc <> nil then
      aproc(iError, iIndex, b);
  end;
end;

procedure VCSetCurrentEntityUserDataChunk (var iError: SmallInt; iIndex: SmallInt; p: Pointer; iSize: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; p: Pointer; iSize: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityUserDataChunk');
    if @aproc <> nil then
      aproc(iError, iIndex, p, iSize);
  end;
end;

procedure VCSetCurrentEntityUserDataDouble (var iError: SmallInt; iIndex: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityUserDataDouble');
    if @aproc <> nil then
      aproc(iError, iIndex, dRet);
  end;
end;

procedure VCSetCurrentEntityUserDataFloat (var iError: SmallInt; iIndex: SmallInt; f: Single);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; f: Single); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityUserDataFloat');
    if @aproc <> nil then
      aproc(iError, iIndex, f);
  end;
end;

procedure VCSetCurrentEntityUserDataLong (var iError: SmallInt; iIndex: SmallInt; l: LongInt);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; l: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityUserDataLong');
    if @aproc <> nil then
      aproc(iError, iIndex, l);
  end;
end;

procedure VCSetCurrentEntityUserDataShort (var iError: SmallInt; iIndex: SmallInt; s: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; s: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityUserDataShort');
    if @aproc <> nil then
      aproc(iError, iIndex, s);
  end;
end;

procedure VCSetCurrentEntityUserDataString (var iError: SmallInt; iIndex: SmallInt; str: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; str: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityUserDataString');
    if @aproc <> nil then
      aproc(iError, iIndex, str);
  end;
end;

procedure VCSetCurrentErased (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentErased');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetCurrentSelected (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentSelected');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetCurrentUnErased (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentUnErased');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetCurrentView (var iError: SmallInt; iView: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iView: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentView');
    if @aproc <> nil then
      aproc(iError, iView);
  end;
end;

function VCSetCurrWorldByHWND (var iError: SmallInt; hWnd: THandle): LongInt;
type TVCProc = function (var iError: SmallInt; hWnd: THandle): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrWorldByHWND');
    if @aproc <> nil then
      result := aproc(iError, hWnd);
  end;
end;

procedure VCSetCursor (var iError: SmallInt; dzName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; dzName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCursor');
    if @aproc <> nil then
      aproc(iError, dzName);
  end;
end;

procedure VCSetCursorColor (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCursorColor');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetCursorEx (var iError: SmallInt; hC: THandle);
type TVCProc = procedure (var iError: SmallInt; hC: THandle); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCursorEx');
    if @aproc <> nil then
      aproc(iError, hC);
  end;
end;

procedure VCSetCursorFree (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCursorFree');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetCursorSize (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCursorSize');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetDWGPath (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDWGPath');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetDXFPath (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDXFPath');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetDatumBasePtBP  (var iError: SmallInt; var p: Point2D);
type TVCProc = procedure (var iError: SmallInt; var p: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDatumBasePtBP ');
    if @aproc <> nil then
      aproc(iError, p);
  end;
end;

procedure VCSetDatumType (var iError: SmallInt; iDatumType: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iDatumType: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDatumType');
    if @aproc <> nil then
      aproc(iError, iDatumType);
  end;
end;

procedure VCSetDefaultTool (var iError: SmallInt; w: Word);
type TVCProc = procedure (var iError: SmallInt; w: Word); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDefaultTool');
    if @aproc <> nil then
      aproc(iError, w);
  end;
end;

procedure VCSetDimAngleFormat (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimAngleFormat');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetDimArrowAngle (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimArrowAngle');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimArrowFlipDists (var iError: SmallInt; d0: Double; d1: Double);
type TVCProc = procedure (var iError: SmallInt; d0: Double; d1: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimArrowFlipDists');
    if @aproc <> nil then
      aproc(iError, d0, d1);
  end;
end;

procedure VCSetDimArrowLength (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimArrowLength');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimArrowMode (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimArrowMode');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimArrowType (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimArrowType');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimDecimalValue (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimDecimalValue');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetDimDistFormat (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimDistFormat');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetDimExtAbove (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimExtAbove');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimExtBelow (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimExtBelow');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimExtOffset (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimExtOffset');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimFont (var iError: SmallInt; pS: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pS: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimFont');
    if @aproc <> nil then
      aproc(iError, pS);
  end;
end;

procedure VCSetDimFractionalValue (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimFractionalValue');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetDimItemColor (var iError: SmallInt; i: SmallInt; j: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; j: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimItemColor');
    if @aproc <> nil then
      aproc(iError, i, j);
  end;
end;

procedure VCSetDimItemLineType (var iError: SmallInt; i: SmallInt; j: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; j: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimItemLineType');
    if @aproc <> nil then
      aproc(iError, i, j);
  end;
end;

procedure VCSetDimItemLineWidth (var iError: SmallInt; i: SmallInt; j: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; j: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimItemLineWidth');
    if @aproc <> nil then
      aproc(iError, i, j);
  end;
end;

procedure VCSetDimItemShow (var iError: SmallInt; i: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimItemShow');
    if @aproc <> nil then
      aproc(iError, i, tf);
  end;
end;

procedure VCSetDimLayer (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimLayer');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetDimLineAngle (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimLineAngle');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimLineDirect (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimLineDirect');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimLineText (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimLineText');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimShowDash (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimShowDash');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetDimShowLeadingZeros (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimShowLeadingZeros');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetDimShowUnits (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimShowUnits');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetDimTextAspect (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextAspect');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimTextBold (var iErrors: SmallInt; i: SmallInt);
type TVCProc = procedure (var iErrors: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextBold');
    if @aproc <> nil then
      aproc(iErrors, i);
  end;
end;

procedure VCSetDimTextCentered (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextCentered');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetDimTextCharSpace (var iError: SmallInt; dCharSpacing: Double);
type TVCProc = procedure (var iError: SmallInt; dCharSpacing: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextCharSpace');
    if @aproc <> nil then
      aproc(iError, dCharSpacing);
  end;
end;

procedure VCSetDimTextFillVText (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextFillVText');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetDimTextHeight (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextHeight');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimTextHorizSpace (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextHorizSpace');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimTextItalic (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextItalic');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetDimTextItalicAng (var iError: SmallInt; dI: Double);
type TVCProc = procedure (var iError: SmallInt; dI: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextItalicAng');
    if @aproc <> nil then
      aproc(iError, dI);
  end;
end;

procedure VCSetDimTextLineSpace (var iError: SmallInt; dLineSpacing: Double);
type TVCProc = procedure (var iError: SmallInt; dLineSpacing: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextLineSpace');
    if @aproc <> nil then
      aproc(iError, dLineSpacing);
  end;
end;

procedure VCSetDimTextOverwrite (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextOverwrite');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimTextOverwriteString (var iError: SmallInt; pB: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pB: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextOverwriteString');
    if @aproc <> nil then
      aproc(iError, pB);
  end;
end;

procedure VCSetDimTextPrefix (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextPrefix');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimTextPrefixString (var iError: SmallInt; pB: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pB: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextPrefixString');
    if @aproc <> nil then
      aproc(iError, pB);
  end;
end;

procedure VCSetDimTextProSpacing (var iError: SmallInt; b: WordBool);
type TVCProc = procedure (var iError: SmallInt; b: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextProSpacing');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimTextRotationType (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextRotationType');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimTextScale (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextScale');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimTextSuffix (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextSuffix');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimTextSuffixString (var iError: SmallInt; pB: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pB: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextSuffixString');
    if @aproc <> nil then
      aproc(iError, pB);
  end;
end;

procedure VCSetDimTextTolDecimal (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextTolDecimal');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimTextTolLowerVal (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextTolLowerVal');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimTextTolType (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextTolType');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimTextTolUpperVal (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextTolUpperVal');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimTextUnderline (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextUnderline');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetDimTextVertSpace (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextVertSpace');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetDimUseDimLayer (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimUseDimLayer');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetDisplayAngleFormat (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayAngleFormat');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetDisplayDecimalValue (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayDecimalValue');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetDisplayDistFormat (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayDistFormat');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetDisplayFontNotFoundMessage (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayFontNotFoundMessage');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetDisplayFractionalValue (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayFractionalValue');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetDisplayHiddenLayersMessage (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayHiddenLayersMessage');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetDisplayShowLeadingZeros (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayShowLeadingZeros');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetDisplayShowUnits (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayShowUnits');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetDistanceHandle (hWnd_: LongInt);
type TVCProc = procedure (hWnd_: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDistanceHandle');
    if @aproc <> nil then
      aproc(hWnd_);
  end;
end;

procedure VCSetDllRunCmdLine (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDllRunCmdLine');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetDllRunFunction (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDllRunFunction');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetDllRunName (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDllRunName');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetDrawFBoundary (var iError: SmallInt; tfB: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfB: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDrawFBoundary');
    if @aproc <> nil then
      aproc(iError, tfB);
  end;
end;

procedure VCSetDrawHBoundary (var iError: SmallInt; tfB: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfB: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDrawHBoundary');
    if @aproc <> nil then
      aproc(iError, tfB);
  end;
end;

procedure VCSetDrawingName (pName: PAnsiChar);
type TVCProc = procedure (pName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDrawingName');
    if @aproc <> nil then
      aproc(pName);
  end;
end;

function VCSetEatNextLButtonDown (var iError: SmallInt; tfSet: WordBool): WordBool;
type TVCProc = function (var iError: SmallInt; tfSet: WordBool): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetEatNextLButtonDown');
    if @aproc <> nil then
      result := aproc(iError, tfSet);
  end;
end;

procedure VCSetEmbAtbLabelValue (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt; szLabel: PAnsiChar; Value: PAnsiChar; iRec: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iWhichSymbolDef: SmallInt; iWhichAtb: SmallInt; szLabel: PAnsiChar; Value: PAnsiChar; iRec: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetEmbAtbLabelValue');
    if @aproc <> nil then
      aproc(iError, iWhichSymbolDef, iWhichAtb, szLabel, Value, iRec);
  end;
end;

procedure VCSetEntitySection (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetEntitySection');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetExeName (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetExeName');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetExplodeContinuousLines (var iError: SmallInt; tf: Byte);
type TVCProc = procedure (var iError: SmallInt; tf: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetExplodeContinuousLines');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetFillColor (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFillColor');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetFillDisplay (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFillDisplay');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetFillVText (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFillVText');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetFilletPreview (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilletPreview');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetFilletRad (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilletRad');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetFilterActive (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterActive');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetFilterColor (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterColor');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetFilterKind (var iError: SmallInt; b: Byte);
type TVCProc = procedure (var iError: SmallInt; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterKind');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetFilterKind2 (var iError: SmallInt; b: Byte);
type TVCProc = procedure (var iError: SmallInt; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterKind2');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetFilterLayer (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterLayer');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetFilterLineType (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterLineType');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetFilterMatch (var iError: SmallInt; EH: LongInt);
type TVCProc = procedure (var iError: SmallInt; EH: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterMatch');
    if @aproc <> nil then
      aproc(iError, EH);
  end;
end;

procedure VCSetFilterName (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterName');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetFilterWidth (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterWidth');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCSetFunkeyCmdString (szCmd: PAnsiChar; iShift: SmallInt; nVKey: SmallInt): WordBool;
type TVCProc = function (szCmd: PAnsiChar; iShift: SmallInt; nVKey: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFunkeyCmdString');
    if @aproc <> nil then
      result := aproc(szCmd, iShift, nVKey);
  end;
end;

procedure VCSetGCDDefaultHatchName (var iError: SmallInt; szName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetGCDDefaultHatchName');
    if @aproc <> nil then
      aproc(iError, szName);
  end;
end;

procedure VCSetGCDPath (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetGCDPath');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetGraphicPenWidth (var iError: SmallInt; dPen: Double);
type TVCProc = procedure (var iError: SmallInt; dPen: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetGraphicPenWidth');
    if @aproc <> nil then
      aproc(iError, dPen);
  end;
end;

procedure VCGetGraphicPenWidth (var iError: SmallInt; var dPen: Double);
type TVCProc = procedure (var iError: SmallInt; var dPen: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetGraphicPenWidth');
    if @aproc <> nil then
      aproc(iError, dPen);
  end;
end;

procedure VCSetGridDisplay (var iError: SmallInt; tfDisp: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfDisp: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetGridDisplay');
    if @aproc <> nil then
      aproc(iError, tfDisp);
  end;
end;

procedure VCSetGridOriginBP (var iError: SmallInt; var dpOrg_: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpOrg_: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetGridOriginBP');
    if @aproc <> nil then
      aproc(iError, dpOrg_);
  end;
end;

procedure VCSetGridSizeBP (var iError: SmallInt; var dpSize_: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpSize_: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetGridSizeBP');
    if @aproc <> nil then
      aproc(iError, dpSize_);
  end;
end;

procedure VCSetGridSnap (var iError: SmallInt; tfSnap: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfSnap: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetGridSnap');
    if @aproc <> nil then
      aproc(iError, tfSnap);
  end;
end;

procedure VCSetHandlePt (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHandlePt');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetHatchColor (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchColor');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetHatchDisplay (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchDisplay');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetHatchName (var iError: SmallInt; s: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; s: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchName');
    if @aproc <> nil then
      aproc(iError, s);
  end;
end;

procedure VCSetHatchRot (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchRot');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetHatchScale (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchScale');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetHeaderUserData (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHeaderUserData');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetHighlight (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHighlight');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetIncSnap (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetIncSnap');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetIncSnapSize (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetIncSnapSize');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetIsoMode (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetIsoMode');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetIsoPlane (var iError: SmallInt; iPlane: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iPlane: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetIsoPlane');
    if @aproc <> nil then
      aproc(iError, iPlane);
  end;
end;

procedure VCSetKeepAcadFontName (var iError: SmallInt; tf: LongBool);
type TVCProc = procedure (var iError: SmallInt; tf: LongBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetKeepAcadFontName');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetKeepGCDFontName (var iError: SmallInt; tf: LongBool);
type TVCProc = procedure (var iError: SmallInt; tf: LongBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetKeepGCDFontName');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetKeepGCDHatch (var iError: SmallInt; tf: LongBool);
type TVCProc = procedure (var iError: SmallInt; tf: LongBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetKeepGCDHatch');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetLTScaleDevice (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLTScaleDevice');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetLTScaleWorld (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLTScaleWorld');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetLastCommandId (CmdId: Word);
type TVCProc = procedure (CmdId: Word); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLastCommandId');
    if @aproc <> nil then
      aproc(CmdId);
  end;
end;

procedure VCSetLastPoint (var iError: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLastPoint');
    if @aproc <> nil then
      aproc(iError, dpP);
  end;
end;

procedure VCSetLayerDisplay (var iError: SmallInt; iIndex: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerDisplay');
    if @aproc <> nil then
      aproc(iError, iIndex, tf);
  end;
end;

procedure VCSetLayerGroupLayer (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt; bState: WordBool);
type TVCProc = procedure (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt; bState: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerGroupLayer');
    if @aproc <> nil then
      aproc(iError, iGroupIndex, iLayer, bState);
  end;
end;

procedure VCSetLayerIndex (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerIndex');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetLayerPrintable (var iError: SmallInt; iLayer: SmallInt; tfPrintableFlag: WordBool);
type TVCProc = procedure (var iError: SmallInt; iLayer: SmallInt; tfPrintableFlag: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerPrintable');
    if @aproc <> nil then
      aproc(iError, iLayer, tfPrintableFlag);
  end;
end;

function VCSetLayerProperties (var iError: SmallInt; iLayer: SmallInt; iColor: SmallInt; iLtype: SmallInt; iWidth: SmallInt; fWidth: Single): WordBool;
type TVCProc = function (var iError: SmallInt; iLayer: SmallInt; iColor: SmallInt; iLtype: SmallInt; iWidth: SmallInt; fWidth: Single): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerProperties');
    if @aproc <> nil then
      result := aproc(iError, iLayer, iColor, iLtype, iWidth, fWidth);
  end;
end;

procedure VCSetLayerRedraw (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerRedraw');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetLeaderArrowAngle (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderArrowAngle');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetLeaderArrowLength (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderArrowLength');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetLeaderArrowMode (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderArrowMode');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetLeaderArrowType (var iError: SmallInt; b: SmallInt);
type TVCProc = procedure (var iError: SmallInt; b: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderArrowType');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetLeaderFontName (var iError: SmallInt; pS: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pS: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderFontName');
    if @aproc <> nil then
      aproc(iError, pS);
  end;
end;

procedure VCSetLeaderShoulderLength (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderShoulderLength');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetLeaderString (var iError: SmallInt; s: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; s: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderString');
    if @aproc <> nil then
      aproc(iError, s);
  end;
end;

procedure VCSetLeaderTextAspect (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextAspect');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetLeaderTextBold (var iErrors: SmallInt; i: SmallInt);
type TVCProc = procedure (var iErrors: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextBold');
    if @aproc <> nil then
      aproc(iErrors, i);
  end;
end;

procedure VCSetLeaderTextCharSpace (var iError: SmallInt; dCharSpacing: Double);
type TVCProc = procedure (var iError: SmallInt; dCharSpacing: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextCharSpace');
    if @aproc <> nil then
      aproc(iError, dCharSpacing);
  end;
end;

procedure VCSetLeaderTextFillVText (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextFillVText');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetLeaderTextHeight (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextHeight');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetLeaderTextItalic (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextItalic');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetLeaderTextItalicAng (var iError: SmallInt; dI: Double);
type TVCProc = procedure (var iError: SmallInt; dI: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextItalicAng');
    if @aproc <> nil then
      aproc(iError, dI);
  end;
end;

procedure VCSetLeaderTextLineSpace (var iError: SmallInt; dLineSpacing: Double);
type TVCProc = procedure (var iError: SmallInt; dLineSpacing: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextLineSpace');
    if @aproc <> nil then
      aproc(iError, dLineSpacing);
  end;
end;

procedure VCSetLeaderTextOffset (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextOffset');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetLeaderTextProSpacing (var iError: SmallInt; b: WordBool);
type TVCProc = procedure (var iError: SmallInt; b: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextProSpacing');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetLeaderTextUnderline (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextUnderline');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetLineTypeDisplay (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLineTypeDisplay');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetLineTypeIndex (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLineTypeIndex');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetLineWidthDisplay (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLineWidthDisplay');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetLineWidthIndex (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLineWidthIndex');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetLineWidthValue (var iError: SmallInt; dV: Single);
type TVCProc = procedure (var iError: SmallInt; dV: Single); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLineWidthValue');
    if @aproc <> nil then
      aproc(iError, dV);
  end;
end;

procedure VCSetMBMode (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMBMode');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetMOMode (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMOMode');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetMRMode (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMRMode');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetMapAcadPolylineWidths (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMapAcadPolylineWidths');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetMaxUID (var iError: SmallInt; uidMax: LongWord);
type TVCProc = procedure (var iError: SmallInt; uidMax: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMaxUID');
    if @aproc <> nil then
      aproc(iError, uidMax);
  end;
end;

procedure VCSetMenu (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMenu');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetMessageHandle (hWnd_: LongInt);
type TVCProc = procedure (hWnd_: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMessageHandle');
    if @aproc <> nil then
      aproc(hWnd_);
  end;
end;

procedure VCSetNamedLayer (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; pName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetNamedLayer');
    if @aproc <> nil then
      aproc(iError, iIndex, pName);
  end;
end;

procedure VCSetNumCopies (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetNumCopies');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetNumRows (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetNumRows');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetOffsetDist (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOffsetDist');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetOffsetFixed (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOffsetFixed');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetOleDllClassName (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOleDllClassName');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetOleDllFunctionCmdLine (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOleDllFunctionCmdLine');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetOleDllFunctionName (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOleDllFunctionName');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetOleDllName (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOleDllName');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetOrdinateTextOffset (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOrdinateTextOffset');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetOrthoAng (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOrthoAng');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetOrthoMode (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOrthoMode');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetPointDisplay (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPointDisplay');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetPopupButton (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPopupButton');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetProjection3D (var iError: SmallInt; iCode: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iCode: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetProjection3D');
    if @aproc <> nil then
      aproc(iError, iCode);
  end;
end;

procedure VCSetQuickSearch (var iError: SmallInt; tfQS: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfQS: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetQuickSearch');
    if @aproc <> nil then
      aproc(iError, tfQS);
  end;
end;

procedure VCSetRPolyInscribe (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRPolyInscribe');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetRPolySides (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRPolySides');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetRPolygonSides (id: LongInt);
type TVCProc = procedure (id: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRPolygonSides');
    if @aproc <> nil then
      aproc(id);
  end;
end;

procedure VCSetRadCopies (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRadCopies');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetReadOnly (var iError: SmallInt; iReadOnly: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iReadOnly: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetReadOnly');
    if @aproc <> nil then
      aproc(iError, iReadOnly);
  end;
end;

procedure VCSetRefFrame (var iError: SmallInt; var dpLL: Point2D; var dpUR: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpLL: Point2D; var dpUR: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrame');
    if @aproc <> nil then
      aproc(iError, dpLL, dpUR);
  end;
end;

procedure VCSetRefFrameColor (var iError: SmallInt; iC: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iC: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrameColor');
    if @aproc <> nil then
      aproc(iError, iC);
  end;
end;

procedure VCSetRefFrameDrawBoundary (var iError: SmallInt; vb: WordBool);
type TVCProc = procedure (var iError: SmallInt; vb: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrameDrawBoundary');
    if @aproc <> nil then
      aproc(iError, vb);
  end;
end;

procedure VCSetRefFrameIsDataBound (var iError: SmallInt; tf: LongBool);
type TVCProc = procedure (var iError: SmallInt; tf: LongBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrameIsDataBound');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetRefFrameLineWidth (var iError: SmallInt; iC: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iC: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrameLineWidth');
    if @aproc <> nil then
      aproc(iError, iC);
  end;
end;

procedure VCSetRefFrameName (var iError: SmallInt; s: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; s: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrameName');
    if @aproc <> nil then
      aproc(iError, s);
  end;
end;

procedure VCSetRefFrameOffset (var iError: SmallInt; var dpOffset: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpOffset: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrameOffset');
    if @aproc <> nil then
      aproc(iError, dpOffset);
  end;
end;

procedure VCSetRefFrameRot (var iError: SmallInt; var dR: Double);
type TVCProc = procedure (var iError: SmallInt; var dR: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrameRot');
    if @aproc <> nil then
      aproc(iError, dR);
  end;
end;

procedure VCSetRefFrameScale (var iError: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrameScale');
    if @aproc <> nil then
      aproc(iError, dpP);
  end;
end;

procedure VCSetRefFrameViewWidthHeight (var iError: SmallInt; var dpWidthHeight: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpWidthHeight: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrameViewWidthHeight');
    if @aproc <> nil then
      aproc(iError, dpWidthHeight);
  end;
end;

procedure VCSetReplaceWithSymbol (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetReplaceWithSymbol');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetRubberBandColor (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRubberBandColor');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetSCRPath (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSCRPath');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetSYSPath (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSYSPath');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetSaveEnvOnExit (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSaveEnvOnExit');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetSavePaths (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSavePaths');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetScaleXYBP  (var iError: SmallInt; var p: Point2D);
type TVCProc = procedure (var iError: SmallInt; var p: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetScaleXYBP ');
    if @aproc <> nil then
      aproc(iError, p);
  end;
end;

procedure VCSetScaleX (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetScaleX');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetScaleY (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetScaleY');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetSecondaryDistFormat (var iError: SmallInt; iF_: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iF_: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSecondaryDistFormat');
    if @aproc <> nil then
      aproc(iError, iF_);
  end;
end;

procedure VCSetSelectionColor (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSelectionColor');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetShiftClick (var iError: SmallInt; tfShift: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfShift: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShiftClick');
    if @aproc <> nil then
      aproc(iError, tfShift);
  end;
end;

procedure VCSetShortLayerList (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShortLayerList');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetShowAngleSeconds (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShowAngleSeconds');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetShowDimAngleSeconds (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShowDimAngleSeconds');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetShowDrag (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShowDrag');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetShowSecondaryUnit (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShowSecondaryUnit');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetShowSingleUnitFrac (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShowSingleUnitFrac');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetShowTangentPoints (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShowTangentPoints');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetSnapPercentVal (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSnapPercentVal');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetSolid (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSolid');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetSpanAngle (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSpanAngle');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetSym3DName (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSym3DName');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetSym3DNormal (var iError: SmallInt; var normal: Point3D);
type TVCProc = procedure (var iError: SmallInt; var normal: Point3D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSym3DNormal');
    if @aproc <> nil then
      aproc(iError, normal);
  end;
end;

procedure VCSetSym3DRot (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSym3DRot');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetSym3DScale (var iError: SmallInt; var dpScale: Point3D);
type TVCProc = procedure (var iError: SmallInt; var dpScale: Point3D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSym3DScale');
    if @aproc <> nil then
      aproc(iError, dpScale);
  end;
end;

procedure VCSetSymAutoExplode (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSymAutoExplode');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetSymExplode (var iError: SmallInt; iEx: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iEx: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSymExplode');
    if @aproc <> nil then
      aproc(iError, iEx);
  end;
end;

procedure VCSetSymName (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSymName');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetSymRot (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSymRot');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetSymScaleBP  (var iError: SmallInt; var p: Point2D);
type TVCProc = procedure (var iError: SmallInt; var p: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSymScaleBP ');
    if @aproc <> nil then
      aproc(iError, p);
  end;
end;

procedure VCSetSymScaleX (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSymScaleX');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetSymScaleY (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSymScaleY');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetSymSnap (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSymSnap');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetSymbolSection (var iError: SmallInt; pName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSymbolSection');
    if @aproc <> nil then
      aproc(iError, pName);
  end;
end;

procedure VCSetTextAspect (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextAspect');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetTextBold (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextBold');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetTextCharSpace (var iError: SmallInt; dCharSpacing: Double);
type TVCProc = procedure (var iError: SmallInt; dCharSpacing: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextCharSpace');
    if @aproc <> nil then
      aproc(iError, dCharSpacing);
  end;
end;

procedure VCSetTextColor (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextColor');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCSetTextFontName (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextFontName');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

procedure VCSetTextHeight (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextHeight');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetTextItalic (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextItalic');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetTextItalicValue (var iError: SmallInt; dI: Double);
type TVCProc = procedure (var iError: SmallInt; dI: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextItalicValue');
    if @aproc <> nil then
      aproc(iError, dI);
  end;
end;

procedure VCSetTextJustify (var iError: SmallInt; j: SmallInt);
type TVCProc = procedure (var iError: SmallInt; j: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextJustify');
    if @aproc <> nil then
      aproc(iError, j);
  end;
end;

procedure VCSetTextLayer (var iError: SmallInt; iTextLayer: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iTextLayer: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextLayer');
    if @aproc <> nil then
      aproc(iError, iTextLayer);
  end;
end;

procedure VCSetTextLineSpace (var iError: SmallInt; dLineSpacing: Double);
type TVCProc = procedure (var iError: SmallInt; dLineSpacing: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextLineSpace');
    if @aproc <> nil then
      aproc(iError, dLineSpacing);
  end;
end;

procedure VCSetTextProSpacing (var iError: SmallInt; b: WordBool);
type TVCProc = procedure (var iError: SmallInt; b: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextProSpacing');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetTextRot (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextRot');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetTextString (var iError: SmallInt; pS: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pS: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextString');
    if @aproc <> nil then
      aproc(iError, pS);
  end;
end;

procedure VCSetTextUnderline (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextUnderline');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetTextUseByLayerProperties (var iError: SmallInt; tfColor: WordBool; tfLineType: WordBool; tfLineWidth: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfColor: WordBool; tfLineType: WordBool; tfLineWidth: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextUseByLayerProperties');
    if @aproc <> nil then
      aproc(iError, tfColor, tfLineType, tfLineWidth);
  end;
end;

procedure VCSetTextUseTextLayer (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextUseTextLayer');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetUseByLayerProperties (var iError: SmallInt; tfColor: WordBool; tfLineType: WordBool; tfLineWidth: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfColor: WordBool; tfLineType: WordBool; tfLineWidth: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetUseByLayerProperties');
    if @aproc <> nil then
      aproc(iError, tfColor, tfLineType, tfLineWidth);
  end;
end;

procedure VCSetUseFileLocking (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetUseFileLocking');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSetUserDataName (var iError: SmallInt; pS: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pS: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetUserDataName');
    if @aproc <> nil then
      aproc(iError, pS);
  end;
end;

procedure VCSetVCDPath (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetVCDPath');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetVCFPath (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetVCFPath');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetVCSPath (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetVCSPath');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

procedure VCSetVidTolerance (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetVidTolerance');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSetView3D (var iError: SmallInt; var dpEye: Point3D; var dpTarget: Point3D);
type TVCProc = procedure (var iError: SmallInt; var dpEye: Point3D; var dpTarget: Point3D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetView3D');
    if @aproc <> nil then
      aproc(iError, dpEye, dpTarget);
  end;
end;

procedure VCSetWallWidth1 (var iError: SmallInt; d1: Double);
type TVCProc = procedure (var iError: SmallInt; d1: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetWallWidth1');
    if @aproc <> nil then
      aproc(iError, d1);
  end;
end;

procedure VCSetWallWidth2 (var iError: SmallInt; d1: Double);
type TVCProc = procedure (var iError: SmallInt; d1: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetWallWidth2');
    if @aproc <> nil then
      aproc(iError, d1);
  end;
end;

procedure VCSetWorldZoomAll (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetWorldZoomAll');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetWorldZoomWindow (var iError: SmallInt; var p0: Point2D; var p1: Point2D);
type TVCProc = procedure (var iError: SmallInt; var p0: Point2D; var p1: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetWorldZoomWindow');
    if @aproc <> nil then
      aproc(iError, p0, p1);
  end;
end;

procedure VCSetXYHandle (hWnd_: LongInt);
type TVCProc = procedure (hWnd_: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetXYHandle');
    if @aproc <> nil then
      aproc(hWnd_);
  end;
end;

procedure VCSetZoomFactor (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetZoomFactor');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

procedure VCSethWndFrame (hWnd: LongInt);
type TVCProc = procedure (hWnd: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSethWndFrame');
    if @aproc <> nil then
      aproc(hWnd);
  end;
end;

procedure VCSethWndMdiClient (hWnd: LongInt);
type TVCProc = procedure (hWnd: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSethWndMdiClient');
    if @aproc <> nil then
      aproc(hWnd);
  end;
end;

procedure VCSortCurrentHatchFillEntity (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSortCurrentHatchFillEntity');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCStringToAngle (var iError: SmallInt; var pD: Double; pS: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; var pD: Double; pS: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCStringToAngle');
    if @aproc <> nil then
      aproc(iError, pD, pS);
  end;
end;

procedure VCStringToDist (var iError: SmallInt; var pD: Double; pS: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; var pD: Double; pS: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCStringToDist');
    if @aproc <> nil then
      aproc(iError, pD, pS);
  end;
end;

procedure VCTerminate;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCTerminate');
    if @aproc <> nil then
      aproc;
  end;
end;

function VCThisNameIsCurrentUser (szName: PAnsiChar): WordBool;
type TVCProc = function (szName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCThisNameIsCurrentUser');
    if @aproc <> nil then
      result := aproc(szName);
  end;
end;

procedure VCTimer;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCTimer');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCToggle (id: Word);
type TVCProc = procedure (id: Word); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCToggle');
    if @aproc <> nil then
      aproc(id);
  end;
end;

procedure VCTruncFrom (var iError: SmallInt; StartHere: LongInt);
type TVCProc = procedure (var iError: SmallInt; StartHere: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCTruncFrom');
    if @aproc <> nil then
      aproc(iError, StartHere);
  end;
end;

procedure VCUIOff;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCUIOff');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCUIOn;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCUIOn');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCUnloadUnusedSymDefs (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCUnloadUnusedSymDefs');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCUpdateStatusBar;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCUpdateStatusBar');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCWindowSelect (var dpP0: Point2D; var dpP1: Point2D);
type TVCProc = procedure (var dpP0: Point2D; var dpP1: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCWindowSelect');
    if @aproc <> nil then
      aproc(dpP0, dpP1);
  end;
end;

procedure VCWorld2DToScreen (var iError: SmallInt; var dpWorld: Point2D; var dpScreen: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpWorld: Point2D; var dpScreen: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCWorld2DToScreen');
    if @aproc <> nil then
      aproc(iError, dpWorld, dpScreen);
  end;
end;

procedure VCWorld3DToView3D (var iError: SmallInt; var dpWorld3D: Point3D; var dpView3D: Point3D);
type TVCProc = procedure (var iError: SmallInt; var dpWorld3D: Point3D; var dpView3D: Point3D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCWorld3DToView3D');
    if @aproc <> nil then
      aproc(iError, dpWorld3D, dpView3D);
  end;
end;

procedure VCWorld3DToWorld2D (var iError: SmallInt; var dpWorld3D: Point3D; var dpWorld2D: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpWorld3D: Point3D; var dpWorld2D: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCWorld3DToWorld2D');
    if @aproc <> nil then
      aproc(iError, dpWorld3D, dpWorld2D);
  end;
end;

procedure VCZoomAll;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCZoomAll');
    if @aproc <> nil then
      aproc;
  end;
end;

function VCZoomAllViews (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCZoomAllViews');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCZoomPrevious;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCZoomPrevious');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCZoomRegen;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCZoomRegen');
    if @aproc <> nil then
      aproc;
  end;
end;

function VCZoomRegenAllViews (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCZoomRegenAllViews');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCZoomSelected;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCZoomSelected');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCZoomView (szView: PAnsiChar);
type TVCProc = procedure (szView: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCZoomView');
    if @aproc <> nil then
      aproc(szView);
  end;
end;

procedure VComputeSplineTangentPoints (var iError: SmallInt; var pInput: Point2D; iCount: SmallInt; var pOutput: Point2D; var iOutCount: SmallInt);
type TVCProc = procedure (var iError: SmallInt; var pInput: Point2D; iCount: SmallInt; var pOutput: Point2D; var iOutCount: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VComputeSplineTangentPoints');
    if @aproc <> nil then
      aproc(iError, pInput, iCount, pOutput, iOutCount);
  end;
end;

function VCGetAlternateRotation (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAlternateRotation');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetAlternateRotation (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAlternateRotation');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetMultiLineStyle  (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMultiLineStyle ');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetMultiLineStyle  (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMultiLineStyle ');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetAtbUseLocalDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbUseLocalDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetAtbUseLocalDisplay (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAtbUseLocalDisplay');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetAtbLocalDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbLocalDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetAtbLocalDisplay (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAtbLocalDisplay');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetAtbLocalLabelDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbLocalLabelDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetAtbLocalLabelDisplay (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAtbLocalLabelDisplay');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetAtbGlobalDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbGlobalDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetAtbGlobalDisplay (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAtbGlobalDisplay');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetAtbGlobalLabelDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbGlobalLabelDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetAtbGlobalLabelDisplay (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAtbGlobalLabelDisplay');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetOrthoAdvancedType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOrthoAdvancedType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetOrthoAdvancedType (var iError: SmallInt; iType: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iType: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOrthoAdvancedType');
    if @aproc <> nil then
      aproc(iError, iType);
  end;
end;

function VCGetOrthoAdvDivisions (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOrthoAdvDivisions');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetOrthoAdvDivisions (var iError: SmallInt; iInc: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iInc: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOrthoAdvDivisions');
    if @aproc <> nil then
      aproc(iError, iInc);
  end;
end;

function VCGetOrthoAdvOneAngle (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOrthoAdvOneAngle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetOrthoAdvOneAngle (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOrthoAdvOneAngle');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

function VCGetOrthoAdvStepAngle (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOrthoAdvStepAngle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetOrthoAdvStepAngle (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOrthoAdvStepAngle');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

procedure VCGetBasepointPtBP (var iError: SmallInt; var p: Point2D);
type TVCProc = procedure (var iError: SmallInt; var p: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetBasepointPtBP');
    if @aproc <> nil then
      aproc(iError, p);
  end;
end;

procedure VCSetBasepointPtBP (var iError: SmallInt; var p: Point2D);
type TVCProc = procedure (var iError: SmallInt; var p: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetBasepointPtBP');
    if @aproc <> nil then
      aproc(iError, p);
  end;
end;

function VCGetVCResourceInstance: THandle;
type TVCProc = function: THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetVCResourceInstance');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetIniName (var iError: SmallInt; szIniName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szIniName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetIniName');
    if @aproc <> nil then
      result := aproc(iError, szIniName);
  end;
end;

function VCGetMNUPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMNUPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

procedure VCSetMNUPath (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMNUPath');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

function VCGetSTYPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSTYPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

procedure VCSetSTYPath (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSTYPath');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

function VCGetRunningSnapType (var iError: SmallInt): LongWord;
type TVCProc = function (var iError: SmallInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRunningSnapType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetRunningSnapType (var iError: SmallInt; dwFlags: LongWord; wOperation: Word);
type TVCProc = procedure (var iError: SmallInt; dwFlags: LongWord; wOperation: Word); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRunningSnapType');
    if @aproc <> nil then
      aproc(iError, dwFlags, wOperation);
  end;
end;

function VCGetScrollBar (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetScrollBar');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetScrollBar (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetScrollBar');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetUseFastProperties (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUseFastProperties');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetUseFastProperties (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetUseFastProperties');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetAutoForceSave (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAutoForceSave');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetAutoForceSave (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAutoForceSave');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetAutoForceSaveSecs (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAutoForceSaveSecs');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetAutoForceSaveSecs (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAutoForceSaveSecs');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetFontListSorting (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontListSorting');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFontListSorting (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFontListSorting');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetSortedFontList (var iError: SmallInt; list: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; list: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSortedFontList');
    if @aproc <> nil then
      result := aproc(iError, list);
  end;
end;

function VCGetNumDivisions (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetNumDivisions');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetNumDivisions (var iError: SmallInt; iDivisions: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iDivisions: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetNumDivisions');
    if @aproc <> nil then
      aproc(iError, iDivisions);
  end;
end;

function VCGetDivideBreak (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDivideBreak');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDivideBreak (var iError: SmallInt; tfDivide: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfDivide: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDivideBreak');
    if @aproc <> nil then
      aproc(iError, tfDivide);
  end;
end;

function VCGetLayerGroupProperties (var iError: SmallInt; iGroupIndex: SmallInt; var ea: EAttr): WordBool;
type TVCProc = function (var iError: SmallInt; iGroupIndex: SmallInt; var ea: EAttr): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerGroupProperties');
    if @aproc <> nil then
      result := aproc(iError, iGroupIndex, ea);
  end;
end;

procedure VCSetLayerGroupProperties (var iError: SmallInt; iGroupIndex: SmallInt; var ea: EAttr);
type TVCProc = procedure (var iError: SmallInt; iGroupIndex: SmallInt; var ea: EAttr); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerGroupProperties');
    if @aproc <> nil then
      aproc(iError, iGroupIndex, ea);
  end;
end;

function VCGetLayerGroupUseProperties (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerGroupUseProperties');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLayerGroupUseProperties (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerGroupUseProperties');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCObjectFind (var iError: SmallInt; var dpP0: Point2D): LongInt;
type TVCProc = function (var iError: SmallInt; var dpP0: Point2D): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCObjectFind');
    if @aproc <> nil then
      result := aproc(iError, dpP0);
  end;
end;

function VCGethWndMdiClient: THandle;
type TVCProc = function: THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGethWndMdiClient');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCSetHandleMDIChildMenu (var iError: SmallInt; hMenu: THandle): THandle;
type TVCProc = function (var iError: SmallInt; hMenu: THandle): THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHandleMDIChildMenu');
    if @aproc <> nil then
      result := aproc(iError, hMenu);
  end;
end;

function VCGetHandleMDIChildMenu: THandle;
type TVCProc = function: THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHandleMDIChildMenu');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCSetHandleMDIFrameMenu (var iError: SmallInt; hMenu: THandle): THandle;
type TVCProc = function (var iError: SmallInt; hMenu: THandle): THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHandleMDIFrameMenu');
    if @aproc <> nil then
      result := aproc(iError, hMenu);
  end;
end;

function VCGetHandleMDIFrameMenu: THandle;
type TVCProc = function: THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHandleMDIFrameMenu');
    if @aproc <> nil then
      result := aproc;
  end;
end;

procedure VCSetDrawingDirty (var iError: SmallInt; tfDirty: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfDirty: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDrawingDirty');
    if @aproc <> nil then
      aproc(iError, tfDirty);
  end;
end;

procedure VCGetHatchOffset (var iError: SmallInt; var dpRet: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpRet: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchOffset');
    if @aproc <> nil then
      aproc(iError, dpRet);
  end;
end;

procedure VCSetHatchOffsetBP (var iError: SmallInt; var dpRet: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpRet: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchOffsetBP');
    if @aproc <> nil then
      aproc(iError, dpRet);
  end;
end;

function VCInvalidateAllViews (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCInvalidateAllViews');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCInvalidateCurrWorldViews (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCInvalidateCurrWorldViews');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetAtbFontAndType (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAtbFontAndType');
    if @aproc <> nil then
      result := aproc(iError, pS, pB);
  end;
end;

procedure VCSetAtbFontAndType (var iError: SmallInt; pS: PAnsiChar; b: Byte);
type TVCProc = procedure (var iError: SmallInt; pS: PAnsiChar; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAtbFontAndType');
    if @aproc <> nil then
      aproc(iError, pS, b);
  end;
end;

function VCGetDimFontAndType (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimFontAndType');
    if @aproc <> nil then
      result := aproc(iError, pS, pB);
  end;
end;

procedure VCSetDimFontAndType (var iError: SmallInt; pS: PAnsiChar; b: Byte);
type TVCProc = procedure (var iError: SmallInt; pS: PAnsiChar; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimFontAndType');
    if @aproc <> nil then
      aproc(iError, pS, b);
  end;
end;

function VCGetLeaderFontNameAndType (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderFontNameAndType');
    if @aproc <> nil then
      result := aproc(iError, pS, pB);
  end;
end;

procedure VCSetLeaderFontNameAndType (var iError: SmallInt; pS: PAnsiChar; b: Byte);
type TVCProc = procedure (var iError: SmallInt; pS: PAnsiChar; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderFontNameAndType');
    if @aproc <> nil then
      aproc(iError, pS, b);
  end;
end;

function VCGetTextFontNameAndType (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextFontNameAndType');
    if @aproc <> nil then
      result := aproc(iError, pS, pB);
  end;
end;

procedure VCSetTextFontNameAndType (var iError: SmallInt; pS: PAnsiChar; b: Byte);
type TVCProc = procedure (var iError: SmallInt; pS: PAnsiChar; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextFontNameAndType');
    if @aproc <> nil then
      aproc(iError, pS, b);
  end;
end;

function VCGetSortedFontAndTypeList (var iError: SmallInt; list: PAnsiChar; var pB: Byte): LongInt;
type TVCProc = function (var iError: SmallInt; list: PAnsiChar; var pB: Byte): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSortedFontAndTypeList');
    if @aproc <> nil then
      result := aproc(iError, list, pB);
  end;
end;

function VCIsFontNameTrueType (var iError: SmallInt; pS: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsFontNameTrueType');
    if @aproc <> nil then
      result := aproc(iError, pS);
  end;
end;

function VCGetColorRef (var iError: SmallInt; iIndex: SmallInt): LongWord;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetColorRef');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

function VCSetColorRef (var iError: SmallInt; iIndex: SmallInt; crColor: LongWord): LongWord;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt; crColor: LongWord): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetColorRef');
    if @aproc <> nil then
      result := aproc(iError, iIndex, crColor);
  end;
end;

function VCGetColorName (var iError: SmallInt; iIndex: SmallInt; szName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt; szName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetColorName');
    if @aproc <> nil then
      result := aproc(iError, iIndex, szName);
  end;
end;

procedure VCSetColorName (var iError: SmallInt; iIndex: SmallInt; szName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; szName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetColorName');
    if @aproc <> nil then
      aproc(iError, iIndex, szName);
  end;
end;

procedure VCLoadColorPalette (var iError: SmallInt; szFilePath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szFilePath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLoadColorPalette');
    if @aproc <> nil then
      aproc(iError, szFilePath);
  end;
end;

procedure VCSaveColorPalette (var iError: SmallInt; szFilePath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szFilePath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSaveColorPalette');
    if @aproc <> nil then
      aproc(iError, szFilePath);
  end;
end;

function VCGetCurrentHatchStatus (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentHatchStatus');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCurrentHatchSegmentCount (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentHatchSegmentCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetHatchPatternRepeat (var iError: SmallInt; szName: PAnsiChar; var ptRepeat: Point2D);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar; var ptRepeat: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchPatternRepeat');
    if @aproc <> nil then
      aproc(iError, szName, ptRepeat);
  end;
end;

function VCGetHatchAlignment (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchAlignment');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetHatchAlignment (var iError: SmallInt; iAlign: LongInt);
type TVCProc = procedure (var iError: SmallInt; iAlign: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchAlignment');
    if @aproc <> nil then
      aproc(iError, iAlign);
  end;
end;

function VCBeginOperationEx (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCBeginOperationEx');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCEndOperationEx (var iError: SmallInt; iUserSessionID: SmallInt; bfFlags: LongWord): SmallInt;
type TVCProc = function (var iError: SmallInt; iUserSessionID: SmallInt; bfFlags: LongWord): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCEndOperationEx');
    if @aproc <> nil then
      result := aproc(iError, iUserSessionID, bfFlags);
  end;
end;

function VCAbortOperationEx (var iError: SmallInt; iUserSessionID: SmallInt; bfFlags: LongWord): SmallInt;
type TVCProc = function (var iError: SmallInt; iUserSessionID: SmallInt; bfFlags: LongWord): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAbortOperationEx');
    if @aproc <> nil then
      result := aproc(iError, iUserSessionID, bfFlags);
  end;
end;

function VCGetCurrentOperationExID (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentOperationExID');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCSetCurrentErasedEx (var iError: SmallInt; iErase: SmallInt; iUserSessionID: SmallInt; bfFlags: LongWord): WordBool;
type TVCProc = function (var iError: SmallInt; iErase: SmallInt; iUserSessionID: SmallInt; bfFlags: LongWord): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentErasedEx');
    if @aproc <> nil then
      result := aproc(iError, iErase, iUserSessionID, bfFlags);
  end;
end;

function VCSetCurrentUnErasedEx (var iError: SmallInt; bfFlags: LongWord): WordBool;
type TVCProc = function (var iError: SmallInt; bfFlags: LongWord): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentUnErasedEx');
    if @aproc <> nil then
      result := aproc(iError, bfFlags);
  end;
end;

function VCIsCurrentErasedEx (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsCurrentErasedEx');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCDrawCurrentEntityEx (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawCurrentEntityEx');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCGetWorldExtentsAll (var iError: SmallInt; var dpMin: Point2D; var dpMax: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpMin: Point2D; var dpMax: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWorldExtentsAll');
    if @aproc <> nil then
      aproc(iError, dpMin, dpMax);
  end;
end;

function VCGetLeaderVerticalAlign (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderVerticalAlign');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderVerticalAlign (var iError: SmallInt; param: SmallInt);
type TVCProc = procedure (var iError: SmallInt; param: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderVerticalAlign');
    if @aproc <> nil then
      aproc(iError, param);
  end;
end;

function VCGetLeaderJustify (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderJustify');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderJustify (var iError: SmallInt; param: SmallInt);
type TVCProc = procedure (var iError: SmallInt; param: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderJustify');
    if @aproc <> nil then
      aproc(iError, param);
  end;
end;

function VCGetLeaderUseLeaderLayer (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderUseLeaderLayer');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderUseLeaderLayer (var iError: SmallInt; param: WordBool);
type TVCProc = procedure (var iError: SmallInt; param: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderUseLeaderLayer');
    if @aproc <> nil then
      aproc(iError, param);
  end;
end;

function VCGetLeaderLayer (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderLayer');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderLayer (var iError: SmallInt; param: SmallInt);
type TVCProc = procedure (var iError: SmallInt; param: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderLayer');
    if @aproc <> nil then
      aproc(iError, param);
  end;
end;

function VCGetLeaderType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderType (var iError: SmallInt; param: SmallInt);
type TVCProc = procedure (var iError: SmallInt; param: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderType');
    if @aproc <> nil then
      aproc(iError, param);
  end;
end;

function VCInitSounds (var iError: SmallInt; AppName: PAnsiChar; ExeName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; AppName: PAnsiChar; ExeName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCInitSounds');
    if @aproc <> nil then
      result := aproc(iError, AppName, ExeName);
  end;
end;

procedure VCSound (Sound: LongWord);
type TVCProc = procedure (Sound: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSound');
    if @aproc <> nil then
      aproc(Sound);
  end;
end;

function VCGetZoomValue (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetZoomValue');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetFullVersion: LongWord;
type TVCProc = function: LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFullVersion');
    if @aproc <> nil then
      result := aproc;
  end;
end;

procedure VCInitWithPath (szPath: PAnsiChar);
type TVCProc = procedure (szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCInitWithPath');
    if @aproc <> nil then
      aproc(szPath);
  end;
end;

procedure VCInitWithRegKeyAndPath (RegKey: PAnsiChar; szPath: PAnsiChar);
type TVCProc = procedure (RegKey: PAnsiChar; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCInitWithRegKeyAndPath');
    if @aproc <> nil then
      aproc(RegKey, szPath);
  end;
end;

procedure VCDuplicateInDrawOrder (var iError: SmallInt; lH: LongInt);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDuplicateInDrawOrder');
    if @aproc <> nil then
      aproc(iError, lH);
  end;
end;

procedure VCDuplicateWithTransformInDrawOrder (var iError: SmallInt; lH: LongInt; var dpTrans: Point2D; var dpScale: Point2D; dAngle: Double);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; var dpTrans: Point2D; var dpScale: Point2D; dAngle: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDuplicateWithTransformInDrawOrder');
    if @aproc <> nil then
      aproc(iError, lH, dpTrans, dpScale, dAngle);
  end;
end;

procedure VCDrawCurrentEntityFirst (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawCurrentEntityFirst');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCDrawCurrentEntityLast (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawCurrentEntityLast');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCDrawCurrentEntityBefore (var iError: SmallInt; eRef: LongInt);
type TVCProc = procedure (var iError: SmallInt; eRef: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawCurrentEntityBefore');
    if @aproc <> nil then
      aproc(iError, eRef);
  end;
end;

procedure VCDrawCurrentEntityAfter (var iError: SmallInt; eRef: LongInt);
type TVCProc = procedure (var iError: SmallInt; eRef: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawCurrentEntityAfter');
    if @aproc <> nil then
      aproc(iError, eRef);
  end;
end;

procedure VCDrawSelectedFirst (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawSelectedFirst');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCDrawSelectedLast (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawSelectedLast');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCDrawSelectedBefore (var iError: SmallInt; eRef: LongInt);
type TVCProc = procedure (var iError: SmallInt; eRef: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawSelectedBefore');
    if @aproc <> nil then
      aproc(iError, eRef);
  end;
end;

procedure VCDrawSelectedAfter (var iError: SmallInt; eRef: LongInt);
type TVCProc = procedure (var iError: SmallInt; eRef: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDrawSelectedAfter');
    if @aproc <> nil then
      aproc(iError, eRef);
  end;
end;

function VCGetDrawOrdinal (var iError: SmallInt; eH: LongInt; ValidOnly: WordBool): LongInt;
type TVCProc = function (var iError: SmallInt; eH: LongInt; ValidOnly: WordBool): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDrawOrdinal');
    if @aproc <> nil then
      result := aproc(iError, eH, ValidOnly);
  end;
end;

function VCGetDrawList (var iError: SmallInt; var Buffer: LongInt; var Size: LongInt; ValidOnly: WordBool): LongInt;
type TVCProc = function (var iError: SmallInt; var Buffer: LongInt; var Size: LongInt; ValidOnly: WordBool): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDrawList');
    if @aproc <> nil then
      result := aproc(iError, Buffer, Size, ValidOnly);
  end;
end;

procedure VCSetFilterFontType (var iError: SmallInt; b: Byte);
type TVCProc = procedure (var iError: SmallInt; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterFontType');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

function VCGetFilterFontType (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilterFontType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetMainSpeedbar (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMainSpeedbar');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

procedure VCSetMainSpeedbar (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMainSpeedbar');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

function VCGetToolPalette (var iError: SmallInt; sz: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; sz: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetToolPalette');
    if @aproc <> nil then
      result := aproc(iError, sz);
  end;
end;

procedure VCSetToolPalette (var iError: SmallInt; sz: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetToolPalette');
    if @aproc <> nil then
      aproc(iError, sz);
  end;
end;

function VCGetRealWorldLineWidthMode (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRealWorldLineWidthMode');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetRealWorldLineWidthMode (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRealWorldLineWidthMode');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCObjectSelectWithGroups (var dpP0: Point2D);
type TVCProc = procedure (var dpP0: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCObjectSelectWithGroups');
    if @aproc <> nil then
      aproc(dpP0);
  end;
end;

procedure VCCrossingSelectWithGroups (var dpP0: Point2D; var dpP1: Point2D);
type TVCProc = procedure (var dpP0: Point2D; var dpP1: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCCrossingSelectWithGroups');
    if @aproc <> nil then
      aproc(dpP0, dpP1);
  end;
end;

function VCGetPDFExportSettings (var iError: SmallInt; var ps: Byte): WordBool;
type TVCProc = function (var iError: SmallInt; var ps: Byte): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPDFExportSettings');
    if @aproc <> nil then
      result := aproc(iError, ps);
  end;
end;

procedure VCGroupSelected;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGroupSelected');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCUngroupSelected;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCUngroupSelected');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCLeaveGroup;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLeaveGroup');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCJoinGroup;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCJoinGroup');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCJoinGroupSameAs (var iError: SmallInt; lE: LongInt);
type TVCProc = procedure (var iError: SmallInt; lE: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCJoinGroupSameAs');
    if @aproc <> nil then
      aproc(iError, lE);
  end;
end;

procedure VCAddOrdinateDimensionEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0_: Point2D; var dpP1_: Point2D; var dpP2_: Point2D; var dpP3_: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0_: Point2D; var dpP1_: Point2D; var dpP2_: Point2D; var dpP3_: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddOrdinateDimensionEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0_, dpP1_, dpP2_, dpP3_);
  end;
end;

function VCGetShowPreview (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShowPreview');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetShowPreview (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShowPreview');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetSaveDrawingPath (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSaveDrawingPath');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetSaveDrawingPath (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSaveDrawingPath');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetOpenFileType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOpenFileType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetOpenFileType (var iError: SmallInt; iType: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iType: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOpenFileType');
    if @aproc <> nil then
      aproc(iError, iType);
  end;
end;

function VCRunFunkeyCmd (var iError: SmallInt; iShift: SmallInt; iKey: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; iShift: SmallInt; iKey: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRunFunkeyCmd');
    if @aproc <> nil then
      result := aproc(iError, iShift, iKey);
  end;
end;

function VCRunFunkeyCmdByName (var iError: SmallInt; szKeyName: PAnsiChar): WordBool;
type TVCProc = function (var iError: SmallInt; szKeyName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRunFunkeyCmdByName');
    if @aproc <> nil then
      result := aproc(iError, szKeyName);
  end;
end;

function VCIsScriptAssignedByName (szKeyName: PAnsiChar): WordBool;
type TVCProc = function (szKeyName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsScriptAssignedByName');
    if @aproc <> nil then
      result := aproc(szKeyName);
  end;
end;

function VCGetFunkeyCmdStringByName (szCmd: PAnsiChar; szKeyName: PAnsiChar): SmallInt;
type TVCProc = function (szCmd: PAnsiChar; szKeyName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFunkeyCmdStringByName');
    if @aproc <> nil then
      result := aproc(szCmd, szKeyName);
  end;
end;

function VCSetFunkeyCmdStringByName (szCmd: PAnsiChar; szKeyName: PAnsiChar): WordBool;
type TVCProc = function (szCmd: PAnsiChar; szKeyName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFunkeyCmdStringByName');
    if @aproc <> nil then
      result := aproc(szCmd, szKeyName);
  end;
end;

procedure VCWritePDFImageBP (var iError: SmallInt; Width: SmallInt; Height: SmallInt; var dpLL: Point2D; var dpUR: Point2D; var Data: Byte);
type TVCProc = procedure (var iError: SmallInt; Width: SmallInt; Height: SmallInt; var dpLL: Point2D; var dpUR: Point2D; var Data: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCWritePDFImageBP');
    if @aproc <> nil then
      aproc(iError, Width, Height, dpLL, dpUR, Data);
  end;
end;

function VCSendSafeSzMessage (iMessage: LongWord; wParam: LongWord; lParam: PAnsiChar): LongInt;
type TVCProc = function (iMessage: LongWord; wParam: LongWord; lParam: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSendSafeSzMessage');
    if @aproc <> nil then
      result := aproc(iMessage, wParam, lParam);
  end;
end;

procedure VCAddRefFrameEntityEx (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; bZoomAll: WordBool);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; bZoomAll: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddRefFrameEntityEx');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, bZoomAll);
  end;
end;

function VCEnumPDFExportPresets (var iError: SmallInt; pBuffer: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; pBuffer: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCEnumPDFExportPresets');
    if @aproc <> nil then
      result := aproc(iError, pBuffer);
  end;
end;

function VCGetPDFPresetStruct (var iError: SmallInt; szPresetName: PAnsiChar; pStruct: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar; pStruct: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPDFPresetStruct');
    if @aproc <> nil then
      result := aproc(iError, szPresetName, pStruct);
  end;
end;

function VCExportPDF (PS: PAnsiChar; szFilePath: PAnsiChar): WordBool;
type TVCProc = function (PS: PAnsiChar; szFilePath: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCExportPDF');
    if @aproc <> nil then
      result := aproc(PS, szFilePath);
  end;
end;

procedure VCComputeBezierTangentPoints (var iError: SmallInt; var pInput: Point2D; iCount: SmallInt; var pOutput: Point2D; var iOutCount: SmallInt);
type TVCProc = procedure (var iError: SmallInt; var pInput: Point2D; iCount: SmallInt; var pOutput: Point2D; var iOutCount: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCComputeBezierTangentPoints');
    if @aproc <> nil then
      aproc(iError, pInput, iCount, pOutput, iOutCount);
  end;
end;

function VCGetSkewAngle (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSkewAngle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetSkewAngle (var iError: SmallInt; dAngle: Double);
type TVCProc = procedure (var iError: SmallInt; dAngle: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSkewAngle');
    if @aproc <> nil then
      aproc(iError, dAngle);
  end;
end;

procedure VCDuplicateWithRotate (var iError: SmallInt; lH: LongInt; var dpRef: Point2D; dAngle: Double; lHDrawAfter: LongInt);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; var dpRef: Point2D; dAngle: Double; lHDrawAfter: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDuplicateWithRotate');
    if @aproc <> nil then
      aproc(iError, lH, dpRef, dAngle, lHDrawAfter);
  end;
end;

procedure VCDuplicateWithSkew (var iError: SmallInt; lH: LongInt; var dpRef: Point2D; dAngle: Double; lHDrawAfter: LongInt);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; var dpRef: Point2D; dAngle: Double; lHDrawAfter: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDuplicateWithSkew');
    if @aproc <> nil then
      aproc(iError, lH, dpRef, dAngle, lHDrawAfter);
  end;
end;

procedure VCDuplicateWithScale (var iError: SmallInt; lH: LongInt; var dpRef: Point2D; var dpScale: Point2D; lHDrawAfter: LongInt);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; var dpRef: Point2D; var dpScale: Point2D; lHDrawAfter: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDuplicateWithScale');
    if @aproc <> nil then
      aproc(iError, lH, dpRef, dpScale, lHDrawAfter);
  end;
end;

procedure VCDuplicateWithMove (var iError: SmallInt; lH: LongInt; var dpOffset: Point2D; lHDrawAfter: LongInt);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; var dpOffset: Point2D; lHDrawAfter: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDuplicateWithMove');
    if @aproc <> nil then
      aproc(iError, lH, dpOffset, lHDrawAfter);
  end;
end;

procedure VCSetMacroPath (var iError: SmallInt; szPath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMacroPath');
    if @aproc <> nil then
      aproc(iError, szPath);
  end;
end;

function VCGetMacroPath (var iError: SmallInt; szPath: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szPath: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMacroPath');
    if @aproc <> nil then
      result := aproc(iError, szPath);
  end;
end;

procedure VCSelectModified;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSelectModified');
    if @aproc <> nil then
      aproc;
  end;
end;

function VCLockFileEx (var iError: SmallInt; szFileName: PAnsiChar; var tfFileReadOnly: WordBool; dwFlags: LongWord): WordBool;
type TVCProc = function (var iError: SmallInt; szFileName: PAnsiChar; var tfFileReadOnly: WordBool; dwFlags: LongWord): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLockFileEx');
    if @aproc <> nil then
      result := aproc(iError, szFileName, tfFileReadOnly, dwFlags);
  end;
end;

function VCIsFileLockedEx (szFileName: PAnsiChar; var tfReadOnly: WordBool): WordBool;
type TVCProc = function (szFileName: PAnsiChar; var tfReadOnly: WordBool): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsFileLockedEx');
    if @aproc <> nil then
      result := aproc(szFileName, tfReadOnly);
  end;
end;

function VCLockWorld (hW: LongInt; szFilename: PAnsiChar; var tfReadOnly: WordBool): WordBool;
type TVCProc = function (hW: LongInt; szFilename: PAnsiChar; var tfReadOnly: WordBool): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLockWorld');
    if @aproc <> nil then
      result := aproc(hW, szFilename, tfReadOnly);
  end;
end;

procedure VCUnlockWorld (hW: LongInt);
type TVCProc = procedure (hW: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCUnlockWorld');
    if @aproc <> nil then
      aproc(hW);
  end;
end;

function VCRelockWorld (hW: LongInt; hF: THandle; szFileName: PAnsiChar): WordBool;
type TVCProc = function (hW: LongInt; hF: THandle; szFileName: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRelockWorld');
    if @aproc <> nil then
      result := aproc(hW, hF, szFileName);
  end;
end;

function VCGetWriteFileHandle (hW: LongInt; szFileName: PAnsiChar; dwFlags: LongWord): THandle;
type TVCProc = function (hW: LongInt; szFileName: PAnsiChar; dwFlags: LongWord): THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWriteFileHandle');
    if @aproc <> nil then
      result := aproc(hW, szFileName, dwFlags);
  end;
end;

procedure VCSetCurrentErasedNoRedo (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentErasedNoRedo');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSetCurrentEntityPurged (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityPurged');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCIsCurrentEntityPurged (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIsCurrentEntityPurged');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetCurrentEntityUndo (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityUndo');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCClearCurrentEntityUndo (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCClearCurrentEntityUndo');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

function VCGetCurrentEntityUndo (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUndo');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetCurrentEntityRedo (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityRedo');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCClearCurrentEntityRedo (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCClearCurrentEntityRedo');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

function VCGetCurrentEntityRedo (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityRedo');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCIncrementUndoLevel (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCIncrementUndoLevel');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCDecrementUndoLevel (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDecrementUndoLevel');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCPurge (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPurge');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCPurgeRedo (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPurgeRedo');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

function VCGetLeaderTextRotation (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextRotation');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderTextRotation (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextRotation');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

function VCGetLeaderShoulderAngle (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderShoulderAngle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderShoulderAngle (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderShoulderAngle');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

function VCGetLeaderBorderType (var iError: SmallInt): LongWord;
type TVCProc = function (var iError: SmallInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderBorderType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderBorderType (var iError: SmallInt; param: LongWord);
type TVCProc = procedure (var iError: SmallInt; param: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderBorderType');
    if @aproc <> nil then
      aproc(iError, param);
  end;
end;

function VCGetLeaderDisplayItemCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderDisplayItemCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetLeaderDisplayItemName (var iError: SmallInt; i: SmallInt; pS: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; i: SmallInt; pS: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderDisplayItemName');
    if @aproc <> nil then
      result := aproc(iError, i, pS);
  end;
end;

function VCGetLeaderItemShow (var iError: SmallInt; i: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; i: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderItemShow');
    if @aproc <> nil then
      result := aproc(iError, i);
  end;
end;

procedure VCSetLeaderItemShow (var iError: SmallInt; i: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderItemShow');
    if @aproc <> nil then
      aproc(iError, i, tf);
  end;
end;

function VCGetLeaderItemColor (var iError: SmallInt; i: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; i: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderItemColor');
    if @aproc <> nil then
      result := aproc(iError, i);
  end;
end;

procedure VCSetLeaderItemColor (var iError: SmallInt; i: SmallInt; j: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; j: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderItemColor');
    if @aproc <> nil then
      aproc(iError, i, j);
  end;
end;

function VCGetLeaderItemLineType (var iError: SmallInt; i: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; i: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderItemLineType');
    if @aproc <> nil then
      result := aproc(iError, i);
  end;
end;

procedure VCSetLeaderItemLineType (var iError: SmallInt; i: SmallInt; j: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; j: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderItemLineType');
    if @aproc <> nil then
      aproc(iError, i, j);
  end;
end;

function VCGetLeaderItemLineWidth (var iError: SmallInt; i: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; i: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderItemLineWidth');
    if @aproc <> nil then
      result := aproc(iError, i);
  end;
end;

procedure VCSetLeaderItemLineWidth (var iError: SmallInt; i: SmallInt; j: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; j: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderItemLineWidth');
    if @aproc <> nil then
      aproc(iError, i, j);
  end;
end;

function VCGetLeaderItemRealWidth (var iError: SmallInt; i: SmallInt): Single;
type TVCProc = function (var iError: SmallInt; i: SmallInt): Single; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderItemRealWidth');
    if @aproc <> nil then
      result := aproc(iError, i);
  end;
end;

procedure VCSetLeaderItemRealWidth (var iError: SmallInt; i: SmallInt; rw: Single);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; rw: Single); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderItemRealWidth');
    if @aproc <> nil then
      aproc(iError, i, rw);
  end;
end;

function VCGetLeaderItemByLayerFlags (var iError: SmallInt; i: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt; i: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderItemByLayerFlags');
    if @aproc <> nil then
      result := aproc(iError, i);
  end;
end;

procedure VCSetLeaderItemByLayerFlags (var iError: SmallInt; i: SmallInt; bl: Byte);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; bl: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderItemByLayerFlags');
    if @aproc <> nil then
      aproc(iError, i, bl);
  end;
end;

procedure VCSetDimItemRealWidth (var iError: SmallInt; i: SmallInt; rw: Single);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; rw: Single); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimItemRealWidth');
    if @aproc <> nil then
      aproc(iError, i, rw);
  end;
end;

function VCGetDimItemRealWidth (var iError: SmallInt; i: SmallInt): Single;
type TVCProc = function (var iError: SmallInt; i: SmallInt): Single; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimItemRealWidth');
    if @aproc <> nil then
      result := aproc(iError, i);
  end;
end;

procedure VCSetDimItemByLayerFlags (var iError: SmallInt; i: SmallInt; bl: Byte);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt; bl: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimItemByLayerFlags');
    if @aproc <> nil then
      aproc(iError, i, bl);
  end;
end;

function VCGetDimItemByLayerFlags (var iError: SmallInt; i: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt; i: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimItemByLayerFlags');
    if @aproc <> nil then
      result := aproc(iError, i);
  end;
end;

function VCGetDimDistAngle (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimDistAngle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimDistAngle (var iError: SmallInt; bl: Byte);
type TVCProc = procedure (var iError: SmallInt; bl: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimDistAngle');
    if @aproc <> nil then
      aproc(iError, bl);
  end;
end;

function VCGetDimReverseRef (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimReverseRef');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimReverseRef (var iError: SmallInt; tf: SmallInt);
type TVCProc = procedure (var iError: SmallInt; tf: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimReverseRef');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetDimArrowFarside (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimArrowFarside');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimArrowFarside (var iError: SmallInt; tf: SmallInt);
type TVCProc = procedure (var iError: SmallInt; tf: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimArrowFarside');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetDimTextJustify (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextJustify');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimTextJustify (var iError: SmallInt; c: ShortInt);
type TVCProc = procedure (var iError: SmallInt; c: ShortInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextJustify');
    if @aproc <> nil then
      aproc(iError, c);
  end;
end;

procedure VCAddImageEntityBP (var iError: SmallInt; iSymbolIndex: SmallInt; var dp0: Point2D; var dp1: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dp0: Point2D; var dp1: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddImageEntityBP');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dp0, dp1);
  end;
end;

function VCGetImageName (var iError: SmallInt; szName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageName');
    if @aproc <> nil then
      result := aproc(iError, szName);
  end;
end;

procedure VCSetImageName (var iError: SmallInt; szName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageName');
    if @aproc <> nil then
      aproc(iError, szName);
  end;
end;

function VCGetImageShowBorder (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageShowBorder');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImageShowBorder (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageShowBorder');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetImageEmbed (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageEmbed');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImageEmbed (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageEmbed');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetImageFlipX (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageFlipX');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImageFlipX (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageFlipX');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetImageFlipY (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageFlipY');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImageFlipY (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageFlipY');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetImageGrayScale (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageGrayScale');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImageGrayScale (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageGrayScale');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetImageRotation (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageRotation');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImageRotation (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageRotation');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

function VCGetImageShow (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageShow');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImageShow (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageShow');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetImageZoom (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageZoom');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImageZoom (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageZoom');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

procedure VCGetImageZoomCenter (var iError: SmallInt; var dp: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dp: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageZoomCenter');
    if @aproc <> nil then
      aproc(iError, dp);
  end;
end;

procedure VCSetImageZoomCenter (var iError: SmallInt; var dp: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dp: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageZoomCenter');
    if @aproc <> nil then
      aproc(iError, dp);
  end;
end;

function VCGetCurrentEntityUserDataPublic (var iError: SmallInt; iIndex: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUserDataPublic');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

procedure VCSetCurrentEntityUserDataPublic (var iError: SmallInt; iIndex: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityUserDataPublic');
    if @aproc <> nil then
      aproc(iError, iIndex, tf);
  end;
end;

function VCGetScriptID (var iError: SmallInt; iLevel: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iLevel: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetScriptID');
    if @aproc <> nil then
      result := aproc(iError, iLevel);
  end;
end;

function VCGetScriptNestLevel (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetScriptNestLevel');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetCmdAlias (var iError: SmallInt; iCmdId: SmallInt; pAlias: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iCmdId: SmallInt; pAlias: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCmdAlias');
    if @aproc <> nil then
      result := aproc(iError, iCmdId, pAlias);
  end;
end;

function VCGetCmdMenuText (var iError: SmallInt; iCmdId: SmallInt; pDesc: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iCmdId: SmallInt; pDesc: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCmdMenuText');
    if @aproc <> nil then
      result := aproc(iError, iCmdId, pDesc);
  end;
end;

function VCGetCmdStatusDesc (var iError: SmallInt; iCmdId: SmallInt; pDesc: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iCmdId: SmallInt; pDesc: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCmdStatusDesc');
    if @aproc <> nil then
      result := aproc(iError, iCmdId, pDesc);
  end;
end;

function VCGetCmdBitmap (var iError: SmallInt; iCmdId: SmallInt; pBitmap: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iCmdId: SmallInt; pBitmap: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCmdBitmap');
    if @aproc <> nil then
      result := aproc(iError, iCmdId, pBitmap);
  end;
end;

function VCGetCmdScript (var iError: SmallInt; iCmdId: SmallInt; pScript: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iCmdId: SmallInt; pScript: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCmdScript');
    if @aproc <> nil then
      result := aproc(iError, iCmdId, pScript);
  end;
end;

function VCGetCmdSource (var iError: SmallInt; iCmdId: SmallInt; pSource: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; iCmdId: SmallInt; pSource: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCmdSource');
    if @aproc <> nil then
      result := aproc(iError, iCmdId, pSource);
  end;
end;

procedure VCSetSubEntityPoint (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt; iIndex: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt; iIndex: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSubEntityPoint');
    if @aproc <> nil then
      aproc(iError, lH, iContour, iEntity, iIndex, dpP);
  end;
end;

procedure VCGetSubEntityPoint (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt; iIndex: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt; iIndex: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSubEntityPoint');
    if @aproc <> nil then
      aproc(iError, lH, iContour, iEntity, iIndex, dpP);
  end;
end;

procedure VCSetSubEntityPoints (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt; iCount: SmallInt; var dpArray: Point2D);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt; iCount: SmallInt; var dpArray: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSubEntityPoints');
    if @aproc <> nil then
      aproc(iError, lH, iContour, iEntity, iCount, dpArray);
  end;
end;

procedure VCSetSubEntityClosedContour (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt; tfClosed: WordBool);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt; tfClosed: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSubEntityClosedContour');
    if @aproc <> nil then
      aproc(iError, lH, iContour, iEntity, tfClosed);
  end;
end;

function VCGetSubEntityClosedContour (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; lH: LongInt; iContour: SmallInt; iEntity: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSubEntityClosedContour');
    if @aproc <> nil then
      result := aproc(iError, lH, iContour, iEntity);
  end;
end;

function VCGetMacroVariable (var iError: SmallInt; szName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMacroVariable');
    if @aproc <> nil then
      result := aproc(iError, szName);
  end;
end;

procedure VCGetMultiLineDef (var iError: SmallInt; iLine: SmallInt; var pLayer: SmallInt; var pColor: SmallInt; var pLType: SmallInt; var pWidth: SmallInt; var pRWidth: Double; var pByLayer: Byte; var pOffset: Double; var pUse: WordBool);
type TVCProc = procedure (var iError: SmallInt; iLine: SmallInt; var pLayer: SmallInt; var pColor: SmallInt; var pLType: SmallInt; var pWidth: SmallInt; var pRWidth: Double; var pByLayer: Byte; var pOffset: Double; var pUse: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMultiLineDef');
    if @aproc <> nil then
      aproc(iError, iLine, pLayer, pColor, pLType, pWidth, pRWidth, pByLayer, pOffset, pUse);
  end;
end;

procedure VCSetMultiLineDef (var iError: SmallInt; iLine: SmallInt; iLayer: SmallInt; iColor: SmallInt; iLType: SmallInt; iWidth: SmallInt; fWidth: Double; bByLayer: Byte; dOffset: Double; tfUse: WordBool);
type TVCProc = procedure (var iError: SmallInt; iLine: SmallInt; iLayer: SmallInt; iColor: SmallInt; iLType: SmallInt; iWidth: SmallInt; fWidth: Double; bByLayer: Byte; dOffset: Double; tfUse: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMultiLineDef');
    if @aproc <> nil then
      aproc(iError, iLine, iLayer, iColor, iLType, iWidth, fWidth, bByLayer, dOffset, tfUse);
  end;
end;

function VCGetMultiLineOffset (var iError: SmallInt; iLine: SmallInt): Double;
type TVCProc = function (var iError: SmallInt; iLine: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMultiLineOffset');
    if @aproc <> nil then
      result := aproc(iError, iLine);
  end;
end;

procedure VCSetMultiLineOffset (var iError: SmallInt; iLine: SmallInt; dOffset: Double);
type TVCProc = procedure (var iError: SmallInt; iLine: SmallInt; dOffset: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMultiLineOffset');
    if @aproc <> nil then
      aproc(iError, iLine, dOffset);
  end;
end;

function VCGetMultiLineUse (var iError: SmallInt; iLine: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; iLine: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMultiLineUse');
    if @aproc <> nil then
      result := aproc(iError, iLine);
  end;
end;

procedure VCSetMultiLineUse (var iError: SmallInt; iLine: SmallInt; tfUse: WordBool);
type TVCProc = procedure (var iError: SmallInt; iLine: SmallInt; tfUse: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMultiLineUse');
    if @aproc <> nil then
      aproc(iError, iLine, tfUse);
  end;
end;

function VCGetMultiLineLayer (var iError: SmallInt; iLine: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iLine: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMultiLineLayer');
    if @aproc <> nil then
      result := aproc(iError, iLine);
  end;
end;

procedure VCSetMultiLineLayer (var iError: SmallInt; iLine: SmallInt; iLayer: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iLine: SmallInt; iLayer: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMultiLineLayer');
    if @aproc <> nil then
      aproc(iError, iLine, iLayer);
  end;
end;

function VCGetMultiLineColor (var iError: SmallInt; iLine: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iLine: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMultiLineColor');
    if @aproc <> nil then
      result := aproc(iError, iLine);
  end;
end;

procedure VCSetMultiLineColor (var iError: SmallInt; iLine: SmallInt; iColor: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iLine: SmallInt; iColor: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMultiLineColor');
    if @aproc <> nil then
      aproc(iError, iLine, iColor);
  end;
end;

function VCGetMultiLineType (var iError: SmallInt; iLine: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iLine: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMultiLineType');
    if @aproc <> nil then
      result := aproc(iError, iLine);
  end;
end;

procedure VCSetMultiLineType (var iError: SmallInt; iLine: SmallInt; iType: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iLine: SmallInt; iType: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMultiLineType');
    if @aproc <> nil then
      aproc(iError, iLine, iType);
  end;
end;

function VCGetMultiLineWidth (var iError: SmallInt; iLine: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iLine: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMultiLineWidth');
    if @aproc <> nil then
      result := aproc(iError, iLine);
  end;
end;

procedure VCSetMultiLineWidth (var iError: SmallInt; iLine: SmallInt; iWidth: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iLine: SmallInt; iWidth: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMultiLineWidth');
    if @aproc <> nil then
      aproc(iError, iLine, iWidth);
  end;
end;

function VCGetMultiLineRealWidth (var iError: SmallInt; iLine: SmallInt): Double;
type TVCProc = function (var iError: SmallInt; iLine: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMultiLineRealWidth');
    if @aproc <> nil then
      result := aproc(iError, iLine);
  end;
end;

procedure VCSetMultiLineRealWidth (var iError: SmallInt; iLine: SmallInt; dWidth: Double);
type TVCProc = procedure (var iError: SmallInt; iLine: SmallInt; dWidth: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMultiLineRealWidth');
    if @aproc <> nil then
      aproc(iError, iLine, dWidth);
  end;
end;

function VCGetMultiLineByLayer (var iError: SmallInt; iLine: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt; iLine: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMultiLineByLayer');
    if @aproc <> nil then
      result := aproc(iError, iLine);
  end;
end;

procedure VCSetMultiLineByLayer (var iError: SmallInt; iLine: SmallInt; bByLayer: Byte);
type TVCProc = procedure (var iError: SmallInt; iLine: SmallInt; bByLayer: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMultiLineByLayer');
    if @aproc <> nil then
      aproc(iError, iLine, bByLayer);
  end;
end;

function VCGetMultiLineMode (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMultiLineMode');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetMultiLineMode (var iError: SmallInt; bMode: Byte);
type TVCProc = procedure (var iError: SmallInt; bMode: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMultiLineMode');
    if @aproc <> nil then
      aproc(iError, bMode);
  end;
end;

function VCGetDefaultFontToDWG (var iError: SmallInt; pS: PAnsiChar; var bFontType: Byte): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar; var bFontType: Byte): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDefaultFontToDWG');
    if @aproc <> nil then
      result := aproc(iError, pS, bFontType);
  end;
end;

procedure VCSetDefaultFontToDWG (var iError: SmallInt; sz: PAnsiChar; bFontType: Byte);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar; bFontType: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDefaultFontToDWG');
    if @aproc <> nil then
      aproc(iError, sz, bFontType);
  end;
end;

function VCGetDefaultFontFromDWG (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt;
type TVCProc = function (var iError: SmallInt; pS: PAnsiChar; var pB: Byte): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDefaultFontFromDWG');
    if @aproc <> nil then
      result := aproc(iError, pS, pB);
  end;
end;

procedure VCSetDefaultFontFromDWG (var iError: SmallInt; sz: PAnsiChar; b: Byte);
type TVCProc = procedure (var iError: SmallInt; sz: PAnsiChar; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDefaultFontFromDWG');
    if @aproc <> nil then
      aproc(iError, sz, b);
  end;
end;

function VCGetExportPreserveFontName (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetExportPreserveFontName');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetExportPreserveFontName (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetExportPreserveFontName');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetImportLayoutSpace (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImportLayoutSpace');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImportLayoutSpace (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImportLayoutSpace');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetImportScaleSymbolDef (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImportScaleSymbolDef');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImportScaleSymbolDef (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImportScaleSymbolDef');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetExportConversionUnits (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetExportConversionUnits');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetExportConversionUnits (var iError: SmallInt; iUnits: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iUnits: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetExportConversionUnits');
    if @aproc <> nil then
      aproc(iError, iUnits);
  end;
end;

function VCGetImportConvertXref (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImportConvertXref');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImportConvertXref (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImportConvertXref');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetExportFileVersion (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetExportFileVersion');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetExportFileVersion (var iError: SmallInt; iVersion: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iVersion: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetExportFileVersion');
    if @aproc <> nil then
      aproc(iError, iVersion);
  end;
end;

procedure VCComputeWorldExtents (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCComputeWorldExtents');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCComputeEntityExtents (var iError: SmallInt; lH: LongInt);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCComputeEntityExtents');
    if @aproc <> nil then
      aproc(iError, lH);
  end;
end;

procedure VCSetEntityUserData (var iError: SmallInt);
type TVCProc = procedure (var iError: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetEntityUserData');
    if @aproc <> nil then
      aproc(iError);
  end;
end;

procedure VCSelectGroupSiblings (var iError: SmallInt; lH: LongInt);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSelectGroupSiblings');
    if @aproc <> nil then
      aproc(iError, lH);
  end;
end;

function VCGetCMDIdFromAlias (var iError: SmallInt; pAlias: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; pAlias: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCMDIdFromAlias');
    if @aproc <> nil then
      result := aproc(iError, pAlias);
  end;
end;

function VCGetAddonCount: SmallInt;
type TVCProc = function: SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAddonCount');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetAddonName (var iError: SmallInt; iIndex: SmallInt; szName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt; szName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAddonName');
    if @aproc <> nil then
      result := aproc(iError, iIndex, szName);
  end;
end;

function VCGetAddonPath (var iError: SmallInt; iIndex: SmallInt; szPath: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt; szPath: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAddonPath');
    if @aproc <> nil then
      result := aproc(iError, iIndex, szPath);
  end;
end;

function VCGetAddonPathByName (var iError: SmallInt; szName: PAnsiChar; szPath: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar; szPath: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAddonPathByName');
    if @aproc <> nil then
      result := aproc(iError, szName, szPath);
  end;
end;

function VCGetLayerLocked (var iError: SmallInt; iLayer: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; iLayer: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerLocked');
    if @aproc <> nil then
      result := aproc(iError, iLayer);
  end;
end;

procedure VCSetLayerLocked (var iError: SmallInt; iLayer: SmallInt; tfLock: WordBool);
type TVCProc = procedure (var iError: SmallInt; iLayer: SmallInt; tfLock: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerLocked');
    if @aproc <> nil then
      aproc(iError, iLayer, tfLock);
  end;
end;

function VCGetLayerGroupLayerDisplay (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerGroupLayerDisplay');
    if @aproc <> nil then
      result := aproc(iError, iGroupIndex, iLayer);
  end;
end;

procedure VCSetLayerGroupLayerDisplay (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt; bState: WordBool);
type TVCProc = procedure (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt; bState: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerGroupLayerDisplay');
    if @aproc <> nil then
      aproc(iError, iGroupIndex, iLayer, bState);
  end;
end;

function VCGetLayerGroupLayerPrintable (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerGroupLayerPrintable');
    if @aproc <> nil then
      result := aproc(iError, iGroupIndex, iLayer);
  end;
end;

procedure VCSetLayerGroupLayerPrintable (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt; bState: WordBool);
type TVCProc = procedure (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt; bState: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerGroupLayerPrintable');
    if @aproc <> nil then
      aproc(iError, iGroupIndex, iLayer, bState);
  end;
end;

function VCGetLayerGroupLayerLocked (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerGroupLayerLocked');
    if @aproc <> nil then
      result := aproc(iError, iGroupIndex, iLayer);
  end;
end;

procedure VCSetLayerGroupLayerLocked (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt; bState: WordBool);
type TVCProc = procedure (var iError: SmallInt; iGroupIndex: SmallInt; iLayer: SmallInt; bState: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerGroupLayerLocked');
    if @aproc <> nil then
      aproc(iError, iGroupIndex, iLayer, bState);
  end;
end;

function VCGetHatchScaleX (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchScaleX');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetHatchScaleX (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchScaleX');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetHatchScaleY (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchScaleY');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetHatchScaleY (var iError: SmallInt; dRet: Double);
type TVCProc = procedure (var iError: SmallInt; dRet: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchScaleY');
    if @aproc <> nil then
      aproc(iError, dRet);
  end;
end;

function VCGetHatchLayer (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchLayer');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetHatchLayer (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchLayer');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetHatchLineType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchLineType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetHatchLineType (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchLineType');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetHatchLineWidth (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchLineWidth');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetHatchLineWidth (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchLineWidth');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetFontShowTT (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontShowTT');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFontShowTT (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFontShowTT');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetFontShowVCF (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontShowVCF');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFontShowVCF (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFontShowVCF');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetFontShowFavorite (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontShowFavorite');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFontShowFavorite (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFontShowFavorite');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetFontListEx (var iError: SmallInt; list: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; list: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontListEx');
    if @aproc <> nil then
      result := aproc(iError, list);
  end;
end;

function VCGetFontStatus (var iError: SmallInt; szName: PAnsiChar; bType: Byte): Byte;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar; bType: Byte): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontStatus');
    if @aproc <> nil then
      result := aproc(iError, szName, bType);
  end;
end;

function VCGetFontDrawAsVector (var iError: SmallInt; szName: PAnsiChar; bType: Byte): WordBool;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar; bType: Byte): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontDrawAsVector');
    if @aproc <> nil then
      result := aproc(iError, szName, bType);
  end;
end;

procedure VCSetFontDrawAsVector (var iError: SmallInt; szName: PAnsiChar; bType: Byte; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar; bType: Byte; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFontDrawAsVector');
    if @aproc <> nil then
      aproc(iError, szName, bType, tf);
  end;
end;

function VCGetFontFullHeight (var iError: SmallInt; szName: PAnsiChar; bType: Byte): WordBool;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar; bType: Byte): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontFullHeight');
    if @aproc <> nil then
      result := aproc(iError, szName, bType);
  end;
end;

procedure VCSetFontFullHeight (var iError: SmallInt; szName: PAnsiChar; bType: Byte; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar; bType: Byte; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFontFullHeight');
    if @aproc <> nil then
      aproc(iError, szName, bType, tf);
  end;
end;

function VCGetFontEmbed (var iError: SmallInt; szName: PAnsiChar; bType: Byte): WordBool;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar; bType: Byte): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontEmbed');
    if @aproc <> nil then
      result := aproc(iError, szName, bType);
  end;
end;

procedure VCSetFontEmbed (var iError: SmallInt; szName: PAnsiChar; bType: Byte; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar; bType: Byte; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFontEmbed');
    if @aproc <> nil then
      aproc(iError, szName, bType, tf);
  end;
end;

function VCGetFontSubstName (var iError: SmallInt; szName: PAnsiChar; bType: Byte; szSubName: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar; bType: Byte; szSubName: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontSubstName');
    if @aproc <> nil then
      result := aproc(iError, szName, bType, szSubName);
  end;
end;

function VCGetFontSubstType (var iError: SmallInt; szName: PAnsiChar; bType: Byte): Byte;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar; bType: Byte): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontSubstType');
    if @aproc <> nil then
      result := aproc(iError, szName, bType);
  end;
end;

procedure VCSetFontSubst (var iError: SmallInt; szName: PAnsiChar; bType: Byte; szSubName: PAnsiChar; bSubType: Byte);
type TVCProc = procedure (var iError: SmallInt; szName: PAnsiChar; bType: Byte; szSubName: PAnsiChar; bSubType: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFontSubst');
    if @aproc <> nil then
      aproc(iError, szName, bType, szSubName, bSubType);
  end;
end;

function VCGetImageHeight (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageHeight');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetImageWidth (var iError: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageWidth');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetImagePixelToWorld2D (var iError: SmallInt; column: LongWord; row: LongWord; var dpRet: Point2D);
type TVCProc = procedure (var iError: SmallInt; column: LongWord; row: LongWord; var dpRet: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImagePixelToWorld2D');
    if @aproc <> nil then
      aproc(iError, column, row, dpRet);
  end;
end;

function VCGetImagePixelColor (var iError: SmallInt; column: LongWord; row: LongWord): LongWord;
type TVCProc = function (var iError: SmallInt; column: LongWord; row: LongWord): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImagePixelColor');
    if @aproc <> nil then
      result := aproc(iError, column, row);
  end;
end;

procedure VCAddMultiLineEntity (var iError: SmallInt; iSymbolIndex: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddMultiLineEntity');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex);
  end;
end;

procedure VCDeleteNameView (szView: PAnsiChar);
type TVCProc = procedure (szView: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDeleteNameView');
    if @aproc <> nil then
      aproc(szView);
  end;
end;

function VCGetNameViewCount: SmallInt;
type TVCProc = function: SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetNameViewCount');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetNameView (i: SmallInt; szView: PAnsiChar): SmallInt;
type TVCProc = function (i: SmallInt; szView: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetNameView');
    if @aproc <> nil then
      result := aproc(i, szView);
  end;
end;

procedure VCGetNameViewExtents (szView: PAnsiChar; var ptLL: Point2D; var ptUR: Point2D);
type TVCProc = procedure (szView: PAnsiChar; var ptLL: Point2D; var ptUR: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetNameViewExtents');
    if @aproc <> nil then
      aproc(szView, ptLL, ptUR);
  end;
end;

procedure VCSetNameViewExtents (szView: PAnsiChar; var ptLL: Point2D; var ptUR: Point2D);
type TVCProc = procedure (szView: PAnsiChar; var ptLL: Point2D; var ptUR: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetNameViewExtents');
    if @aproc <> nil then
      aproc(szView, ptLL, ptUR);
  end;
end;

function VCGetHatchByLayerFlags (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchByLayerFlags');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetHatchByLayerFlags (var iError: SmallInt; bFlags: Byte);
type TVCProc = procedure (var iError: SmallInt; bFlags: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchByLayerFlags');
    if @aproc <> nil then
      aproc(iError, bFlags);
  end;
end;

procedure VCEntitySelect (var iError: SmallInt; lH: LongInt; tfDeselect: WordBool; tfGroup: WordBool);
type TVCProc = procedure (var iError: SmallInt; lH: LongInt; tfDeselect: WordBool; tfGroup: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCEntitySelect');
    if @aproc <> nil then
      aproc(iError, lH, tfDeselect, tfGroup);
  end;
end;

function VCGetImagePath (var iError: SmallInt; szName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImagePath');
    if @aproc <> nil then
      result := aproc(iError, szName);
  end;
end;

function VCGetFileProtect (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFileProtect');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFileProtect (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFileProtect');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetFileCompress (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFileCompress');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFileCompress (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFileCompress');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetTextLType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextLType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextLType (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextLType');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetTextLWidth (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextLWidth');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextLWidth (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextLWidth');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetTextRealWidth (var iError: SmallInt): Single;
type TVCProc = function (var iError: SmallInt): Single; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextRealWidth');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextRealWidth (var iError: SmallInt; rw: Single);
type TVCProc = procedure (var iError: SmallInt; rw: Single); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextRealWidth');
    if @aproc <> nil then
      aproc(iError, rw);
  end;
end;

function VCGetTextCharset (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextCharset');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextCharset (var iError: SmallInt; val: Byte);
type TVCProc = procedure (var iError: SmallInt; val: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextCharset');
    if @aproc <> nil then
      aproc(iError, val);
  end;
end;

function VCGetTextTabStops (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextTabStops');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextTabStops (var iError: SmallInt; val: SmallInt);
type TVCProc = procedure (var iError: SmallInt; val: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextTabStops');
    if @aproc <> nil then
      aproc(iError, val);
  end;
end;

procedure VCComputeSplineTangentPoints (var iError: SmallInt; var pInput: Point2D; iCount: SmallInt; var pOutput: Point2D; var iOutCount: SmallInt);
type TVCProc = procedure (var iError: SmallInt; var pInput: Point2D; iCount: SmallInt; var pOutput: Point2D; var iOutCount: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCComputeSplineTangentPoints');
    if @aproc <> nil then
      aproc(iError, pInput, iCount, pOutput, iOutCount);
  end;
end;

function VCGetPopupMenu (szPopupName: PAnsiChar): THandle;
type TVCProc = function (szPopupName: PAnsiChar): THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPopupMenu');
    if @aproc <> nil then
      result := aproc(szPopupName);
  end;
end;

function VCGetLayerApplyAllViews (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLayerApplyAllViews');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLayerApplyAllViews (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLayerApplyAllViews');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCLoadResourceDll (szDllName: PAnsiChar): THandle;
type TVCProc = function (szDllName: PAnsiChar): THandle; stdcall;
var aproc: TVCProc;
begin
  result := THandle(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLoadResourceDll');
    if @aproc <> nil then
      result := aproc(szDllName);
  end;
end;

function VCEnumResourceDlls (szList: PAnsiChar): SmallInt;
type TVCProc = function (szList: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCEnumResourceDlls');
    if @aproc <> nil then
      result := aproc(szList);
  end;
end;

function VCGetPDFPresetDictionary (var iError: SmallInt; szPreset: PAnsiChar): LPDISPATCH;
type TVCProc = function (var iError: SmallInt; szPreset: PAnsiChar): LPDISPATCH; stdcall;
var aproc: TVCProc;
begin
  result := LPDISPATCH(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPDFPresetDictionary');
    if @aproc <> nil then
      result := aproc(iError, szPreset);
  end;
end;

procedure VCGetLatitudeLongitude (var iError: SmallInt; iCRSCode: LongInt; var ptEN: Point2D; var ptLatLong: Point2D);
type TVCProc = procedure (var iError: SmallInt; iCRSCode: LongInt; var ptEN: Point2D; var ptLatLong: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLatitudeLongitude');
    if @aproc <> nil then
      aproc(iError, iCRSCode, ptEN, ptLatLong);
  end;
end;

procedure VCGetEastingNorthing (var iError: SmallInt; iCRSCode: LongInt; var ptLatLong: Point2D; var ptEN: Point2D);
type TVCProc = procedure (var iError: SmallInt; iCRSCode: LongInt; var ptLatLong: Point2D; var ptEN: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetEastingNorthing');
    if @aproc <> nil then
      aproc(iError, iCRSCode, ptLatLong, ptEN);
  end;
end;

procedure VCDatabaseScale (var iError: SmallInt; dScale: Double);
type TVCProc = procedure (var iError: SmallInt; dScale: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDatabaseScale');
    if @aproc <> nil then
      aproc(iError, dScale);
  end;
end;

procedure VCDatabaseMove (var iError: SmallInt; var ptTrans: Point2D);
type TVCProc = procedure (var iError: SmallInt; var ptTrans: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDatabaseMove');
    if @aproc <> nil then
      aproc(iError, ptTrans);
  end;
end;

function VCGetDatabaseScale (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDatabaseScale');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetDatabaseOffset (var iError: SmallInt; var ptTrans: Point2D);
type TVCProc = procedure (var iError: SmallInt; var ptTrans: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDatabaseOffset');
    if @aproc <> nil then
      aproc(iError, ptTrans);
  end;
end;

function VCGetDimAngularDecimalValue (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimAngularDecimalValue');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimAngularDecimalValue (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimAngularDecimalValue');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetDisplayAngularDecimalValue (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayAngularDecimalValue');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDisplayAngularDecimalValue (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayAngularDecimalValue');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetSecondaryDecimalValue (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSecondaryDecimalValue');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetSecondaryDecimalValue (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSecondaryDecimalValue');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetSecondaryFractionalValue (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSecondaryFractionalValue');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetSecondaryFractionalValue (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSecondaryFractionalValue');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetShowSecondaryUnits (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShowSecondaryUnits');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetShowSecondaryUnits (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShowSecondaryUnits');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetShowSecondaryLeadingZeros (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShowSecondaryLeadingZeros');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetShowSecondaryLeadingZeros (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShowSecondaryLeadingZeros');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetDisplayShowDash (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayShowDash');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDisplayShowDash (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayShowDash');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetShowSecondaryDash (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShowSecondaryDash');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetShowSecondaryDash (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShowSecondaryDash');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetShowSecondarySingleUnitFrac (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShowSecondarySingleUnitFrac');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetShowSecondarySingleUnitFrac (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShowSecondarySingleUnitFrac');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetSnapAngleVal (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSnapAngleVal');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetSnapAngleVal (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSnapAngleVal');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

function VCGetSnapParOffVal (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSnapParOffVal');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetSnapParOffVal (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSnapParOffVal');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

procedure VCPasteSpecial;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPasteSpecial');
    if @aproc <> nil then
      aproc;
  end;
end;

procedure VCSnapAngle;
type TVCProc = procedure; stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSnapAngle');
    if @aproc <> nil then
      aproc;
  end;
end;

function VCGetAutoPanRefresh (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAutoPanRefresh');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetAutoPanRefresh (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetAutoPanRefresh');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetTextUnicode (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextUnicode');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextUnicode (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextUnicode');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetDefaultButtons (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDefaultButtons');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDefaultButtons (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDefaultButtons');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetCurrentEntityCloseContourFlag (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityCloseContourFlag');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetTextStringW (var iError: SmallInt; pWide: PWideChar; BufSize: LongInt): LongInt;
type TVCProc = function (var iError: SmallInt; pWide: PWideChar; BufSize: LongInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextStringW');
    if @aproc <> nil then
      result := aproc(iError, pWide, BufSize);
  end;
end;

procedure VCSetTextStringW (var iError: SmallInt; pWide: PWideChar);
type TVCProc = procedure (var iError: SmallInt; pWide: PWideChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextStringW');
    if @aproc <> nil then
      aproc(iError, pWide);
  end;
end;

function VCAddEntityFromClipboard (var iError: SmallInt; uFormat: LongWord; var dp0: Point2D; var dp1: Point2D): LongInt;
type TVCProc = function (var iError: SmallInt; uFormat: LongWord; var dp0: Point2D; var dp1: Point2D): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddEntityFromClipboard');
    if @aproc <> nil then
      result := aproc(iError, uFormat, dp0, dp1);
  end;
end;

function VCEnumImageExportPresets (var iError: SmallInt; pBuffer: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; pBuffer: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCEnumImageExportPresets');
    if @aproc <> nil then
      result := aproc(iError, pBuffer);
  end;
end;

function VCGetImagePresetStruct (var iError: SmallInt; szPresetName: PAnsiChar; pStruct: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar; pStruct: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImagePresetStruct');
    if @aproc <> nil then
      result := aproc(iError, szPresetName, pStruct);
  end;
end;

function VCExportImage (PS: PAnsiChar; szFilePath: PAnsiChar): WordBool;
type TVCProc = function (PS: PAnsiChar; szFilePath: PAnsiChar): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCExportImage');
    if @aproc <> nil then
      result := aproc(PS, szFilePath);
  end;
end;

function VCGetImagePresetDictionary (var iError: SmallInt; szPreset: PAnsiChar): LPDISPATCH;
type TVCProc = function (var iError: SmallInt; szPreset: PAnsiChar): LPDISPATCH; stdcall;
var aproc: TVCProc;
begin
  result := LPDISPATCH(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImagePresetDictionary');
    if @aproc <> nil then
      result := aproc(iError, szPreset);
  end;
end;

procedure VCGetPrintOrigin (var iError: SmallInt; var dpOrg: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpOrg: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPrintOrigin');
    if @aproc <> nil then
      aproc(iError, dpOrg);
  end;
end;

procedure VCSetPrintOrigin (var iError: SmallInt; var dpOrg: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpOrg: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPrintOrigin');
    if @aproc <> nil then
      aproc(iError, dpOrg);
  end;
end;

function VCGetShowPrintOrigin (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetShowPrintOrigin');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetShowPrintOrigin (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetShowPrintOrigin');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetUsePrintOrigin (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUsePrintOrigin');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetUsePrintOrigin (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetUsePrintOrigin');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCTranslateConfigFile (szIn: PAnsiChar; szOut: PAnsiChar; szMenuPath: PAnsiChar; iType: LongInt): LongInt;
type TVCProc = function (szIn: PAnsiChar; szOut: PAnsiChar; szMenuPath: PAnsiChar; iType: LongInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCTranslateConfigFile');
    if @aproc <> nil then
      result := aproc(szIn, szOut, szMenuPath, iType);
  end;
end;

function VCGetCmdToggleState (id: SmallInt): WordBool;
type TVCProc = function (id: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCmdToggleState');
    if @aproc <> nil then
      result := aproc(id);
  end;
end;

procedure VCSetCmdToggleState (id: SmallInt; tfState: WordBool);
type TVCProc = procedure (id: SmallInt; tfState: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCmdToggleState');
    if @aproc <> nil then
      aproc(id, tfState);
  end;
end;

function VCGetCurrentInterfaceLanguage: LongWord;
type TVCProc = function: LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentInterfaceLanguage');
    if @aproc <> nil then
      result := aproc;
  end;
end;

function VCGetXMLStruct (pStruct: PAnsiChar): LongInt;
type TVCProc = function (pStruct: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetXMLStruct');
    if @aproc <> nil then
      result := aproc(pStruct);
  end;
end;

function VCGetXMLDictionary: LPDISPATCH;
type TVCProc = function: LPDISPATCH; stdcall;
var aproc: TVCProc;
begin
  result := LPDISPATCH(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetXMLDictionary');
    if @aproc <> nil then
      result := aproc;
  end;
end;

procedure VCExportXML (var iError: SmallInt; pStruct: PAnsiChar; szFilePath: PAnsiChar; tfSelectedOnly: WordBool);
type TVCProc = procedure (var iError: SmallInt; pStruct: PAnsiChar; szFilePath: PAnsiChar; tfSelectedOnly: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCExportXML');
    if @aproc <> nil then
      aproc(iError, pStruct, szFilePath, tfSelectedOnly);
  end;
end;

procedure VCImportXML (var iError: SmallInt; pStruct: PAnsiChar; szFilePath: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pStruct: PAnsiChar; szFilePath: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCImportXML');
    if @aproc <> nil then
      aproc(iError, pStruct, szFilePath);
  end;
end;

function VCSetXMLStruct (pStruct: PAnsiChar): LongInt;
type TVCProc = function (pStruct: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetXMLStruct');
    if @aproc <> nil then
      result := aproc(pStruct);
  end;
end;

function VCGetFontCharSets (szFont: PAnsiChar; pBuffer: PAnsiChar): SmallInt;
type TVCProc = function (szFont: PAnsiChar; pBuffer: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontCharSets');
    if @aproc <> nil then
      result := aproc(szFont, pBuffer);
  end;
end;

function VCGetCompressImages (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCompressImages');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetCompressImages (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCompressImages');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetTextStringLocale (var iError: SmallInt; pWide: PWideChar; BufSize: LongInt; CharSet: SmallInt): LongInt;
type TVCProc = function (var iError: SmallInt; pWide: PWideChar; BufSize: LongInt; CharSet: SmallInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextStringLocale');
    if @aproc <> nil then
      result := aproc(iError, pWide, BufSize, CharSet);
  end;
end;

procedure VCSetTextStringLocale (var iError: SmallInt; pWide: PWideChar; CharSet: SmallInt);
type TVCProc = procedure (var iError: SmallInt; pWide: PWideChar; CharSet: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextStringLocale');
    if @aproc <> nil then
      aproc(iError, pWide, CharSet);
  end;
end;

function VCGetUseDrawOrder (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUseDrawOrder');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetUseDrawOrder (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetUseDrawOrder');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCFirstDrawEntity (var iError: SmallInt; var bKind: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCFirstDrawEntity');
    if @aproc <> nil then
      result := aproc(iError, bKind);
  end;
end;

function VCNextDrawEntity (var iError: SmallInt; var bKind: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt; var bKind: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCNextDrawEntity');
    if @aproc <> nil then
      result := aproc(iError, bKind);
  end;
end;

function VCGetWheelZoom (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWheelZoom');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetWheelZoom (var iError: SmallInt; tfZoom: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfZoom: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetWheelZoom');
    if @aproc <> nil then
      aproc(iError, tfZoom);
  end;
end;

function VCGetWheelReverseZoom (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWheelReverseZoom');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetWheelReverseZoom (var iError: SmallInt; tfRev: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfRev: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetWheelReverseZoom');
    if @aproc <> nil then
      aproc(iError, tfRev);
  end;
end;

function VCGetWheelZoomPrevious (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWheelZoomPrevious');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetWheelZoomPrevious (var iError: SmallInt; tfZoom: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfZoom: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetWheelZoomPrevious');
    if @aproc <> nil then
      aproc(iError, tfZoom);
  end;
end;

function VCGetWheelZoomFactor (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWheelZoomFactor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetWheelZoomFactor (var iError: SmallInt; factor: Double);
type TVCProc = procedure (var iError: SmallInt; factor: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetWheelZoomFactor');
    if @aproc <> nil then
      aproc(iError, factor);
  end;
end;

function VCGetWheelPan (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWheelPan');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetWheelPan (var iError: SmallInt; tfPan: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfPan: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetWheelPan');
    if @aproc <> nil then
      aproc(iError, tfPan);
  end;
end;

function VCGetWheelPanFactor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetWheelPanFactor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetWheelPanFactor (var iError: SmallInt; factor: SmallInt);
type TVCProc = procedure (var iError: SmallInt; factor: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetWheelPanFactor');
    if @aproc <> nil then
      aproc(iError, factor);
  end;
end;

function VCGetDisplayBaseAngleType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayBaseAngleType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDisplayBaseAngleType (var iError: SmallInt; iAngleType: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iAngleType: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayBaseAngleType');
    if @aproc <> nil then
      aproc(iError, iAngleType);
  end;
end;

function VCGetDisplayCustomBaseAngle (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayCustomBaseAngle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDisplayCustomBaseAngle (var iError: SmallInt; dAngle: Double);
type TVCProc = procedure (var iError: SmallInt; dAngle: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayCustomBaseAngle');
    if @aproc <> nil then
      aproc(iError, dAngle);
  end;
end;

function VCGetDisplayAngleClockwise (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayAngleClockwise');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDisplayAngleClockwise (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayAngleClockwise');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetDimBaseAngleType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimBaseAngleType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimBaseAngleType (var iError: SmallInt; iAngleType: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iAngleType: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimBaseAngleType');
    if @aproc <> nil then
      aproc(iError, iAngleType);
  end;
end;

function VCGetDimCustomBaseAngle (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimCustomBaseAngle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimCustomBaseAngle (var iError: SmallInt; dAngle: Double);
type TVCProc = procedure (var iError: SmallInt; dAngle: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimCustomBaseAngle');
    if @aproc <> nil then
      aproc(iError, dAngle);
  end;
end;

function VCGetDimAngleClockwise (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimAngleClockwise');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimAngleClockwise (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimAngleClockwise');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCRFGetEllipticalBoundary (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFGetEllipticalBoundary');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCRFSetEllipticalBoundary (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFSetEllipticalBoundary');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCStartNative (var iError: SmallInt; szNative: PAnsiChar; fBuiltInOnly: WordBool; tfAsync: WordBool; tfNoDefault: WordBool): WordBool;
type TVCProc = function (var iError: SmallInt; szNative: PAnsiChar; fBuiltInOnly: WordBool; tfAsync: WordBool; tfNoDefault: WordBool): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCStartNative');
    if @aproc <> nil then
      result := aproc(iError, szNative, fBuiltInOnly, tfAsync, tfNoDefault);
  end;
end;

function VCStartCommand (var iError: SmallInt; wCmdId: Word; tfAsync: WordBool; tfNoDefault: WordBool): WordBool;
type TVCProc = function (var iError: SmallInt; wCmdId: Word; tfAsync: WordBool; tfNoDefault: WordBool): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCStartCommand');
    if @aproc <> nil then
      result := aproc(iError, wCmdId, tfAsync, tfNoDefault);
  end;
end;

function VCGetRefFramePathKind (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFramePathKind');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetRefFramePathKind (var iError: SmallInt; iPathKind: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iPathKind: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFramePathKind');
    if @aproc <> nil then
      aproc(iError, iPathKind);
  end;
end;

function VCGetExportFileType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetExportFileType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetExportFileType (var iError: SmallInt; iType: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iType: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetExportFileType');
    if @aproc <> nil then
      aproc(iError, iType);
  end;
end;

function VCGetMaskDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMaskDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetMaskDisplay (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMaskDisplay');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetTextVerticalAlign (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextVerticalAlign');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextVerticalAlign (var iError: SmallInt; param: Byte);
type TVCProc = procedure (var iError: SmallInt; param: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextVerticalAlign');
    if @aproc <> nil then
      aproc(iError, param);
  end;
end;

function VCGetLeaderHorizontalAlign (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderHorizontalAlign');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderHorizontalAlign (var iError: SmallInt; param: Byte);
type TVCProc = procedure (var iError: SmallInt; param: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderHorizontalAlign');
    if @aproc <> nil then
      aproc(iError, param);
  end;
end;

function VCGetDisplayShowAngleUnits (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDisplayShowAngleUnits');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDisplayShowAngleUnits (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDisplayShowAngleUnits');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetDimShowAngleUnits (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimShowAngleUnits');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimShowAngleUnits (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimShowAngleUnits');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetFillLayer (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFillLayer');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFillLayer (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFillLayer');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetFillLineType (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFillLineType');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFillLineType (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFillLineType');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCGetFillLineWidth (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFillLineWidth');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFillLineWidth (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFillLineWidth');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

function VCSetToggleState (id: Word; tfForcedState: WordBool): WordBool;
type TVCProc = function (id: Word; tfForcedState: WordBool): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetToggleState');
    if @aproc <> nil then
      result := aproc(id, tfForcedState);
  end;
end;

function VCGetSymSelect (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymSelect');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetSymSelect (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSymSelect');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetTextFracHeight (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextFracHeight');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextFracHeight (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextFracHeight');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

function VCGetLeaderTextFracHeight (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextFracHeight');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderTextFracHeight (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextFracHeight');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

function VCGetDimTextFracHeight (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextFracHeight');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimTextFracHeight (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextFracHeight');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

function VCGetDimPrependPrefixAbove (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimPrependPrefixAbove');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimPrependPrefixAbove (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimPrependPrefixAbove');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetDimAppendSuffixBelow (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimAppendSuffixBelow');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimAppendSuffixBelow (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimAppendSuffixBelow');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetStyleString (var iError: SmallInt; szStyle: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szStyle: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetStyleString');
    if @aproc <> nil then
      result := aproc(iError, szStyle);
  end;
end;

procedure VCLoadStyleString (var iError: SmallInt; szStyle: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szStyle: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCLoadStyleString');
    if @aproc <> nil then
      aproc(iError, szStyle);
  end;
end;

procedure VCAddPDFPreset (var iError: SmallInt; szPresetName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddPDFPreset');
    if @aproc <> nil then
      aproc(iError, szPresetName);
  end;
end;

procedure VCDeletePDFPreset (var iError: SmallInt; szPresetName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDeletePDFPreset');
    if @aproc <> nil then
      aproc(iError, szPresetName);
  end;
end;

procedure VCSetPDFPresetStruct (var iError: SmallInt; szPresetName: PAnsiChar; pStruct: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar; pStruct: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPDFPresetStruct');
    if @aproc <> nil then
      aproc(iError, szPresetName, pStruct);
  end;
end;

function VCGetCurrentPDFPreset (var iError: SmallInt; szPresetName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szPresetName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentPDFPreset');
    if @aproc <> nil then
      result := aproc(iError, szPresetName);
  end;
end;

procedure VCSetCurrentPDFPreset (var iError: SmallInt; szPresetName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPresetName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentPDFPreset');
    if @aproc <> nil then
      aproc(iError, szPresetName);
  end;
end;

function VCEnumPDFPaperTypes (var iError: SmallInt; pBuffer: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; pBuffer: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCEnumPDFPaperTypes');
    if @aproc <> nil then
      result := aproc(iError, pBuffer);
  end;
end;

procedure VCAddPDFPaperType (var iError: SmallInt; szPaperName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPaperName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddPDFPaperType');
    if @aproc <> nil then
      aproc(iError, szPaperName);
  end;
end;

procedure VCDeletePDFPaperType (var iError: SmallInt; szPaperName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szPaperName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDeletePDFPaperType');
    if @aproc <> nil then
      aproc(iError, szPaperName);
  end;
end;

procedure VCGetPDFPaperTypeDef (var iError: SmallInt; szPaperName: PAnsiChar; var dpPaperDef: Point2D);
type TVCProc = procedure (var iError: SmallInt; szPaperName: PAnsiChar; var dpPaperDef: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPDFPaperTypeDef');
    if @aproc <> nil then
      aproc(iError, szPaperName, dpPaperDef);
  end;
end;

procedure VCSetPDFPaperTypeDef (var iError: SmallInt; szPaperName: PAnsiChar; dWidth: Double; dHeight: Double);
type TVCProc = procedure (var iError: SmallInt; szPaperName: PAnsiChar; dWidth: Double; dHeight: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetPDFPaperTypeDef');
    if @aproc <> nil then
      aproc(iError, szPaperName, dWidth, dHeight);
  end;
end;

function VCGetCurrentEntityXML (var iError: SmallInt; szXML: PAnsiChar; dwFlags: LongWord): LongInt;
type TVCProc = function (var iError: SmallInt; szXML: PAnsiChar; dwFlags: LongWord): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityXML');
    if @aproc <> nil then
      result := aproc(iError, szXML, dwFlags);
  end;
end;

procedure VCAddEntityFromXML (var iError: SmallInt; szXML: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szXML: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddEntityFromXML');
    if @aproc <> nil then
      aproc(iError, szXML);
  end;
end;

function VCGetUserPaneHandle (var iError: SmallInt; szPane: PAnsiChar; szAddon: PAnsiChar): LongWord;
type TVCProc = function (var iError: SmallInt; szPane: PAnsiChar; szAddon: PAnsiChar): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUserPaneHandle');
    if @aproc <> nil then
      result := aproc(iError, szPane, szAddon);
  end;
end;

procedure VCSetUserPaneWeb (var iError: SmallInt; uHandle: LongWord; szText: PAnsiChar; szTextClr: PAnsiChar; szBackClr: PAnsiChar; uMask: LongWord);
type TVCProc = procedure (var iError: SmallInt; uHandle: LongWord; szText: PAnsiChar; szTextClr: PAnsiChar; szBackClr: PAnsiChar; uMask: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetUserPaneWeb');
    if @aproc <> nil then
      aproc(iError, uHandle, szText, szTextClr, szBackClr, uMask);
  end;
end;

procedure VCSetUserPane (var iError: SmallInt; uHandle: LongWord; szText: PAnsiChar; crText: LongWord; crBack: LongWord; uMask: LongWord);
type TVCProc = procedure (var iError: SmallInt; uHandle: LongWord; szText: PAnsiChar; crText: LongWord; crBack: LongWord; uMask: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetUserPane');
    if @aproc <> nil then
      aproc(iError, uHandle, szText, crText, crBack, uMask);
  end;
end;

function VCGetSaveEnvOnExitGlobal (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSaveEnvOnExitGlobal');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetSaveEnvOnExitGlobal (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSaveEnvOnExitGlobal');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetSaveEnvOnExitDrawing (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSaveEnvOnExitDrawing');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetSaveEnvOnExitDrawing (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSaveEnvOnExitDrawing');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetHatchLineWidthValue (var iError: SmallInt): Single;
type TVCProc = function (var iError: SmallInt): Single; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchLineWidthValue');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetHatchLineWidthValue (var iError: SmallInt; f: Single);
type TVCProc = procedure (var iError: SmallInt; f: Single); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchLineWidthValue');
    if @aproc <> nil then
      aproc(iError, f);
  end;
end;

procedure VCGetHatchUseByLayerProperties (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool);
type TVCProc = procedure (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchUseByLayerProperties');
    if @aproc <> nil then
      aproc(iError, tfColor, tfLineType, tfLineWidth);
  end;
end;

procedure VCSetHatchUseByLayerProperties (var iError: SmallInt; tfColor: WordBool; tfLineType: WordBool; tfLineWidth: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfColor: WordBool; tfLineType: WordBool; tfLineWidth: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchUseByLayerProperties');
    if @aproc <> nil then
      aproc(iError, tfColor, tfLineType, tfLineWidth);
  end;
end;

function VCGetFillByLayerFlags (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFillByLayerFlags');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFillByLayerFlags (var iError: SmallInt; bFlags: Byte);
type TVCProc = procedure (var iError: SmallInt; bFlags: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFillByLayerFlags');
    if @aproc <> nil then
      aproc(iError, bFlags);
  end;
end;

function VCGetFillLineWidthValue (var iError: SmallInt): Single;
type TVCProc = function (var iError: SmallInt): Single; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFillLineWidthValue');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFillLineWidthValue (var iError: SmallInt; f: Single);
type TVCProc = procedure (var iError: SmallInt; f: Single); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFillLineWidthValue');
    if @aproc <> nil then
      aproc(iError, f);
  end;
end;

procedure VCGetFillUseByLayerProperties (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool);
type TVCProc = procedure (var iError: SmallInt; var tfColor: WordBool; var tfLineType: WordBool; var tfLineWidth: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFillUseByLayerProperties');
    if @aproc <> nil then
      aproc(iError, tfColor, tfLineType, tfLineWidth);
  end;
end;

procedure VCSetFillUseByLayerProperties (var iError: SmallInt; tfColor: WordBool; tfLineType: WordBool; tfLineWidth: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfColor: WordBool; tfLineType: WordBool; tfLineWidth: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFillUseByLayerProperties');
    if @aproc <> nil then
      aproc(iError, tfColor, tfLineType, tfLineWidth);
  end;
end;

function VCGetCurrentEntityUserDataTag (var iError: SmallInt; iIndex: SmallInt): Word;
type TVCProc = function (var iError: SmallInt; iIndex: SmallInt): Word; stdcall;
var aproc: TVCProc;
begin
  result := Word(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUserDataTag');
    if @aproc <> nil then
      result := aproc(iError, iIndex);
  end;
end;

procedure VCSetCurrentEntityUserDataTag (var iError: SmallInt; iIndex: SmallInt; wTag: Word);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; wTag: Word); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentEntityUserDataTag');
    if @aproc <> nil then
      aproc(iError, iIndex, wTag);
  end;
end;

function VCGetCurrentEntityUserDataTagIndex (var iError: SmallInt; wTag: Word; iStart: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt; wTag: Word; iStart: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityUserDataTagIndex');
    if @aproc <> nil then
      result := aproc(iError, wTag, iStart);
  end;
end;

function VCGetLeaderTextUnicode (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextUnicode');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderTextUnicode (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextUnicode');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetDimTextStacked (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextStacked');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimTextStacked (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextStacked');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetDimNoBreak (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimNoBreak');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimNoBreak (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimNoBreak');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCGetCurrentEntityVertexAndFocus (var iError: SmallInt; var dpVertex: Point2D; var dpFocus: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpVertex: Point2D; var dpFocus: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityVertexAndFocus');
    if @aproc <> nil then
      aproc(iError, dpVertex, dpFocus);
  end;
end;

procedure VCAddExtendedDataDouble (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; dData: Double);
type TVCProc = procedure (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; dData: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddExtendedDataDouble');
    if @aproc <> nil then
      aproc(iError, tfDrawing, szName, dData);
  end;
end;

procedure VCAddExtendedDataText (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; szText: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; szText: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddExtendedDataText');
    if @aproc <> nil then
      aproc(iError, tfDrawing, szName, szText);
  end;
end;

procedure VCSetExtendedDataDouble (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; dData: Double);
type TVCProc = procedure (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; dData: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetExtendedDataDouble');
    if @aproc <> nil then
      aproc(iError, tfDrawing, szName, dData);
  end;
end;

procedure VCSetExtendedDataText (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; szText: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; szText: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetExtendedDataText');
    if @aproc <> nil then
      aproc(iError, tfDrawing, szName, szText);
  end;
end;

function VCGetExtendedDataDouble (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar): Double;
type TVCProc = function (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetExtendedDataDouble');
    if @aproc <> nil then
      result := aproc(iError, tfDrawing, szName);
  end;
end;

function VCGetExtendedDataText (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; szText: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar; szText: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetExtendedDataText');
    if @aproc <> nil then
      result := aproc(iError, tfDrawing, szName, szText);
  end;
end;

function VCGetExtendedDataCount (var iError: SmallInt; tfDrawing: WordBool): SmallInt;
type TVCProc = function (var iError: SmallInt; tfDrawing: WordBool): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetExtendedDataCount');
    if @aproc <> nil then
      result := aproc(iError, tfDrawing);
  end;
end;

function VCGetExtendedDataInfo (var iError: SmallInt; tfDrawing: WordBool; index: SmallInt; szName: PAnsiChar): Byte;
type TVCProc = function (var iError: SmallInt; tfDrawing: WordBool; index: SmallInt; szName: PAnsiChar): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetExtendedDataInfo');
    if @aproc <> nil then
      result := aproc(iError, tfDrawing, index, szName);
  end;
end;

procedure VCDeleteExtendedData (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; tfDrawing: WordBool; szName: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCDeleteExtendedData');
    if @aproc <> nil then
      aproc(iError, tfDrawing, szName);
  end;
end;

function VCRFGetLayerDisplay (var Error: SmallInt; iLayer: SmallInt): WordBool;
type TVCProc = function (var Error: SmallInt; iLayer: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFGetLayerDisplay');
    if @aproc <> nil then
      result := aproc(Error, iLayer);
  end;
end;

procedure VCRFSetLayerDisplay (var iError: SmallInt; iLayer: SmallInt; tfDisplay: WordBool);
type TVCProc = procedure (var iError: SmallInt; iLayer: SmallInt; tfDisplay: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFSetLayerDisplay');
    if @aproc <> nil then
      aproc(iError, iLayer, tfDisplay);
  end;
end;

function VCRFGetLayerPrintable (var Error: SmallInt; iLayer: SmallInt): WordBool;
type TVCProc = function (var Error: SmallInt; iLayer: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFGetLayerPrintable');
    if @aproc <> nil then
      result := aproc(Error, iLayer);
  end;
end;

procedure VCRFSetLayerPrintable (var iError: SmallInt; iLayer: SmallInt; tfDisplay: WordBool);
type TVCProc = procedure (var iError: SmallInt; iLayer: SmallInt; tfDisplay: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRFSetLayerPrintable');
    if @aproc <> nil then
      aproc(iError, iLayer, tfDisplay);
  end;
end;

function VCPopStackVariable (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPopStackVariable');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCPushStackVariable (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCPushStackVariable');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

function VCGetSnapHatchPoints (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSnapHatchPoints');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetSnapHatchPoints (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSnapHatchPoints');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetDialogScale (var iError: SmallInt): LongWord;
type TVCProc = function (var iError: SmallInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDialogScale');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDialogScale (var iError: SmallInt; uScale: LongWord);
type TVCProc = procedure (var iError: SmallInt; uScale: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDialogScale');
    if @aproc <> nil then
      aproc(iError, uScale);
  end;
end;

procedure VCSetRefFrameScaleEx (var iError: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrameScaleEx');
    if @aproc <> nil then
      aproc(iError, dpP);
  end;
end;

procedure VCGetRefFrameScaleEx (var iError: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFrameScaleEx');
    if @aproc <> nil then
      aproc(iError, dpP);
  end;
end;

function VCBooleanOperate (var iError: SmallInt; OpCode: LongInt; EntityA: LongInt; EntityB: LongInt): LongInt;
type TVCProc = function (var iError: SmallInt; OpCode: LongInt; EntityA: LongInt; EntityB: LongInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCBooleanOperate');
    if @aproc <> nil then
      result := aproc(iError, OpCode, EntityA, EntityB);
  end;
end;

procedure VCGetRefFrameCenter (var iError: SmallInt; var dpCenter: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpCenter: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetRefFrameCenter');
    if @aproc <> nil then
      aproc(iError, dpCenter);
  end;
end;

procedure VCSetRefFrameCenter (var iError: SmallInt; var dpCenter: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpCenter: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetRefFrameCenter');
    if @aproc <> nil then
      aproc(iError, dpCenter);
  end;
end;

function VCGetMacroVariableEx (var iError: SmallInt; szName: PAnsiChar; tfInches: WordBool; tfRadians: WordBool): Double;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar; tfInches: WordBool; tfRadians: WordBool): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMacroVariableEx');
    if @aproc <> nil then
      result := aproc(iError, szName, tfInches, tfRadians);
  end;
end;

function VCGetMacroLengthVariable (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMacroLengthVariable');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetMacroLengthVariable (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMacroLengthVariable');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

function VCGetMacroAngleVariable (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetMacroAngleVariable');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetMacroAngleVariable (var iError: SmallInt; d: Double);
type TVCProc = procedure (var iError: SmallInt; d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetMacroAngleVariable');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

procedure VCGetAngleConversionFactor (var iError: SmallInt; var d: Double);
type TVCProc = procedure (var iError: SmallInt; var d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetAngleConversionFactor');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

procedure VCGetDimAngleConversionFactor (var iError: SmallInt; var d: Double);
type TVCProc = procedure (var iError: SmallInt; var d: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimAngleConversionFactor');
    if @aproc <> nil then
      aproc(iError, d);
  end;
end;

function VCGetImageLockAspect (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageLockAspect');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImageLockAspect (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageLockAspect');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetImageAutoPosition (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageAutoPosition');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImageAutoPosition (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageAutoPosition');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetImageOpacity (var iError: SmallInt): LongWord;
type TVCProc = function (var iError: SmallInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImageOpacity');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImageOpacity (var iError: SmallInt; uOpacity: LongWord);
type TVCProc = procedure (var iError: SmallInt; uOpacity: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImageOpacity');
    if @aproc <> nil then
      aproc(iError, uOpacity);
  end;
end;

function VCGetFontScale (var iError: SmallInt): LongWord;
type TVCProc = function (var iError: SmallInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFontScale');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFontScale (var iError: SmallInt; uScale: LongWord);
type TVCProc = procedure (var iError: SmallInt; uScale: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFontScale');
    if @aproc <> nil then
      aproc(iError, uScale);
  end;
end;

procedure VCSetHatchGDIStyle (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetHatchGDIStyle');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetHatchGDIStyle (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetHatchGDIStyle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFillGDIStyle (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFillGDIStyle');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetFillGDIStyle (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFillGDIStyle');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetImportLineWidthToPixels (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetImportLineWidthToPixels');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetImportLineWidthToPixels (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetImportLineWidthToPixels');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCRemoveSymbolsEx (var iError: SmallInt; pNames: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; pNames: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCRemoveSymbolsEx');
    if @aproc <> nil then
      aproc(iError, pNames);
  end;
end;

function VCGetLeaderTextCharset (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTextCharset');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderTextCharset (var iError: SmallInt; val: Byte);
type TVCProc = procedure (var iError: SmallInt; val: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTextCharset');
    if @aproc <> nil then
      aproc(iError, val);
  end;
end;

function VCGetDimTextCharset (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimTextCharset');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetDimTextCharset (var iError: SmallInt; val: Byte);
type TVCProc = procedure (var iError: SmallInt; val: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimTextCharset');
    if @aproc <> nil then
      aproc(iError, val);
  end;
end;

function VCGetDrawingVersion (var iError: SmallInt): LongWord;
type TVCProc = function (var iError: SmallInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDrawingVersion');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimDecimalSeparator (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimDecimalSeparator');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimSecondaryDecimalSeparator (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimSecondaryDecimalSeparator');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimDecimalSeparatorString (var iError: SmallInt; szSeparator: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szSeparator: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimDecimalSeparatorString');
    if @aproc <> nil then
      result := aproc(iError, szSeparator);
  end;
end;

function VCGetDimSecondaryDecimalSeparatorString (var iError: SmallInt; szSeparator: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szSeparator: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimSecondaryDecimalSeparatorString');
    if @aproc <> nil then
      result := aproc(iError, szSeparator);
  end;
end;

function VCGetDimThousandsSeparator (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimThousandsSeparator');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimSecondaryThousandsSeparator (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimSecondaryThousandsSeparator');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

function VCGetDimThousandsSeparatorString (var iError: SmallInt; szSeparator: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szSeparator: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimThousandsSeparatorString');
    if @aproc <> nil then
      result := aproc(iError, szSeparator);
  end;
end;

function VCGetDimSecondaryThousandsSeparatorString (var iError: SmallInt; szSeparator: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szSeparator: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetDimSecondaryThousandsSeparatorString');
    if @aproc <> nil then
      result := aproc(iError, szSeparator);
  end;
end;

procedure VCSetDimDecimalSeparator (var iError: SmallInt; b: Byte);
type TVCProc = procedure (var iError: SmallInt; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimDecimalSeparator');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimSecondaryDecimalSeparator (var iError: SmallInt; b: Byte);
type TVCProc = procedure (var iError: SmallInt; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimSecondaryDecimalSeparator');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimThousandsSeparator (var iError: SmallInt; b: Byte);
type TVCProc = procedure (var iError: SmallInt; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimThousandsSeparator');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

procedure VCSetDimSecondaryThousandsSeparator (var iError: SmallInt; b: Byte);
type TVCProc = procedure (var iError: SmallInt; b: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetDimSecondaryThousandsSeparator');
    if @aproc <> nil then
      aproc(iError, b);
  end;
end;

function VCGetTextMaskOffset (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextMaskOffset');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextMaskOffset (var iError: SmallInt; dI: Double);
type TVCProc = procedure (var iError: SmallInt; dI: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextMaskOffset');
    if @aproc <> nil then
      aproc(iError, dI);
  end;
end;

function VCGetNativeToggleState (var iError: SmallInt; szName: PAnsiChar; tfReverseState: WordBool): WordBool;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar; tfReverseState: WordBool): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetNativeToggleState');
    if @aproc <> nil then
      result := aproc(iError, szName, tfReverseState);
  end;
end;

function VCSetNativeToggleState (var iError: SmallInt; szName: PAnsiChar; tfForcedState: WordBool): WordBool;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar; tfForcedState: WordBool): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetNativeToggleState');
    if @aproc <> nil then
      result := aproc(iError, szName, tfForcedState);
  end;
end;

procedure VCSetUserToolIsSnap (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetUserToolIsSnap');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

function VCGetUserToolIsSnap (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUserToolIsSnap');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetUserToolFlags (var iError: SmallInt; dw: LongWord);
type TVCProc = procedure (var iError: SmallInt; dw: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetUserToolFlags');
    if @aproc <> nil then
      aproc(iError, dw);
  end;
end;

function VCGetUserToolFlags (var iError: SmallInt): LongWord;
type TVCProc = function (var iError: SmallInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUserToolFlags');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetUserToolSnapPoint (var iError: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetUserToolSnapPoint');
    if @aproc <> nil then
      aproc(iError, dpP);
  end;
end;

procedure VCGetUserToolSnapPoint (var iError: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetUserToolSnapPoint');
    if @aproc <> nil then
      aproc(iError, dpP);
  end;
end;

procedure VCGetPendingLButtonDown (var iError: SmallInt; lParam: LongInt; tfResetSnap: WordBool; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; lParam: LongInt; tfResetSnap: WordBool; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPendingLButtonDown');
    if @aproc <> nil then
      aproc(iError, lParam, tfResetSnap, dpP);
  end;
end;

function VCGetSubstitutedText (var iError: SmallInt; pTextIn: PAnsiChar; pSubstitutedText: PAnsiChar; BufSize: LongInt): LongInt;
type TVCProc = function (var iError: SmallInt; pTextIn: PAnsiChar; pSubstitutedText: PAnsiChar; BufSize: LongInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSubstitutedText');
    if @aproc <> nil then
      result := aproc(iError, pTextIn, pSubstitutedText, BufSize);
  end;
end;

function VCGetSubstitutedTextW (var iError: SmallInt; pTextIn: PWideChar; pSubstitutedText: PWideChar; BufSize: LongInt): LongInt;
type TVCProc = function (var iError: SmallInt; pTextIn: PWideChar; pSubstitutedText: PWideChar; BufSize: LongInt): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSubstitutedTextW');
    if @aproc <> nil then
      result := aproc(iError, pTextIn, pSubstitutedText, BufSize);
  end;
end;

procedure VCGetCurrentEntityPointAtParameterBP (var iError: SmallInt; t: Double; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; t: Double; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityPointAtParameterBP');
    if @aproc <> nil then
      aproc(iError, t, dpP);
  end;
end;

procedure VCGetCurrentEntitySlopeAtParameterBP (var iError: SmallInt; t: Double; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; t: Double; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntitySlopeAtParameterBP');
    if @aproc <> nil then
      aproc(iError, t, dpP);
  end;
end;

function VCGetCurrentEntityClosestPointAndParameterBP (var iError: SmallInt; var dpPick: Point2D; var dpClosest: Point2D): Double;
type TVCProc = function (var iError: SmallInt; var dpPick: Point2D; var dpClosest: Point2D): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityClosestPointAndParameterBP');
    if @aproc <> nil then
      result := aproc(iError, dpPick, dpClosest);
  end;
end;

function VCGetTextCurveKind (var iError: SmallInt): Byte;
type TVCProc = function (var iError: SmallInt): Byte; stdcall;
var aproc: TVCProc;
begin
  result := Byte(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextCurveKind');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextCurveKind (var iError: SmallInt; bKind: Byte);
type TVCProc = procedure (var iError: SmallInt; bKind: Byte); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextCurveKind');
    if @aproc <> nil then
      aproc(iError, bKind);
  end;
end;

function VCGetTextCurveReverse (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextCurveReverse');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextCurveReverse (var iError: SmallInt; tfReverse: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfReverse: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextCurveReverse');
    if @aproc <> nil then
      aproc(iError, tfReverse);
  end;
end;

function VCGetTextWordWrap (var iError: SmallInt): Double;
type TVCProc = function (var iError: SmallInt): Double; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextWordWrap');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextWordWrap (var iError: SmallInt; dWrap: Double);
type TVCProc = procedure (var iError: SmallInt; dWrap: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextWordWrap');
    if @aproc <> nil then
      aproc(iError, dWrap);
  end;
end;

function VCGetCurrentTextCurvePointCount (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentTextCurvePointCount');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCGetCurrentTextCurvePoint (var iError: SmallInt; iIndex: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentTextCurvePoint');
    if @aproc <> nil then
      aproc(iError, iIndex, dpP);
  end;
end;

procedure VCSetCurrentTextCurvePoint (var iError: SmallInt; iIndex: SmallInt; var dpP: Point2D);
type TVCProc = procedure (var iError: SmallInt; iIndex: SmallInt; var dpP: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentTextCurvePoint');
    if @aproc <> nil then
      aproc(iError, iIndex, dpP);
  end;
end;

procedure VCSetCurrentTextCurvePoints (var iError: SmallInt; var p2dArray: Point2D; iPointCount: SmallInt);
type TVCProc = procedure (var iError: SmallInt; var p2dArray: Point2D; iPointCount: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetCurrentTextCurvePoints');
    if @aproc <> nil then
      aproc(iError, p2dArray, iPointCount);
  end;
end;

function VCGetTextCurveDisplay (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextCurveDisplay');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextCurveDisplay (var iError: SmallInt; tfDisplay: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfDisplay: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextCurveDisplay');
    if @aproc <> nil then
      aproc(iError, tfDisplay);
  end;
end;

function VCGetTextCurveClosed (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetTextCurveClosed');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetTextCurveClosed (var iError: SmallInt; tfClosed: WordBool);
type TVCProc = procedure (var iError: SmallInt; tfClosed: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetTextCurveClosed');
    if @aproc <> nil then
      aproc(iError, tfClosed);
  end;
end;

function VCGetOffsetNumSegments (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetOffsetNumSegments');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetOffsetNumSegments (var iError: SmallInt; iNum: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iNum: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetOffsetNumSegments');
    if @aproc <> nil then
      aproc(iError, iNum);
  end;
end;

function VCGetFilterRealWidth (var iError: SmallInt): Single;
type TVCProc = function (var iError: SmallInt): Single; stdcall;
var aproc: TVCProc;
begin
  result := 0.;
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilterRealWidth');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetFilterRealWidth (var iError: SmallInt; f: Single);
type TVCProc = procedure (var iError: SmallInt; f: Single); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterRealWidth');
    if @aproc <> nil then
      aproc(iError, f);
  end;
end;

procedure VCGetFilterMultiKinds (var iError: SmallInt; var dw2D: LongWord; var dw3D: LongWord);
type TVCProc = procedure (var iError: SmallInt; var dw2D: LongWord; var dw3D: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilterMultiKinds');
    if @aproc <> nil then
      aproc(iError, dw2D, dw3D);
  end;
end;

procedure VCSetFilterMultiKinds (var iError: SmallInt; dw2D: LongWord; dw3D: LongWord);
type TVCProc = procedure (var iError: SmallInt; dw2D: LongWord; dw3D: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterMultiKinds');
    if @aproc <> nil then
      aproc(iError, dw2D, dw3D);
  end;
end;

function VCGetFilterMultiKindsString (var iError: SmallInt; szFilter: PAnsiChar): SmallInt;
type TVCProc = function (var iError: SmallInt; szFilter: PAnsiChar): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetFilterMultiKindsString');
    if @aproc <> nil then
      result := aproc(iError, szFilter);
  end;
end;

procedure VCSetFilterMultiKindsString (var iError: SmallInt; szFilter: PAnsiChar);
type TVCProc = procedure (var iError: SmallInt; szFilter: PAnsiChar); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetFilterMultiKindsString');
    if @aproc <> nil then
      aproc(iError, szFilter);
  end;
end;

function VCGetSnapPreviewColor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSnapPreviewColor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetSnapPreviewColor (var iError: SmallInt; i: SmallInt);
type TVCProc = procedure (var iError: SmallInt; i: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSnapPreviewColor');
    if @aproc <> nil then
      aproc(iError, i);
  end;
end;

procedure VCGetCurrentEntityCentroidAndArea (var iError: SmallInt; dStep: Double; var dpCentroid: Point2D; var pArea: Double);
type TVCProc = procedure (var iError: SmallInt; dStep: Double; var dpCentroid: Point2D; var pArea: Double); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetCurrentEntityCentroidAndArea');
    if @aproc <> nil then
      aproc(iError, dStep, dpCentroid, pArea);
  end;
end;

procedure VCAddAngularDimensionEntityEx (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D; var dpP4: Point2D);
type TVCProc = procedure (var iError: SmallInt; iSymbolIndex: SmallInt; var dpP0: Point2D; var dpP1: Point2D; var dpP2: Point2D; var dpP3: Point2D; var dpP4: Point2D); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCAddAngularDimensionEntityEx');
    if @aproc <> nil then
      aproc(iError, iSymbolIndex, dpP0, dpP1, dpP2, dpP3, dpP4);
  end;
end;

function VCGetNotImportXref (var iError: SmallInt): WordBool;
type TVCProc = function (var iError: SmallInt): WordBool; stdcall;
var aproc: TVCProc;
begin
  result := WordBool(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetNotImportXref');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetNotImportXref (var iError: SmallInt; tf: WordBool);
type TVCProc = procedure (var iError: SmallInt; tf: WordBool); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetNotImportXref');
    if @aproc <> nil then
      aproc(iError, tf);
  end;
end;

procedure VCSelectFence (var iError: SmallInt; tfCrossing: WordBool; tfDeselect: WordBool; tfGroup: WordBool; var p2dArray: Point2D; iPointCount: SmallInt);
type TVCProc = procedure (var iError: SmallInt; tfCrossing: WordBool; tfDeselect: WordBool; tfGroup: WordBool; var p2dArray: Point2D; iPointCount: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSelectFence');
    if @aproc <> nil then
      aproc(iError, tfCrossing, tfDeselect, tfGroup, p2dArray, iPointCount);
  end;
end;

function VCGetPDFExportFilename (var iError: SmallInt; szName: PAnsiChar): LongInt;
type TVCProc = function (var iError: SmallInt; szName: PAnsiChar): LongInt; stdcall;
var aproc: TVCProc;
begin
  result := LongInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetPDFExportFilename');
    if @aproc <> nil then
      result := aproc(iError, szName);
  end;
end;

function VCGetLeaderTabStops (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetLeaderTabStops');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetLeaderTabStops (var iError: SmallInt; val: SmallInt);
type TVCProc = procedure (var iError: SmallInt; val: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetLeaderTabStops');
    if @aproc <> nil then
      aproc(iError, val);
  end;
end;

function VCGetSymbolBreakColor (var iError: SmallInt): SmallInt;
type TVCProc = function (var iError: SmallInt): SmallInt; stdcall;
var aproc: TVCProc;
begin
  result := SmallInt(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetSymbolBreakColor');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetSymbolBreakColor (var iError: SmallInt; iColor: SmallInt);
type TVCProc = procedure (var iError: SmallInt; iColor: SmallInt); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetSymbolBreakColor');
    if @aproc <> nil then
      aproc(iError, iColor);
  end;
end;

function VCGetButtonScale (var iError: SmallInt): LongWord;
type TVCProc = function (var iError: SmallInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetButtonScale');
    if @aproc <> nil then
      result := aproc(iError);
  end;
end;

procedure VCSetButtonScale (var iError: SmallInt; uScale: LongWord);
type TVCProc = procedure (var iError: SmallInt; uScale: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetButtonScale');
    if @aproc <> nil then
      aproc(iError, uScale);
  end;
end;

function VCGetStatusColorText (var iError: SmallInt; type: LongInt): LongWord;
type TVCProc = function (var iError: SmallInt; type: LongInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetStatusColorText');
    if @aproc <> nil then
      result := aproc(iError, type);
  end;
end;

procedure VCSetStatusColorText (var iError: SmallInt; type: LongInt; crText: LongWord);
type TVCProc = procedure (var iError: SmallInt; type: LongInt; crText: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetStatusColorText');
    if @aproc <> nil then
      aproc(iError, type, crText);
  end;
end;

function VCGetStatusColorBgnd (var iError: SmallInt; type: LongInt): LongWord;
type TVCProc = function (var iError: SmallInt; type: LongInt): LongWord; stdcall;
var aproc: TVCProc;
begin
  result := LongWord(0);
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCGetStatusColorBgnd');
    if @aproc <> nil then
      result := aproc(iError, type);
  end;
end;

procedure VCSetStatusColorBgnd (var iError: SmallInt; type: LongInt; crBack: LongWord);
type TVCProc = procedure (var iError: SmallInt; type: LongInt; crBack: LongWord); stdcall;
var aproc: TVCProc;
begin
  if hInst <> 0 then
  begin
    @aproc := GetProcAddress(hInst, 'VCSetStatusColorBgnd');
    if @aproc <> nil then
      aproc(iError, type, crBack);
  end;
end;

end.
